<?php

namespace Database\Seeders;

use App\Models\Parametros\Localidade;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class LocalidadeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $dados = [
            ["id" =>1,"uf" => "AC","descricao" => "ACRELANDIA","cep1" => "69945-000","cep2" => "69945-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>2,"uf" => "AC","descricao" => "BRASILEIA","cep1" => "69932-000","cep2" => "69932-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "14"],
            ["id" =>3,"uf" => "AC","descricao" => "BUJARI","cep1" => "69926-000","cep2" => "69926-999","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "10"],
            ["id" =>4,"uf" => "AC","descricao" => "CAPIXABA","cep1" => "69931-000","cep2" => "69931-999","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "10"],
            ["id" =>5,"uf" => "AC","descricao" => "CRUZEIRO DO SUL","cep1" => "69980-000","cep2" => "69981-999","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>6,"uf" => "AC","descricao" => "EPITACIOLANDIA","cep1" => "69934-000","cep2" => "69934-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>7,"uf" => "AC","descricao" => "FEIJO","cep1" => "69960-000","cep2" => "69960-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>8,"uf" => "AC","descricao" => "MANOEL URBANO","cep1" => "69950-000","cep2" => "69950-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "13"],
            ["id" =>9,"uf" => "AC","descricao" => "PLACIDO DE CASTRO","cep1" => "69928-000","cep2" => "69928-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>10,"uf" => "AC","descricao" => "RIO BRANCO","cep1" => "69900-001","cep2" => "69924-999","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>11,"uf" => "AC","descricao" => "RODRIGUES ALVES","cep1" => "69985-000","cep2" => "69985-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>12,"uf" => "AC","descricao" => "SENA MADUREIRA","cep1" => "69940-000","cep2" => "69940-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>13,"uf" => "AC","descricao" => "SENADOR GUIOMARD","cep1" => "69925-000","cep2" => "69925-999","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "13"],
            ["id" =>14,"uf" => "AC","descricao" => "TARAUACA","cep1" => "69970-000","cep2" => "69970-000","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>15,"uf" => "AC","descricao" => "XAPURI","cep1" => "69930-000","cep2" => "69930-999","roteirizacao" => "RBR","unidade" => "RBR","tabela" => 27,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "13"],
            ["id" =>16,"uf" => "AL","descricao" => "AGUA BRANCA","cep1" => "57490-000","cep2" => "57490-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>17,"uf" => "AL","descricao" => "ANADIA","cep1" => "57660-000","cep2" => "57660-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>18,"uf" => "AL","descricao" => "ARAPIRACA","cep1" => "57300-001","cep2" => "57317-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>19,"uf" => "AL","descricao" => "ATALAIA","cep1" => "57690-000","cep2" => "57690-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>20,"uf" => "AL","descricao" => "BARRA DE SANTO ANTONIO","cep1" => "57925-000","cep2" => "57925-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>21,"uf" => "AL","descricao" => "BARRA DE SAO MIGUEL","cep1" => "57180-000","cep2" => "57180-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>22,"uf" => "AL","descricao" => "BATALHA","cep1" => "57420-000","cep2" => "57420-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>23,"uf" => "AL","descricao" => "BELEM","cep1" => "57630-000","cep2" => "57630-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>24,"uf" => "AL","descricao" => "BELO MONTE","cep1" => "57435-000","cep2" => "57435-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>25,"uf" => "AL","descricao" => "BOCA DA MATA","cep1" => "57680-000","cep2" => "57680-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>26,"uf" => "AL","descricao" => "BRANQUINHA","cep1" => "57830-000","cep2" => "57830-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>27,"uf" => "AL","descricao" => "CACIMBINHAS","cep1" => "57570-000","cep2" => "57570-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>28,"uf" => "AL","descricao" => "CAJUEIRO","cep1" => "57770-000","cep2" => "57770-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>29,"uf" => "AL","descricao" => "CAMPESTRE","cep1" => "57968-000","cep2" => "57968-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>30,"uf" => "AL","descricao" => "CAMPO ALEGRE","cep1" => "57250-000","cep2" => "57250-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>31,"uf" => "AL","descricao" => "CAMPO GRANDE","cep1" => "57350-000","cep2" => "57350-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>32,"uf" => "AL","descricao" => "CANAPI","cep1" => "57530-000","cep2" => "57530-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>33,"uf" => "AL","descricao" => "CAPELA","cep1" => "57780-000","cep2" => "57780-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>34,"uf" => "AL","descricao" => "CARNEIROS","cep1" => "57535-000","cep2" => "57535-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>35,"uf" => "AL","descricao" => "CHA PRETA","cep1" => "57760-000","cep2" => "57760-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>36,"uf" => "AL","descricao" => "COITE DO NOIA","cep1" => "57325-000","cep2" => "57325-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>37,"uf" => "AL","descricao" => "COLONIA LEOPOLDINA","cep1" => "57975-000","cep2" => "57975-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>38,"uf" => "AL","descricao" => "COQUEIRO SECO","cep1" => "57140-000","cep2" => "57140-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>39,"uf" => "AL","descricao" => "CORURIPE","cep1" => "57230-000","cep2" => "57230-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>40,"uf" => "AL","descricao" => "CRAIBAS","cep1" => "57320-000","cep2" => "57320-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>41,"uf" => "AL","descricao" => "DELMIRO GOUVEIA","cep1" => "57480-000","cep2" => "57480-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>42,"uf" => "AL","descricao" => "DOIS RIACHOS","cep1" => "57560-000","cep2" => "57560-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>43,"uf" => "AL","descricao" => "ESTRELA DE ALAGOAS","cep1" => "57625-000","cep2" => "57625-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>44,"uf" => "AL","descricao" => "FEIRA GRANDE","cep1" => "57340-000","cep2" => "57340-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>45,"uf" => "AL","descricao" => "FELIZ DESERTO","cep1" => "57220-000","cep2" => "57220-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>46,"uf" => "AL","descricao" => "FLEXEIRAS","cep1" => "57995-000","cep2" => "57995-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>47,"uf" => "AL","descricao" => "GIRAU DO PONCIANO","cep1" => "57360-000","cep2" => "57360-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>48,"uf" => "AL","descricao" => "IBATEGUARA","cep1" => "57890-000","cep2" => "57890-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>49,"uf" => "AL","descricao" => "IGACI","cep1" => "57620-000","cep2" => "57620-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>50,"uf" => "AL","descricao" => "IGREJA NOVA","cep1" => "57280-000","cep2" => "57280-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>51,"uf" => "AL","descricao" => "INHAPI","cep1" => "57545-000","cep2" => "57545-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>52,"uf" => "AL","descricao" => "JACARE DOS HOMENS","cep1" => "57430-000","cep2" => "57430-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>53,"uf" => "AL","descricao" => "JACUIPE","cep1" => "57960-000","cep2" => "57960-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>54,"uf" => "AL","descricao" => "JAPARATINGA","cep1" => "57950-000","cep2" => "57950-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>55,"uf" => "AL","descricao" => "JARAMATAIA","cep1" => "57425-000","cep2" => "57425-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>56,"uf" => "AL","descricao" => "JEQUIA DA PRAIA","cep1" => "57255-000","cep2" => "57256-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>57,"uf" => "AL","descricao" => "JOAQUIM GOMES","cep1" => "57980-000","cep2" => "57980-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>58,"uf" => "AL","descricao" => "JUNDIA","cep1" => "57965-000","cep2" => "57965-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>59,"uf" => "AL","descricao" => "JUNQUEIRO","cep1" => "57270-000","cep2" => "57270-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>60,"uf" => "AL","descricao" => "LAGOA DA CANOA","cep1" => "57330-000","cep2" => "57330-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>61,"uf" => "AL","descricao" => "LIMOEIRO DE ANADIA","cep1" => "57260-000","cep2" => "57260-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>62,"uf" => "AL","descricao" => "MACEIO","cep1" => "57000-000","cep2" => "57099-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>63,"uf" => "AL","descricao" => "MAJOR ISIDORO","cep1" => "57580-000","cep2" => "57580-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>64,"uf" => "AL","descricao" => "MAR VERMELHO","cep1" => "57730-000","cep2" => "57730-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>65,"uf" => "AL","descricao" => "MARAGOGI","cep1" => "57955-000","cep2" => "57959-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>66,"uf" => "AL","descricao" => "MARAVILHA","cep1" => "57520-000","cep2" => "57520-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>67,"uf" => "AL","descricao" => "MARECHAL DEODORO","cep1" => "57160-000","cep2" => "57160-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>68,"uf" => "AL","descricao" => "MARIBONDO","cep1" => "57670-000","cep2" => "57670-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>69,"uf" => "AL","descricao" => "MATA GRANDE","cep1" => "57540-000","cep2" => "57540-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>70,"uf" => "AL","descricao" => "MATRIZ DE CAMARAGIBE","cep1" => "57910-000","cep2" => "57910-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>71,"uf" => "AL","descricao" => "MESSIAS","cep1" => "57990-000","cep2" => "57990-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>72,"uf" => "AL","descricao" => "MINADOR DO NEGRAO","cep1" => "57615-000","cep2" => "57615-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>73,"uf" => "AL","descricao" => "MONTEIROPOLIS","cep1" => "57440-000","cep2" => "57440-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>74,"uf" => "AL","descricao" => "MURICI","cep1" => "57820-000","cep2" => "57820-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>75,"uf" => "AL","descricao" => "NOVO LINO","cep1" => "57970-000","cep2" => "57970-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>76,"uf" => "AL","descricao" => "OLHO DAGUA DAS FLORES","cep1" => "57442-000","cep2" => "57442-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>77,"uf" => "AL","descricao" => "OLHO DAGUA DO CASADO","cep1" => "57470-000","cep2" => "57470-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>78,"uf" => "AL","descricao" => "OLHO DAGUA GRANDE","cep1" => "57390-000","cep2" => "57390-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>79,"uf" => "AL","descricao" => "OLIVENCA","cep1" => "57550-000","cep2" => "57550-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>80,"uf" => "AL","descricao" => "OURO BRANCO","cep1" => "57525-000","cep2" => "57525-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>81,"uf" => "AL","descricao" => "PALESTINA","cep1" => "57410-000","cep2" => "57410-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>82,"uf" => "AL","descricao" => "PALMEIRA DOS INDIOS","cep1" => "57600-000","cep2" => "57610-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>83,"uf" => "AL","descricao" => "PAO DE ACUCAR","cep1" => "57400-000","cep2" => "57400-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>84,"uf" => "AL","descricao" => "PARICONHA","cep1" => "57475-000","cep2" => "57475-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>85,"uf" => "AL","descricao" => "PARIPUEIRA","cep1" => "57935-000","cep2" => "57935-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>86,"uf" => "AL","descricao" => "PASSO DE CAMARAGIBE","cep1" => "57930-000","cep2" => "57930-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>87,"uf" => "AL","descricao" => "PAULO JACINTO","cep1" => "57740-000","cep2" => "57740-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>88,"uf" => "AL","descricao" => "PENEDO","cep1" => "57200-000","cep2" => "57200-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>89,"uf" => "AL","descricao" => "PIACABUCU","cep1" => "57210-000","cep2" => "57210-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>90,"uf" => "AL","descricao" => "PILAR","cep1" => "57150-000","cep2" => "57150-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>91,"uf" => "AL","descricao" => "PINDOBA","cep1" => "57720-000","cep2" => "57720-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>92,"uf" => "AL","descricao" => "PIRANHAS","cep1" => "57460-000","cep2" => "57460-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>93,"uf" => "AL","descricao" => "POCO DAS TRINCHEIRAS","cep1" => "57510-000","cep2" => "57510-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>94,"uf" => "AL","descricao" => "PORTO CALVO","cep1" => "57900-000","cep2" => "57900-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>95,"uf" => "AL","descricao" => "PORTO DE PEDRAS","cep1" => "57945-000","cep2" => "57945-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>96,"uf" => "AL","descricao" => "PORTO REAL DO COLEGIO","cep1" => "57290-000","cep2" => "57290-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>97,"uf" => "AL","descricao" => "QUEBRANGULO","cep1" => "57750-000","cep2" => "57750-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>98,"uf" => "AL","descricao" => "RIO LARGO","cep1" => "57100-000","cep2" => "57100-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>99,"uf" => "AL","descricao" => "ROTEIRO","cep1" => "57257-000","cep2" => "57259-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>100,"uf" => "AL","descricao" => "SANTA LUZIA DO NORTE","cep1" => "57130-000","cep2" => "57130-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>101,"uf" => "AL","descricao" => "SANTANA DO IPANEMA","cep1" => "57500-000","cep2" => "57500-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>102,"uf" => "AL","descricao" => "SANTANA DO MUNDAU","cep1" => "57840-000","cep2" => "57840-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>103,"uf" => "AL","descricao" => "SAO BRAS","cep1" => "57380-000","cep2" => "57380-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>104,"uf" => "AL","descricao" => "SAO JOSE DA LAJE","cep1" => "57860-000","cep2" => "57860-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>105,"uf" => "AL","descricao" => "SAO JOSE DA TAPERA","cep1" => "57445-000","cep2" => "57445-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>106,"uf" => "AL","descricao" => "SAO LUIS DO QUITUNDE","cep1" => "57920-000","cep2" => "57920-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>107,"uf" => "AL","descricao" => "SAO MIGUEL DOS CAMPOS","cep1" => "57240-000","cep2" => "57240-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>108,"uf" => "AL","descricao" => "SAO MIGUEL DOS MILAGRES","cep1" => "57940-000","cep2" => "57940-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>109,"uf" => "AL","descricao" => "SAO SEBASTIAO","cep1" => "57275-000","cep2" => "57275-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>110,"uf" => "AL","descricao" => "SATUBA","cep1" => "57120-000","cep2" => "57120-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>111,"uf" => "AL","descricao" => "SENADOR RUI PALMEIRA","cep1" => "57515-000","cep2" => "57515-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>112,"uf" => "AL","descricao" => "TANQUE DARCA","cep1" => "57635-000","cep2" => "57635-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>113,"uf" => "AL","descricao" => "TAQUARANA","cep1" => "57640-000","cep2" => "57640-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>114,"uf" => "AL","descricao" => "TEOTONIO VILELA","cep1" => "57265-000","cep2" => "57265-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>115,"uf" => "AL","descricao" => "TRAIPU","cep1" => "57370-000","cep2" => "57370-999","roteirizacao" => "APQ","unidade" => "APQ01","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>116,"uf" => "AL","descricao" => "UNIAO DOS PALMARES","cep1" => "57800-000","cep2" => "57800-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>117,"uf" => "AL","descricao" => "VICOSA","cep1" => "57700-000","cep2" => "57700-999","roteirizacao" => "MCZ","unidade" => "MCZ","tabela" => 14,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>118,"uf" => "AM","descricao" => "BARREIRINHA","cep1" => "69160-000","cep2" => "69160-000","roteirizacao" => "MBZ","unidade" => "MBZ","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>119,"uf" => "AM","descricao" => "BENJAMIN CONSTANT","cep1" => "69630-000","cep2" => "69630-999","roteirizacao" => "TBT","unidade" => "TBT","tabela" => 20,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>120,"uf" => "AM","descricao" => "BOA VISTA DO RAMOS","cep1" => "69195-000","cep2" => "69195-000","roteirizacao" => "MBZ","unidade" => "MBZ","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>121,"uf" => "AM","descricao" => "MANAUS","cep1" => "69047-005","cep2" => "69047-005","roteirizacao" => "MAO","unidade" => "MAO01","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>122,"uf" => "AM","descricao" => "MANAUS","cep1" => "69047-006","cep2" => "69099-999","roteirizacao" => "MAO","unidade" => "MAO","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>123,"uf" => "AM","descricao" => "MANAUS","cep1" => "69000-000","cep2" => "69047-004","roteirizacao" => "MAO","unidade" => "MAO","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>124,"uf" => "AM","descricao" => "MAUES","cep1" => "69190-000","cep2" => "69194-999","roteirizacao" => "MBZ","unidade" => "MBZ","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>125,"uf" => "AM","descricao" => "NHAMUNDA","cep1" => "69140-000","cep2" => "69140-000","roteirizacao" => "PIN","unidade" => "PIN","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>126,"uf" => "AM","descricao" => "NOVA OLINDA","cep1" => "69230-000","cep2" => "69230-000","roteirizacao" => "MBZ","unidade" => "MBZ","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>127,"uf" => "AM","descricao" => "PARINTINS","cep1" => "69150-001","cep2" => "69157-999","roteirizacao" => "PIN","unidade" => "PIN","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>128,"uf" => "AM","descricao" => "SAO GABRIEL DA CACHOEIRA","cep1" => "69750-001","cep2" => "69750-000","roteirizacao" => "SJL","unidade" => "SJL","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>129,"uf" => "AM","descricao" => "TABATINGA","cep1" => "69640-000","cep2" => "69640-000","roteirizacao" => "TBT","unidade" => "TBT","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>130,"uf" => "AM","descricao" => "TABATINGA","cep1" => "69640-001","cep2" => "69640-001","roteirizacao" => "TBT","unidade" => "TBT","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>131,"uf" => "AM","descricao" => "TERRA SANTA","cep1" => "68285-000","cep2" => "68285-000","roteirizacao" => "PIN","unidade" => "PIN","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>132,"uf" => "AM","descricao" => "URUCARA","cep1" => "69130-000","cep2" => "69130-000","roteirizacao" => "PIN","unidade" => "PIN","tabela" => 20,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>133,"uf" => "AP","descricao" => "FERREIRA GOMES","cep1" => "68915-000","cep2" => "68915-000","roteirizacao" => "MCP","unidade" => "MCP","tabela" => 25,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>134,"uf" => "AP","descricao" => "MACAPA","cep1" => "68900-000","cep2" => "68911-999","roteirizacao" => "MCP","unidade" => "MCP","tabela" => 25,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>135,"uf" => "AP","descricao" => "MAZAGAO","cep1" => "68940-000","cep2" => "68940-000","roteirizacao" => "MCP","unidade" => "MCP","tabela" => 25,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>136,"uf" => "AP","descricao" => "PORTO GRANDE","cep1" => "68997-000","cep2" => "68997-000","roteirizacao" => "MCP","unidade" => "MCP","tabela" => 25,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>137,"uf" => "AP","descricao" => "SANTANA","cep1" => "68925-000","cep2" => "68939-999","roteirizacao" => "MCP","unidade" => "MCP","tabela" => 25,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>138,"uf" => "BA","descricao" => "ABAIRA","cep1" => "46690-000","cep2" => "46690-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>139,"uf" => "BA","descricao" => "ABARE","cep1" => "48680-000","cep2" => "48680-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>140,"uf" => "BA","descricao" => "ACAJUTIBA","cep1" => "48360-000","cep2" => "48360-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>141,"uf" => "BA","descricao" => "ADUSTINA","cep1" => "48435-000","cep2" => "48435-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>142,"uf" => "BA","descricao" => "AGUA FRIA","cep1" => "48170-000","cep2" => "48170-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>143,"uf" => "BA","descricao" => "ALAGOINHAS","cep1" => "48005-010","cep2" => "48099-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>144,"uf" => "BA","descricao" => "ALCOBACA","cep1" => "45910-000","cep2" => "45919-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>145,"uf" => "BA","descricao" => "AMARGOSA","cep1" => "45300-000","cep2" => "45300-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>146,"uf" => "BA","descricao" => "AMELIA RODRIGUES","cep1" => "44230-000","cep2" => "44230-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>147,"uf" => "BA","descricao" => "AMERICA DOURADA","cep1" => "44910-000","cep2" => "44910-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>148,"uf" => "BA","descricao" => "ANDARAI","cep1" => "46830-000","cep2" => "46830-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>149,"uf" => "BA","descricao" => "ANDORINHA","cep1" => "48990-000","cep2" => "48990-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>150,"uf" => "BA","descricao" => "ANGICAL","cep1" => "47960-000","cep2" => "47960-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>151,"uf" => "BA","descricao" => "ANGUERA","cep1" => "44670-000","cep2" => "44670-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>152,"uf" => "BA","descricao" => "ANTAS","cep1" => "48420-000","cep2" => "48420-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>153,"uf" => "BA","descricao" => "ANTONIO CARDOSO","cep1" => "44180-000","cep2" => "44180-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>154,"uf" => "BA","descricao" => "ANTONIO GONCALVES","cep1" => "44780-000","cep2" => "44780-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>155,"uf" => "BA","descricao" => "APORA","cep1" => "48350-000","cep2" => "48350-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>156,"uf" => "BA","descricao" => "APUAREMA","cep1" => "45355-000","cep2" => "45355-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>157,"uf" => "BA","descricao" => "ARACATU","cep1" => "46130-000","cep2" => "46130-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>158,"uf" => "BA","descricao" => "ARACI","cep1" => "48760-000","cep2" => "48760-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>159,"uf" => "BA","descricao" => "ARATACA","cep1" => "45695-000","cep2" => "45695-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>160,"uf" => "BA","descricao" => "ARATUIPE","cep1" => "44490-000","cep2" => "44490-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>161,"uf" => "BA","descricao" => "AURELINO LEAL","cep1" => "45675-000","cep2" => "45675-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>162,"uf" => "BA","descricao" => "BAIANOPOLIS","cep1" => "47830-000","cep2" => "47830-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>163,"uf" => "BA","descricao" => "BAIXA GRANDE","cep1" => "44620-000","cep2" => "44620-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>164,"uf" => "BA","descricao" => "BANZAE","cep1" => "48405-000","cep2" => "48405-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>165,"uf" => "BA","descricao" => "BARRA","cep1" => "47100-000","cep2" => "47100-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>166,"uf" => "BA","descricao" => "BARRA DA ESTIVA","cep1" => "46650-000","cep2" => "46650-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>167,"uf" => "BA","descricao" => "BARRA DO MENDES","cep1" => "44990-000","cep2" => "44990-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>168,"uf" => "BA","descricao" => "BARRA DO ROCHA","cep1" => "45560-000","cep2" => "45560-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>169,"uf" => "BA","descricao" => "BARREIRAS","cep1" => "47800-000","cep2" => "47819-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>170,"uf" => "BA","descricao" => "BARRO ALTO","cep1" => "44895-000","cep2" => "44895-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>171,"uf" => "BA","descricao" => "BARRO PRETO","cep1" => "45625-000","cep2" => "45625-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>172,"uf" => "BA","descricao" => "BARROCAS","cep1" => "48705-000","cep2" => "48705-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>173,"uf" => "BA","descricao" => "BELMONTE","cep1" => "45800-000","cep2" => "45800-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>174,"uf" => "BA","descricao" => "BIRITINGA","cep1" => "48780-000","cep2" => "48780-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>175,"uf" => "BA","descricao" => "BOA VISTA DO TUPIM","cep1" => "46850-000","cep2" => "46850-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>176,"uf" => "BA","descricao" => "BOM JESUS DA LAPA","cep1" => "47600-000","cep2" => "47609-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>177,"uf" => "BA","descricao" => "BONINAL","cep1" => "46740-000","cep2" => "46740-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>178,"uf" => "BA","descricao" => "BONITO","cep1" => "46820-000","cep2" => "46820-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>179,"uf" => "BA","descricao" => "BOQUIRA","cep1" => "46530-000","cep2" => "46530-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>180,"uf" => "BA","descricao" => "BOTUPORA","cep1" => "46570-000","cep2" => "46570-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>181,"uf" => "BA","descricao" => "BREJOES","cep1" => "45325-000","cep2" => "45325-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>182,"uf" => "BA","descricao" => "BROTAS DE MACAUBAS","cep1" => "47560-000","cep2" => "47560-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>183,"uf" => "BA","descricao" => "BRUMADO","cep1" => "46100-000","cep2" => "46100-999","roteirizacao" => "VDC","unidade" => "VDC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>184,"uf" => "BA","descricao" => "BUERAREMA","cep1" => "45615-000","cep2" => "45615-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>185,"uf" => "BA","descricao" => "BURITIRAMA","cep1" => "47120-000","cep2" => "47120-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>186,"uf" => "BA","descricao" => "CAATIBA","cep1" => "45130-000","cep2" => "45130-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>187,"uf" => "BA","descricao" => "CABACEIRAS DO PARAGUACU","cep1" => "44345-000","cep2" => "44345-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>188,"uf" => "BA","descricao" => "CACHOEIRA","cep1" => "44300-000","cep2" => "44300-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>189,"uf" => "BA","descricao" => "CACULE","cep1" => "46300-000","cep2" => "46309-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>190,"uf" => "BA","descricao" => "CAETITE","cep1" => "46400-000","cep2" => "46424-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>191,"uf" => "BA","descricao" => "CAFARNAUM","cep1" => "44880-000","cep2" => "44880-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>192,"uf" => "BA","descricao" => "CAMACAN","cep1" => "45880-000","cep2" => "45880-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>193,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42800-000","cep2" => "42802-519","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>194,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42802-521","cep2" => "42820-970","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>195,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42820-972","cep2" => "42824-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>196,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42840-563","cep2" => "42840-755","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>197,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42840-757","cep2" => "42841-575","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>198,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42841-577","cep2" => "42842-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>199,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42840-001","cep2" => "42840-175","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>200,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42843-001","cep2" => "42849-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>201,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42840-177","cep2" => "42840-561","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>202,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42835-972","cep2" => "42839-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>203,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42825-001","cep2" => "42826-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>204,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42827-001","cep2" => "42832-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>205,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42833-001","cep2" => "42835-970","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>206,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42840-176","cep2" => "42840-176","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>207,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42840-562","cep2" => "42840-562","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>208,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42840-756","cep2" => "42840-756","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>209,"uf" => "BA","descricao" => "CAMACARI","cep1" => "42841-576","cep2" => "42841-576","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>210,"uf" => "BA","descricao" => "CAMAMU","cep1" => "45445-000","cep2" => "45445-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>211,"uf" => "BA","descricao" => "CAMPO FORMOSO","cep1" => "44790-000","cep2" => "44790-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>212,"uf" => "BA","descricao" => "CANARANA","cep1" => "44890-000","cep2" => "44890-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>213,"uf" => "BA","descricao" => "CANAVIEIRAS","cep1" => "45860-000","cep2" => "45860-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>214,"uf" => "BA","descricao" => "CANDEAL","cep1" => "48710-000","cep2" => "48710-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>215,"uf" => "BA","descricao" => "CANDEIAS","cep1" => "43800-000","cep2" => "43839-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>216,"uf" => "BA","descricao" => "CANDIBA","cep1" => "46380-000","cep2" => "46389-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>217,"uf" => "BA","descricao" => "CANSANCAO","cep1" => "48840-000","cep2" => "48840-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>218,"uf" => "BA","descricao" => "CANUDOS","cep1" => "48520-000","cep2" => "48520-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>219,"uf" => "BA","descricao" => "CAPELA DO ALTO ALEGRE","cep1" => "44645-000","cep2" => "44645-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>220,"uf" => "BA","descricao" => "CAPIM GROSSO","cep1" => "44695-000","cep2" => "44695-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>221,"uf" => "BA","descricao" => "CARAIBAS","cep1" => "45177-000","cep2" => "45177-999","roteirizacao" => "VDC","unidade" => "VDC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>222,"uf" => "BA","descricao" => "CARAVELAS","cep1" => "45900-000","cep2" => "45909-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>223,"uf" => "BA","descricao" => "CARDEAL DA SILVA","cep1" => "48390-000","cep2" => "48390-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>224,"uf" => "BA","descricao" => "CARINHANHA","cep1" => "46445-000","cep2" => "46445-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>225,"uf" => "BA","descricao" => "CASA NOVA","cep1" => "47300-000","cep2" => "47300-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>226,"uf" => "BA","descricao" => "CASTRO ALVES","cep1" => "44500-000","cep2" => "44500-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>227,"uf" => "BA","descricao" => "CATOLANDIA","cep1" => "47845-000","cep2" => "47845-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>228,"uf" => "BA","descricao" => "CATU","cep1" => "48110-000","cep2" => "48110-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>229,"uf" => "BA","descricao" => "CATURAMA","cep1" => "46575-000","cep2" => "46575-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>230,"uf" => "BA","descricao" => "CENTRAL","cep1" => "44940-000","cep2" => "44940-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>231,"uf" => "BA","descricao" => "CHORROCHO","cep1" => "48660-000","cep2" => "48660-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>232,"uf" => "BA","descricao" => "CICERO DANTAS","cep1" => "48410-000","cep2" => "48410-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>233,"uf" => "BA","descricao" => "CIPO","cep1" => "48450-000","cep2" => "48450-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>234,"uf" => "BA","descricao" => "COARACI","cep1" => "45638-000","cep2" => "45638-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>235,"uf" => "BA","descricao" => "COCOS","cep1" => "47680-000","cep2" => "47680-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>236,"uf" => "BA","descricao" => "CONCEICAO DA FEIRA","cep1" => "44320-000","cep2" => "44320-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>237,"uf" => "BA","descricao" => "CONCEICAO DO ALMEIDA","cep1" => "44540-000","cep2" => "44540-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>238,"uf" => "BA","descricao" => "CONCEICAO DO COITE","cep1" => "48730-000","cep2" => "48730-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>239,"uf" => "BA","descricao" => "CONCEICAO DO JACUIPE","cep1" => "44245-000","cep2" => "44245-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>240,"uf" => "BA","descricao" => "CONDE","cep1" => "48300-000","cep2" => "48300-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>241,"uf" => "BA","descricao" => "CONDEUBA","cep1" => "46200-000","cep2" => "46200-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>242,"uf" => "BA","descricao" => "CONTENDAS DO SINCORA","cep1" => "46620-000","cep2" => "46620-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>243,"uf" => "BA","descricao" => "CORACAO DE MARIA","cep1" => "44250-000","cep2" => "44250-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>244,"uf" => "BA","descricao" => "CORIBE","cep1" => "47690-000","cep2" => "47690-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>245,"uf" => "BA","descricao" => "CORONEL JOAO SA","cep1" => "48590-000","cep2" => "48590-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>246,"uf" => "BA","descricao" => "CORRENTINA","cep1" => "47650-000","cep2" => "47650-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>247,"uf" => "BA","descricao" => "COTEGIPE","cep1" => "47900-000","cep2" => "47900-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>248,"uf" => "BA","descricao" => "CRAVOLANDIA","cep1" => "45330-000","cep2" => "45330-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>249,"uf" => "BA","descricao" => "CRISOPOLIS","cep1" => "48480-000","cep2" => "48480-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>250,"uf" => "BA","descricao" => "CRISTOPOLIS","cep1" => "47950-000","cep2" => "47950-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>251,"uf" => "BA","descricao" => "CRUZ DAS ALMAS","cep1" => "44380-000","cep2" => "44380-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>252,"uf" => "BA","descricao" => "CURACA","cep1" => "48930-000","cep2" => "48930-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>253,"uf" => "BA","descricao" => "DARIO MEIRA","cep1" => "45590-000","cep2" => "45590-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>254,"uf" => "BA","descricao" => "DIAS DAVILA","cep1" => "42850-000","cep2" => "43699-999","roteirizacao" => "QCC","unidade" => "QCC01","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>255,"uf" => "BA","descricao" => "DOM BASILIO","cep1" => "46165-000","cep2" => "46165-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>256,"uf" => "BA","descricao" => "DOM MACEDO COSTA","cep1" => "44560-000","cep2" => "44560-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>257,"uf" => "BA","descricao" => "ELISIO MEDRADO","cep1" => "45305-000","cep2" => "45309-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>258,"uf" => "BA","descricao" => "ENCRUZILHADA","cep1" => "45150-000","cep2" => "45150-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>259,"uf" => "BA","descricao" => "ENTRE RIOS","cep1" => "48180-000","cep2" => "48180-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>260,"uf" => "BA","descricao" => "ESPLANADA","cep1" => "48370-000","cep2" => "48370-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>261,"uf" => "BA","descricao" => "EUCLIDES DA CUNHA","cep1" => "48500-000","cep2" => "48500-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>262,"uf" => "BA","descricao" => "EUNAPOLIS","cep1" => "45820-001","cep2" => "45831-999","roteirizacao" => "BPS","unidade" => "BPS","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>263,"uf" => "BA","descricao" => "FATIMA","cep1" => "48415-000","cep2" => "48415-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>264,"uf" => "BA","descricao" => "FEIRA DA MATA","cep1" => "46446-000","cep2" => "46446-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>265,"uf" => "BA","descricao" => "FEIRA DE SANTANA","cep1" => "44000-000","cep2" => "44149-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>266,"uf" => "BA","descricao" => "FILADELFIA","cep1" => "44775-000","cep2" => "44775-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>267,"uf" => "BA","descricao" => "FIRMINO ALVES","cep1" => "45720-000","cep2" => "45720-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>268,"uf" => "BA","descricao" => "FLORESTA AZUL","cep1" => "45740-000","cep2" => "45740-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>269,"uf" => "BA","descricao" => "FORMOSA DO RIO PRETO","cep1" => "47990-000","cep2" => "47990-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>270,"uf" => "BA","descricao" => "GANDU","cep1" => "45450-000","cep2" => "45450-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>271,"uf" => "BA","descricao" => "GAVIAO","cep1" => "44650-000","cep2" => "44650-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>272,"uf" => "BA","descricao" => "GENTIO DO OURO","cep1" => "47450-000","cep2" => "47450-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>273,"uf" => "BA","descricao" => "GLORIA","cep1" => "48620-000","cep2" => "48629-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>274,"uf" => "BA","descricao" => "GONGOGI","cep1" => "45540-000","cep2" => "45540-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>275,"uf" => "BA","descricao" => "GOVERNADOR MANGABEIRA","cep1" => "44350-000","cep2" => "44350-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>276,"uf" => "BA","descricao" => "GUANAMBI","cep1" => "46430-000","cep2" => "46437-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>277,"uf" => "BA","descricao" => "GUARATINGA","cep1" => "45840-000","cep2" => "45840-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>278,"uf" => "BA","descricao" => "HELIOPOLIS","cep1" => "48445-000","cep2" => "48445-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>279,"uf" => "BA","descricao" => "IACU","cep1" => "46860-000","cep2" => "46860-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>280,"uf" => "BA","descricao" => "IBIASSUCE","cep1" => "46390-000","cep2" => "46399-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>281,"uf" => "BA","descricao" => "IBICARAI","cep1" => "45745-000","cep2" => "45745-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>282,"uf" => "BA","descricao" => "IBICOARA","cep1" => "46760-000","cep2" => "46760-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>283,"uf" => "BA","descricao" => "IBICUI","cep1" => "45290-000","cep2" => "45290-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>284,"uf" => "BA","descricao" => "IBIPEBA","cep1" => "44970-000","cep2" => "44970-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>285,"uf" => "BA","descricao" => "IBIPITANGA","cep1" => "46540-000","cep2" => "46540-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>286,"uf" => "BA","descricao" => "IBIQUERA","cep1" => "46840-000","cep2" => "46840-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>287,"uf" => "BA","descricao" => "IBIRAPITANGA","cep1" => "45500-000","cep2" => "45500-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>288,"uf" => "BA","descricao" => "IBIRAPUA","cep1" => "45940-000","cep2" => "45949-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>289,"uf" => "BA","descricao" => "IBIRATAIA","cep1" => "45580-000","cep2" => "45580-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>290,"uf" => "BA","descricao" => "IBITIARA","cep1" => "46700-000","cep2" => "46700-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>291,"uf" => "BA","descricao" => "IBITITA","cep1" => "44960-000","cep2" => "44960-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>292,"uf" => "BA","descricao" => "IBOTIRAMA","cep1" => "47520-000","cep2" => "47520-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>293,"uf" => "BA","descricao" => "ICHU","cep1" => "48725-000","cep2" => "48725-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>294,"uf" => "BA","descricao" => "IGAPORA","cep1" => "46490-000","cep2" => "46490-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>295,"uf" => "BA","descricao" => "IGRAPIUNA","cep1" => "45443-000","cep2" => "45443-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>296,"uf" => "BA","descricao" => "IGUAI","cep1" => "45280-000","cep2" => "45280-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>297,"uf" => "BA","descricao" => "ILHEUS","cep1" => "45654-070","cep2" => "45654-070","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>298,"uf" => "BA","descricao" => "ILHEUS","cep1" => "45650-001","cep2" => "45654-069","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>299,"uf" => "BA","descricao" => "ILHEUS","cep1" => "45654-071","cep2" => "45674-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>300,"uf" => "BA","descricao" => "INHAMBUPE","cep1" => "48490-000","cep2" => "48490-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>301,"uf" => "BA","descricao" => "IPECAETA","cep1" => "44680-000","cep2" => "44680-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>302,"uf" => "BA","descricao" => "IPIAU","cep1" => "45570-000","cep2" => "45570-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>303,"uf" => "BA","descricao" => "IPIRA","cep1" => "44600-000","cep2" => "44600-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>304,"uf" => "BA","descricao" => "IPUPIARA","cep1" => "47590-000","cep2" => "47590-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>305,"uf" => "BA","descricao" => "IRAMAIA","cep1" => "46770-000","cep2" => "46770-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>306,"uf" => "BA","descricao" => "IRAQUARA","cep1" => "46980-000","cep2" => "46980-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>307,"uf" => "BA","descricao" => "IRARA","cep1" => "44255-000","cep2" => "44255-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>308,"uf" => "BA","descricao" => "IRECE","cep1" => "44900-000","cep2" => "44900-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>309,"uf" => "BA","descricao" => "ITABELA","cep1" => "45848-000","cep2" => "45849-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>310,"uf" => "BA","descricao" => "ITABERABA","cep1" => "46880-000","cep2" => "46880-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>311,"uf" => "BA","descricao" => "ITABUNA","cep1" => "45600-000","cep2" => "45609-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>312,"uf" => "BA","descricao" => "ITACARE","cep1" => "45530-000","cep2" => "45530-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>313,"uf" => "BA","descricao" => "ITAETE","cep1" => "46790-000","cep2" => "46790-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>314,"uf" => "BA","descricao" => "ITAGI","cep1" => "45230-000","cep2" => "45230-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>315,"uf" => "BA","descricao" => "ITAGIBA","cep1" => "45585-000","cep2" => "45585-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>316,"uf" => "BA","descricao" => "ITAGIMIRIM","cep1" => "45850-000","cep2" => "45850-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>317,"uf" => "BA","descricao" => "ITAGUACU DA BAHIA","cep1" => "47440-000","cep2" => "47440-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>318,"uf" => "BA","descricao" => "ITAJU DO COLONIA","cep1" => "45730-000","cep2" => "45730-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>319,"uf" => "BA","descricao" => "ITAJUIPE","cep1" => "45630-000","cep2" => "45630-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>320,"uf" => "BA","descricao" => "ITAMARAJU","cep1" => "45836-000","cep2" => "45839-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>321,"uf" => "BA","descricao" => "ITANHEM","cep1" => "45970-000","cep2" => "45979-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>322,"uf" => "BA","descricao" => "ITAPARICA","cep1" => "44460-000","cep2" => "44460-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>323,"uf" => "BA","descricao" => "ITAPE","cep1" => "45750-000","cep2" => "45750-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>324,"uf" => "BA","descricao" => "ITAPETINGA","cep1" => "45700-000","cep2" => "45700-999","roteirizacao" => "VDC","unidade" => "VDC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>325,"uf" => "BA","descricao" => "ITAPICURU","cep1" => "48475-000","cep2" => "48475-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>326,"uf" => "BA","descricao" => "ITAPITANGA","cep1" => "45645-000","cep2" => "45645-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>327,"uf" => "BA","descricao" => "ITAQUARA","cep1" => "45340-000","cep2" => "45340-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>328,"uf" => "BA","descricao" => "ITARANTIM","cep1" => "45780-000","cep2" => "45780-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>329,"uf" => "BA","descricao" => "ITATIM","cep1" => "46875-000","cep2" => "46875-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>330,"uf" => "BA","descricao" => "ITIRUCU","cep1" => "45350-000","cep2" => "45350-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>331,"uf" => "BA","descricao" => "ITIUBA","cep1" => "48850-000","cep2" => "48850-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>332,"uf" => "BA","descricao" => "ITUBERA","cep1" => "45435-000","cep2" => "45435-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>333,"uf" => "BA","descricao" => "IUIU","cep1" => "46438-000","cep2" => "46439-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>334,"uf" => "BA","descricao" => "JABORANDI","cep1" => "47655-000","cep2" => "47655-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>335,"uf" => "BA","descricao" => "JACARACI","cep1" => "46310-000","cep2" => "46310-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>336,"uf" => "BA","descricao" => "JACOBINA","cep1" => "44700-000","cep2" => "44700-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>337,"uf" => "BA","descricao" => "JAGUARARI","cep1" => "48960-000","cep2" => "48960-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>338,"uf" => "BA","descricao" => "JAGUARIPE","cep1" => "44480-000","cep2" => "44480-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>339,"uf" => "BA","descricao" => "JANDAIRA","cep1" => "48310-000","cep2" => "48310-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>340,"uf" => "BA","descricao" => "JEQUIE","cep1" => "45200-190","cep2" => "45208-999","roteirizacao" => "VDC","unidade" => "VDC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>341,"uf" => "BA","descricao" => "JEREMOABO","cep1" => "48540-000","cep2" => "48540-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>342,"uf" => "BA","descricao" => "JIQUIRICA","cep1" => "45470-000","cep2" => "45470-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>343,"uf" => "BA","descricao" => "JITAUNA","cep1" => "45225-000","cep2" => "45225-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>344,"uf" => "BA","descricao" => "JOAO DOURADO","cep1" => "44920-000","cep2" => "44920-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>345,"uf" => "BA","descricao" => "JUAZEIRO","cep1" => "48900-001","cep2" => "48920-999","roteirizacao" => "PNZ","unidade" => "PNZ","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>346,"uf" => "BA","descricao" => "JUCURUCU","cep1" => "45834-000","cep2" => "45834-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>347,"uf" => "BA","descricao" => "JUSSARA","cep1" => "44925-000","cep2" => "44925-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>348,"uf" => "BA","descricao" => "JUSSIAPE","cep1" => "46670-000","cep2" => "46670-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>349,"uf" => "BA","descricao" => "LAFAIETE COUTINHO","cep1" => "45215-000","cep2" => "45215-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>350,"uf" => "BA","descricao" => "LAGOA REAL","cep1" => "46425-000","cep2" => "46429-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>351,"uf" => "BA","descricao" => "LAJE","cep1" => "45490-000","cep2" => "45490-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>352,"uf" => "BA","descricao" => "LAJEDAO","cep1" => "45950-000","cep2" => "45950-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>353,"uf" => "BA","descricao" => "LAJEDINHO","cep1" => "46825-000","cep2" => "46825-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>354,"uf" => "BA","descricao" => "LAJEDO DO TABOCAL","cep1" => "45365-000","cep2" => "45365-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>355,"uf" => "BA","descricao" => "LAPAO","cep1" => "44905-000","cep2" => "44905-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>356,"uf" => "BA","descricao" => "LAURO DE FREITAS","cep1" => "42700-000","cep2" => "42799-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>357,"uf" => "BA","descricao" => "LENCOIS","cep1" => "46960-000","cep2" => "46960-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>358,"uf" => "BA","descricao" => "LICINIO DE ALMEIDA","cep1" => "46330-000","cep2" => "46330-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>359,"uf" => "BA","descricao" => "LIVRAMENTO DE NOSSA SENHORA","cep1" => "46140-000","cep2" => "46140-999","roteirizacao" => "VDC","unidade" => "VDC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>360,"uf" => "BA","descricao" => "LUIS EDUARDO MAGALHAES","cep1" => "47850-000","cep2" => "47850-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>361,"uf" => "BA","descricao" => "MACAJUBA","cep1" => "46805-000","cep2" => "46805-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>362,"uf" => "BA","descricao" => "MACARANI","cep1" => "45760-000","cep2" => "45760-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>363,"uf" => "BA","descricao" => "MACAUBAS","cep1" => "46500-000","cep2" => "46500-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>364,"uf" => "BA","descricao" => "MACURURE","cep1" => "48650-000","cep2" => "48650-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>365,"uf" => "BA","descricao" => "MADRE DE DEUS","cep1" => "42600-000","cep2" => "42600-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>366,"uf" => "BA","descricao" => "MAETINGA","cep1" => "46255-000","cep2" => "46255-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>367,"uf" => "BA","descricao" => "MAIQUINIQUE","cep1" => "45770-000","cep2" => "45770-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>368,"uf" => "BA","descricao" => "MAIRI","cep1" => "44630-000","cep2" => "44630-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>369,"uf" => "BA","descricao" => "MALHADA","cep1" => "46440-000","cep2" => "46444-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>370,"uf" => "BA","descricao" => "MALHADA DE PEDRAS","cep1" => "46110-000","cep2" => "46110-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>371,"uf" => "BA","descricao" => "MANOEL VITORINO","cep1" => "45240-000","cep2" => "45240-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>372,"uf" => "BA","descricao" => "MARACAS","cep1" => "45360-000","cep2" => "45360-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>373,"uf" => "BA","descricao" => "MARAGOGIPE","cep1" => "44420-000","cep2" => "44420-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>374,"uf" => "BA","descricao" => "MARAGOGIPE","cep1" => "44428-000","cep2" => "44428-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>375,"uf" => "BA","descricao" => "MARCIONILIO SOUZA","cep1" => "46780-000","cep2" => "46780-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>376,"uf" => "BA","descricao" => "MATA DE SAO JOAO","cep1" => "48280-000","cep2" => "48280-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>377,"uf" => "BA","descricao" => "MATINA","cep1" => "46480-000","cep2" => "46489-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>378,"uf" => "BA","descricao" => "MEDEIROS NETO","cep1" => "45960-000","cep2" => "45960-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>379,"uf" => "BA","descricao" => "MIGUEL CALMON","cep1" => "44720-000","cep2" => "44720-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>380,"uf" => "BA","descricao" => "MILAGRES","cep1" => "45315-000","cep2" => "45315-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>381,"uf" => "BA","descricao" => "MONTE SANTO","cep1" => "48800-000","cep2" => "48800-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>382,"uf" => "BA","descricao" => "MORRO DO CHAPEU","cep1" => "44850-000","cep2" => "44850-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>383,"uf" => "BA","descricao" => "MORTUGABA","cep1" => "46290-000","cep2" => "46290-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>384,"uf" => "BA","descricao" => "MUCUGE","cep1" => "46750-000","cep2" => "46750-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>385,"uf" => "BA","descricao" => "MUCURI","cep1" => "45930-000","cep2" => "45939-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>386,"uf" => "BA","descricao" => "MULUNGU DO MORRO","cep1" => "44885-000","cep2" => "44885-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>387,"uf" => "BA","descricao" => "MUNDO NOVO","cep1" => "44800-000","cep2" => "44800-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>388,"uf" => "BA","descricao" => "MUNIZ FERREIRA","cep1" => "44575-000","cep2" => "44575-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>389,"uf" => "BA","descricao" => "MUQUEM DE SAO FRANCISCO","cep1" => "47115-000","cep2" => "47115-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>390,"uf" => "BA","descricao" => "MURITIBA","cep1" => "44340-000","cep2" => "44340-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>391,"uf" => "BA","descricao" => "MUTUIPE","cep1" => "45480-000","cep2" => "45480-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>392,"uf" => "BA","descricao" => "NAZARE","cep1" => "44400-000","cep2" => "44400-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>393,"uf" => "BA","descricao" => "NILO PECANHA","cep1" => "45440-000","cep2" => "45440-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>394,"uf" => "BA","descricao" => "NORDESTINA","cep1" => "48870-000","cep2" => "48870-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>395,"uf" => "BA","descricao" => "NOVA CANAA","cep1" => "45270-000","cep2" => "45270-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>396,"uf" => "BA","descricao" => "NOVA FATIMA","cep1" => "44642-000","cep2" => "44642-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>397,"uf" => "BA","descricao" => "NOVA REDENCAO","cep1" => "46835-000","cep2" => "46835-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>398,"uf" => "BA","descricao" => "NOVA SOURE","cep1" => "48460-000","cep2" => "48460-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>399,"uf" => "BA","descricao" => "NOVA VICOSA","cep1" => "45920-000","cep2" => "45929-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>400,"uf" => "BA","descricao" => "NOVO HORIZONTE","cep1" => "46730-000","cep2" => "46730-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>401,"uf" => "BA","descricao" => "OLINDINA","cep1" => "48470-000","cep2" => "48470-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>402,"uf" => "BA","descricao" => "OLIVEIRA DOS BREJINHOS","cep1" => "47530-000","cep2" => "47530-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>403,"uf" => "BA","descricao" => "OUROLANDIA","cep1" => "44718-000","cep2" => "44718-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>404,"uf" => "BA","descricao" => "PALMAS DE MONTE ALTO","cep1" => "46460-000","cep2" => "46469-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>405,"uf" => "BA","descricao" => "PALMEIRAS","cep1" => "46930-000","cep2" => "46930-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>406,"uf" => "BA","descricao" => "PARAMIRIM","cep1" => "46190-000","cep2" => "46190-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>407,"uf" => "BA","descricao" => "PARATINGA","cep1" => "47500-000","cep2" => "47500-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>408,"uf" => "BA","descricao" => "PARIPIRANGA","cep1" => "48430-000","cep2" => "48430-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>409,"uf" => "BA","descricao" => "PAU BRASIL","cep1" => "45890-000","cep2" => "45890-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>410,"uf" => "BA","descricao" => "PAULO AFONSO","cep1" => "48600-001","cep2" => "48619-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>411,"uf" => "BA","descricao" => "PE DE SERRA","cep1" => "44655-000","cep2" => "44655-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>412,"uf" => "BA","descricao" => "PEDRO ALEXANDRE","cep1" => "48580-000","cep2" => "48580-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>413,"uf" => "BA","descricao" => "PIATA","cep1" => "46765-000","cep2" => "46765-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>414,"uf" => "BA","descricao" => "PILAO ARCADO","cep1" => "47240-000","cep2" => "47240-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>415,"uf" => "BA","descricao" => "PINDAI","cep1" => "46360-000","cep2" => "46379-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>416,"uf" => "BA","descricao" => "PINDOBACU","cep1" => "44770-000","cep2" => "44770-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>417,"uf" => "BA","descricao" => "PINTADAS","cep1" => "44610-000","cep2" => "44610-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>418,"uf" => "BA","descricao" => "PIRAI DO NORTE","cep1" => "45436-000","cep2" => "45436-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>419,"uf" => "BA","descricao" => "PIRIPA","cep1" => "46270-000","cep2" => "46270-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>420,"uf" => "BA","descricao" => "PIRITIBA","cep1" => "44830-000","cep2" => "44830-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>421,"uf" => "BA","descricao" => "PLANALTINO","cep1" => "45375-000","cep2" => "45375-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>422,"uf" => "BA","descricao" => "PLANALTO","cep1" => "45190-000","cep2" => "45190-999","roteirizacao" => "VDC","unidade" => "VDC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>423,"uf" => "BA","descricao" => "POJUCA","cep1" => "48120-000","cep2" => "48120-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>424,"uf" => "BA","descricao" => "PONTO NOVO","cep1" => "44755-000","cep2" => "44755-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>425,"uf" => "BA","descricao" => "PORTO SEGURO","cep1" => "45810-000","cep2" => "45810-000","roteirizacao" => "BPS","unidade" => "BPS","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>426,"uf" => "BA","descricao" => "POTIRAGUA","cep1" => "45790-000","cep2" => "45790-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>427,"uf" => "BA","descricao" => "PRADO","cep1" => "45984-000","cep2" => "45984-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>428,"uf" => "BA","descricao" => "PRADO","cep1" => "45980-000","cep2" => "45982-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>429,"uf" => "BA","descricao" => "PRESIDENTE DUTRA","cep1" => "44930-000","cep2" => "44930-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>430,"uf" => "BA","descricao" => "PRESIDENTE JANIO QUADROS","cep1" => "46250-000","cep2" => "46250-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>431,"uf" => "BA","descricao" => "PRESIDENTE TANCREDO NEVES","cep1" => "45416-000","cep2" => "45416-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>432,"uf" => "BA","descricao" => "QUEIMADAS","cep1" => "48860-000","cep2" => "48860-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>433,"uf" => "BA","descricao" => "QUIJINGUE","cep1" => "48830-000","cep2" => "48830-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>434,"uf" => "BA","descricao" => "QUIXABEIRA","cep1" => "44713-000","cep2" => "44713-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>435,"uf" => "BA","descricao" => "RAFAEL JAMBEIRO","cep1" => "44520-000","cep2" => "44520-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>436,"uf" => "BA","descricao" => "REMANSO","cep1" => "47200-000","cep2" => "47200-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>437,"uf" => "BA","descricao" => "RETIROLANDIA","cep1" => "48750-000","cep2" => "48750-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>438,"uf" => "BA","descricao" => "RIACHAO DAS NEVES","cep1" => "47970-000","cep2" => "47970-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>439,"uf" => "BA","descricao" => "RIACHAO DO JACUIPE","cep1" => "44640-000","cep2" => "44640-000","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>440,"uf" => "BA","descricao" => "RIACHO DE SANTANA","cep1" => "46470-000","cep2" => "46479-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>441,"uf" => "BA","descricao" => "RIBEIRA DO AMPARO","cep1" => "48440-000","cep2" => "48440-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>442,"uf" => "BA","descricao" => "RIBEIRA DO POMBAL","cep1" => "48400-000","cep2" => "48400-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>443,"uf" => "BA","descricao" => "RIBEIRAO DO LARGO","cep1" => "45155-000","cep2" => "45155-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>444,"uf" => "BA","descricao" => "RIO DE CONTAS","cep1" => "46170-000","cep2" => "46170-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>445,"uf" => "BA","descricao" => "RIO DO ANTONIO","cep1" => "46220-000","cep2" => "46220-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>446,"uf" => "BA","descricao" => "RIO DO PIRES","cep1" => "46550-000","cep2" => "46550-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>447,"uf" => "BA","descricao" => "RIO REAL","cep1" => "48330-000","cep2" => "48330-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>448,"uf" => "BA","descricao" => "RODELAS","cep1" => "48630-000","cep2" => "48630-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>449,"uf" => "BA","descricao" => "RUY BARBOSA","cep1" => "46800-000","cep2" => "46800-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>450,"uf" => "BA","descricao" => "SALINAS DA MARGARIDA","cep1" => "44450-000","cep2" => "44450-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>451,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40391-164","cep2" => "40391-164","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>452,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40388-000","cep2" => "40389-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>453,"uf" => "BA","descricao" => "SALVADOR","cep1" => "42500-901","cep2" => "42509-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>454,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40000-000","cep2" => "40384-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>455,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40800-115","cep2" => "40800-115","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>456,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40800-990","cep2" => "40800-990","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>457,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40750-091","cep2" => "40750-119","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>458,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40710-251","cep2" => "40713-585","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>459,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40730-201","cep2" => "40730-349","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>460,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40731-461","cep2" => "40750-089","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>461,"uf" => "BA","descricao" => "SALVADOR","cep1" => "42500-001","cep2" => "42500-900","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "2"],
            ["id" =>462,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40396-000","cep2" => "40396-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>463,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40399-000","cep2" => "40470-635","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>464,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40392-000","cep2" => "40392-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>465,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40391-200","cep2" => "40391-200","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>466,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40393-250","cep2" => "40393-250","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>467,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40710-250","cep2" => "40710-250","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>468,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40730-200","cep2" => "40730-200","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>469,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40731-460","cep2" => "40731-460","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>470,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40750-090","cep2" => "40750-090","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>471,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40800-376","cep2" => "40800-989","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>472,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40800-991","cep2" => "40810-644","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>473,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40750-120","cep2" => "40750-120","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>474,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40750-121","cep2" => "40800-114","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>475,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40800-116","cep2" => "40800-161","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>476,"uf" => "BA","descricao" => "SALVADOR","cep1" => "42510-001","cep2" => "42510-079","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>477,"uf" => "BA","descricao" => "SALVADOR","cep1" => "42510-256","cep2" => "42599-999","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>478,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40470-637","cep2" => "40490-145","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>479,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40490-147","cep2" => "40710-249","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>480,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40713-587","cep2" => "40720-275","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>481,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40720-277","cep2" => "40720-695","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>482,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40720-697","cep2" => "40730-199","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>483,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40730-351","cep2" => "40731-459","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>484,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40800-163","cep2" => "40800-164","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>485,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41311-019","cep2" => "41311-236","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>486,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41311-238","cep2" => "41311-267","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>487,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41520-045","cep2" => "41520-045","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>488,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41300-011","cep2" => "41300-014","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>489,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41300-019","cep2" => "41300-019","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>490,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41300-021","cep2" => "41300-779","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>491,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41300-781","cep2" => "41310-159","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>492,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41310-161","cep2" => "41310-259","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>493,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41310-261","cep2" => "41310-367","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>494,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41310-369","cep2" => "41311-002","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>495,"uf" => "BA","descricao" => "SALVADOR","cep1" => "42510-081","cep2" => "42510-099","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>496,"uf" => "BA","descricao" => "SALVADOR","cep1" => "42510-101","cep2" => "42510-119","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>497,"uf" => "BA","descricao" => "SALVADOR","cep1" => "42510-121","cep2" => "42510-124","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>498,"uf" => "BA","descricao" => "SALVADOR","cep1" => "42510-126","cep2" => "42510-254","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>499,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41311-004","cep2" => "41311-017","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>500,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41300-016","cep2" => "41300-017","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>501,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40800-166","cep2" => "40800-234","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>502,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40800-236","cep2" => "40800-374","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>503,"uf" => "BA","descricao" => "SALVADOR","cep1" => "40810-646","cep2" => "41300-009","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>504,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41311-269","cep2" => "41520-044","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>505,"uf" => "BA","descricao" => "SALVADOR","cep1" => "41520-046","cep2" => "42500-000","roteirizacao" => "SSA","unidade" => "SSA02","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>506,"uf" => "BA","descricao" => "SANTA BARBARA","cep1" => "44150-000","cep2" => "44150-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>507,"uf" => "BA","descricao" => "SANTA BRIGIDA","cep1" => "48570-000","cep2" => "48570-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>508,"uf" => "BA","descricao" => "SANTA CRUZ DA VITORIA","cep1" => "45725-000","cep2" => "45725-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>509,"uf" => "BA","descricao" => "SANTA INES","cep1" => "45320-000","cep2" => "45320-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>510,"uf" => "BA","descricao" => "SANTA LUZIA","cep1" => "45865-000","cep2" => "45865-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>511,"uf" => "BA","descricao" => "SANTA MARIA DA VITORIA","cep1" => "47640-000","cep2" => "47640-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>512,"uf" => "BA","descricao" => "SANTA RITA DE CASSIA","cep1" => "47150-000","cep2" => "47150-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>513,"uf" => "BA","descricao" => "SANTA TERESINHA","cep1" => "44590-000","cep2" => "44599-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>514,"uf" => "BA","descricao" => "SANTALUZ","cep1" => "48880-000","cep2" => "48880-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>515,"uf" => "BA","descricao" => "SANTANA","cep1" => "47700-000","cep2" => "47700-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>516,"uf" => "BA","descricao" => "SANTANOPOLIS","cep1" => "44260-000","cep2" => "44260-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>517,"uf" => "BA","descricao" => "SANTO AMARO","cep1" => "44200-000","cep2" => "44200-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>518,"uf" => "BA","descricao" => "SANTO AMARO","cep1" => "44218-000","cep2" => "44218-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>519,"uf" => "BA","descricao" => "SANTO ANTONIO DE JESUS","cep1" => "44571-013","cep2" => "44574-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>520,"uf" => "BA","descricao" => "SANTO ESTEVAO","cep1" => "44190-000","cep2" => "44190-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>521,"uf" => "BA","descricao" => "SAO DESIDERIO","cep1" => "47820-000","cep2" => "47820-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>522,"uf" => "BA","descricao" => "SAO DOMINGOS","cep1" => "48895-000","cep2" => "48895-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>523,"uf" => "BA","descricao" => "SAO FELIPE","cep1" => "44550-000","cep2" => "44550-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>524,"uf" => "BA","descricao" => "SAO FELIX","cep1" => "44360-000","cep2" => "44360-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>525,"uf" => "BA","descricao" => "SAO FELIX DO CORIBE","cep1" => "47665-000","cep2" => "47665-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>526,"uf" => "BA","descricao" => "SAO FRANCISCO DO CONDE","cep1" => "43900-000","cep2" => "43900-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>527,"uf" => "BA","descricao" => "SAO FRANCISCO DO CONDE","cep1" => "43970-000","cep2" => "43970-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>528,"uf" => "BA","descricao" => "SAO GABRIEL","cep1" => "44915-000","cep2" => "44915-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>529,"uf" => "BA","descricao" => "SAO GONCALO DOS CAMPOS","cep1" => "44330-000","cep2" => "44330-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>530,"uf" => "BA","descricao" => "SAO JOSE DA VITORIA","cep1" => "45620-000","cep2" => "45620-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>531,"uf" => "BA","descricao" => "SAO JOSE DO JACUIPE","cep1" => "44698-000","cep2" => "44698-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>532,"uf" => "BA","descricao" => "SAO MIGUEL DAS MATAS","cep1" => "44580-000","cep2" => "44580-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>533,"uf" => "BA","descricao" => "SAO SEBASTIAO DO PASSE","cep1" => "43850-000","cep2" => "43850-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>534,"uf" => "BA","descricao" => "SAPEACU","cep1" => "44530-000","cep2" => "44530-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>535,"uf" => "BA","descricao" => "SATIRO DIAS","cep1" => "48485-000","cep2" => "48485-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>536,"uf" => "BA","descricao" => "SAUBARA","cep1" => "44220-000","cep2" => "44220-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>537,"uf" => "BA","descricao" => "SAUDE","cep1" => "44740-000","cep2" => "44740-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>538,"uf" => "BA","descricao" => "SEABRA","cep1" => "46900-000","cep2" => "46900-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>539,"uf" => "BA","descricao" => "SEBASTIAO LARANJEIRAS","cep1" => "46450-000","cep2" => "46450-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "5"],
            ["id" =>540,"uf" => "BA","descricao" => "SENHOR DO BONFIM","cep1" => "48970-000","cep2" => "48970-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>541,"uf" => "BA","descricao" => "SENTO SE","cep1" => "47350-000","cep2" => "47350-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>542,"uf" => "BA","descricao" => "SERRA DO RAMALHO","cep1" => "47630-000","cep2" => "47630-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>543,"uf" => "BA","descricao" => "SERRA DOURADA","cep1" => "47740-000","cep2" => "47740-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>544,"uf" => "BA","descricao" => "SERRA PRETA","cep1" => "44660-000","cep2" => "44660-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>545,"uf" => "BA","descricao" => "SERRINHA","cep1" => "48700-000","cep2" => "48704-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>546,"uf" => "BA","descricao" => "SERROLANDIA","cep1" => "44710-000","cep2" => "44710-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>547,"uf" => "BA","descricao" => "SIMOES FILHO","cep1" => "43700-000","cep2" => "43700-999","roteirizacao" => "QCC","unidade" => "QCC01","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>548,"uf" => "BA","descricao" => "SOBRADINHO","cep1" => "48925-000","cep2" => "48925-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>549,"uf" => "BA","descricao" => "SOUTO SOARES","cep1" => "46990-000","cep2" => "46990-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>550,"uf" => "BA","descricao" => "TANQUE NOVO","cep1" => "46580-000","cep2" => "46580-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>551,"uf" => "BA","descricao" => "TANQUINHO","cep1" => "44160-000","cep2" => "44160-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>552,"uf" => "BA","descricao" => "TAPEROA","cep1" => "45430-000","cep2" => "45430-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>553,"uf" => "BA","descricao" => "TAPIRAMUTA","cep1" => "44840-000","cep2" => "44840-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>554,"uf" => "BA","descricao" => "TEIXEIRA DE FREITAS","cep1" => "45985-001","cep2" => "45999-999","roteirizacao" => "TXF","unidade" => "TXF","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>555,"uf" => "BA","descricao" => "TEODORO SAMPAIO","cep1" => "44280-000","cep2" => "44280-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>556,"uf" => "BA","descricao" => "TEOFILANDIA","cep1" => "48770-000","cep2" => "48779-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>557,"uf" => "BA","descricao" => "TEOLANDIA","cep1" => "45465-000","cep2" => "45465-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>558,"uf" => "BA","descricao" => "TERRA NOVA","cep1" => "44270-000","cep2" => "44270-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>559,"uf" => "BA","descricao" => "TREMEDAL","cep1" => "45170-000","cep2" => "45170-999","roteirizacao" => "VDC","unidade" => "VDC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>560,"uf" => "BA","descricao" => "TUCANO","cep1" => "48790-000","cep2" => "48790-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>561,"uf" => "BA","descricao" => "UAUA","cep1" => "48950-000","cep2" => "48950-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>562,"uf" => "BA","descricao" => "UBAIRA","cep1" => "45310-000","cep2" => "45310-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>563,"uf" => "BA","descricao" => "UBAITABA","cep1" => "45545-000","cep2" => "45545-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>564,"uf" => "BA","descricao" => "UBATA","cep1" => "45550-000","cep2" => "45550-999","roteirizacao" => "IOS","unidade" => "IOS","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>565,"uf" => "BA","descricao" => "UIBAI","cep1" => "44950-000","cep2" => "44950-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>566,"uf" => "BA","descricao" => "UNA","cep1" => "45690-000","cep2" => "45690-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>567,"uf" => "BA","descricao" => "URANDI","cep1" => "46350-000","cep2" => "46359-999","roteirizacao" => "GNM","unidade" => "GNM02","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>568,"uf" => "BA","descricao" => "URUCUCA","cep1" => "45680-000","cep2" => "45680-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>569,"uf" => "BA","descricao" => "UTINGA","cep1" => "46810-000","cep2" => "46810-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>570,"uf" => "BA","descricao" => "VALENCA","cep1" => "45400-000","cep2" => "45400-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>571,"uf" => "BA","descricao" => "VALENTE","cep1" => "48890-000","cep2" => "48890-999","roteirizacao" => "FEC","unidade" => "FEC","tabela" => 12,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>572,"uf" => "BA","descricao" => "VARZEA DA ROCA","cep1" => "44635-000","cep2" => "44635-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>573,"uf" => "BA","descricao" => "VARZEA DO POCO","cep1" => "44715-000","cep2" => "44715-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>574,"uf" => "BA","descricao" => "VARZEA NOVA","cep1" => "44690-000","cep2" => "44690-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>575,"uf" => "BA","descricao" => "VARZEDO","cep1" => "44565-000","cep2" => "44565-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>576,"uf" => "BA","descricao" => "VERA CRUZ","cep1" => "44470-000","cep2" => "44470-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>577,"uf" => "BA","descricao" => "VEREDA","cep1" => "45955-000","cep2" => "45955-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>578,"uf" => "BA","descricao" => "VITORIA DA CONQUISTA","cep1" => "45000-001","cep2" => "45099-999","roteirizacao" => "VDC","unidade" => "VDC","tabela" => 12,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>579,"uf" => "BA","descricao" => "WAGNER","cep1" => "46970-000","cep2" => "46970-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>580,"uf" => "BA","descricao" => "WANDERLEY","cep1" => "47940-000","cep2" => "47940-999","roteirizacao" => "BRA","unidade" => "BRA","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>581,"uf" => "BA","descricao" => "WENCESLAU GUIMARAES","cep1" => "45460-000","cep2" => "45460-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>582,"uf" => "BA","descricao" => "XIQUE XIQUE","cep1" => "47400-000","cep2" => "47439-999","roteirizacao" => "SSA","unidade" => "SSAT1","tabela" => 12,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>583,"uf" => "CE","descricao" => "ACARAU","cep1" => "62580-000","cep2" => "62589-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>584,"uf" => "CE","descricao" => "AQUIRAZ","cep1" => "61700-000","cep2" => "61700-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>585,"uf" => "CE","descricao" => "BARBALHA","cep1" => "63180-000","cep2" => "63180-999","roteirizacao" => "JDO","unidade" => "JDO","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>586,"uf" => "CE","descricao" => "BELA CRUZ","cep1" => "62570-000","cep2" => "62579-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>587,"uf" => "CE","descricao" => "CASCAVEL","cep1" => "62850-000","cep2" => "62859-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>588,"uf" => "CE","descricao" => "CAUCAIA","cep1" => "61600-001","cep2" => "61699-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>589,"uf" => "CE","descricao" => "CHOROZINHO","cep1" => "62875-000","cep2" => "62879-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>590,"uf" => "CE","descricao" => "CRATO","cep1" => "63100-000","cep2" => "63133-999","roteirizacao" => "JDO","unidade" => "JDO","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>591,"uf" => "CE","descricao" => "CRUZ","cep1" => "62595-000","cep2" => "62597-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>592,"uf" => "CE","descricao" => "EUSEBIO","cep1" => "61760-000","cep2" => "61799-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>593,"uf" => "CE","descricao" => "FORQUILHA","cep1" => "62115-000","cep2" => "62119-999","roteirizacao" => "QBX","unidade" => "QBX01","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>594,"uf" => "CE","descricao" => "FORTALEZA","cep1" => "60743-900","cep2" => "60743-900","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>595,"uf" => "CE","descricao" => "FORTALEZA","cep1" => "60000-001","cep2" => "60743-899","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>596,"uf" => "CE","descricao" => "FORTALEZA","cep1" => "60743-901","cep2" => "61599-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>597,"uf" => "CE","descricao" => "FRECHEIRINHA","cep1" => "62340-000","cep2" => "62349-999","roteirizacao" => "QBX","unidade" => "QBX01","tabela" => 16,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "5"],
            ["id" =>598,"uf" => "CE","descricao" => "GROAIRAS","cep1" => "62190-000","cep2" => "62190-000","roteirizacao" => "QBX","unidade" => "QBX01","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>599,"uf" => "CE","descricao" => "GUAIUBA","cep1" => "61890-000","cep2" => "61899-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>600,"uf" => "CE","descricao" => "HORIZONTE","cep1" => "62880-001","cep2" => "62896-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>601,"uf" => "CE","descricao" => "IGUATU","cep1" => "63500-001","cep2" => "63514-999","roteirizacao" => "JDO","unidade" => "JDO","tabela" => 16,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>602,"uf" => "CE","descricao" => "ITAITINGA","cep1" => "61880-000","cep2" => "61889-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>603,"uf" => "CE","descricao" => "ITAPIPOCA","cep1" => "62500-001","cep2" => "62509-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "10"],
            ["id" =>604,"uf" => "CE","descricao" => "ITAREMA","cep1" => "62590-000","cep2" => "62594-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>605,"uf" => "CE","descricao" => "JIJOCA DE JERICOACOARA","cep1" => "62598-000","cep2" => "62599-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>606,"uf" => "CE","descricao" => "JUAZEIRO DO NORTE","cep1" => "63000-000","cep2" => "63079-999","roteirizacao" => "JDO","unidade" => "JDO","tabela" => 16,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>607,"uf" => "CE","descricao" => "MARACANAU","cep1" => "61900-000","cep2" => "61939-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>608,"uf" => "CE","descricao" => "MARANGUAPE","cep1" => "61940-001","cep2" => "61949-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>609,"uf" => "CE","descricao" => "MARCO","cep1" => "62560-000","cep2" => "62569-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>610,"uf" => "CE","descricao" => "MASSAPE","cep1" => "62140-000","cep2" => "62149-999","roteirizacao" => "QBX","unidade" => "QBX01","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>611,"uf" => "CE","descricao" => "MORRINHOS","cep1" => "62550-000","cep2" => "62559-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>612,"uf" => "CE","descricao" => "PACAJUS","cep1" => "62870-000","cep2" => "62874-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>613,"uf" => "CE","descricao" => "PACATUBA","cep1" => "61800-001","cep2" => "61814-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>614,"uf" => "CE","descricao" => "PINDORETAMA","cep1" => "62860-000","cep2" => "62869-999","roteirizacao" => "FOR","unidade" => "FOR07","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>615,"uf" => "CE","descricao" => "SANTANA DO ACARAU","cep1" => "62150-000","cep2" => "62159-999","roteirizacao" => "JJD","unidade" => "JJD","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>616,"uf" => "CE","descricao" => "SOBRAL","cep1" => "62100-000","cep2" => "62114-999","roteirizacao" => "QBX","unidade" => "QBX01","tabela" => 16,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>617,"uf" => "CE","descricao" => "SOBRAL","cep1" => "62000-001","cep2" => "62099-999","roteirizacao" => "QBX","unidade" => "QBX01","tabela" => 16,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>618,"uf" => "CE","descricao" => "TIANGUA","cep1" => "62320-000","cep2" => "62329-999","roteirizacao" => "QBX","unidade" => "QBX01","tabela" => 16,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "5"],
            ["id" =>619,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71000-000","cep2" => "71299-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>620,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71900-000","cep2" => "71999-999","roteirizacao" => "BSB","unidade" => "BSB02","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>621,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72300-000","cep2" => "72399-999","roteirizacao" => "BSB","unidade" => "BSB02","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>622,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71608-900","cep2" => "71608-900","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>623,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71690-000","cep2" => "71699-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>624,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72700-000","cep2" => "72799-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "2"],
            ["id" =>625,"uf" => "DF","descricao" => "BRASILIA","cep1" => "70000-000","cep2" => "70299-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>626,"uf" => "DF","descricao" => "BRASILIA","cep1" => "70400-000","cep2" => "70999-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>627,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72600-000","cep2" => "72699-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>628,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72500-000","cep2" => "72599-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "3"],
            ["id" =>629,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71300-000","cep2" => "71399-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>630,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71800-000","cep2" => "71859-998","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>631,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71860-002","cep2" => "71899-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>632,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72400-000","cep2" => "72499-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "3"],
            ["id" =>633,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71500-000","cep2" => "71569-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>634,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71570-000","cep2" => "71599-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>635,"uf" => "DF","descricao" => "BRASILIA","cep1" => "70300-000","cep2" => "70399-999","roteirizacao" => "BSB","unidade" => "BSB01","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>636,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71700-000","cep2" => "71799-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>637,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72238-611","cep2" => "72243-099","roteirizacao" => "BSB","unidade" => "BSB02","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>638,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72243-721","cep2" => "72299-999","roteirizacao" => "BSB","unidade" => "BSB02","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>639,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72000-000","cep2" => "72008-000","roteirizacao" => "BSB","unidade" => "BSB02","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>640,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72008-002","cep2" => "72199-999","roteirizacao" => "BSB","unidade" => "BSB02","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>641,"uf" => "DF","descricao" => "BRASILIA","cep1" => "72200-000","cep2" => "72237-999","roteirizacao" => "BSB","unidade" => "BSB02","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>642,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71600-000","cep2" => "71608-899","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>643,"uf" => "DF","descricao" => "BRASILIA","cep1" => "71608-901","cep2" => "71689-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 6,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>644,"uf" => "DF","descricao" => "PLANALTINA (DISTRITO)","cep1" => "73300-000","cep2" => "73349-999","roteirizacao" => "BSB","unidade" => "BSB01","tabela" => 6,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>645,"uf" => "DF","descricao" => "SOBRADINHO (DISTRITO)","cep1" => "73000-000","cep2" => "73299-999","roteirizacao" => "BSB","unidade" => "BSB01","tabela" => 6,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>646,"uf" => "ES","descricao" => "CACHOEIRO DE ITAPEMIRIM","cep1" => "29300-000","cep2" => "29329-000","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 7,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>647,"uf" => "ES","descricao" => "CARIACICA","cep1" => "29140-000","cep2" => "29155-199","roteirizacao" => "QVH","unidade" => "QVH02","tabela" => 7,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>648,"uf" => "ES","descricao" => "CARIACICA","cep1" => "29155-300","cep2" => "29157-999","roteirizacao" => "QVH","unidade" => "QVH02","tabela" => 7,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>649,"uf" => "ES","descricao" => "CARIACICA","cep1" => "29158-100","cep2" => "29159-999","roteirizacao" => "QVH","unidade" => "QVH02","tabela" => 7,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>650,"uf" => "ES","descricao" => "CARIACICA","cep1" => "29155-200","cep2" => "29155-299","roteirizacao" => "QVH","unidade" => "QVH02","tabela" => 7,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>651,"uf" => "ES","descricao" => "CARIACICA","cep1" => "29158-000","cep2" => "29158-099","roteirizacao" => "QVH","unidade" => "QVH02","tabela" => 7,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>652,"uf" => "ES","descricao" => "GUACUI","cep1" => "29560-000","cep2" => "29579-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 7,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>653,"uf" => "ES","descricao" => "SAO JOSE DO CALCADO","cep1" => "29470-000","cep2" => "29479-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 7,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>654,"uf" => "ES","descricao" => "SERRA","cep1" => "29160-001","cep2" => "29184-999","roteirizacao" => "SER","unidade" => "SER02","tabela" => 7,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>655,"uf" => "ES","descricao" => "VIANA","cep1" => "29132-100","cep2" => "29139-999","roteirizacao" => "QVH","unidade" => "QVH02","tabela" => 7,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>656,"uf" => "ES","descricao" => "VIANA","cep1" => "29130-000","cep2" => "29132-099","roteirizacao" => "QVH","unidade" => "QVH02","tabela" => 7,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>657,"uf" => "ES","descricao" => "VILA VELHA","cep1" => "29100-001","cep2" => "29129-999","roteirizacao" => "QVH","unidade" => "QVH02","tabela" => 7,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>658,"uf" => "ES","descricao" => "VITORIA","cep1" => "29075-920","cep2" => "29075-920","roteirizacao" => "VIX","unidade" => "VIX01","tabela" => 7,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>659,"uf" => "ES","descricao" => "VITORIA","cep1" => "29000-000","cep2" => "29075-919","roteirizacao" => "VIX","unidade" => "VIX01","tabela" => 7,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>660,"uf" => "ES","descricao" => "VITORIA","cep1" => "29075-921","cep2" => "29099-999","roteirizacao" => "VIX","unidade" => "VIX01","tabela" => 7,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>661,"uf" => "GO","descricao" => "ABADIA DE GOIAS","cep1" => "75345-000","cep2" => "75349-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>662,"uf" => "GO","descricao" => "ABADIANIA","cep1" => "72940-000","cep2" => "72959-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>663,"uf" => "GO","descricao" => "ACREUNA","cep1" => "75960-000","cep2" => "75969-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>664,"uf" => "GO","descricao" => "ADELANDIA","cep1" => "76155-000","cep2" => "76155-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>665,"uf" => "GO","descricao" => "AGUA LIMPA","cep1" => "75665-000","cep2" => "75665-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>666,"uf" => "GO","descricao" => "ALEXANIA","cep1" => "72930-000","cep2" => "72939-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>667,"uf" => "GO","descricao" => "ALTO HORIZONTE","cep1" => "76560-000","cep2" => "76560-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>668,"uf" => "GO","descricao" => "AMARALINA","cep1" => "76493-000","cep2" => "76493-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>669,"uf" => "GO","descricao" => "AMERICANO DO BRASIL","cep1" => "76165-000","cep2" => "76165-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>670,"uf" => "GO","descricao" => "ANAPOLIS","cep1" => "75000-001","cep2" => "75149-999","roteirizacao" => "APS","unidade" => "APS02","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>671,"uf" => "GO","descricao" => "ANHANGUERA","cep1" => "75770-000","cep2" => "75770-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>672,"uf" => "GO","descricao" => "ANICUNS","cep1" => "76170-000","cep2" => "76170-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>673,"uf" => "GO","descricao" => "APARECIDA DE GOIANIA","cep1" => "74900-000","cep2" => "74999-999","roteirizacao" => "GYN","unidade" => "GYN01","tabela" => 10,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>674,"uf" => "GO","descricao" => "APARECIDA DO RIO DOCE","cep1" => "75827-000","cep2" => "75827-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>675,"uf" => "GO","descricao" => "APORE","cep1" => "75825-000","cep2" => "75825-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>676,"uf" => "GO","descricao" => "ARACU","cep1" => "75410-000","cep2" => "75410-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>677,"uf" => "GO","descricao" => "ARAGOIANIA","cep1" => "75360-000","cep2" => "75360-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>678,"uf" => "GO","descricao" => "ARAGUAPAZ","cep1" => "76720-000","cep2" => "76720-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>679,"uf" => "GO","descricao" => "ARENOPOLIS","cep1" => "76235-000","cep2" => "76235-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>680,"uf" => "GO","descricao" => "AURILANDIA","cep1" => "76120-000","cep2" => "76120-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>681,"uf" => "GO","descricao" => "AVELINOPOLIS","cep1" => "75395-000","cep2" => "75395-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>682,"uf" => "GO","descricao" => "BELA VISTA DE GOIAS","cep1" => "75240-000","cep2" => "75244-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>683,"uf" => "GO","descricao" => "BOM JARDIM DE GOIAS","cep1" => "76245-000","cep2" => "76245-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>684,"uf" => "GO","descricao" => "BONFINOPOLIS","cep1" => "75195-000","cep2" => "75195-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>685,"uf" => "GO","descricao" => "BONOPOLIS","cep1" => "76555-000","cep2" => "76559-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>686,"uf" => "GO","descricao" => "BRAZABRANTES","cep1" => "75440-000","cep2" => "75440-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>687,"uf" => "GO","descricao" => "BRITANIA","cep1" => "76280-000","cep2" => "76280-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>688,"uf" => "GO","descricao" => "BURITI DE GOIAS","cep1" => "76152-000","cep2" => "76152-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>689,"uf" => "GO","descricao" => "CACHOEIRA ALTA","cep1" => "75870-000","cep2" => "75870-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>690,"uf" => "GO","descricao" => "CACHOEIRA DE GOIAS","cep1" => "76125-000","cep2" => "76125-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>691,"uf" => "GO","descricao" => "CACU","cep1" => "75813-000","cep2" => "75813-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>692,"uf" => "GO","descricao" => "CALDAS NOVAS","cep1" => "75680-001","cep2" => "75694-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>693,"uf" => "GO","descricao" => "CALDAZINHA","cep1" => "75245-000","cep2" => "75245-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>694,"uf" => "GO","descricao" => "CAMPESTRE DE GOIAS","cep1" => "75396-000","cep2" => "75397-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>695,"uf" => "GO","descricao" => "CAMPINORTE","cep1" => "76410-000","cep2" => "76410-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>696,"uf" => "GO","descricao" => "CAMPO ALEGRE DE GOIAS","cep1" => "75795-000","cep2" => "75795-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>697,"uf" => "GO","descricao" => "CAMPOS VERDES","cep1" => "76515-000","cep2" => "76515-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>698,"uf" => "GO","descricao" => "CARMO DO RIO VERDE","cep1" => "76340-000","cep2" => "76340-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>699,"uf" => "GO","descricao" => "CASTELANDIA","cep1" => "75925-000","cep2" => "75925-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>700,"uf" => "GO","descricao" => "CATALAO","cep1" => "75700-001","cep2" => "75714-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>701,"uf" => "GO","descricao" => "CATURAI","cep1" => "75430-000","cep2" => "75430-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>702,"uf" => "GO","descricao" => "CERES","cep1" => "76300-000","cep2" => "76300-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>703,"uf" => "GO","descricao" => "CEZARINA","cep1" => "76195-000","cep2" => "76199-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>704,"uf" => "GO","descricao" => "CHAPADAO DO CEU","cep1" => "75828-000","cep2" => "75828-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>705,"uf" => "GO","descricao" => "CORREGO DO OURO","cep1" => "76145-000","cep2" => "76145-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>706,"uf" => "GO","descricao" => "CORUMBAIBA","cep1" => "75675-000","cep2" => "75679-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>707,"uf" => "GO","descricao" => "CRISTIANOPOLIS","cep1" => "75230-000","cep2" => "75239-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>708,"uf" => "GO","descricao" => "CROMINIA","cep1" => "75635-000","cep2" => "75635-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>709,"uf" => "GO","descricao" => "CUMARI","cep1" => "75760-000","cep2" => "75760-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>710,"uf" => "GO","descricao" => "DAMOLANDIA","cep1" => "75420-000","cep2" => "75420-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>711,"uf" => "GO","descricao" => "DAVINOPOLIS","cep1" => "75730-000","cep2" => "75730-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>712,"uf" => "GO","descricao" => "DIORAMA","cep1" => "76260-000","cep2" => "76260-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>713,"uf" => "GO","descricao" => "DOVERLANDIA","cep1" => "75858-000","cep2" => "75858-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>714,"uf" => "GO","descricao" => "EDEALINA","cep1" => "75945-000","cep2" => "75945-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>715,"uf" => "GO","descricao" => "EDEIA","cep1" => "75940-000","cep2" => "75940-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>716,"uf" => "GO","descricao" => "ESTRELA DO NORTE","cep1" => "76485-000","cep2" => "76485-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>717,"uf" => "GO","descricao" => "FAINA","cep1" => "76740-000","cep2" => "76740-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>718,"uf" => "GO","descricao" => "FAZENDA NOVA","cep1" => "76220-000","cep2" => "76220-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>719,"uf" => "GO","descricao" => "FIRMINOPOLIS","cep1" => "76105-000","cep2" => "76105-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>720,"uf" => "GO","descricao" => "FORMOSA","cep1" => "73801-000","cep2" => "73801-999","roteirizacao" => "BSB","unidade" => "BSB01","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>721,"uf" => "GO","descricao" => "FORMOSO","cep1" => "76470-000","cep2" => "76470-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>722,"uf" => "GO","descricao" => "GAMELEIRA DE GOIAS","cep1" => "75184-000","cep2" => "75184-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>723,"uf" => "GO","descricao" => "GOIANAPOLIS","cep1" => "75170-000","cep2" => "75170-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>724,"uf" => "GO","descricao" => "GOIANDIRA","cep1" => "75740-000","cep2" => "75740-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>725,"uf" => "GO","descricao" => "GOIANIA","cep1" => "74200-000","cep2" => "74399-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>726,"uf" => "GO","descricao" => "GOIANIA","cep1" => "74670-010","cep2" => "74670-010","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>727,"uf" => "GO","descricao" => "GOIANIA","cep1" => "74000-000","cep2" => "74199-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>728,"uf" => "GO","descricao" => "GOIANIA","cep1" => "74800-000","cep2" => "74899-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>729,"uf" => "GO","descricao" => "GOIANIA","cep1" => "74400-000","cep2" => "74670-009","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>730,"uf" => "GO","descricao" => "GOIANIA","cep1" => "74670-011","cep2" => "74799-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>731,"uf" => "GO","descricao" => "GOIANIRA","cep1" => "75370-000","cep2" => "75370-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>732,"uf" => "GO","descricao" => "GOIAS","cep1" => "76600-000","cep2" => "76600-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>733,"uf" => "GO","descricao" => "GOIATUBA","cep1" => "75600-000","cep2" => "75602-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>734,"uf" => "GO","descricao" => "GOUVELANDIA","cep1" => "75865-000","cep2" => "75869-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>735,"uf" => "GO","descricao" => "GUAPO","cep1" => "75350-000","cep2" => "75354-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>736,"uf" => "GO","descricao" => "GUARINOS","cep1" => "76374-000","cep2" => "76374-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>737,"uf" => "GO","descricao" => "HIDROLANDIA","cep1" => "75340-000","cep2" => "75340-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>738,"uf" => "GO","descricao" => "HIDROLINA","cep1" => "76375-000","cep2" => "76375-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>739,"uf" => "GO","descricao" => "INACIOLANDIA","cep1" => "75550-000","cep2" => "75550-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>740,"uf" => "GO","descricao" => "INDIARA","cep1" => "75955-000","cep2" => "75959-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>741,"uf" => "GO","descricao" => "INHUMAS","cep1" => "75400-000","cep2" => "75409-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>742,"uf" => "GO","descricao" => "IPAMERI","cep1" => "75780-000","cep2" => "75789-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>743,"uf" => "GO","descricao" => "IPIRANGA DE GOIAS","cep1" => "76304-000","cep2" => "76304-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>744,"uf" => "GO","descricao" => "ISRAELANDIA","cep1" => "76205-000","cep2" => "76205-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>745,"uf" => "GO","descricao" => "ITABERAI","cep1" => "76630-000","cep2" => "76639-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>746,"uf" => "GO","descricao" => "ITAGUARI","cep1" => "76650-000","cep2" => "76650-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>747,"uf" => "GO","descricao" => "ITAJA","cep1" => "75815-000","cep2" => "75815-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>748,"uf" => "GO","descricao" => "ITAPACI","cep1" => "76360-000","cep2" => "76360-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>749,"uf" => "GO","descricao" => "ITAPIRAPUA","cep1" => "76290-000","cep2" => "76290-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>750,"uf" => "GO","descricao" => "ITARUMA","cep1" => "75810-000","cep2" => "75810-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>751,"uf" => "GO","descricao" => "ITAUCU","cep1" => "75450-000","cep2" => "75450-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>752,"uf" => "GO","descricao" => "ITUMBIARA","cep1" => "75500-001","cep2" => "75549-999","roteirizacao" => "ITR","unidade" => "ITR01","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>753,"uf" => "GO","descricao" => "IVOLANDIA","cep1" => "76130-000","cep2" => "76130-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>754,"uf" => "GO","descricao" => "JANDAIA","cep1" => "75950-000","cep2" => "75954-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>755,"uf" => "GO","descricao" => "JARAGUA","cep1" => "76330-000","cep2" => "76334-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>756,"uf" => "GO","descricao" => "JATAI","cep1" => "75800-001","cep2" => "75809-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>757,"uf" => "GO","descricao" => "JAUPACI","cep1" => "76210-000","cep2" => "76210-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>758,"uf" => "GO","descricao" => "JESUPOLIS","cep1" => "75495-000","cep2" => "75495-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>759,"uf" => "GO","descricao" => "JUSSARA","cep1" => "76270-000","cep2" => "76270-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>760,"uf" => "GO","descricao" => "LAGOA SANTA","cep1" => "75819-000","cep2" => "75819-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>761,"uf" => "GO","descricao" => "LEOPOLDO DE BULHOES","cep1" => "75190-000","cep2" => "75190-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>762,"uf" => "GO","descricao" => "MAIRIPOTABA","cep1" => "75630-000","cep2" => "75630-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>763,"uf" => "GO","descricao" => "MARA ROSA","cep1" => "76490-000","cep2" => "76490-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>764,"uf" => "GO","descricao" => "MARZAGAO","cep1" => "75670-000","cep2" => "75670-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>765,"uf" => "GO","descricao" => "MATRINCHA","cep1" => "76730-000","cep2" => "76730-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>766,"uf" => "GO","descricao" => "MAURILANDIA","cep1" => "75930-000","cep2" => "75930-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>767,"uf" => "GO","descricao" => "MINEIROS","cep1" => "75830-000","cep2" => "75834-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>768,"uf" => "GO","descricao" => "MOIPORA","cep1" => "76135-000","cep2" => "76135-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>769,"uf" => "GO","descricao" => "MONTES CLAROS DE GOIAS","cep1" => "76255-000","cep2" => "76255-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>770,"uf" => "GO","descricao" => "MONTIVIDIU","cep1" => "75915-000","cep2" => "75919-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>771,"uf" => "GO","descricao" => "MONTIVIDIU DO NORTE","cep1" => "76465-000","cep2" => "76465-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>772,"uf" => "GO","descricao" => "MORRINHOS","cep1" => "75650-000","cep2" => "75650-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>773,"uf" => "GO","descricao" => "MORRO AGUDO DE GOIAS","cep1" => "76355-000","cep2" => "76355-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>774,"uf" => "GO","descricao" => "MOSSAMEDES","cep1" => "76150-000","cep2" => "76150-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>775,"uf" => "GO","descricao" => "MUNDO NOVO","cep1" => "76530-000","cep2" => "76530-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>776,"uf" => "GO","descricao" => "MUTUNOPOLIS","cep1" => "76540-000","cep2" => "76540-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>777,"uf" => "GO","descricao" => "NAZARIO","cep1" => "76180-000","cep2" => "76180-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>778,"uf" => "GO","descricao" => "NEROPOLIS","cep1" => "75460-000","cep2" => "75469-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>779,"uf" => "GO","descricao" => "NOVA AMERICA","cep1" => "76345-000","cep2" => "76345-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>780,"uf" => "GO","descricao" => "NOVA AURORA","cep1" => "75750-000","cep2" => "75750-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>781,"uf" => "GO","descricao" => "NOVA CRIXAS","cep1" => "76520-000","cep2" => "76520-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>782,"uf" => "GO","descricao" => "NOVA GLORIA","cep1" => "76305-000","cep2" => "76305-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>783,"uf" => "GO","descricao" => "NOVA IGUACU DE GOIAS","cep1" => "76495-000","cep2" => "76495-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>784,"uf" => "GO","descricao" => "NOVA VENEZA","cep1" => "75470-000","cep2" => "75479-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>785,"uf" => "GO","descricao" => "NOVO BRASIL","cep1" => "76285-000","cep2" => "76285-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>786,"uf" => "GO","descricao" => "NOVO PLANALTO","cep1" => "76580-000","cep2" => "76580-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>787,"uf" => "GO","descricao" => "ORIZONA","cep1" => "75280-000","cep2" => "75339-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>788,"uf" => "GO","descricao" => "OURO VERDE DE GOIAS","cep1" => "75165-000","cep2" => "75165-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>789,"uf" => "GO","descricao" => "OUVIDOR","cep1" => "75715-000","cep2" => "75719-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>790,"uf" => "GO","descricao" => "PALESTINA DE GOIAS","cep1" => "75845-000","cep2" => "75845-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>791,"uf" => "GO","descricao" => "PALMEIRAS DE GOIAS","cep1" => "76190-000","cep2" => "76194-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>792,"uf" => "GO","descricao" => "PALMELO","cep1" => "75210-000","cep2" => "75219-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>793,"uf" => "GO","descricao" => "PALMINOPOLIS","cep1" => "75990-000","cep2" => "75990-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>794,"uf" => "GO","descricao" => "PANAMA","cep1" => "75580-000","cep2" => "75580-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>795,"uf" => "GO","descricao" => "PARANAIGUARA","cep1" => "75880-000","cep2" => "75880-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>796,"uf" => "GO","descricao" => "PARAUNA","cep1" => "75980-000","cep2" => "75984-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>797,"uf" => "GO","descricao" => "PEROLANDIA","cep1" => "75823-000","cep2" => "75823-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>798,"uf" => "GO","descricao" => "PETROLINA DE GOIAS","cep1" => "75480-000","cep2" => "75480-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>799,"uf" => "GO","descricao" => "PILAR DE GOIAS","cep1" => "76372-000","cep2" => "76372-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>800,"uf" => "GO","descricao" => "PIRACANJUBA","cep1" => "75640-000","cep2" => "75644-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>801,"uf" => "GO","descricao" => "PIRANHAS","cep1" => "76230-000","cep2" => "76230-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>802,"uf" => "GO","descricao" => "PIRES DO RIO","cep1" => "75200-000","cep2" => "75200-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>803,"uf" => "GO","descricao" => "PORTEIRAO","cep1" => "75603-000","cep2" => "75603-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>804,"uf" => "GO","descricao" => "PROFESSOR JAMIL","cep1" => "75645-000","cep2" => "75645-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>805,"uf" => "GO","descricao" => "QUIRINOPOLIS","cep1" => "75860-000","cep2" => "75864-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>806,"uf" => "GO","descricao" => "RIALMA","cep1" => "76310-000","cep2" => "76310-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>807,"uf" => "GO","descricao" => "RIANAPOLIS","cep1" => "76315-000","cep2" => "76315-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>808,"uf" => "GO","descricao" => "RIO QUENTE","cep1" => "75667-000","cep2" => "75669-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>809,"uf" => "GO","descricao" => "RIO VERDE","cep1" => "75901-050","cep2" => "75901-050","roteirizacao" => "RVD","unidade" => "RVD","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>810,"uf" => "GO","descricao" => "RIO VERDE","cep1" => "75914-001","cep2" => "75914-999","roteirizacao" => "RVD","unidade" => "RVD","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>811,"uf" => "GO","descricao" => "RIO VERDE","cep1" => "75914-000","cep2" => "75914-000","roteirizacao" => "RVD","unidade" => "RVD","tabela" => 10,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>812,"uf" => "GO","descricao" => "RIO VERDE","cep1" => "75900-001","cep2" => "75901-049","roteirizacao" => "RVD","unidade" => "RVD","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>813,"uf" => "GO","descricao" => "RIO VERDE","cep1" => "75901-051","cep2" => "75913-999","roteirizacao" => "RVD","unidade" => "RVD","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>814,"uf" => "GO","descricao" => "RUBIATABA","cep1" => "76350-000","cep2" => "76350-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>815,"uf" => "GO","descricao" => "SANCLERLANDIA","cep1" => "76160-000","cep2" => "76160-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>816,"uf" => "GO","descricao" => "SANTA BARBARA DE GOIAS","cep1" => "75398-000","cep2" => "75399-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>817,"uf" => "GO","descricao" => "SANTA CRUZ DE GOIAS","cep1" => "75220-000","cep2" => "75229-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>818,"uf" => "GO","descricao" => "SANTA FE DE GOIAS","cep1" => "76265-000","cep2" => "76265-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>819,"uf" => "GO","descricao" => "SANTA HELENA DE GOIAS","cep1" => "75920-000","cep2" => "75924-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>820,"uf" => "GO","descricao" => "SANTA ISABEL","cep1" => "76320-000","cep2" => "76320-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>821,"uf" => "GO","descricao" => "SANTA RITA DO ARAGUAIA","cep1" => "75840-000","cep2" => "75840-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>822,"uf" => "GO","descricao" => "SANTA ROSA DE GOIAS","cep1" => "75455-000","cep2" => "75455-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>823,"uf" => "GO","descricao" => "SANTA TEREZA DE GOIAS","cep1" => "76480-000","cep2" => "76480-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>824,"uf" => "GO","descricao" => "SANTA TEREZINHA DE GOIAS","cep1" => "76500-000","cep2" => "76500-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>825,"uf" => "GO","descricao" => "SANTO ANTONIO DA BARRA","cep1" => "75935-000","cep2" => "75939-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>826,"uf" => "GO","descricao" => "SANTO ANTONIO DE GOIAS","cep1" => "75375-000","cep2" => "75379-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>827,"uf" => "GO","descricao" => "SAO FRANCISCO DE GOIAS","cep1" => "75490-000","cep2" => "75490-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>828,"uf" => "GO","descricao" => "SAO JOAO DA PARAUNA","cep1" => "75985-000","cep2" => "75985-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>829,"uf" => "GO","descricao" => "SAO LUIS DE MONTES BELOS","cep1" => "76100-000","cep2" => "76100-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>830,"uf" => "GO","descricao" => "SAO LUIZ DO NORTE","cep1" => "76365-000","cep2" => "76365-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>831,"uf" => "GO","descricao" => "SAO MIGUEL DO PASSA QUATRO","cep1" => "75185-000","cep2" => "75185-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>832,"uf" => "GO","descricao" => "SAO PATRICIO","cep1" => "76343-000","cep2" => "76343-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>833,"uf" => "GO","descricao" => "SAO SIMAO","cep1" => "75890-000","cep2" => "75890-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>834,"uf" => "GO","descricao" => "SENADOR CANEDO","cep1" => "75250-000","cep2" => "75264-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>835,"uf" => "GO","descricao" => "SERRANOPOLIS","cep1" => "75820-000","cep2" => "75820-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>836,"uf" => "GO","descricao" => "SILVANIA","cep1" => "75180-000","cep2" => "75183-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>837,"uf" => "GO","descricao" => "TAQUARAL DE GOIAS","cep1" => "76640-000","cep2" => "76640-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>838,"uf" => "GO","descricao" => "TEREZOPOLIS DE GOIAS","cep1" => "75175-000","cep2" => "75179-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>839,"uf" => "GO","descricao" => "TRES RANCHOS","cep1" => "75720-000","cep2" => "75729-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>840,"uf" => "GO","descricao" => "TRINDADE","cep1" => "75380-000","cep2" => "75394-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>841,"uf" => "GO","descricao" => "TROMBAS","cep1" => "76460-000","cep2" => "76460-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>842,"uf" => "GO","descricao" => "TURVANIA","cep1" => "76110-000","cep2" => "76110-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>843,"uf" => "GO","descricao" => "TURVELANDIA","cep1" => "75970-000","cep2" => "75970-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>844,"uf" => "GO","descricao" => "URUANA","cep1" => "76335-000","cep2" => "76335-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>845,"uf" => "GO","descricao" => "URUTAI","cep1" => "75790-000","cep2" => "75794-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>846,"uf" => "GO","descricao" => "VALPARAISO DE GOIAS","cep1" => "72870-001","cep2" => "72879-999","roteirizacao" => "BSB","unidade" => "BSB","tabela" => 10,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>847,"uf" => "GO","descricao" => "VARJAO","cep1" => "75355-000","cep2" => "75359-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>848,"uf" => "GO","descricao" => "VIANOPOLIS","cep1" => "75265-000","cep2" => "75279-999","roteirizacao" => "GYN","unidade" => "GYN","tabela" => 10,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>849,"uf" => "MA","descricao" => "ACAILANDIA","cep1" => "65930-000","cep2" => "65930-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "10"],
            ["id" =>850,"uf" => "MA","descricao" => "BALSAS","cep1" => "65800-000","cep2" => "65804-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "12"],
            ["id" =>851,"uf" => "MA","descricao" => "CAMPESTRE DO MARANHAO","cep1" => "65968-000","cep2" => "65969-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>852,"uf" => "MA","descricao" => "CAROLINA","cep1" => "65980-000","cep2" => "65989-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>853,"uf" => "MA","descricao" => "DAVINOPOLIS","cep1" => "65927-000","cep2" => "65927-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>854,"uf" => "MA","descricao" => "ESTREITO","cep1" => "65975-000","cep2" => "65977-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "10"],
            ["id" =>855,"uf" => "MA","descricao" => "GOVERNADOR EDISON LOBAO","cep1" => "65928-000","cep2" => "65928-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>856,"uf" => "MA","descricao" => "IMPERATRIZ","cep1" => "65919-051","cep2" => "65919-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>857,"uf" => "MA","descricao" => "IMPERATRIZ","cep1" => "65919-050","cep2" => "65919-050","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>858,"uf" => "MA","descricao" => "IMPERATRIZ","cep1" => "65900-000","cep2" => "65919-049","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>859,"uf" => "MA","descricao" => "ITINGA DO MARANHAO","cep1" => "65939-000","cep2" => "65939-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "10"],
            ["id" =>860,"uf" => "MA","descricao" => "JOAO LISBOA","cep1" => "65922-000","cep2" => "65922-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>861,"uf" => "MA","descricao" => "PORTO FRANCO","cep1" => "65970-000","cep2" => "65970-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "11"],
            ["id" =>862,"uf" => "MA","descricao" => "RIACHAO","cep1" => "65990-000","cep2" => "65994-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>863,"uf" => "MA","descricao" => "RIBAMAR FIQUENE","cep1" => "65938-000","cep2" => "65938-999","roteirizacao" => "IMP","unidade" => "IMP","tabela" => 21,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>864,"uf" => "MA","descricao" => "SAO LUIS","cep1" => "65000-001","cep2" => "65030-500","roteirizacao" => "SLZ","unidade" => "SLZ","tabela" => 21,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>865,"uf" => "MA","descricao" => "SAO LUIS","cep1" => "65080-000","cep2" => "65109-999","roteirizacao" => "SLZ","unidade" => "SLZ","tabela" => 21,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>866,"uf" => "MA","descricao" => "SAO LUIS","cep1" => "65061-000","cep2" => "65079-999","roteirizacao" => "SLZ","unidade" => "SLZ","tabela" => 21,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>867,"uf" => "MA","descricao" => "SAO LUIS","cep1" => "65030-501","cep2" => "65060-999","roteirizacao" => "SLZ","unidade" => "SLZ","tabela" => 21,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>868,"uf" => "MG","descricao" => "ABADIA DOS DOURADOS","cep1" => "38540-000","cep2" => "38540-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>869,"uf" => "MG","descricao" => "ABAETE","cep1" => "35620-000","cep2" => "35620-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>870,"uf" => "MG","descricao" => "ABRE CAMPO","cep1" => "35365-000","cep2" => "35365-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>871,"uf" => "MG","descricao" => "ACAIACA","cep1" => "35438-000","cep2" => "35438-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>872,"uf" => "MG","descricao" => "ACUCENA","cep1" => "35147-000","cep2" => "35147-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>873,"uf" => "MG","descricao" => "AGUA BOA","cep1" => "39790-000","cep2" => "39790-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>874,"uf" => "MG","descricao" => "AGUANIL","cep1" => "37273-000","cep2" => "37274-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>875,"uf" => "MG","descricao" => "AGUAS FORMOSAS","cep1" => "39880-000","cep2" => "39884-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>876,"uf" => "MG","descricao" => "AGUAS VERMELHAS","cep1" => "39990-000","cep2" => "39990-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>877,"uf" => "MG","descricao" => "AIMORES","cep1" => "35200-000","cep2" => "35219-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>878,"uf" => "MG","descricao" => "AIURUOCA","cep1" => "37450-000","cep2" => "37451-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>879,"uf" => "MG","descricao" => "ALAGOA","cep1" => "37458-000","cep2" => "37459-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>880,"uf" => "MG","descricao" => "ALBERTINA","cep1" => "37596-000","cep2" => "37599-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>881,"uf" => "MG","descricao" => "ALEM PARAIBA","cep1" => "36660-000","cep2" => "36669-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>882,"uf" => "MG","descricao" => "ALFENAS","cep1" => "37130-000","cep2" => "37139-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>883,"uf" => "MG","descricao" => "ALFREDO VASCONCELOS","cep1" => "36272-000","cep2" => "36272-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>884,"uf" => "MG","descricao" => "ALMENARA","cep1" => "39900-000","cep2" => "39900-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>885,"uf" => "MG","descricao" => "ALPERCATA","cep1" => "35138-000","cep2" => "35139-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>886,"uf" => "MG","descricao" => "ALPINOPOLIS","cep1" => "37940-000","cep2" => "37940-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>887,"uf" => "MG","descricao" => "ALTEROSA","cep1" => "37145-000","cep2" => "37145-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>888,"uf" => "MG","descricao" => "ALTO CAPARAO","cep1" => "36979-000","cep2" => "36979-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>889,"uf" => "MG","descricao" => "ALTO JEQUITIBA","cep1" => "36976-000","cep2" => "36976-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>890,"uf" => "MG","descricao" => "ALTO RIO DOCE","cep1" => "36260-000","cep2" => "36260-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>891,"uf" => "MG","descricao" => "ALVARENGA","cep1" => "35249-000","cep2" => "35249-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>892,"uf" => "MG","descricao" => "ALVINOPOLIS","cep1" => "35950-000","cep2" => "35950-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>893,"uf" => "MG","descricao" => "AMPARO DA SERRA","cep1" => "35444-000","cep2" => "35446-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>894,"uf" => "MG","descricao" => "ANDRADAS","cep1" => "37795-000","cep2" => "37799-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>895,"uf" => "MG","descricao" => "ANDRELANDIA","cep1" => "37300-000","cep2" => "37304-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>896,"uf" => "MG","descricao" => "ANGELANDIA","cep1" => "39685-000","cep2" => "39685-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>897,"uf" => "MG","descricao" => "ANTONIO CARLOS","cep1" => "36220-000","cep2" => "36220-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>898,"uf" => "MG","descricao" => "ANTONIO DIAS","cep1" => "35178-000","cep2" => "35178-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>899,"uf" => "MG","descricao" => "ANTONIO DIAS","cep1" => "35177-000","cep2" => "35177-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>900,"uf" => "MG","descricao" => "ANTONIO PRADO DE MINAS","cep1" => "36850-000","cep2" => "36854-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>901,"uf" => "MG","descricao" => "ARACAI","cep1" => "35777-000","cep2" => "35777-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>902,"uf" => "MG","descricao" => "ARACITABA","cep1" => "36255-000","cep2" => "36259-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>903,"uf" => "MG","descricao" => "ARACUAI","cep1" => "39600-000","cep2" => "39600-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>904,"uf" => "MG","descricao" => "ARAGUARI","cep1" => "38440-000","cep2" => "38449-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>905,"uf" => "MG","descricao" => "ARANTINA","cep1" => "37360-000","cep2" => "37369-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>906,"uf" => "MG","descricao" => "ARAPONGA","cep1" => "36594-000","cep2" => "36599-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>907,"uf" => "MG","descricao" => "ARAPORA","cep1" => "38465-000","cep2" => "38469-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>908,"uf" => "MG","descricao" => "ARAPUA","cep1" => "38860-000","cep2" => "38860-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>909,"uf" => "MG","descricao" => "ARAUJOS","cep1" => "35603-000","cep2" => "35603-999","roteirizacao" => "NVV","unidade" => "NVV01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>910,"uf" => "MG","descricao" => "ARAXA","cep1" => "38180-000","cep2" => "38184-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>911,"uf" => "MG","descricao" => "ARCEBURGO","cep1" => "37820-000","cep2" => "37820-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>912,"uf" => "MG","descricao" => "ARCOS","cep1" => "35588-000","cep2" => "35588-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>913,"uf" => "MG","descricao" => "AREADO","cep1" => "37140-000","cep2" => "37140-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>914,"uf" => "MG","descricao" => "ARGIRITA","cep1" => "36710-000","cep2" => "36710-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>915,"uf" => "MG","descricao" => "ASTOLFO DUTRA","cep1" => "36780-000","cep2" => "36780-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>916,"uf" => "MG","descricao" => "ATALEIA","cep1" => "39850-000","cep2" => "39850-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>917,"uf" => "MG","descricao" => "AUGUSTO DE LIMA","cep1" => "39219-000","cep2" => "39219-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>918,"uf" => "MG","descricao" => "BAEPENDI","cep1" => "37443-000","cep2" => "37444-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>919,"uf" => "MG","descricao" => "BALDIM","cep1" => "35732-000","cep2" => "35735-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>920,"uf" => "MG","descricao" => "BAMBUI","cep1" => "38900-000","cep2" => "38900-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>921,"uf" => "MG","descricao" => "BANDEIRA DO SUL","cep1" => "37740-000","cep2" => "37749-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>922,"uf" => "MG","descricao" => "BARAO DE COCAIS","cep1" => "35970-000","cep2" => "35970-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>923,"uf" => "MG","descricao" => "BARAO DE MONTE ALTO","cep1" => "36870-000","cep2" => "36877-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>924,"uf" => "MG","descricao" => "BARBACENA","cep1" => "36209-000","cep2" => "36209-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>925,"uf" => "MG","descricao" => "BARBACENA","cep1" => "36208-000","cep2" => "36208-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>926,"uf" => "MG","descricao" => "BARBACENA","cep1" => "36206-000","cep2" => "36206-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>927,"uf" => "MG","descricao" => "BARBACENA","cep1" => "36200-000","cep2" => "36205-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>928,"uf" => "MG","descricao" => "BARBACENA","cep1" => "36207-000","cep2" => "36207-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>929,"uf" => "MG","descricao" => "BARRA LONGA","cep1" => "35447-000","cep2" => "35449-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>930,"uf" => "MG","descricao" => "BARROSO","cep1" => "36212-000","cep2" => "36212-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>931,"uf" => "MG","descricao" => "BELA VISTA DE MINAS","cep1" => "35938-000","cep2" => "35938-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>932,"uf" => "MG","descricao" => "BELMIRO BRAGA","cep1" => "36126-000","cep2" => "36126-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>933,"uf" => "MG","descricao" => "BELO HORIZONTE","cep1" => "30192-000","cep2" => "31999-999","roteirizacao" => "BHZ","unidade" => "BHZ01","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>934,"uf" => "MG","descricao" => "BELO HORIZONTE","cep1" => "30150-000","cep2" => "30159-999","roteirizacao" => "BHZ","unidade" => "BHZ01","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>935,"uf" => "MG","descricao" => "BELO HORIZONTE","cep1" => "30000-001","cep2" => "30139-999","roteirizacao" => "BHZ","unidade" => "BHZ01","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>936,"uf" => "MG","descricao" => "BELO HORIZONTE","cep1" => "30140-000","cep2" => "30149-999","roteirizacao" => "BHZ","unidade" => "BHZ04","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>937,"uf" => "MG","descricao" => "BELO HORIZONTE","cep1" => "30160-000","cep2" => "30191-999","roteirizacao" => "BHZ","unidade" => "BHZ04","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>938,"uf" => "MG","descricao" => "BELO ORIENTE","cep1" => "35195-000","cep2" => "35195-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>939,"uf" => "MG","descricao" => "BELO ORIENTE","cep1" => "35196-000","cep2" => "35196-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>940,"uf" => "MG","descricao" => "BELO VALE","cep1" => "35473-000","cep2" => "35473-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>941,"uf" => "MG","descricao" => "BERILO","cep1" => "39640-000","cep2" => "39641-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>942,"uf" => "MG","descricao" => "BETIM","cep1" => "32500-000","cep2" => "32799-999","roteirizacao" => "QBK","unidade" => "QBK01","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>943,"uf" => "MG","descricao" => "BIAS FORTES","cep1" => "36230-000","cep2" => "36234-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>944,"uf" => "MG","descricao" => "BICAS","cep1" => "36600-000","cep2" => "36603-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>945,"uf" => "MG","descricao" => "BIQUINHAS","cep1" => "35621-000","cep2" => "35621-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>946,"uf" => "MG","descricao" => "BOA ESPERANCA","cep1" => "37170-000","cep2" => "37174-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>947,"uf" => "MG","descricao" => "BOCAINA DE MINAS","cep1" => "37340-000","cep2" => "37349-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>948,"uf" => "MG","descricao" => "BOCAIUVA","cep1" => "39390-000","cep2" => "39396-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>949,"uf" => "MG","descricao" => "BOM JARDIM DE MINAS","cep1" => "37310-000","cep2" => "37329-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>950,"uf" => "MG","descricao" => "BOM JESUS DA PENHA","cep1" => "37948-000","cep2" => "37949-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>951,"uf" => "MG","descricao" => "BOM JESUS DO AMPARO","cep1" => "35908-000","cep2" => "35908-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>952,"uf" => "MG","descricao" => "BOM JESUS DO GALHO","cep1" => "35340-000","cep2" => "35340-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>953,"uf" => "MG","descricao" => "BOM REPOUSO","cep1" => "37610-000","cep2" => "37614-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>954,"uf" => "MG","descricao" => "BOM SUCESSO","cep1" => "37220-000","cep2" => "37220-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>955,"uf" => "MG","descricao" => "BONFIM","cep1" => "35480-000","cep2" => "35484-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>956,"uf" => "MG","descricao" => "BONFINOPOLIS DE MINAS","cep1" => "38650-000","cep2" => "38650-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>957,"uf" => "MG","descricao" => "BORDA DA MATA","cep1" => "37564-000","cep2" => "37564-999","roteirizacao" => "PPY","unidade" => "PPY02","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>958,"uf" => "MG","descricao" => "BOTELHOS","cep1" => "37720-000","cep2" => "37729-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>959,"uf" => "MG","descricao" => "BOTUMIRIM","cep1" => "39595-000","cep2" => "39597-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>960,"uf" => "MG","descricao" => "BRAS PIRES","cep1" => "36542-000","cep2" => "36543-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>961,"uf" => "MG","descricao" => "BRASILANDIA DE MINAS","cep1" => "38779-000","cep2" => "38779-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>962,"uf" => "MG","descricao" => "BRASILIA DE MINAS","cep1" => "39330-000","cep2" => "39330-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>963,"uf" => "MG","descricao" => "BRAUNAS","cep1" => "35189-000","cep2" => "35189-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>964,"uf" => "MG","descricao" => "BRAZOPOLIS","cep1" => "37530-000","cep2" => "37539-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>965,"uf" => "MG","descricao" => "BRUMADINHO","cep1" => "35460-000","cep2" => "35460-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>966,"uf" => "MG","descricao" => "BUENO BRANDAO","cep1" => "37578-000","cep2" => "37579-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>967,"uf" => "MG","descricao" => "BUENOPOLIS","cep1" => "39230-000","cep2" => "39230-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>968,"uf" => "MG","descricao" => "BUGRE","cep1" => "35193-000","cep2" => "35193-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>969,"uf" => "MG","descricao" => "BURITIZEIRO","cep1" => "39280-000","cep2" => "39280-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>970,"uf" => "MG","descricao" => "CABO VERDE","cep1" => "37880-000","cep2" => "37889-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>971,"uf" => "MG","descricao" => "CACHOEIRA DA PRATA","cep1" => "35765-000","cep2" => "35765-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>972,"uf" => "MG","descricao" => "CACHOEIRA DE MINAS","cep1" => "37545-000","cep2" => "37547-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>973,"uf" => "MG","descricao" => "CACHOEIRA DE PAJEU","cep1" => "39980-000","cep2" => "39980-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>974,"uf" => "MG","descricao" => "CAETANOPOLIS","cep1" => "35770-000","cep2" => "35770-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>975,"uf" => "MG","descricao" => "CAETE","cep1" => "34800-000","cep2" => "34989-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>976,"uf" => "MG","descricao" => "CAIANA","cep1" => "36832-000","cep2" => "36832-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>977,"uf" => "MG","descricao" => "CAJURI","cep1" => "36560-000","cep2" => "36569-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>978,"uf" => "MG","descricao" => "CALDAS","cep1" => "37780-000","cep2" => "37789-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>979,"uf" => "MG","descricao" => "CAMACHO","cep1" => "35555-000","cep2" => "35556-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>980,"uf" => "MG","descricao" => "CAMANDUCAIA","cep1" => "37653-001","cep2" => "37654-999","roteirizacao" => "QET","unidade" => "QET02","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>981,"uf" => "MG","descricao" => "CAMANDUCAIA","cep1" => "37650-000","cep2" => "37652-999","roteirizacao" => "QET","unidade" => "QET02","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>982,"uf" => "MG","descricao" => "CAMBUI","cep1" => "37600-000","cep2" => "37604-999","roteirizacao" => "QET","unidade" => "QET02","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>983,"uf" => "MG","descricao" => "CAMBUQUIRA","cep1" => "37420-000","cep2" => "37420-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>984,"uf" => "MG","descricao" => "CAMPANARIO","cep1" => "39835-000","cep2" => "39835-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>985,"uf" => "MG","descricao" => "CAMPANHA","cep1" => "37400-000","cep2" => "37404-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>986,"uf" => "MG","descricao" => "CAMPESTRE","cep1" => "37730-000","cep2" => "37730-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>987,"uf" => "MG","descricao" => "CAMPINA VERDE","cep1" => "38270-000","cep2" => "38270-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>988,"uf" => "MG","descricao" => "CAMPO AZUL","cep1" => "39338-000","cep2" => "39339-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>989,"uf" => "MG","descricao" => "CAMPO BELO","cep1" => "37270-000","cep2" => "37272-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>990,"uf" => "MG","descricao" => "CAMPO DO MEIO","cep1" => "37165-000","cep2" => "37169-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>991,"uf" => "MG","descricao" => "CAMPO FLORIDO","cep1" => "38130-000","cep2" => "38130-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>992,"uf" => "MG","descricao" => "CAMPOS ALTOS","cep1" => "38970-000","cep2" => "38979-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>993,"uf" => "MG","descricao" => "CAMPOS GERAIS","cep1" => "37160-000","cep2" => "37164-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>994,"uf" => "MG","descricao" => "CANA VERDE","cep1" => "37267-000","cep2" => "37267-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>995,"uf" => "MG","descricao" => "CANAA","cep1" => "36592-000","cep2" => "36593-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>996,"uf" => "MG","descricao" => "CANAPOLIS","cep1" => "38380-000","cep2" => "38380-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>997,"uf" => "MG","descricao" => "CANDEIAS","cep1" => "37280-000","cep2" => "37280-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>998,"uf" => "MG","descricao" => "CANTAGALO","cep1" => "39703-000","cep2" => "39703-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>999,"uf" => "MG","descricao" => "CAPARAO","cep1" => "36834-000","cep2" => "36834-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1000,"uf" => "MG","descricao" => "CAPELA NOVA","cep1" => "36290-000","cep2" => "36299-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1001,"uf" => "MG","descricao" => "CAPELINHA","cep1" => "39680-000","cep2" => "39680-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1002,"uf" => "MG","descricao" => "CAPETINGA","cep1" => "37993-000","cep2" => "37996-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1003,"uf" => "MG","descricao" => "CAPIM BRANCO","cep1" => "35730-000","cep2" => "35730-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1004,"uf" => "MG","descricao" => "CAPINOPOLIS","cep1" => "38360-000","cep2" => "38369-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1005,"uf" => "MG","descricao" => "CAPITAO ANDRADE","cep1" => "35123-000","cep2" => "35124-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1006,"uf" => "MG","descricao" => "CAPITAO ENEAS","cep1" => "39472-000","cep2" => "39474-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1007,"uf" => "MG","descricao" => "CAPITOLIO","cep1" => "37930-000","cep2" => "37939-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1008,"uf" => "MG","descricao" => "CAPUTIRA","cep1" => "36925-000","cep2" => "36925-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1009,"uf" => "MG","descricao" => "CARAI","cep1" => "39810-000","cep2" => "39813-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1010,"uf" => "MG","descricao" => "CARANAIBA","cep1" => "36428-000","cep2" => "36429-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1011,"uf" => "MG","descricao" => "CARANDAI","cep1" => "36282-000","cep2" => "36284-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1012,"uf" => "MG","descricao" => "CARANDAI","cep1" => "36280-000","cep2" => "36281-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1013,"uf" => "MG","descricao" => "CARANGOLA","cep1" => "36800-000","cep2" => "36809-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1014,"uf" => "MG","descricao" => "CARATINGA","cep1" => "35300-000","cep2" => "35309-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1015,"uf" => "MG","descricao" => "CARATINGA","cep1" => "35320-000","cep2" => "35320-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1016,"uf" => "MG","descricao" => "CARATINGA","cep1" => "35322-000","cep2" => "35322-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1017,"uf" => "MG","descricao" => "CARBONITA","cep1" => "39665-000","cep2" => "39665-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1018,"uf" => "MG","descricao" => "CAREACU","cep1" => "37582-000","cep2" => "37583-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1019,"uf" => "MG","descricao" => "CARLOS CHAGAS","cep1" => "39864-000","cep2" => "39864-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1020,"uf" => "MG","descricao" => "CARMESIA","cep1" => "35878-000","cep2" => "35878-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1021,"uf" => "MG","descricao" => "CARMO DA CACHOEIRA","cep1" => "37225-000","cep2" => "37234-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1022,"uf" => "MG","descricao" => "CARMO DA MATA","cep1" => "35547-000","cep2" => "35547-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1023,"uf" => "MG","descricao" => "CARMO DE MINAS","cep1" => "37472-000","cep2" => "37473-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1024,"uf" => "MG","descricao" => "CARMO DO CAJURU","cep1" => "35557-000","cep2" => "35559-999","roteirizacao" => "DIQ","unidade" => "DIQ","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1025,"uf" => "MG","descricao" => "CARMO DO PARANAIBA","cep1" => "38840-000","cep2" => "38840-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1026,"uf" => "MG","descricao" => "CARMO DO RIO CLARO","cep1" => "37150-000","cep2" => "37150-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1027,"uf" => "MG","descricao" => "CARMOPOLIS DE MINAS","cep1" => "35534-000","cep2" => "35534-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1028,"uf" => "MG","descricao" => "CARNEIRINHO","cep1" => "38290-000","cep2" => "38290-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1029,"uf" => "MG","descricao" => "CARRANCAS","cep1" => "37245-000","cep2" => "37249-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1030,"uf" => "MG","descricao" => "CARVALHOPOLIS","cep1" => "37760-000","cep2" => "37774-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1031,"uf" => "MG","descricao" => "CARVALHOS","cep1" => "37456-000","cep2" => "37457-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1032,"uf" => "MG","descricao" => "CASA GRANDE","cep1" => "36422-000","cep2" => "36423-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1033,"uf" => "MG","descricao" => "CASSIA","cep1" => "37980-000","cep2" => "37989-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1034,"uf" => "MG","descricao" => "CATAGUASES","cep1" => "36770-000","cep2" => "36775-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1035,"uf" => "MG","descricao" => "CATAGUASES","cep1" => "36778-000","cep2" => "36778-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1036,"uf" => "MG","descricao" => "CATAGUASES","cep1" => "36777-000","cep2" => "36777-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1037,"uf" => "MG","descricao" => "CATAS ALTAS","cep1" => "35969-000","cep2" => "35969-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1038,"uf" => "MG","descricao" => "CATAS ALTAS DA NORUEGA","cep1" => "36450-000","cep2" => "36454-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1039,"uf" => "MG","descricao" => "CATUJI","cep1" => "39816-000","cep2" => "39816-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1040,"uf" => "MG","descricao" => "CATUTI","cep1" => "39526-000","cep2" => "39526-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1041,"uf" => "MG","descricao" => "CAXAMBU","cep1" => "37440-000","cep2" => "37442-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1042,"uf" => "MG","descricao" => "CEDRO DO ABAETE","cep1" => "35624-000","cep2" => "35624-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1043,"uf" => "MG","descricao" => "CENTRAL DE MINAS","cep1" => "35260-000","cep2" => "35260-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1044,"uf" => "MG","descricao" => "CENTRALINA","cep1" => "38390-000","cep2" => "38390-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1045,"uf" => "MG","descricao" => "CHACARA","cep1" => "36110-000","cep2" => "36110-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1046,"uf" => "MG","descricao" => "CHALE","cep1" => "36985-000","cep2" => "36985-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1047,"uf" => "MG","descricao" => "CHAPADA DO NORTE","cep1" => "39648-000","cep2" => "39648-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1048,"uf" => "MG","descricao" => "CHAPADA GAUCHA","cep1" => "38689-000","cep2" => "38689-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1049,"uf" => "MG","descricao" => "CHIADOR","cep1" => "36630-000","cep2" => "36639-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1050,"uf" => "MG","descricao" => "CIPOTANEA","cep1" => "36265-000","cep2" => "36269-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1051,"uf" => "MG","descricao" => "CLARAVAL","cep1" => "37997-000","cep2" => "37997-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1052,"uf" => "MG","descricao" => "CLARO DOS POCOES","cep1" => "39380-000","cep2" => "39386-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1053,"uf" => "MG","descricao" => "CLAUDIO","cep1" => "35530-000","cep2" => "35530-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1054,"uf" => "MG","descricao" => "COIMBRA","cep1" => "36550-000","cep2" => "36550-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1055,"uf" => "MG","descricao" => "COLUNA","cep1" => "39770-000","cep2" => "39770-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1056,"uf" => "MG","descricao" => "COMERCINHO","cep1" => "39628-000","cep2" => "39628-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1057,"uf" => "MG","descricao" => "CONCEICAO DA APARECIDA","cep1" => "37148-000","cep2" => "37148-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1058,"uf" => "MG","descricao" => "CONCEICAO DA BARRA DE MINAS","cep1" => "36360-000","cep2" => "36369-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1059,"uf" => "MG","descricao" => "CONCEICAO DAS ALAGOAS","cep1" => "38120-000","cep2" => "38120-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1060,"uf" => "MG","descricao" => "CONCEICAO DAS PEDRAS","cep1" => "37527-000","cep2" => "37529-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1061,"uf" => "MG","descricao" => "CONCEICAO DE IPANEMA","cep1" => "36947-000","cep2" => "36947-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1062,"uf" => "MG","descricao" => "CONCEICAO DO MATO DENTRO","cep1" => "35858-000","cep2" => "35864-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1063,"uf" => "MG","descricao" => "CONCEICAO DO RIO VERDE","cep1" => "37430-000","cep2" => "37439-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1064,"uf" => "MG","descricao" => "CONCEICAO DOS OUROS","cep1" => "37548-000","cep2" => "37548-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1065,"uf" => "MG","descricao" => "CONFINS","cep1" => "33500-900","cep2" => "33500-900","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>1066,"uf" => "MG","descricao" => "CONFINS","cep1" => "33500-000","cep2" => "33500-899","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1067,"uf" => "MG","descricao" => "CONFINS","cep1" => "33500-901","cep2" => "33599-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1068,"uf" => "MG","descricao" => "CONGONHAL","cep1" => "37584-000","cep2" => "37585-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1069,"uf" => "MG","descricao" => "CONGONHAS","cep1" => "36415-000","cep2" => "36415-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1070,"uf" => "MG","descricao" => "CONQUISTA","cep1" => "38195-000","cep2" => "38195-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1071,"uf" => "MG","descricao" => "CONSELHEIRO LAFAIETE","cep1" => "36400-000","cep2" => "36414-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1072,"uf" => "MG","descricao" => "CONSELHEIRO PENA","cep1" => "35240-000","cep2" => "35240-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1073,"uf" => "MG","descricao" => "CONSOLACAO","cep1" => "37670-000","cep2" => "37679-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1074,"uf" => "MG","descricao" => "CONTAGEM","cep1" => "32000-001","cep2" => "32399-999","roteirizacao" => "CTG","unidade" => "CTG02","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>1075,"uf" => "MG","descricao" => "COQUEIRAL","cep1" => "37235-000","cep2" => "37235-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1076,"uf" => "MG","descricao" => "CORACAO DE JESUS","cep1" => "39340-000","cep2" => "39349-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1077,"uf" => "MG","descricao" => "CORDISBURGO","cep1" => "35780-000","cep2" => "35780-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1078,"uf" => "MG","descricao" => "CORDISLANDIA","cep1" => "37498-000","cep2" => "37499-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1079,"uf" => "MG","descricao" => "CORINTO","cep1" => "39200-000","cep2" => "39200-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1080,"uf" => "MG","descricao" => "COROACI","cep1" => "39710-000","cep2" => "39714-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1081,"uf" => "MG","descricao" => "COROMANDEL","cep1" => "38550-000","cep2" => "38550-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1082,"uf" => "MG","descricao" => "CORONEL FABRICIANO","cep1" => "35170-000","cep2" => "35176-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1083,"uf" => "MG","descricao" => "CORONEL MURTA","cep1" => "39635-000","cep2" => "39639-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1084,"uf" => "MG","descricao" => "CORONEL PACHECO","cep1" => "36155-000","cep2" => "36156-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1085,"uf" => "MG","descricao" => "CORONEL XAVIER CHAVES","cep1" => "36330-000","cep2" => "36330-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1086,"uf" => "MG","descricao" => "CORREGO DANTA","cep1" => "38990-000","cep2" => "38990-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1087,"uf" => "MG","descricao" => "CORREGO DO BOM JESUS","cep1" => "37605-000","cep2" => "37609-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1088,"uf" => "MG","descricao" => "CORREGO FUNDO","cep1" => "35578-000","cep2" => "35579-000","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1089,"uf" => "MG","descricao" => "CORREGO NOVO","cep1" => "35345-000","cep2" => "35347-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1090,"uf" => "MG","descricao" => "COUTO DE MAGALHAES DE MINAS","cep1" => "39188-000","cep2" => "39188-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1091,"uf" => "MG","descricao" => "CRISOLITA","cep1" => "39885-000","cep2" => "39889-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1092,"uf" => "MG","descricao" => "CRISTAIS","cep1" => "37275-000","cep2" => "37277-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1093,"uf" => "MG","descricao" => "CRISTIANO OTONI","cep1" => "36426-000","cep2" => "36427-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1094,"uf" => "MG","descricao" => "CRISTINA","cep1" => "37476-000","cep2" => "37477-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1095,"uf" => "MG","descricao" => "CRUCILANDIA","cep1" => "35478-000","cep2" => "35479-000","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1096,"uf" => "MG","descricao" => "CRUZEIRO DA FORTALEZA","cep1" => "38735-000","cep2" => "38735-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1097,"uf" => "MG","descricao" => "CRUZILIA","cep1" => "37445-000","cep2" => "37446-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1098,"uf" => "MG","descricao" => "CUPARAQUE","cep1" => "35246-000","cep2" => "35246-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1099,"uf" => "MG","descricao" => "CURVELO","cep1" => "35789-000","cep2" => "35799-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1100,"uf" => "MG","descricao" => "DATAS","cep1" => "39130-000","cep2" => "39130-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1101,"uf" => "MG","descricao" => "DELFIM MOREIRA","cep1" => "37514-000","cep2" => "37515-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1102,"uf" => "MG","descricao" => "DELFINOPOLIS","cep1" => "37910-000","cep2" => "37910-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1103,"uf" => "MG","descricao" => "DELTA","cep1" => "38108-000","cep2" => "38108-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1104,"uf" => "MG","descricao" => "DESCOBERTO","cep1" => "36690-000","cep2" => "36699-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1105,"uf" => "MG","descricao" => "DESTERRO DE ENTRE RIOS","cep1" => "35492-000","cep2" => "35494-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1106,"uf" => "MG","descricao" => "DESTERRO DO MELO","cep1" => "36210-000","cep2" => "36210-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1107,"uf" => "MG","descricao" => "DIAMANTINA","cep1" => "39100-000","cep2" => "39100-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1108,"uf" => "MG","descricao" => "DIOGO DE VASCONCELOS","cep1" => "35437-000","cep2" => "35437-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1109,"uf" => "MG","descricao" => "DIONISIO","cep1" => "35984-000","cep2" => "35984-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1110,"uf" => "MG","descricao" => "DIVINESIA","cep1" => "36546-000","cep2" => "36549-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1111,"uf" => "MG","descricao" => "DIVINO","cep1" => "36820-000","cep2" => "36820-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1112,"uf" => "MG","descricao" => "DIVINO DAS LARANJEIRAS","cep1" => "35265-000","cep2" => "35265-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1113,"uf" => "MG","descricao" => "DIVINOLANDIA DE MINAS","cep1" => "39735-000","cep2" => "39735-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1114,"uf" => "MG","descricao" => "DIVINOPOLIS","cep1" => "35500-001","cep2" => "35515-999","roteirizacao" => "DIQ","unidade" => "DIQ","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1115,"uf" => "MG","descricao" => "DIVISA ALEGRE","cep1" => "39995-000","cep2" => "39997-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1116,"uf" => "MG","descricao" => "DIVISA NOVA","cep1" => "37142-000","cep2" => "37142-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1117,"uf" => "MG","descricao" => "DIVISOPOLIS","cep1" => "39912-000","cep2" => "39912-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1118,"uf" => "MG","descricao" => "DOM CAVATI","cep1" => "35148-000","cep2" => "35148-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1119,"uf" => "MG","descricao" => "DOM JOAQUIM","cep1" => "35865-000","cep2" => "35865-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1120,"uf" => "MG","descricao" => "DOM SILVERIO","cep1" => "35440-000","cep2" => "35440-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1121,"uf" => "MG","descricao" => "DOM VICOSO","cep1" => "37474-000","cep2" => "37475-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1122,"uf" => "MG","descricao" => "DONA EUZEBIA","cep1" => "36784-000","cep2" => "36784-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1123,"uf" => "MG","descricao" => "DORES DE CAMPOS","cep1" => "36213-000","cep2" => "36214-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1124,"uf" => "MG","descricao" => "DORES DE GUANHAES","cep1" => "35894-000","cep2" => "35894-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1125,"uf" => "MG","descricao" => "DORES DO INDAIA","cep1" => "35610-000","cep2" => "35610-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1126,"uf" => "MG","descricao" => "DORES DO TURVO","cep1" => "36513-000","cep2" => "36514-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1127,"uf" => "MG","descricao" => "DORESOPOLIS","cep1" => "37926-000","cep2" => "37926-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1128,"uf" => "MG","descricao" => "DURANDE","cep1" => "36974-000","cep2" => "36974-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1129,"uf" => "MG","descricao" => "ELOI MENDES","cep1" => "37110-000","cep2" => "37114-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1130,"uf" => "MG","descricao" => "ENGENHEIRO CALDAS","cep1" => "35130-000","cep2" => "35130-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1131,"uf" => "MG","descricao" => "ENGENHEIRO NAVARRO","cep1" => "39363-000","cep2" => "39364-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1132,"uf" => "MG","descricao" => "ENTRE FOLHAS","cep1" => "35324-000","cep2" => "35324-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1133,"uf" => "MG","descricao" => "ENTRE RIOS DE MINAS","cep1" => "35490-000","cep2" => "35490-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1134,"uf" => "MG","descricao" => "ERVALIA","cep1" => "36555-000","cep2" => "36559-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1135,"uf" => "MG","descricao" => "ESMERALDAS","cep1" => "35740-000","cep2" => "35759-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1136,"uf" => "MG","descricao" => "ESPERA FELIZ","cep1" => "36830-000","cep2" => "36831-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1137,"uf" => "MG","descricao" => "ESPINOSA","cep1" => "39510-000","cep2" => "39510-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1138,"uf" => "MG","descricao" => "ESPIRITO SANTO DO DOURADO","cep1" => "37566-000","cep2" => "37566-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1139,"uf" => "MG","descricao" => "ESTIVA","cep1" => "37542-000","cep2" => "37544-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1140,"uf" => "MG","descricao" => "ESTRELA DALVA","cep1" => "36725-000","cep2" => "36729-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1141,"uf" => "MG","descricao" => "ESTRELA DO INDAIA","cep1" => "35613-000","cep2" => "35613-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1142,"uf" => "MG","descricao" => "ESTRELA DO SUL","cep1" => "38525-000","cep2" => "38525-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1143,"uf" => "MG","descricao" => "EUGENOPOLIS","cep1" => "36855-000","cep2" => "36859-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>1144,"uf" => "MG","descricao" => "EWBANK DA CAMARA","cep1" => "36108-000","cep2" => "36108-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1145,"uf" => "MG","descricao" => "EXTREMA","cep1" => "37640-000","cep2" => "37640-000","roteirizacao" => "QET","unidade" => "QET02","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1146,"uf" => "MG","descricao" => "FAMA","cep1" => "37144-000","cep2" => "37144-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1147,"uf" => "MG","descricao" => "FARIA LEMOS","cep1" => "36840-000","cep2" => "36843-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1148,"uf" => "MG","descricao" => "FELICIO DOS SANTOS","cep1" => "39180-000","cep2" => "39180-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1149,"uf" => "MG","descricao" => "FELISBURGO","cep1" => "39895-000","cep2" => "39895-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1150,"uf" => "MG","descricao" => "FELIXLANDIA","cep1" => "39237-000","cep2" => "39239-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1151,"uf" => "MG","descricao" => "FERNANDES TOURINHO","cep1" => "35135-000","cep2" => "35137-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1152,"uf" => "MG","descricao" => "FERROS","cep1" => "35800-000","cep2" => "35800-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1153,"uf" => "MG","descricao" => "FERVEDOURO","cep1" => "36815-000","cep2" => "36819-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1154,"uf" => "MG","descricao" => "FLORESTAL","cep1" => "35690-000","cep2" => "35690-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1155,"uf" => "MG","descricao" => "FORMIGA","cep1" => "35570-000","cep2" => "35570-999","roteirizacao" => "DIQ","unidade" => "DIQ","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1156,"uf" => "MG","descricao" => "FORTALEZA DE MINAS","cep1" => "37905-000","cep2" => "37905-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1157,"uf" => "MG","descricao" => "FORTUNA DE MINAS","cep1" => "35760-000","cep2" => "35760-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1158,"uf" => "MG","descricao" => "FRANCISCO BADARO","cep1" => "39644-000","cep2" => "39644-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1159,"uf" => "MG","descricao" => "FRANCISCO DUMONT","cep1" => "39387-000","cep2" => "39389-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1160,"uf" => "MG","descricao" => "FRANCISCO SA","cep1" => "39580-000","cep2" => "39580-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1161,"uf" => "MG","descricao" => "FREI GASPAR","cep1" => "39840-000","cep2" => "39847-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1162,"uf" => "MG","descricao" => "FREI INOCENCIO","cep1" => "35112-000","cep2" => "35112-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1163,"uf" => "MG","descricao" => "FREI LAGONEGRO","cep1" => "39708-000","cep2" => "39709-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1164,"uf" => "MG","descricao" => "FRONTEIRA","cep1" => "38230-000","cep2" => "38230-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1165,"uf" => "MG","descricao" => "FRONTEIRA DOS VALES","cep1" => "39870-000","cep2" => "39870-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1166,"uf" => "MG","descricao" => "FRUTA DE LEITE","cep1" => "39558-000","cep2" => "39559-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1167,"uf" => "MG","descricao" => "FRUTAL","cep1" => "38200-000","cep2" => "38200-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1168,"uf" => "MG","descricao" => "FUNILANDIA","cep1" => "35736-000","cep2" => "35737-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1169,"uf" => "MG","descricao" => "GALILEIA","cep1" => "35250-000","cep2" => "35250-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1170,"uf" => "MG","descricao" => "GAMELEIRAS","cep1" => "39505-000","cep2" => "39507-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1171,"uf" => "MG","descricao" => "GLAUCILANDIA","cep1" => "39592-000","cep2" => "39593-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1172,"uf" => "MG","descricao" => "GOIABEIRA","cep1" => "35248-000","cep2" => "35248-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1173,"uf" => "MG","descricao" => "GOIANA","cep1" => "36152-000","cep2" => "36154-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1174,"uf" => "MG","descricao" => "GONCALVES","cep1" => "37680-000","cep2" => "37689-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1175,"uf" => "MG","descricao" => "GONZAGA","cep1" => "39720-000","cep2" => "39722-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1176,"uf" => "MG","descricao" => "GOUVEIA","cep1" => "39120-000","cep2" => "39120-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1177,"uf" => "MG","descricao" => "GOVERNADOR VALADARES","cep1" => "35000-001","cep2" => "35099-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1178,"uf" => "MG","descricao" => "GRAO MOGOL","cep1" => "39570-000","cep2" => "39570-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1179,"uf" => "MG","descricao" => "GUANHAES","cep1" => "39740-000","cep2" => "39740-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1180,"uf" => "MG","descricao" => "GUAPE","cep1" => "37177-000","cep2" => "37189-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1181,"uf" => "MG","descricao" => "GUARACIABA","cep1" => "35436-000","cep2" => "35436-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1182,"uf" => "MG","descricao" => "GUARANESIA","cep1" => "37810-000","cep2" => "37819-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1183,"uf" => "MG","descricao" => "GUARANI","cep1" => "36160-000","cep2" => "36160-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1184,"uf" => "MG","descricao" => "GUARARA","cep1" => "36606-000","cep2" => "36607-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1185,"uf" => "MG","descricao" => "GUARDA MOR","cep1" => "38570-000","cep2" => "38599-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1186,"uf" => "MG","descricao" => "GUAXUPE","cep1" => "37800-000","cep2" => "37800-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1187,"uf" => "MG","descricao" => "GUIDOVAL","cep1" => "36515-000","cep2" => "36519-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1188,"uf" => "MG","descricao" => "GUIMARANIA","cep1" => "38730-000","cep2" => "38730-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1189,"uf" => "MG","descricao" => "GUIRICEMA","cep1" => "36525-000","cep2" => "36529-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1190,"uf" => "MG","descricao" => "GURINHATA","cep1" => "38310-000","cep2" => "38310-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1191,"uf" => "MG","descricao" => "HELIODORA","cep1" => "37484-000","cep2" => "37484-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1192,"uf" => "MG","descricao" => "IAPU","cep1" => "35190-000","cep2" => "35190-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1193,"uf" => "MG","descricao" => "IBERTIOGA","cep1" => "36225-000","cep2" => "36225-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1194,"uf" => "MG","descricao" => "IBIA","cep1" => "38950-000","cep2" => "38950-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1195,"uf" => "MG","descricao" => "IBIAI","cep1" => "39350-000","cep2" => "39354-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1196,"uf" => "MG","descricao" => "IBIRACI","cep1" => "37990-000","cep2" => "37992-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1197,"uf" => "MG","descricao" => "IBIRITE","cep1" => "32400-000","cep2" => "32449-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1198,"uf" => "MG","descricao" => "IBITIURA DE MINAS","cep1" => "37790-000","cep2" => "37794-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1199,"uf" => "MG","descricao" => "IBITURUNA","cep1" => "37223-000","cep2" => "37224-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1200,"uf" => "MG","descricao" => "ICARAI DE MINAS","cep1" => "39318-000","cep2" => "39319-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1201,"uf" => "MG","descricao" => "IGARAPE","cep1" => "32900-000","cep2" => "32900-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1202,"uf" => "MG","descricao" => "IGARATINGA","cep1" => "35695-000","cep2" => "35695-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1203,"uf" => "MG","descricao" => "IGUATAMA","cep1" => "38910-000","cep2" => "38910-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1204,"uf" => "MG","descricao" => "IJACI","cep1" => "37218-000","cep2" => "37219-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1205,"uf" => "MG","descricao" => "ILICINEA","cep1" => "37175-000","cep2" => "37176-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1206,"uf" => "MG","descricao" => "IMBE DE MINAS","cep1" => "35323-000","cep2" => "35323-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1207,"uf" => "MG","descricao" => "INCONFIDENTES","cep1" => "37576-000","cep2" => "37577-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1208,"uf" => "MG","descricao" => "INDAIABIRA","cep1" => "39536-000","cep2" => "39537-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1209,"uf" => "MG","descricao" => "INDIANOPOLIS","cep1" => "38490-000","cep2" => "38490-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1210,"uf" => "MG","descricao" => "INGAI","cep1" => "37215-000","cep2" => "37217-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1211,"uf" => "MG","descricao" => "INHAPIM","cep1" => "35330-000","cep2" => "35330-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1212,"uf" => "MG","descricao" => "INHAUMA","cep1" => "35763-000","cep2" => "35764-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1213,"uf" => "MG","descricao" => "INIMUTABA","cep1" => "39243-000","cep2" => "39244-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1214,"uf" => "MG","descricao" => "IPABA","cep1" => "35198-000","cep2" => "35198-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1215,"uf" => "MG","descricao" => "IPANEMA","cep1" => "36950-000","cep2" => "36950-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1216,"uf" => "MG","descricao" => "IPATINGA","cep1" => "35150-001","cep2" => "35168-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1217,"uf" => "MG","descricao" => "IPUIUNA","cep1" => "37588-000","cep2" => "37588-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1218,"uf" => "MG","descricao" => "IRAI DE MINAS","cep1" => "38510-000","cep2" => "38510-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1219,"uf" => "MG","descricao" => "ITABIRA","cep1" => "35900-000","cep2" => "35904-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1220,"uf" => "MG","descricao" => "ITABIRINHA","cep1" => "35280-000","cep2" => "35280-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1221,"uf" => "MG","descricao" => "ITABIRITO","cep1" => "35450-000","cep2" => "35450-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1222,"uf" => "MG","descricao" => "ITACARAMBI","cep1" => "39470-000","cep2" => "39471-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1223,"uf" => "MG","descricao" => "ITAGUARA","cep1" => "35488-000","cep2" => "35489-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1224,"uf" => "MG","descricao" => "ITAIPE","cep1" => "39815-000","cep2" => "39815-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1225,"uf" => "MG","descricao" => "ITAJUBA","cep1" => "37500-000","cep2" => "37506-999","roteirizacao" => "PPY","unidade" => "PPY02","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1226,"uf" => "MG","descricao" => "ITAMARANDIBA","cep1" => "39670-000","cep2" => "39670-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1227,"uf" => "MG","descricao" => "ITAMARATI DE MINAS","cep1" => "36788-000","cep2" => "36789-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1228,"uf" => "MG","descricao" => "ITAMBACURI","cep1" => "39830-000","cep2" => "39834-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1229,"uf" => "MG","descricao" => "ITAMBE DO MATO DENTRO","cep1" => "35820-000","cep2" => "35820-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1230,"uf" => "MG","descricao" => "ITAMOGI","cep1" => "37973-000","cep2" => "37974-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1231,"uf" => "MG","descricao" => "ITAMONTE","cep1" => "37466-000","cep2" => "37466-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1232,"uf" => "MG","descricao" => "ITANHANDU","cep1" => "37464-000","cep2" => "37464-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1233,"uf" => "MG","descricao" => "ITANHOMI","cep1" => "35120-000","cep2" => "35120-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1234,"uf" => "MG","descricao" => "ITAOBIM","cep1" => "39625-000","cep2" => "39625-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1235,"uf" => "MG","descricao" => "ITAPAGIPE","cep1" => "38240-000","cep2" => "38240-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1236,"uf" => "MG","descricao" => "ITAPECERICA","cep1" => "35550-000","cep2" => "35550-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1237,"uf" => "MG","descricao" => "ITAPEVA","cep1" => "37655-000","cep2" => "37659-999","roteirizacao" => "QET","unidade" => "QET02","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1238,"uf" => "MG","descricao" => "ITATIAIUCU","cep1" => "35685-000","cep2" => "35689-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1239,"uf" => "MG","descricao" => "ITAU DE MINAS","cep1" => "37975-000","cep2" => "37975-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1240,"uf" => "MG","descricao" => "ITAUNA","cep1" => "35680-001","cep2" => "35684-999","roteirizacao" => "DIQ","unidade" => "DIQ","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1241,"uf" => "MG","descricao" => "ITAVERAVA","cep1" => "36440-000","cep2" => "36449-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1242,"uf" => "MG","descricao" => "ITINGA","cep1" => "39610-000","cep2" => "39610-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1243,"uf" => "MG","descricao" => "ITUETA","cep1" => "35220-000","cep2" => "35224-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1244,"uf" => "MG","descricao" => "ITUIUTABA","cep1" => "38300-000","cep2" => "38309-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1245,"uf" => "MG","descricao" => "ITUMIRIM","cep1" => "37210-000","cep2" => "37214-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1246,"uf" => "MG","descricao" => "ITURAMA","cep1" => "38280-000","cep2" => "38280-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1247,"uf" => "MG","descricao" => "ITUTINGA","cep1" => "36390-000","cep2" => "36399-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1248,"uf" => "MG","descricao" => "JABOTICATUBAS","cep1" => "35830-000","cep2" => "35844-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1249,"uf" => "MG","descricao" => "JACINTO","cep1" => "39930-000","cep2" => "39930-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1250,"uf" => "MG","descricao" => "JACUI","cep1" => "37965-000","cep2" => "37965-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1251,"uf" => "MG","descricao" => "JACUTINGA","cep1" => "37590-000","cep2" => "37595-999","roteirizacao" => "PPY","unidade" => "PPY02","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1252,"uf" => "MG","descricao" => "JAGUARACU","cep1" => "35188-000","cep2" => "35188-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1253,"uf" => "MG","descricao" => "JAIBA","cep1" => "39508-000","cep2" => "39509-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1254,"uf" => "MG","descricao" => "JAMPRUCA","cep1" => "39837-000","cep2" => "39839-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1255,"uf" => "MG","descricao" => "JANAUBA","cep1" => "39440-000","cep2" => "39449-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1256,"uf" => "MG","descricao" => "JANUARIA","cep1" => "39480-000","cep2" => "39480-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1257,"uf" => "MG","descricao" => "JAPARAIBA","cep1" => "35580-000","cep2" => "35581-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1258,"uf" => "MG","descricao" => "JAPONVAR","cep1" => "39335-000","cep2" => "39335-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1259,"uf" => "MG","descricao" => "JECEABA","cep1" => "35498-000","cep2" => "35498-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1260,"uf" => "MG","descricao" => "JENIPAPO DE MINAS","cep1" => "39645-000","cep2" => "39645-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1261,"uf" => "MG","descricao" => "JEQUERI","cep1" => "35390-000","cep2" => "35399-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1262,"uf" => "MG","descricao" => "JEQUITAI","cep1" => "39370-000","cep2" => "39372-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1263,"uf" => "MG","descricao" => "JEQUITIBA","cep1" => "35767-000","cep2" => "35767-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1264,"uf" => "MG","descricao" => "JEQUITINHONHA","cep1" => "39960-000","cep2" => "39960-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1265,"uf" => "MG","descricao" => "JESUANIA","cep1" => "37485-000","cep2" => "37487-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1266,"uf" => "MG","descricao" => "JOAIMA","cep1" => "39890-000","cep2" => "39890-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1267,"uf" => "MG","descricao" => "JOANESIA","cep1" => "35194-000","cep2" => "35194-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1268,"uf" => "MG","descricao" => "JOAO MONLEVADE","cep1" => "35930-001","cep2" => "35934-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1269,"uf" => "MG","descricao" => "JOAO PINHEIRO","cep1" => "38770-000","cep2" => "38770-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1270,"uf" => "MG","descricao" => "JOAQUIM FELICIO","cep1" => "39240-000","cep2" => "39242-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1271,"uf" => "MG","descricao" => "JORDANIA","cep1" => "39920-000","cep2" => "39920-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1272,"uf" => "MG","descricao" => "JOSE RAYDAN","cep1" => "39775-000","cep2" => "39775-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1273,"uf" => "MG","descricao" => "JOSENOPOLIS","cep1" => "39575-000","cep2" => "39579-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1274,"uf" => "MG","descricao" => "JUATUBA","cep1" => "35675-000","cep2" => "35675-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1275,"uf" => "MG","descricao" => "JUIZ DE FORA","cep1" => "36000-000","cep2" => "36100-999","roteirizacao" => "IZA","unidade" => "IZA","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1276,"uf" => "MG","descricao" => "JURUAIA","cep1" => "37805-000","cep2" => "37805-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1277,"uf" => "MG","descricao" => "JUVENILIA","cep1" => "39467-000","cep2" => "39469-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1278,"uf" => "MG","descricao" => "LADAINHA","cep1" => "39825-000","cep2" => "39826-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1279,"uf" => "MG","descricao" => "LAGAMAR","cep1" => "38785-000","cep2" => "38785-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1280,"uf" => "MG","descricao" => "LAGOA DA PRATA","cep1" => "35590-000","cep2" => "35590-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1281,"uf" => "MG","descricao" => "LAGOA DOS PATOS","cep1" => "39360-000","cep2" => "39360-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1282,"uf" => "MG","descricao" => "LAGOA DOURADA","cep1" => "36345-000","cep2" => "36345-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1283,"uf" => "MG","descricao" => "LAGOA FORMOSA","cep1" => "38720-000","cep2" => "38720-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1284,"uf" => "MG","descricao" => "LAGOA GRANDE","cep1" => "38755-000","cep2" => "38755-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1285,"uf" => "MG","descricao" => "LAGOA SANTA","cep1" => "33230-001","cep2" => "33241-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1286,"uf" => "MG","descricao" => "LAJINHA","cep1" => "36980-000","cep2" => "36980-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1287,"uf" => "MG","descricao" => "LAMBARI","cep1" => "37480-000","cep2" => "37483-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1288,"uf" => "MG","descricao" => "LAMIM","cep1" => "36455-000","cep2" => "36459-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1289,"uf" => "MG","descricao" => "LARANJAL","cep1" => "36760-000","cep2" => "36769-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1290,"uf" => "MG","descricao" => "LASSANCE","cep1" => "39250-000","cep2" => "39250-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1291,"uf" => "MG","descricao" => "LAVRAS","cep1" => "37200-000","cep2" => "37209-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1292,"uf" => "MG","descricao" => "LEOPOLDINA","cep1" => "36707-000","cep2" => "36707-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1293,"uf" => "MG","descricao" => "LEOPOLDINA","cep1" => "36708-000","cep2" => "36709-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1294,"uf" => "MG","descricao" => "LEOPOLDINA","cep1" => "36700-000","cep2" => "36701-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1295,"uf" => "MG","descricao" => "LEOPOLDINA","cep1" => "36702-000","cep2" => "36703-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1296,"uf" => "MG","descricao" => "LEOPOLDINA","cep1" => "36706-000","cep2" => "36706-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1297,"uf" => "MG","descricao" => "LIBERDADE","cep1" => "37350-000","cep2" => "37359-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1298,"uf" => "MG","descricao" => "LIMA DUARTE","cep1" => "36140-000","cep2" => "36144-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1299,"uf" => "MG","descricao" => "LIMEIRA DO OESTE","cep1" => "38295-000","cep2" => "38295-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1300,"uf" => "MG","descricao" => "LONTRA","cep1" => "39437-000","cep2" => "39437-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1301,"uf" => "MG","descricao" => "LUISBURGO","cep1" => "36923-000","cep2" => "36923-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1302,"uf" => "MG","descricao" => "LUISLANDIA","cep1" => "39336-000","cep2" => "39337-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1303,"uf" => "MG","descricao" => "LUMINARIAS","cep1" => "37240-000","cep2" => "37244-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1304,"uf" => "MG","descricao" => "LUZ","cep1" => "35595-000","cep2" => "35595-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1305,"uf" => "MG","descricao" => "MACHACALIS","cep1" => "39873-000","cep2" => "39873-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1306,"uf" => "MG","descricao" => "MACHADO","cep1" => "37750-000","cep2" => "37756-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1307,"uf" => "MG","descricao" => "MADRE DE DEUS DE MINAS","cep1" => "37305-000","cep2" => "37309-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1308,"uf" => "MG","descricao" => "MALACACHETA","cep1" => "39690-000","cep2" => "39690-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1309,"uf" => "MG","descricao" => "MAMONAS","cep1" => "39516-000","cep2" => "39516-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1310,"uf" => "MG","descricao" => "MANGA","cep1" => "39460-000","cep2" => "39464-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1311,"uf" => "MG","descricao" => "MANHUACU","cep1" => "36900-001","cep2" => "36908-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1312,"uf" => "MG","descricao" => "MANHUMIRIM","cep1" => "36970-000","cep2" => "36971-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1313,"uf" => "MG","descricao" => "MANTENA","cep1" => "35290-000","cep2" => "35290-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1314,"uf" => "MG","descricao" => "MAR DE ESPANHA","cep1" => "36645-000","cep2" => "36649-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1315,"uf" => "MG","descricao" => "MAR DE ESPANHA","cep1" => "36640-000","cep2" => "36642-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1316,"uf" => "MG","descricao" => "MAR DE ESPANHA","cep1" => "36643-000","cep2" => "36644-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1317,"uf" => "MG","descricao" => "MARAVILHAS","cep1" => "35666-000","cep2" => "35666-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1318,"uf" => "MG","descricao" => "MARIA DA FE","cep1" => "37517-000","cep2" => "37519-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1319,"uf" => "MG","descricao" => "MARIANA","cep1" => "35420-000","cep2" => "35420-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1320,"uf" => "MG","descricao" => "MARILAC","cep1" => "35115-000","cep2" => "35115-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1321,"uf" => "MG","descricao" => "MARIO CAMPOS","cep1" => "32470-000","cep2" => "32470-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1322,"uf" => "MG","descricao" => "MARIPA DE MINAS","cep1" => "36608-000","cep2" => "36609-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1323,"uf" => "MG","descricao" => "MARLIERIA","cep1" => "35185-000","cep2" => "35185-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1324,"uf" => "MG","descricao" => "MARMELOPOLIS","cep1" => "37516-000","cep2" => "37516-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1325,"uf" => "MG","descricao" => "MARTINHO CAMPOS","cep1" => "35606-000","cep2" => "35609-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1326,"uf" => "MG","descricao" => "MARTINS SOARES","cep1" => "36972-000","cep2" => "36973-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1327,"uf" => "MG","descricao" => "MATA VERDE","cep1" => "39915-000","cep2" => "39915-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1328,"uf" => "MG","descricao" => "MATERLANDIA","cep1" => "39755-000","cep2" => "39755-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1329,"uf" => "MG","descricao" => "MATEUS LEME","cep1" => "35670-000","cep2" => "35670-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1330,"uf" => "MG","descricao" => "MATHIAS LOBATO","cep1" => "35110-000","cep2" => "35111-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1331,"uf" => "MG","descricao" => "MATIAS BARBOSA","cep1" => "36120-000","cep2" => "36120-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1332,"uf" => "MG","descricao" => "MATIAS CARDOSO","cep1" => "39478-000","cep2" => "39479-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1333,"uf" => "MG","descricao" => "MATIPO","cep1" => "35367-000","cep2" => "35367-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1334,"uf" => "MG","descricao" => "MATO VERDE","cep1" => "39527-000","cep2" => "39527-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1335,"uf" => "MG","descricao" => "MATOZINHOS","cep1" => "35720-000","cep2" => "35720-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1336,"uf" => "MG","descricao" => "MEDEIROS","cep1" => "38930-000","cep2" => "38949-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1337,"uf" => "MG","descricao" => "MEDINA","cep1" => "39620-000","cep2" => "39620-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1338,"uf" => "MG","descricao" => "MENDES PIMENTEL","cep1" => "35270-000","cep2" => "35274-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1339,"uf" => "MG","descricao" => "MERCES","cep1" => "36190-000","cep2" => "36194-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1340,"uf" => "MG","descricao" => "MESQUITA","cep1" => "35116-000","cep2" => "35116-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1341,"uf" => "MG","descricao" => "MINAS NOVAS","cep1" => "39650-000","cep2" => "39650-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1342,"uf" => "MG","descricao" => "MINDURI","cep1" => "37447-000","cep2" => "37449-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1343,"uf" => "MG","descricao" => "MIRABELA","cep1" => "39373-000","cep2" => "39377-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1344,"uf" => "MG","descricao" => "MIRADOURO","cep1" => "36893-000","cep2" => "36894-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1345,"uf" => "MG","descricao" => "MIRAI","cep1" => "36790-000","cep2" => "36790-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1346,"uf" => "MG","descricao" => "MIRAVANIA","cep1" => "39465-000","cep2" => "39466-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1347,"uf" => "MG","descricao" => "MOEDA","cep1" => "35470-000","cep2" => "35472-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1348,"uf" => "MG","descricao" => "MOEMA","cep1" => "35604-000","cep2" => "35604-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1349,"uf" => "MG","descricao" => "MONJOLOS","cep1" => "39215-000","cep2" => "39218-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1350,"uf" => "MG","descricao" => "MONSENHOR PAULO","cep1" => "37405-000","cep2" => "37406-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1351,"uf" => "MG","descricao" => "MONTALVANIA","cep1" => "39495-000","cep2" => "39495-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1352,"uf" => "MG","descricao" => "MONTE ALEGRE DE MINAS","cep1" => "38475-000","cep2" => "38479-999","roteirizacao" => "UDI","unidade" => "UDI","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1353,"uf" => "MG","descricao" => "MONTE AZUL","cep1" => "39500-000","cep2" => "39500-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1354,"uf" => "MG","descricao" => "MONTE BELO","cep1" => "37115-000","cep2" => "37119-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1355,"uf" => "MG","descricao" => "MONTE CARMELO","cep1" => "38500-000","cep2" => "38500-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1356,"uf" => "MG","descricao" => "MONTE FORMOSO","cep1" => "39893-000","cep2" => "39893-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1357,"uf" => "MG","descricao" => "MONTE SANTO DE MINAS","cep1" => "37968-000","cep2" => "37969-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1358,"uf" => "MG","descricao" => "MONTE SIAO","cep1" => "37580-000","cep2" => "37581-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1359,"uf" => "MG","descricao" => "MONTES CLAROS","cep1" => "39400-001","cep2" => "39409-999","roteirizacao" => "MOC","unidade" => "MOC","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>1360,"uf" => "MG","descricao" => "MONTES CLAROS","cep1" => "39410-000","cep2" => "39420-000","roteirizacao" => "MOC","unidade" => "MOC","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1361,"uf" => "MG","descricao" => "MONTEZUMA","cep1" => "39547-000","cep2" => "39549-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1362,"uf" => "MG","descricao" => "MORADA NOVA DE MINAS","cep1" => "35628-000","cep2" => "35639-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1363,"uf" => "MG","descricao" => "MORRO DA GARCA","cep1" => "39248-000","cep2" => "39249-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1364,"uf" => "MG","descricao" => "MORRO DO PILAR","cep1" => "35875-000","cep2" => "35875-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1365,"uf" => "MG","descricao" => "MUNHOZ","cep1" => "37620-000","cep2" => "37629-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1366,"uf" => "MG","descricao" => "MURIAE","cep1" => "36880-000","cep2" => "36892-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1367,"uf" => "MG","descricao" => "MUTUM","cep1" => "36955-000","cep2" => "36955-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1368,"uf" => "MG","descricao" => "MUZAMBINHO","cep1" => "37890-000","cep2" => "37899-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1369,"uf" => "MG","descricao" => "NACIP RAYDAN","cep1" => "39718-000","cep2" => "39718-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1370,"uf" => "MG","descricao" => "NANUQUE","cep1" => "39860-000","cep2" => "39860-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1371,"uf" => "MG","descricao" => "NAQUE","cep1" => "35117-000","cep2" => "35117-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1372,"uf" => "MG","descricao" => "NATERCIA","cep1" => "37524-000","cep2" => "37526-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1373,"uf" => "MG","descricao" => "NAZARENO","cep1" => "36370-000","cep2" => "36370-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1374,"uf" => "MG","descricao" => "NEPOMUCENO","cep1" => "37250-000","cep2" => "37259-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1375,"uf" => "MG","descricao" => "NOVA BELEM","cep1" => "35298-000","cep2" => "35298-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1376,"uf" => "MG","descricao" => "NOVA ERA","cep1" => "35920-000","cep2" => "35920-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1377,"uf" => "MG","descricao" => "NOVA LIMA","cep1" => "34000-000","cep2" => "34019-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1378,"uf" => "MG","descricao" => "NOVA MODICA","cep1" => "35113-000","cep2" => "35113-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1379,"uf" => "MG","descricao" => "NOVA PONTE","cep1" => "38160-000","cep2" => "38160-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1380,"uf" => "MG","descricao" => "NOVA PORTEIRINHA","cep1" => "39525-000","cep2" => "39525-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1381,"uf" => "MG","descricao" => "NOVA RESENDE","cep1" => "37860-000","cep2" => "37860-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1382,"uf" => "MG","descricao" => "NOVA SERRANA","cep1" => "35519-000","cep2" => "35519-999","roteirizacao" => "NVV","unidade" => "NVV01","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1383,"uf" => "MG","descricao" => "NOVA SERRANA","cep1" => "35520-001","cep2" => "35528-899","roteirizacao" => "NVV","unidade" => "NVV01","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1384,"uf" => "MG","descricao" => "NOVA UNIAO","cep1" => "34990-000","cep2" => "34990-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1385,"uf" => "MG","descricao" => "NOVO CRUZEIRO","cep1" => "39820-000","cep2" => "39824-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1386,"uf" => "MG","descricao" => "NOVO ORIENTE DE MINAS","cep1" => "39817-000","cep2" => "39817-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1387,"uf" => "MG","descricao" => "OLARIA","cep1" => "36145-000","cep2" => "36145-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1388,"uf" => "MG","descricao" => "OLHOS DAGUA","cep1" => "39489-100","cep2" => "39489-100","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1389,"uf" => "MG","descricao" => "OLHOS DAGUA","cep1" => "39398-000","cep2" => "39399-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1390,"uf" => "MG","descricao" => "OLIMPIO NORONHA","cep1" => "37488-000","cep2" => "37489-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1391,"uf" => "MG","descricao" => "OLIVEIRA","cep1" => "35540-000","cep2" => "35540-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1392,"uf" => "MG","descricao" => "OLIVEIRA FORTES","cep1" => "36250-000","cep2" => "36250-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1393,"uf" => "MG","descricao" => "ORATORIOS","cep1" => "35439-000","cep2" => "35439-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1394,"uf" => "MG","descricao" => "ORIZANIA","cep1" => "36828-000","cep2" => "36828-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1395,"uf" => "MG","descricao" => "OURO BRANCO","cep1" => "36420-000","cep2" => "36421-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1396,"uf" => "MG","descricao" => "OURO FINO","cep1" => "37570-000","cep2" => "37575-999","roteirizacao" => "PPY","unidade" => "PPY02","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1397,"uf" => "MG","descricao" => "OURO PRETO","cep1" => "35400-000","cep2" => "35400-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1398,"uf" => "MG","descricao" => "OURO VERDE DE MINAS","cep1" => "39855-000","cep2" => "39859-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1399,"uf" => "MG","descricao" => "PADRE CARVALHO","cep1" => "39573-000","cep2" => "39573-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1400,"uf" => "MG","descricao" => "PADRE PARAISO","cep1" => "39818-000","cep2" => "39818-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>1401,"uf" => "MG","descricao" => "PAINEIRAS","cep1" => "35622-000","cep2" => "35623-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1402,"uf" => "MG","descricao" => "PAINS","cep1" => "35582-000","cep2" => "35582-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1403,"uf" => "MG","descricao" => "PAIVA","cep1" => "36195-000","cep2" => "36199-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1404,"uf" => "MG","descricao" => "PALMA","cep1" => "36750-000","cep2" => "36759-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1405,"uf" => "MG","descricao" => "PALMOPOLIS","cep1" => "39945-000","cep2" => "39945-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1406,"uf" => "MG","descricao" => "PAPAGAIOS","cep1" => "35669-000","cep2" => "35669-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1407,"uf" => "MG","descricao" => "PARA DE MINAS","cep1" => "35660-001","cep2" => "35664-999","roteirizacao" => "NVV","unidade" => "NVV01","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1408,"uf" => "MG","descricao" => "PARACATU","cep1" => "38600-000","cep2" => "38600-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1409,"uf" => "MG","descricao" => "PARAGUACU","cep1" => "37120-000","cep2" => "37129-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1410,"uf" => "MG","descricao" => "PARAISOPOLIS","cep1" => "37660-000","cep2" => "37669-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1411,"uf" => "MG","descricao" => "PARAOPEBA","cep1" => "35774-000","cep2" => "35774-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1412,"uf" => "MG","descricao" => "PASSA QUATRO","cep1" => "37460-000","cep2" => "37463-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1413,"uf" => "MG","descricao" => "PASSA TEMPO","cep1" => "35537-000","cep2" => "35537-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1414,"uf" => "MG","descricao" => "PASSABEM","cep1" => "35810-000","cep2" => "35810-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1415,"uf" => "MG","descricao" => "PASSOS","cep1" => "37900-001","cep2" => "37904-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1416,"uf" => "MG","descricao" => "PATIS","cep1" => "39378-000","cep2" => "39379-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1417,"uf" => "MG","descricao" => "PATOS DE MINAS","cep1" => "38700-001","cep2" => "38719-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1418,"uf" => "MG","descricao" => "PATROCINIO","cep1" => "38740-001","cep2" => "38749-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1419,"uf" => "MG","descricao" => "PATROCINIO DO MURIAE","cep1" => "36860-000","cep2" => "36869-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1420,"uf" => "MG","descricao" => "PAULA CANDIDO","cep1" => "36544-000","cep2" => "36545-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1421,"uf" => "MG","descricao" => "PAULISTAS","cep1" => "39765-000","cep2" => "39765-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1422,"uf" => "MG","descricao" => "PAVAO","cep1" => "39814-000","cep2" => "39814-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1423,"uf" => "MG","descricao" => "PECANHA","cep1" => "39700-000","cep2" => "39700-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1424,"uf" => "MG","descricao" => "PEDRA AZUL","cep1" => "39970-000","cep2" => "39970-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1425,"uf" => "MG","descricao" => "PEDRA BONITA","cep1" => "35364-000","cep2" => "35364-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1426,"uf" => "MG","descricao" => "PEDRA DO ANTA","cep1" => "36585-000","cep2" => "36589-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1427,"uf" => "MG","descricao" => "PEDRA DO INDAIA","cep1" => "35565-000","cep2" => "35565-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1428,"uf" => "MG","descricao" => "PEDRA DOURADA","cep1" => "36847-000","cep2" => "36849-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1429,"uf" => "MG","descricao" => "PEDRALVA","cep1" => "37520-000","cep2" => "37523-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1430,"uf" => "MG","descricao" => "PEDRAS DE MARIA DA CRUZ","cep1" => "39492-000","cep2" => "39492-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1431,"uf" => "MG","descricao" => "PEDRINOPOLIS","cep1" => "38178-000","cep2" => "38178-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1432,"uf" => "MG","descricao" => "PEDRO LEOPOLDO","cep1" => "33600-000","cep2" => "33600-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1433,"uf" => "MG","descricao" => "PEDRO TEIXEIRA","cep1" => "36148-000","cep2" => "36149-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1434,"uf" => "MG","descricao" => "PEQUERI","cep1" => "36610-000","cep2" => "36610-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1435,"uf" => "MG","descricao" => "PEQUI","cep1" => "35667-000","cep2" => "35667-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1436,"uf" => "MG","descricao" => "PERDIGAO","cep1" => "35545-000","cep2" => "35546-999","roteirizacao" => "NVV","unidade" => "NVV01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1437,"uf" => "MG","descricao" => "PERDIZES","cep1" => "38170-000","cep2" => "38170-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1438,"uf" => "MG","descricao" => "PERDOES","cep1" => "37260-000","cep2" => "37260-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1439,"uf" => "MG","descricao" => "PERIQUITO","cep1" => "35118-000","cep2" => "35119-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1440,"uf" => "MG","descricao" => "PESCADOR","cep1" => "35114-000","cep2" => "35114-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1441,"uf" => "MG","descricao" => "PIAU","cep1" => "36157-000","cep2" => "36157-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1442,"uf" => "MG","descricao" => "PIEDADE DE CARATINGA","cep1" => "35325-000","cep2" => "35325-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1443,"uf" => "MG","descricao" => "PIEDADE DE PONTE NOVA","cep1" => "35382-000","cep2" => "35382-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1444,"uf" => "MG","descricao" => "PIEDADE DO RIO GRANDE","cep1" => "36227-000","cep2" => "36229-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1445,"uf" => "MG","descricao" => "PIEDADE DOS GERAIS","cep1" => "35476-000","cep2" => "35477-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1446,"uf" => "MG","descricao" => "PIMENTA","cep1" => "35585-000","cep2" => "35585-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1447,"uf" => "MG","descricao" => "PINGO DAGUA","cep1" => "35348-000","cep2" => "35348-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1448,"uf" => "MG","descricao" => "PINTOPOLIS","cep1" => "39317-000","cep2" => "39317-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1449,"uf" => "MG","descricao" => "PIRACEMA","cep1" => "35536-000","cep2" => "35536-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1450,"uf" => "MG","descricao" => "PIRAJUBA","cep1" => "38210-000","cep2" => "38210-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1451,"uf" => "MG","descricao" => "PIRANGA","cep1" => "36480-000","cep2" => "36499-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1452,"uf" => "MG","descricao" => "PIRANGUCU","cep1" => "37511-000","cep2" => "37511-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1453,"uf" => "MG","descricao" => "PIRANGUINHO","cep1" => "37508-000","cep2" => "37509-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1454,"uf" => "MG","descricao" => "PIRAPETINGA","cep1" => "36730-000","cep2" => "36739-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1455,"uf" => "MG","descricao" => "PIRAPORA","cep1" => "39270-000","cep2" => "39279-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1456,"uf" => "MG","descricao" => "PIRAUBA","cep1" => "36170-000","cep2" => "36179-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1457,"uf" => "MG","descricao" => "PIUMHI","cep1" => "37925-000","cep2" => "37925-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1458,"uf" => "MG","descricao" => "PLANURA","cep1" => "38220-000","cep2" => "38220-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1459,"uf" => "MG","descricao" => "POCO FUNDO","cep1" => "37757-000","cep2" => "37759-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1460,"uf" => "MG","descricao" => "POCOS DE CALDAS","cep1" => "37700-001","cep2" => "37719-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1461,"uf" => "MG","descricao" => "POCRANE","cep1" => "36960-000","cep2" => "36960-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1462,"uf" => "MG","descricao" => "POMPEU","cep1" => "35640-000","cep2" => "35640-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1463,"uf" => "MG","descricao" => "PONTE NOVA","cep1" => "35430-000","cep2" => "35434-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1464,"uf" => "MG","descricao" => "PONTO DOS VOLANTES","cep1" => "39615-000","cep2" => "39615-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1465,"uf" => "MG","descricao" => "PORTEIRINHA","cep1" => "39520-000","cep2" => "39520-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1466,"uf" => "MG","descricao" => "PORTO FIRME","cep1" => "36576-000","cep2" => "36579-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1467,"uf" => "MG","descricao" => "POTE","cep1" => "39827-000","cep2" => "39827-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1468,"uf" => "MG","descricao" => "POUSO ALEGRE","cep1" => "37549-000","cep2" => "37562-999","roteirizacao" => "PPY","unidade" => "PPY02","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1469,"uf" => "MG","descricao" => "POUSO ALTO","cep1" => "37468-000","cep2" => "37469-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1470,"uf" => "MG","descricao" => "PRADOS","cep1" => "36320-000","cep2" => "36324-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1471,"uf" => "MG","descricao" => "PRATA","cep1" => "38140-000","cep2" => "38149-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1472,"uf" => "MG","descricao" => "PRATAPOLIS","cep1" => "37970-000","cep2" => "37972-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1473,"uf" => "MG","descricao" => "PRATINHA","cep1" => "38960-000","cep2" => "38960-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1474,"uf" => "MG","descricao" => "PRESIDENTE BERNARDES","cep1" => "36475-000","cep2" => "36479-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1475,"uf" => "MG","descricao" => "PRESIDENTE JUSCELINO","cep1" => "39245-000","cep2" => "39247-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1476,"uf" => "MG","descricao" => "PRESIDENTE KUBITSCHEK","cep1" => "39135-000","cep2" => "39135-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1477,"uf" => "MG","descricao" => "PRESIDENTE OLEGARIO","cep1" => "38750-000","cep2" => "38750-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1478,"uf" => "MG","descricao" => "PRUDENTE DE MORAIS","cep1" => "35738-000","cep2" => "35739-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1479,"uf" => "MG","descricao" => "QUARTEL GERAL","cep1" => "35625-000","cep2" => "35625-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1480,"uf" => "MG","descricao" => "QUELUZITO","cep1" => "36424-000","cep2" => "36425-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1481,"uf" => "MG","descricao" => "RAPOSOS","cep1" => "34400-000","cep2" => "34400-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1482,"uf" => "MG","descricao" => "RAUL SOARES","cep1" => "35350-000","cep2" => "35350-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1483,"uf" => "MG","descricao" => "RECREIO","cep1" => "36740-000","cep2" => "36749-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1484,"uf" => "MG","descricao" => "REDUTO","cep1" => "36920-000","cep2" => "36922-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1485,"uf" => "MG","descricao" => "RESENDE COSTA","cep1" => "36340-000","cep2" => "36344-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1486,"uf" => "MG","descricao" => "RESPLENDOR","cep1" => "35230-000","cep2" => "35230-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1487,"uf" => "MG","descricao" => "RESSAQUINHA","cep1" => "36270-000","cep2" => "36270-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1488,"uf" => "MG","descricao" => "RIACHINHO","cep1" => "38640-000","cep2" => "38640-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1489,"uf" => "MG","descricao" => "RIACHO DOS MACHADOS","cep1" => "39529-000","cep2" => "39529-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1490,"uf" => "MG","descricao" => "RIBEIRAO DAS NEVES","cep1" => "33800-001","cep2" => "33979-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1491,"uf" => "MG","descricao" => "RIBEIRAO VERMELHO","cep1" => "37264-000","cep2" => "37266-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1492,"uf" => "MG","descricao" => "RIO ACIMA","cep1" => "34300-000","cep2" => "34300-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1493,"uf" => "MG","descricao" => "RIO CASCA","cep1" => "35370-000","cep2" => "35370-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1494,"uf" => "MG","descricao" => "RIO DO PRADO","cep1" => "39940-000","cep2" => "39940-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1495,"uf" => "MG","descricao" => "RIO DOCE","cep1" => "35442-000","cep2" => "35442-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1496,"uf" => "MG","descricao" => "RIO ESPERA","cep1" => "36460-000","cep2" => "36469-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1497,"uf" => "MG","descricao" => "RIO MANSO","cep1" => "35485-000","cep2" => "35487-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1498,"uf" => "MG","descricao" => "RIO NOVO","cep1" => "36150-000","cep2" => "36151-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1499,"uf" => "MG","descricao" => "RIO PARANAIBA","cep1" => "38810-000","cep2" => "38810-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1500,"uf" => "MG","descricao" => "RIO PARDO DE MINAS","cep1" => "39530-000","cep2" => "39530-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1501,"uf" => "MG","descricao" => "RIO PIRACICABA","cep1" => "35940-000","cep2" => "35940-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1502,"uf" => "MG","descricao" => "RIO POMBA","cep1" => "36180-000","cep2" => "36184-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1503,"uf" => "MG","descricao" => "RIO PRETO","cep1" => "36130-000","cep2" => "36131-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1504,"uf" => "MG","descricao" => "RIO VERMELHO","cep1" => "39170-000","cep2" => "39170-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1505,"uf" => "MG","descricao" => "RITAPOLIS","cep1" => "36335-000","cep2" => "36339-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1506,"uf" => "MG","descricao" => "ROCHEDO DE MINAS","cep1" => "36604-000","cep2" => "36605-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1507,"uf" => "MG","descricao" => "RODEIRO","cep1" => "36510-000","cep2" => "36511-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1508,"uf" => "MG","descricao" => "ROMARIA","cep1" => "38520-000","cep2" => "38520-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1509,"uf" => "MG","descricao" => "RUBELITA","cep1" => "39565-000","cep2" => "39567-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1510,"uf" => "MG","descricao" => "RUBIM","cep1" => "39950-000","cep2" => "39950-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1511,"uf" => "MG","descricao" => "SABARA","cep1" => "34500-001","cep2" => "34799-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1512,"uf" => "MG","descricao" => "SABINOPOLIS","cep1" => "39750-000","cep2" => "39750-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1513,"uf" => "MG","descricao" => "SACRAMENTO","cep1" => "38190-000","cep2" => "38190-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1514,"uf" => "MG","descricao" => "SALINAS","cep1" => "39560-000","cep2" => "39560-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1515,"uf" => "MG","descricao" => "SANTA BARBARA","cep1" => "35960-000","cep2" => "35968-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1516,"uf" => "MG","descricao" => "SANTA BARBARA DO LESTE","cep1" => "35328-000","cep2" => "35328-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1517,"uf" => "MG","descricao" => "SANTA BARBARA DO MONTE VERDE","cep1" => "36132-000","cep2" => "36134-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1518,"uf" => "MG","descricao" => "SANTA BARBARA DO TUGURIO","cep1" => "36215-000","cep2" => "36215-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1519,"uf" => "MG","descricao" => "SANTA CRUZ DE MINAS","cep1" => "36328-000","cep2" => "36328-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1520,"uf" => "MG","descricao" => "SANTA CRUZ DO ESCALVADO","cep1" => "35383-000","cep2" => "35387-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1521,"uf" => "MG","descricao" => "SANTA EFIGENIA DE MINAS","cep1" => "39725-000","cep2" => "39725-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1522,"uf" => "MG","descricao" => "SANTA JULIANA","cep1" => "38175-000","cep2" => "38175-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1523,"uf" => "MG","descricao" => "SANTA LUZIA","cep1" => "33000-001","cep2" => "33199-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1524,"uf" => "MG","descricao" => "SANTA MARGARIDA","cep1" => "36913-000","cep2" => "36917-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1525,"uf" => "MG","descricao" => "SANTA MARIA DE ITABIRA","cep1" => "35910-000","cep2" => "35919-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1526,"uf" => "MG","descricao" => "SANTA MARIA DO SUACUI","cep1" => "39780-000","cep2" => "39780-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1527,"uf" => "MG","descricao" => "SANTA RITA DE CALDAS","cep1" => "37775-000","cep2" => "37779-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1528,"uf" => "MG","descricao" => "SANTA RITA DE MINAS","cep1" => "35326-000","cep2" => "35326-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1529,"uf" => "MG","descricao" => "SANTA RITA DO IBITIPOCA","cep1" => "36235-000","cep2" => "36239-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1530,"uf" => "MG","descricao" => "SANTA RITA DO ITUETO","cep1" => "35225-000","cep2" => "35225-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1531,"uf" => "MG","descricao" => "SANTA RITA DO SAPUCAI","cep1" => "37540-000","cep2" => "37541-999","roteirizacao" => "PPY","unidade" => "PPY02","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1532,"uf" => "MG","descricao" => "SANTA VITORIA","cep1" => "38320-000","cep2" => "38320-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1533,"uf" => "MG","descricao" => "SANTANA DA VARGEM","cep1" => "37195-000","cep2" => "37199-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1534,"uf" => "MG","descricao" => "SANTANA DE CATAGUASES","cep1" => "36795-000","cep2" => "36799-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1535,"uf" => "MG","descricao" => "SANTANA DE PIRAPAMA","cep1" => "35785-000","cep2" => "35788-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1536,"uf" => "MG","descricao" => "SANTANA DO DESERTO","cep1" => "36620-000","cep2" => "36629-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1537,"uf" => "MG","descricao" => "SANTANA DO GARAMBEU","cep1" => "36146-000","cep2" => "36147-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1538,"uf" => "MG","descricao" => "SANTANA DO JACARE","cep1" => "37278-000","cep2" => "37279-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1539,"uf" => "MG","descricao" => "SANTANA DO MANHUACU","cep1" => "36940-000","cep2" => "36944-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1540,"uf" => "MG","descricao" => "SANTANA DO PARAISO","cep1" => "35179-000","cep2" => "35179-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1541,"uf" => "MG","descricao" => "SANTANA DO RIACHO","cep1" => "35845-000","cep2" => "35849-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1542,"uf" => "MG","descricao" => "SANTANA DOS MONTES","cep1" => "36430-000","cep2" => "36439-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1543,"uf" => "MG","descricao" => "SANTO ANTONIO DO AMPARO","cep1" => "37262-000","cep2" => "37262-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1544,"uf" => "MG","descricao" => "SANTO ANTONIO DO AVENTUREIRO","cep1" => "36670-000","cep2" => "36670-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1545,"uf" => "MG","descricao" => "SANTO ANTONIO DO GRAMA","cep1" => "35388-000","cep2" => "35389-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1546,"uf" => "MG","descricao" => "SANTO ANTONIO DO ITAMBE","cep1" => "39160-000","cep2" => "39164-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1547,"uf" => "MG","descricao" => "SANTO ANTONIO DO MONTE","cep1" => "35560-000","cep2" => "35560-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1548,"uf" => "MG","descricao" => "SANTO ANTONIO DO RETIRO","cep1" => "39538-000","cep2" => "39539-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1549,"uf" => "MG","descricao" => "SANTO ANTONIO DO RIO ABAIXO","cep1" => "35880-000","cep2" => "35880-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1550,"uf" => "MG","descricao" => "SANTO HIPOLITO","cep1" => "39210-000","cep2" => "39214-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1551,"uf" => "MG","descricao" => "SANTOS DUMONT","cep1" => "36240-000","cep2" => "36240-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1552,"uf" => "MG","descricao" => "SAO BENTO ABADE","cep1" => "37407-000","cep2" => "37407-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1553,"uf" => "MG","descricao" => "SAO BRAS DO SUACUI","cep1" => "35495-000","cep2" => "35495-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1554,"uf" => "MG","descricao" => "SAO DOMINGOS DAS DORES","cep1" => "35335-000","cep2" => "35335-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1555,"uf" => "MG","descricao" => "SAO DOMINGOS DO PRATA","cep1" => "35995-000","cep2" => "35995-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1556,"uf" => "MG","descricao" => "SAO FELIX DE MINAS","cep1" => "35275-000","cep2" => "35275-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1557,"uf" => "MG","descricao" => "SAO FRANCISCO","cep1" => "39300-000","cep2" => "39300-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1558,"uf" => "MG","descricao" => "SAO FRANCISCO DE PAULA","cep1" => "35543-000","cep2" => "35543-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1559,"uf" => "MG","descricao" => "SAO FRANCISCO DE SALES","cep1" => "38260-000","cep2" => "38260-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1560,"uf" => "MG","descricao" => "SAO FRANCISCO DO GLORIA","cep1" => "36810-000","cep2" => "36810-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1561,"uf" => "MG","descricao" => "SAO GERALDO","cep1" => "36530-000","cep2" => "36539-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1562,"uf" => "MG","descricao" => "SAO GERALDO DA PIEDADE","cep1" => "39723-000","cep2" => "39723-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1563,"uf" => "MG","descricao" => "SAO GERALDO DO BAIXIO","cep1" => "35258-000","cep2" => "35259-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1564,"uf" => "MG","descricao" => "SAO GONCALO DO ABAETE","cep1" => "38790-000","cep2" => "38793-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1565,"uf" => "MG","descricao" => "SAO GONCALO DO PARA","cep1" => "35544-000","cep2" => "35544-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1566,"uf" => "MG","descricao" => "SAO GONCALO DO RIO ABAIXO","cep1" => "35935-000","cep2" => "35935-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1567,"uf" => "MG","descricao" => "SAO GONCALO DO RIO PRETO","cep1" => "39185-000","cep2" => "39187-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1568,"uf" => "MG","descricao" => "SAO GONCALO DO SAPUCAI","cep1" => "37490-000","cep2" => "37495-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1569,"uf" => "MG","descricao" => "SAO GOTARDO","cep1" => "38800-000","cep2" => "38800-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1570,"uf" => "MG","descricao" => "SAO JOAO BATISTA DO GLORIA","cep1" => "37920-000","cep2" => "37920-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1571,"uf" => "MG","descricao" => "SAO JOAO DA MATA","cep1" => "37568-000","cep2" => "37569-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1572,"uf" => "MG","descricao" => "SAO JOAO DA PONTE","cep1" => "39430-000","cep2" => "39436-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1573,"uf" => "MG","descricao" => "SAO JOAO DAS MISSOES","cep1" => "39475-000","cep2" => "39477-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1574,"uf" => "MG","descricao" => "SAO JOAO DEL REI","cep1" => "36319-000","cep2" => "36319-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1575,"uf" => "MG","descricao" => "SAO JOAO DEL REI","cep1" => "36300-000","cep2" => "36314-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1576,"uf" => "MG","descricao" => "SAO JOAO DO MANHUACU","cep1" => "36918-000","cep2" => "36918-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1577,"uf" => "MG","descricao" => "SAO JOAO DO MANTENINHA","cep1" => "35277-000","cep2" => "35277-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1578,"uf" => "MG","descricao" => "SAO JOAO DO ORIENTE","cep1" => "35146-000","cep2" => "35146-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1579,"uf" => "MG","descricao" => "SAO JOAO DO PARAISO","cep1" => "39540-000","cep2" => "39540-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1580,"uf" => "MG","descricao" => "SAO JOAO EVANGELISTA","cep1" => "39704-000","cep2" => "39704-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1581,"uf" => "MG","descricao" => "SAO JOAO EVANGELISTA","cep1" => "39706-000","cep2" => "39706-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1582,"uf" => "MG","descricao" => "SAO JOAO EVANGELISTA","cep1" => "39705-000","cep2" => "39705-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1583,"uf" => "MG","descricao" => "SAO JOAO NEPOMUCENO","cep1" => "36680-000","cep2" => "36681-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1584,"uf" => "MG","descricao" => "SAO JOAO NEPOMUCENO","cep1" => "36686-000","cep2" => "36687-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1585,"uf" => "MG","descricao" => "SAO JOAO NEPOMUCENO","cep1" => "36682-000","cep2" => "36683-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1586,"uf" => "MG","descricao" => "SAO JOAO NEPOMUCENO","cep1" => "36684-000","cep2" => "36685-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1587,"uf" => "MG","descricao" => "SAO JOAO NEPOMUCENO","cep1" => "36688-000","cep2" => "36689-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1588,"uf" => "MG","descricao" => "SAO JOAQUIM DE BICAS","cep1" => "32920-000","cep2" => "32920-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1589,"uf" => "MG","descricao" => "SAO JOSE DA BARRA","cep1" => "37945-000","cep2" => "37945-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1590,"uf" => "MG","descricao" => "SAO JOSE DA LAPA","cep1" => "33350-000","cep2" => "33350-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1591,"uf" => "MG","descricao" => "SAO JOSE DA SAFIRA","cep1" => "39785-000","cep2" => "39789-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1592,"uf" => "MG","descricao" => "SAO JOSE DA VARGINHA","cep1" => "35694-000","cep2" => "35694-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1593,"uf" => "MG","descricao" => "SAO JOSE DO ALEGRE","cep1" => "37510-000","cep2" => "37510-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1594,"uf" => "MG","descricao" => "SAO JOSE DO DIVINO","cep1" => "39848-000","cep2" => "39848-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1595,"uf" => "MG","descricao" => "SAO JOSE DO GOIABAL","cep1" => "35986-000","cep2" => "35986-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1596,"uf" => "MG","descricao" => "SAO JOSE DO JACURI","cep1" => "39707-000","cep2" => "39707-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1597,"uf" => "MG","descricao" => "SAO JOSE DO MANTIMENTO","cep1" => "36990-000","cep2" => "36990-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1598,"uf" => "MG","descricao" => "SAO LOURENCO","cep1" => "37470-000","cep2" => "37471-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1599,"uf" => "MG","descricao" => "SAO MIGUEL DO ANTA","cep1" => "36590-000","cep2" => "36591-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1600,"uf" => "MG","descricao" => "SAO PEDRO DA UNIAO","cep1" => "37855-000","cep2" => "37859-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1601,"uf" => "MG","descricao" => "SAO PEDRO DO SUACUI","cep1" => "39784-000","cep2" => "39784-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1602,"uf" => "MG","descricao" => "SAO PEDRO DOS FERROS","cep1" => "35360-000","cep2" => "35360-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1603,"uf" => "MG","descricao" => "SAO ROMAO","cep1" => "39290-000","cep2" => "39294-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1604,"uf" => "MG","descricao" => "SAO ROQUE DE MINAS","cep1" => "35927-000","cep2" => "35929-999","roteirizacao" => "DIQ","unidade" => "DIQ","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1605,"uf" => "MG","descricao" => "SAO ROQUE DE MINAS","cep1" => "37927-000","cep2" => "37929-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1606,"uf" => "MG","descricao" => "SAO SEBASTIAO DA BELA VISTA","cep1" => "37567-000","cep2" => "37567-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1607,"uf" => "MG","descricao" => "SAO SEBASTIAO DA VARGEM ALEGRE","cep1" => "36793-000","cep2" => "36794-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1608,"uf" => "MG","descricao" => "SAO SEBASTIAO DO ANTA","cep1" => "35334-000","cep2" => "35334-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1609,"uf" => "MG","descricao" => "SAO SEBASTIAO DO MARANHAO","cep1" => "39795-000","cep2" => "39795-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1610,"uf" => "MG","descricao" => "SAO SEBASTIAO DO OESTE","cep1" => "35567-000","cep2" => "35569-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1611,"uf" => "MG","descricao" => "SAO SEBASTIAO DO PARAISO","cep1" => "37950-000","cep2" => "37959-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>1612,"uf" => "MG","descricao" => "SAO SEBASTIAO DO RIO PRETO","cep1" => "35815-000","cep2" => "35815-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1613,"uf" => "MG","descricao" => "SAO SEBASTIAO DO RIO VERDE","cep1" => "37467-000","cep2" => "37467-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1614,"uf" => "MG","descricao" => "SAO THOME DAS LETRAS","cep1" => "37408-000","cep2" => "37409-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1615,"uf" => "MG","descricao" => "SAO TIAGO","cep1" => "36350-000","cep2" => "36359-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1616,"uf" => "MG","descricao" => "SAO TOMAS DE AQUINO","cep1" => "37960-000","cep2" => "37964-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1617,"uf" => "MG","descricao" => "SAO VICENTE DE MINAS","cep1" => "37370-000","cep2" => "37399-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1618,"uf" => "MG","descricao" => "SAPUCAI MIRIM","cep1" => "37690-000","cep2" => "37699-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1619,"uf" => "MG","descricao" => "SARDOA","cep1" => "39728-000","cep2" => "39729-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1620,"uf" => "MG","descricao" => "SARZEDO","cep1" => "32450-000","cep2" => "32450-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1621,"uf" => "MG","descricao" => "SEM PEIXE","cep1" => "35441-000","cep2" => "35441-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1622,"uf" => "MG","descricao" => "SENADOR AMARAL","cep1" => "37615-000","cep2" => "37619-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1623,"uf" => "MG","descricao" => "SENADOR CORTES","cep1" => "36650-000","cep2" => "36650-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1624,"uf" => "MG","descricao" => "SENADOR FIRMINO","cep1" => "36540-000","cep2" => "36541-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1625,"uf" => "MG","descricao" => "SENADOR JOSE BENTO","cep1" => "37586-000","cep2" => "37587-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1626,"uf" => "MG","descricao" => "SENADOR MODESTINO GONCALVES","cep1" => "39190-000","cep2" => "39190-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1627,"uf" => "MG","descricao" => "SENHORA DE OLIVEIRA","cep1" => "36470-000","cep2" => "36474-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1628,"uf" => "MG","descricao" => "SENHORA DO PORTO","cep1" => "39745-000","cep2" => "39745-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1629,"uf" => "MG","descricao" => "SENHORA DOS REMEDIOS","cep1" => "36275-000","cep2" => "36279-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1630,"uf" => "MG","descricao" => "SERICITA","cep1" => "35368-000","cep2" => "35368-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1631,"uf" => "MG","descricao" => "SERITINGA","cep1" => "37454-000","cep2" => "37455-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1632,"uf" => "MG","descricao" => "SERRA AZUL DE MINAS","cep1" => "39165-000","cep2" => "39169-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1633,"uf" => "MG","descricao" => "SERRA DA SAUDADE","cep1" => "35617-000","cep2" => "35619-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1634,"uf" => "MG","descricao" => "SERRA DO SALITRE","cep1" => "38760-000","cep2" => "38760-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1635,"uf" => "MG","descricao" => "SERRA DOS AIMORES","cep1" => "39868-000","cep2" => "39868-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1636,"uf" => "MG","descricao" => "SERRANIA","cep1" => "37143-000","cep2" => "37143-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1637,"uf" => "MG","descricao" => "SERRANOPOLIS DE MINAS","cep1" => "39518-000","cep2" => "39519-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1638,"uf" => "MG","descricao" => "SERRANOS","cep1" => "37452-000","cep2" => "37453-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1639,"uf" => "MG","descricao" => "SERRO","cep1" => "39150-000","cep2" => "39150-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1640,"uf" => "MG","descricao" => "SETE LAGOAS","cep1" => "35700-000","cep2" => "35701-481","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1641,"uf" => "MG","descricao" => "SETE LAGOAS","cep1" => "35701-482","cep2" => "35701-482","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1642,"uf" => "MG","descricao" => "SETE LAGOAS","cep1" => "35702-372","cep2" => "35702-372","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1643,"uf" => "MG","descricao" => "SETE LAGOAS","cep1" => "35703-900","cep2" => "35703-900","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1644,"uf" => "MG","descricao" => "SETE LAGOAS","cep1" => "35701-483","cep2" => "35702-371","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1645,"uf" => "MG","descricao" => "SETE LAGOAS","cep1" => "35702-373","cep2" => "35703-105","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1646,"uf" => "MG","descricao" => "SETE LAGOAS","cep1" => "35703-107","cep2" => "35703-899","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1647,"uf" => "MG","descricao" => "SETE LAGOAS","cep1" => "35703-901","cep2" => "35704-999","roteirizacao" => "QHG","unidade" => "QHG01","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1648,"uf" => "MG","descricao" => "SILVEIRANIA","cep1" => "36185-000","cep2" => "36189-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1649,"uf" => "MG","descricao" => "SILVIANOPOLIS","cep1" => "37589-000","cep2" => "37589-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1650,"uf" => "MG","descricao" => "SIMAO PEREIRA","cep1" => "36123-000","cep2" => "36125-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1651,"uf" => "MG","descricao" => "SIMONESIA","cep1" => "36930-000","cep2" => "36930-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1652,"uf" => "MG","descricao" => "SOBRALIA","cep1" => "35145-000","cep2" => "35145-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1653,"uf" => "MG","descricao" => "SOLEDADE DE MINAS","cep1" => "37478-000","cep2" => "37479-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1654,"uf" => "MG","descricao" => "TABULEIRO","cep1" => "36165-000","cep2" => "36165-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1655,"uf" => "MG","descricao" => "TAIOBEIRAS","cep1" => "39550-000","cep2" => "39550-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1656,"uf" => "MG","descricao" => "TAPARUBA","cep1" => "36953-000","cep2" => "36953-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1657,"uf" => "MG","descricao" => "TAPIRAI","cep1" => "38980-000","cep2" => "38989-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1658,"uf" => "MG","descricao" => "TAQUARACU DE MINAS","cep1" => "33980-000","cep2" => "33999-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1659,"uf" => "MG","descricao" => "TARUMIRIM","cep1" => "35140-000","cep2" => "35140-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1660,"uf" => "MG","descricao" => "TEIXEIRAS","cep1" => "36580-000","cep2" => "36584-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1661,"uf" => "MG","descricao" => "TEOFILO OTONI","cep1" => "39800-001","cep2" => "39809-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1662,"uf" => "MG","descricao" => "TIMOTEO","cep1" => "35180-000","cep2" => "35184-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1663,"uf" => "MG","descricao" => "TIRADENTES","cep1" => "36325-000","cep2" => "36327-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1664,"uf" => "MG","descricao" => "TIROS","cep1" => "38880-000","cep2" => "38880-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1665,"uf" => "MG","descricao" => "TOCANTINS","cep1" => "36512-000","cep2" => "36512-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1666,"uf" => "MG","descricao" => "TOCOS DO MOJI","cep1" => "37563-000","cep2" => "37563-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1667,"uf" => "MG","descricao" => "TOLEDO","cep1" => "37630-000","cep2" => "37639-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1668,"uf" => "MG","descricao" => "TOMBOS","cep1" => "36844-000","cep2" => "36846-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1669,"uf" => "MG","descricao" => "TRES CORACOES","cep1" => "37410-000","cep2" => "37419-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1670,"uf" => "MG","descricao" => "TRES MARIAS","cep1" => "39205-000","cep2" => "39205-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1671,"uf" => "MG","descricao" => "TRES PONTAS","cep1" => "37190-000","cep2" => "37194-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1672,"uf" => "MG","descricao" => "TUMIRITINGA","cep1" => "35125-000","cep2" => "35129-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1673,"uf" => "MG","descricao" => "TUPACIGUARA","cep1" => "38480-000","cep2" => "38489-999","roteirizacao" => "UDI","unidade" => "UDI","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1674,"uf" => "MG","descricao" => "TURMALINA","cep1" => "39660-000","cep2" => "39660-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1675,"uf" => "MG","descricao" => "TURVOLANDIA","cep1" => "37496-000","cep2" => "37497-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1676,"uf" => "MG","descricao" => "UBA","cep1" => "36500-000","cep2" => "36505-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1677,"uf" => "MG","descricao" => "UBA","cep1" => "36508-000","cep2" => "36509-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1678,"uf" => "MG","descricao" => "UBA","cep1" => "36506-000","cep2" => "36506-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1679,"uf" => "MG","descricao" => "UBA","cep1" => "36507-000","cep2" => "36507-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1680,"uf" => "MG","descricao" => "UBAI","cep1" => "39320-000","cep2" => "39327-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1681,"uf" => "MG","descricao" => "UBAPORANGA","cep1" => "35338-000","cep2" => "35338-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1682,"uf" => "MG","descricao" => "UBERABA","cep1" => "38000-001","cep2" => "38107-999","roteirizacao" => "UBA","unidade" => "UBA","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>1683,"uf" => "MG","descricao" => "UBERLANDIA","cep1" => "38439-000","cep2" => "38439-999","roteirizacao" => "UDI","unidade" => "UDI","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1684,"uf" => "MG","descricao" => "UBERLANDIA","cep1" => "38400-170","cep2" => "38400-170","roteirizacao" => "UDI","unidade" => "UDI","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1685,"uf" => "MG","descricao" => "UBERLANDIA","cep1" => "38400-000","cep2" => "38400-169","roteirizacao" => "UDI","unidade" => "UDI","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1686,"uf" => "MG","descricao" => "UBERLANDIA","cep1" => "38400-171","cep2" => "38438-999","roteirizacao" => "UDI","unidade" => "UDI","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1687,"uf" => "MG","descricao" => "UNAI","cep1" => "38610-000","cep2" => "38610-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1688,"uf" => "MG","descricao" => "URUCANIA","cep1" => "35380-000","cep2" => "35380-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1689,"uf" => "MG","descricao" => "URUCUIA","cep1" => "38649-000","cep2" => "38649-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1690,"uf" => "MG","descricao" => "VARGEM ALEGRE","cep1" => "35199-000","cep2" => "35199-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1691,"uf" => "MG","descricao" => "VARGEM BONITA","cep1" => "37922-000","cep2" => "37924-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1692,"uf" => "MG","descricao" => "VARGINHA","cep1" => "37000-001","cep2" => "37109-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1693,"uf" => "MG","descricao" => "VARJAO DE MINAS","cep1" => "38794-000","cep2" => "38799-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1694,"uf" => "MG","descricao" => "VARZEA DA PALMA","cep1" => "39260-000","cep2" => "39260-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1695,"uf" => "MG","descricao" => "VARZELANDIA","cep1" => "39450-000","cep2" => "39454-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1696,"uf" => "MG","descricao" => "VAZANTE","cep1" => "38780-000","cep2" => "38780-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1697,"uf" => "MG","descricao" => "VERDELANDIA","cep1" => "39458-000","cep2" => "39459-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1698,"uf" => "MG","descricao" => "VERISSIMO","cep1" => "38150-000","cep2" => "38150-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1699,"uf" => "MG","descricao" => "VERMELHO NOVO","cep1" => "35359-000","cep2" => "35359-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1700,"uf" => "MG","descricao" => "VESPASIANO","cep1" => "33200-000","cep2" => "33200-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1701,"uf" => "MG","descricao" => "VICOSA","cep1" => "36570-000","cep2" => "36571-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1702,"uf" => "MG","descricao" => "VIEIRAS","cep1" => "36895-000","cep2" => "36899-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1703,"uf" => "MG","descricao" => "VIRGEM DA LAPA","cep1" => "39630-000","cep2" => "39630-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1704,"uf" => "MG","descricao" => "VIRGINIA","cep1" => "37465-000","cep2" => "37465-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1705,"uf" => "MG","descricao" => "VIRGINOPOLIS","cep1" => "39730-000","cep2" => "39730-999","roteirizacao" => "IPN","unidade" => "IPN","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1706,"uf" => "MG","descricao" => "VIRGOLANDIA","cep1" => "39715-000","cep2" => "39717-999","roteirizacao" => "GVR","unidade" => "GVR","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1707,"uf" => "MG","descricao" => "VISCONDE DO RIO BRANCO","cep1" => "36520-000","cep2" => "36524-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1708,"uf" => "MG","descricao" => "VOLTA GRANDE","cep1" => "36720-000","cep2" => "36724-999","roteirizacao" => "BHZ","unidade" => "BHZT1","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1709,"uf" => "MG","descricao" => "WENCESLAU BRAZ","cep1" => "37512-000","cep2" => "37513-999","roteirizacao" => "VAG","unidade" => "VAG","tabela" => 2,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1710,"uf" => "MS","descricao" => "AGUA CLARA","cep1" => "79680-000","cep2" => "79680-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1711,"uf" => "MS","descricao" => "ALCINOPOLIS","cep1" => "79530-000","cep2" => "79539-999","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1712,"uf" => "MS","descricao" => "AMAMBAI","cep1" => "79990-000","cep2" => "79990-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1713,"uf" => "MS","descricao" => "ANASTACIO","cep1" => "79210-000","cep2" => "79210-972","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1714,"uf" => "MS","descricao" => "ANAURILANDIA","cep1" => "79770-000","cep2" => "79770-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1715,"uf" => "MS","descricao" => "ANGELICA","cep1" => "79785-000","cep2" => "79785-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1716,"uf" => "MS","descricao" => "ANTONIO JOAO","cep1" => "79910-000","cep2" => "79910-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1717,"uf" => "MS","descricao" => "APARECIDA DO TABOADO","cep1" => "79570-000","cep2" => "79570-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1718,"uf" => "MS","descricao" => "AQUIDAUANA","cep1" => "79200-000","cep2" => "79200-973","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1719,"uf" => "MS","descricao" => "ARAL MOREIRA","cep1" => "79930-000","cep2" => "79930-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1720,"uf" => "MS","descricao" => "BANDEIRANTES","cep1" => "79430-000","cep2" => "79430-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1721,"uf" => "MS","descricao" => "BATAGUASSU","cep1" => "79780-000","cep2" => "79784-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1722,"uf" => "MS","descricao" => "BATAYPORA","cep1" => "79760-000","cep2" => "79760-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1723,"uf" => "MS","descricao" => "BELA VISTA","cep1" => "79260-000","cep2" => "79260-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1724,"uf" => "MS","descricao" => "BODOQUENA","cep1" => "79390-000","cep2" => "79390-971","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1725,"uf" => "MS","descricao" => "BONITO","cep1" => "79290-000","cep2" => "79290-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1726,"uf" => "MS","descricao" => "BRASILANDIA","cep1" => "79670-000","cep2" => "79670-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1727,"uf" => "MS","descricao" => "CAARAPO","cep1" => "79940-000","cep2" => "79940-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1728,"uf" => "MS","descricao" => "CAMAPUA","cep1" => "79420-000","cep2" => "79427-999","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1729,"uf" => "MS","descricao" => "CAMPO GRANDE","cep1" => "79000-000","cep2" => "79124-999","roteirizacao" => "CGR","unidade" => "CGR01","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>1730,"uf" => "MS","descricao" => "CARACOL","cep1" => "79270-000","cep2" => "79270-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1731,"uf" => "MS","descricao" => "CASSILANDIA","cep1" => "79540-000","cep2" => "79540-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1732,"uf" => "MS","descricao" => "CHAPADAO DO SUL","cep1" => "79560-000","cep2" => "79560-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1733,"uf" => "MS","descricao" => "CORGUINHO","cep1" => "79460-000","cep2" => "79469-999","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1734,"uf" => "MS","descricao" => "CORONEL SAPUCAIA","cep1" => "79995-000","cep2" => "79995-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1735,"uf" => "MS","descricao" => "CORUMBA","cep1" => "79300-000","cep2" => "79349-999","roteirizacao" => "CMG","unidade" => "CMG","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1736,"uf" => "MS","descricao" => "COSTA RICA","cep1" => "79550-000","cep2" => "79550-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1737,"uf" => "MS","descricao" => "COXIM","cep1" => "79400-000","cep2" => "79400-972","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1738,"uf" => "MS","descricao" => "DEODAPOLIS","cep1" => "79790-000","cep2" => "79790-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1739,"uf" => "MS","descricao" => "DEODAPOLIS","cep1" => "79792-000","cep2" => "79792-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1740,"uf" => "MS","descricao" => "DOIS IRMAOS DO BURITI","cep1" => "79215-000","cep2" => "79215-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1741,"uf" => "MS","descricao" => "DOURADINA","cep1" => "79880-000","cep2" => "79880-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1742,"uf" => "MS","descricao" => "DOURADINA","cep1" => "79883-000","cep2" => "79883-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1743,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79864-000","cep2" => "79864-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1744,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79868-000","cep2" => "79868-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1745,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79872-000","cep2" => "79872-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1746,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79876-000","cep2" => "79876-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1747,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79878-000","cep2" => "79878-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1748,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79800-000","cep2" => "79820-899","roteirizacao" => "DOU","unidade" => "DOU","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "6"],
            ["id" =>1749,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79862-000","cep2" => "79862-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1750,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79820-901","cep2" => "79849-898","roteirizacao" => "DOU","unidade" => "DOU","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "6"],
            ["id" =>1751,"uf" => "MS","descricao" => "DOURADOS","cep1" => "79849-900","cep2" => "79849-999","roteirizacao" => "DOU","unidade" => "DOU","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "6"],
            ["id" =>1752,"uf" => "MS","descricao" => "ELDORADO","cep1" => "79970-000","cep2" => "79970-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1753,"uf" => "MS","descricao" => "FATIMA DO SUL","cep1" => "79700-000","cep2" => "79700-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1754,"uf" => "MS","descricao" => "FATIMA DO SUL","cep1" => "79702-000","cep2" => "79702-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1755,"uf" => "MS","descricao" => "FIGUEIRAO","cep1" => "79428-000","cep2" => "79429-999","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1756,"uf" => "MS","descricao" => "GLORIA DE DOURADOS","cep1" => "79730-000","cep2" => "79730-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1757,"uf" => "MS","descricao" => "GUIA LOPES DA LAGUNA","cep1" => "79230-000","cep2" => "79230-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1758,"uf" => "MS","descricao" => "IGUATEMI","cep1" => "79960-000","cep2" => "79960-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1759,"uf" => "MS","descricao" => "INOCENCIA","cep1" => "79580-000","cep2" => "79589-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1760,"uf" => "MS","descricao" => "ITAPORA","cep1" => "79890-000","cep2" => "79890-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1761,"uf" => "MS","descricao" => "ITAQUIRAI","cep1" => "79965-000","cep2" => "79965-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1762,"uf" => "MS","descricao" => "IVINHEMA","cep1" => "79740-000","cep2" => "79740-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1763,"uf" => "MS","descricao" => "JARAGUARI","cep1" => "79440-000","cep2" => "79440-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1764,"uf" => "MS","descricao" => "JARDIM","cep1" => "79240-000","cep2" => "79240-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1765,"uf" => "MS","descricao" => "JATEI","cep1" => "79720-000","cep2" => "79720-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1766,"uf" => "MS","descricao" => "JUTI","cep1" => "79955-000","cep2" => "79955-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1767,"uf" => "MS","descricao" => "LADARIO","cep1" => "79370-000","cep2" => "79370-970","roteirizacao" => "CMG","unidade" => "CMG","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1768,"uf" => "MS","descricao" => "LAGUNA CARAPA","cep1" => "79920-000","cep2" => "79920-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1769,"uf" => "MS","descricao" => "MARACAJU","cep1" => "79150-000","cep2" => "79150-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1770,"uf" => "MS","descricao" => "MARACAJU","cep1" => "79152-000","cep2" => "79152-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1771,"uf" => "MS","descricao" => "MIRANDA","cep1" => "79380-000","cep2" => "79380-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1772,"uf" => "MS","descricao" => "MUNDO NOVO","cep1" => "79980-000","cep2" => "79980-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1773,"uf" => "MS","descricao" => "NAVIRAI","cep1" => "79950-000","cep2" => "79950-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1774,"uf" => "MS","descricao" => "NIOAQUE","cep1" => "79220-000","cep2" => "79220-972","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1775,"uf" => "MS","descricao" => "NOVA ALVORADA DO SUL","cep1" => "79140-000","cep2" => "79140-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1776,"uf" => "MS","descricao" => "NOVA ANDRADINA","cep1" => "79750-000","cep2" => "79750-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1777,"uf" => "MS","descricao" => "NOVO HORIZONTE DO SUL","cep1" => "79745-000","cep2" => "79745-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1778,"uf" => "MS","descricao" => "PARAISO DAS AGUAS","cep1" => "79556-000","cep2" => "79559-999","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1779,"uf" => "MS","descricao" => "PARANAIBA","cep1" => "79500-000","cep2" => "79500-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1780,"uf" => "MS","descricao" => "PARANHOS","cep1" => "79925-000","cep2" => "79925-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1781,"uf" => "MS","descricao" => "PEDRO GOMES","cep1" => "79410-000","cep2" => "79410-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1782,"uf" => "MS","descricao" => "PONTA PORA","cep1" => "79905-334","cep2" => "79905-334","roteirizacao" => "PMG","unidade" => "PMG","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1783,"uf" => "MS","descricao" => "PONTA PORA","cep1" => "79900-000","cep2" => "79905-333","roteirizacao" => "PMG","unidade" => "PMG","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1784,"uf" => "MS","descricao" => "PONTA PORA","cep1" => "79905-335","cep2" => "79909-999","roteirizacao" => "PMG","unidade" => "PMG","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1785,"uf" => "MS","descricao" => "PORTO MURTINHO","cep1" => "79280-000","cep2" => "79280-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1786,"uf" => "MS","descricao" => "RIBAS DO RIO PARDO","cep1" => "79180-000","cep2" => "79180-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1787,"uf" => "MS","descricao" => "RIO BRILHANTE","cep1" => "79134-000","cep2" => "79134-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1788,"uf" => "MS","descricao" => "RIO BRILHANTE","cep1" => "79130-000","cep2" => "79130-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1789,"uf" => "MS","descricao" => "RIO NEGRO","cep1" => "79470-000","cep2" => "79470-971","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1790,"uf" => "MS","descricao" => "RIO VERDE DE MATO GROSSO","cep1" => "79480-000","cep2" => "79480-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1791,"uf" => "MS","descricao" => "ROCHEDO","cep1" => "79450-000","cep2" => "79450-971","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1792,"uf" => "MS","descricao" => "SANTA RITA DO PARDO","cep1" => "79690-000","cep2" => "79690-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1793,"uf" => "MS","descricao" => "SAO GABRIEL DO OESTE","cep1" => "79490-000","cep2" => "79490-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1794,"uf" => "MS","descricao" => "SELVIRIA","cep1" => "79590-000","cep2" => "79599-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1795,"uf" => "MS","descricao" => "SETE QUEDAS","cep1" => "79935-000","cep2" => "79935-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1796,"uf" => "MS","descricao" => "SIDROLANDIA","cep1" => "79170-000","cep2" => "79170-971","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1797,"uf" => "MS","descricao" => "SONORA","cep1" => "79415-000","cep2" => "79415-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1798,"uf" => "MS","descricao" => "TACURU","cep1" => "79975-000","cep2" => "79979-999","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1799,"uf" => "MS","descricao" => "TERENOS","cep1" => "79190-000","cep2" => "79190-970","roteirizacao" => "CGR","unidade" => "CGRT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1800,"uf" => "MS","descricao" => "TRES LAGOAS","cep1" => "79600-001","cep2" => "79653-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1801,"uf" => "MS","descricao" => "TRES LAGOAS","cep1" => "79654-000","cep2" => "79654-000","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "3"],
            ["id" =>1802,"uf" => "MS","descricao" => "TRES LAGOAS","cep1" => "79654-001","cep2" => "79669-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 8,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1803,"uf" => "MS","descricao" => "VICENTINA","cep1" => "79710-000","cep2" => "79710-999","roteirizacao" => "DOU","unidade" => "DOUT1","tabela" => 8,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1804,"uf" => "MT","descricao" => "ACORIZAL","cep1" => "78480-000","cep2" => "78480-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1805,"uf" => "MT","descricao" => "AGUA BOA","cep1" => "78635-000","cep2" => "78635-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1806,"uf" => "MT","descricao" => "ALTA FLORESTA","cep1" => "78580-000","cep2" => "78580-999","roteirizacao" => "AFL","unidade" => "AFL","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1807,"uf" => "MT","descricao" => "ALTO BOA VISTA","cep1" => "78665-000","cep2" => "78667-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1808,"uf" => "MT","descricao" => "ARAPUTANGA","cep1" => "78260-000","cep2" => "78260-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1809,"uf" => "MT","descricao" => "ARIPUANA","cep1" => "78325-000","cep2" => "78329-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1810,"uf" => "MT","descricao" => "BARAO DE MELGACO","cep1" => "78190-000","cep2" => "78194-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1811,"uf" => "MT","descricao" => "BARRA DO BUGRES","cep1" => "78390-000","cep2" => "78397-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1812,"uf" => "MT","descricao" => "BARRA DO GARCAS","cep1" => "78600-000","cep2" => "78609-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>1813,"uf" => "MT","descricao" => "BOM JESUS DO ARAGUAIA","cep1" => "78678-000","cep2" => "78679-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1814,"uf" => "MT","descricao" => "BRASNORTE","cep1" => "78350-000","cep2" => "78350-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1815,"uf" => "MT","descricao" => "CACERES","cep1" => "78200-000","cep2" => "78200-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "10"],
            ["id" =>1816,"uf" => "MT","descricao" => "CAMPINAPOLIS","cep1" => "78630-000","cep2" => "78634-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1817,"uf" => "MT","descricao" => "CAMPO NOVO DO PARECIS","cep1" => "78360-000","cep2" => "78360-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>1818,"uf" => "MT","descricao" => "CAMPO VERDE","cep1" => "78840-000","cep2" => "78840-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1819,"uf" => "MT","descricao" => "CAMPOS DE JULIO","cep1" => "78319-000","cep2" => "78319-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1820,"uf" => "MT","descricao" => "CANARANA","cep1" => "78640-000","cep2" => "78642-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1821,"uf" => "MT","descricao" => "CASTANHEIRA","cep1" => "78345-000","cep2" => "78349-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1822,"uf" => "MT","descricao" => "CHAPADA DOS GUIMARAES","cep1" => "78195-000","cep2" => "78195-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1823,"uf" => "MT","descricao" => "COCALINHO","cep1" => "78680-000","cep2" => "78684-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1824,"uf" => "MT","descricao" => "COLNIZA","cep1" => "78335-000","cep2" => "78337-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1825,"uf" => "MT","descricao" => "COMODORO","cep1" => "78310-000","cep2" => "78310-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "13"],
            ["id" =>1826,"uf" => "MT","descricao" => "CONFRESA","cep1" => "78652-000","cep2" => "78654-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1827,"uf" => "MT","descricao" => "CONQUISTA DOESTE","cep1" => "78254-000","cep2" => "78254-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1828,"uf" => "MT","descricao" => "COTRIGUACU","cep1" => "78330-000","cep2" => "78334-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1829,"uf" => "MT","descricao" => "CUIABA","cep1" => "78060-000","cep2" => "78099-500","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1830,"uf" => "MT","descricao" => "CUIABA","cep1" => "78000-001","cep2" => "78049-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1831,"uf" => "MT","descricao" => "CUIABA","cep1" => "78050-000","cep2" => "78059-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1832,"uf" => "MT","descricao" => "CUIABA","cep1" => "78099-501","cep2" => "78099-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1833,"uf" => "MT","descricao" => "CURVELANDIA","cep1" => "78237-000","cep2" => "78237-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1834,"uf" => "MT","descricao" => "DENISE","cep1" => "78380-000","cep2" => "78389-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1835,"uf" => "MT","descricao" => "DOM AQUINO","cep1" => "78830-000","cep2" => "78830-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1836,"uf" => "MT","descricao" => "FIGUEIROPOLIS DOESTE","cep1" => "78290-000","cep2" => "78290-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1837,"uf" => "MT","descricao" => "GAUCHA DO NORTE","cep1" => "78875-000","cep2" => "78879-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1838,"uf" => "MT","descricao" => "GENERAL CARNEIRO","cep1" => "78620-000","cep2" => "78620-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1839,"uf" => "MT","descricao" => "GLORIA DOESTE","cep1" => "78293-000","cep2" => "78293-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1840,"uf" => "MT","descricao" => "INDIAVAI","cep1" => "78295-000","cep2" => "78295-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1841,"uf" => "MT","descricao" => "JANGADA","cep1" => "78490-000","cep2" => "78490-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1842,"uf" => "MT","descricao" => "JAURU","cep1" => "78255-000","cep2" => "78255-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "10"],
            ["id" =>1843,"uf" => "MT","descricao" => "JUARA","cep1" => "78575-000","cep2" => "78577-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1844,"uf" => "MT","descricao" => "JUINA","cep1" => "78320-000","cep2" => "78320-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1845,"uf" => "MT","descricao" => "JURUENA","cep1" => "78340-000","cep2" => "78344-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1846,"uf" => "MT","descricao" => "JUSCIMEIRA","cep1" => "78810-000","cep2" => "78810-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1847,"uf" => "MT","descricao" => "LAMBARI DOESTE","cep1" => "78278-000","cep2" => "78278-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "10"],
            ["id" =>1848,"uf" => "MT","descricao" => "LUCAS DO RIO VERDE","cep1" => "78455-000","cep2" => "78455-999","roteirizacao" => "SMT","unidade" => "SMT","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1849,"uf" => "MT","descricao" => "MIRASSOL DOESTE","cep1" => "78280-000","cep2" => "78280-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "10"],
            ["id" =>1850,"uf" => "MT","descricao" => "NOVA LACERDA","cep1" => "78243-000","cep2" => "78243-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1851,"uf" => "MT","descricao" => "NOVA MUTUM","cep1" => "78450-000","cep2" => "78450-999","roteirizacao" => "SMT","unidade" => "SMT","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1852,"uf" => "MT","descricao" => "NOVA NAZARE","cep1" => "78638-000","cep2" => "78639-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1853,"uf" => "MT","descricao" => "NOVA OLIMPIA","cep1" => "78370-000","cep2" => "78370-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1854,"uf" => "MT","descricao" => "NOVA XAVANTINA","cep1" => "78690-000","cep2" => "78694-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1855,"uf" => "MT","descricao" => "NOVO HORIZONTE DO NORTE","cep1" => "78570-000","cep2" => "78572-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1856,"uf" => "MT","descricao" => "NOVO SAO JOAQUIM","cep1" => "78625-000","cep2" => "78627-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1857,"uf" => "MT","descricao" => "PONTES E LACERDA","cep1" => "78250-000","cep2" => "78252-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1858,"uf" => "MT","descricao" => "PORTO ALEGRE DO NORTE","cep1" => "78655-000","cep2" => "78657-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1859,"uf" => "MT","descricao" => "PORTO DOS GAUCHOS","cep1" => "78560-000","cep2" => "78560-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1860,"uf" => "MT","descricao" => "PORTO ESPERIDIAO","cep1" => "78240-000","cep2" => "78240-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1861,"uf" => "MT","descricao" => "POXOREU","cep1" => "78800-000","cep2" => "78809-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1862,"uf" => "MT","descricao" => "PRIMAVERA DO LESTE","cep1" => "78850-000","cep2" => "78854-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1863,"uf" => "MT","descricao" => "QUERENCIA","cep1" => "78643-000","cep2" => "78644-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1864,"uf" => "MT","descricao" => "RIBEIRAO CASCALHEIRA","cep1" => "78675-000","cep2" => "78677-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1865,"uf" => "MT","descricao" => "RIO BRANCO","cep1" => "78275-000","cep2" => "78275-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1866,"uf" => "MT","descricao" => "RONDONOPOLIS","cep1" => "78700-001","cep2" => "78746-849","roteirizacao" => "ROO","unidade" => "ROO","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1867,"uf" => "MT","descricao" => "RONDONOPOLIS","cep1" => "78746-867","cep2" => "78750-999","roteirizacao" => "ROO","unidade" => "ROO","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1868,"uf" => "MT","descricao" => "SALTO DO CEU","cep1" => "78270-000","cep2" => "78274-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1869,"uf" => "MT","descricao" => "SANTO ANTONIO DO LEVERGER","cep1" => "78180-000","cep2" => "78189-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1870,"uf" => "MT","descricao" => "SAO JOSE DOS QUATRO MARCOS","cep1" => "78285-000","cep2" => "78289-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1871,"uf" => "MT","descricao" => "SAO PEDRO DA CIPA","cep1" => "78835-000","cep2" => "78835-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1872,"uf" => "MT","descricao" => "SAPEZAL","cep1" => "78365-000","cep2" => "78365-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "10"],
            ["id" =>1873,"uf" => "MT","descricao" => "SERRA NOVA DOURADA","cep1" => "78668-000","cep2" => "78669-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1874,"uf" => "MT","descricao" => "SINOP","cep1" => "78550-000","cep2" => "78558-999","roteirizacao" => "OPS","unidade" => "OPS","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1875,"uf" => "MT","descricao" => "SORRISO","cep1" => "78896-000","cep2" => "78896-000","roteirizacao" => "SMT","unidade" => "SMT","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1876,"uf" => "MT","descricao" => "SORRISO","cep1" => "78896-001","cep2" => "78898-999","roteirizacao" => "SMT","unidade" => "SMT","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1877,"uf" => "MT","descricao" => "SORRISO","cep1" => "78890-000","cep2" => "78890-000","roteirizacao" => "SMT","unidade" => "SMT","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>1878,"uf" => "MT","descricao" => "SORRISO","cep1" => "78890-001","cep2" => "78895-999","roteirizacao" => "SMT","unidade" => "SMT","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1879,"uf" => "MT","descricao" => "TABAPORA","cep1" => "78563-000","cep2" => "78563-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "12"],
            ["id" =>1880,"uf" => "MT","descricao" => "TANGARA DA SERRA","cep1" => "78300-000","cep2" => "78300-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1881,"uf" => "MT","descricao" => "VALE DE SAO DOMINGOS","cep1" => "78253-000","cep2" => "78253-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1882,"uf" => "MT","descricao" => "VARZEA GRANDE","cep1" => "78110-971","cep2" => "78110-971","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>1883,"uf" => "MT","descricao" => "VARZEA GRANDE","cep1" => "78140-001","cep2" => "78164-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1884,"uf" => "MT","descricao" => "VARZEA GRANDE","cep1" => "78110-000","cep2" => "78110-970","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1885,"uf" => "MT","descricao" => "VARZEA GRANDE","cep1" => "78110-972","cep2" => "78139-999","roteirizacao" => "CGB","unidade" => "CGB","tabela" => 13,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1886,"uf" => "MT","descricao" => "VILA RICA","cep1" => "78645-000","cep2" => "78649-999","roteirizacao" => "TGQ","unidade" => "TGQ","tabela" => 13,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "11"],
            ["id" =>1887,"uf" => "PA","descricao" => "ABAETETUBA","cep1" => "68440-000","cep2" => "68440-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1888,"uf" => "PA","descricao" => "ABEL FIGUEIREDO","cep1" => "68527-000","cep2" => "68527-000","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1889,"uf" => "PA","descricao" => "ACARA","cep1" => "68690-000","cep2" => "68690-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1890,"uf" => "PA","descricao" => "AGUA AZUL DO NORTE","cep1" => "68533-000","cep2" => "68533-999","roteirizacao" => "CKS","unidade" => "CKS","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1891,"uf" => "PA","descricao" => "ALENQUER","cep1" => "68200-000","cep2" => "68209-999","roteirizacao" => "ALT","unidade" => "ALT","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1892,"uf" => "PA","descricao" => "ALENQUER","cep1" => "68200-000","cep2" => "68200-000","roteirizacao" => "ALT","unidade" => "ALT","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>1893,"uf" => "PA","descricao" => "ALMEIRIM","cep1" => "68230-000","cep2" => "68239-999","roteirizacao" => "GGF","unidade" => "GGF","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "9"],
            ["id" =>1894,"uf" => "PA","descricao" => "ALTAMIRA","cep1" => "68370-000","cep2" => "68378-999","roteirizacao" => "ATM","unidade" => "ATM","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1895,"uf" => "PA","descricao" => "ANANINDEUA","cep1" => "67000-000","cep2" => "67199-999","roteirizacao" => "ANA","unidade" => "ANA01","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1896,"uf" => "PA","descricao" => "AUGUSTO CORREA","cep1" => "68610-000","cep2" => "68610-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1897,"uf" => "PA","descricao" => "AURORA DO PARA","cep1" => "68658-000","cep2" => "68658-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1898,"uf" => "PA","descricao" => "BARCARENA","cep1" => "68445-000","cep2" => "68445-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1899,"uf" => "PA","descricao" => "BELEM","cep1" => "66910-000","cep2" => "66916-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1900,"uf" => "PA","descricao" => "BELEM","cep1" => "66917-000","cep2" => "66923-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1901,"uf" => "PA","descricao" => "BELEM","cep1" => "68400-000","cep2" => "68400-000","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1902,"uf" => "PA","descricao" => "BELEM","cep1" => "66617-420","cep2" => "66617-420","roteirizacao" => "BEL","unidade" => "BELT1","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>1903,"uf" => "PA","descricao" => "BELEM","cep1" => "66000-000","cep2" => "66617-419","roteirizacao" => "BEL","unidade" => "BELT1","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1904,"uf" => "PA","descricao" => "BELEM","cep1" => "66617-421","cep2" => "66909-999","roteirizacao" => "BEL","unidade" => "BELT1","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1905,"uf" => "PA","descricao" => "BELTERRA","cep1" => "68143-000","cep2" => "68143-999","roteirizacao" => "STM","unidade" => "STM","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1906,"uf" => "PA","descricao" => "BENEVIDES","cep1" => "68795-000","cep2" => "68795-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1907,"uf" => "PA","descricao" => "BOM JESUS DO TOCANTINS","cep1" => "68525-000","cep2" => "68526-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1908,"uf" => "PA","descricao" => "BONITO","cep1" => "68645-000","cep2" => "68645-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1909,"uf" => "PA","descricao" => "BRAGANCA","cep1" => "68600-000","cep2" => "68600-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1910,"uf" => "PA","descricao" => "BRASIL NOVO","cep1" => "68148-000","cep2" => "68149-999","roteirizacao" => "ATM","unidade" => "ATM","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1911,"uf" => "PA","descricao" => "BREU BRANCO","cep1" => "68488-000","cep2" => "68488-000","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1912,"uf" => "PA","descricao" => "BREVES","cep1" => "68800-000","cep2" => "68809-999","roteirizacao" => "BVS","unidade" => "BVS","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1913,"uf" => "PA","descricao" => "BREVES","cep1" => "68800-000","cep2" => "68800-000","roteirizacao" => "BVS","unidade" => "BVS","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>1914,"uf" => "PA","descricao" => "CANAA DOS CARAJAS","cep1" => "68537-000","cep2" => "68537-000","roteirizacao" => "CKS","unidade" => "CKS","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1915,"uf" => "PA","descricao" => "CAPANEMA","cep1" => "68700-001","cep2" => "68704-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1916,"uf" => "PA","descricao" => "CAPITAO POCO","cep1" => "68650-000","cep2" => "68650-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1917,"uf" => "PA","descricao" => "CASTANHAL","cep1" => "68740-001","cep2" => "68746-999","roteirizacao" => "CTL","unidade" => "CTL01","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>1918,"uf" => "PA","descricao" => "CURIONOPOLIS","cep1" => "68523-000","cep2" => "68523-999","roteirizacao" => "CKS","unidade" => "CKS","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1919,"uf" => "PA","descricao" => "CURUCA","cep1" => "68750-000","cep2" => "68750-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1920,"uf" => "PA","descricao" => "DOM ELISEU","cep1" => "68633-000","cep2" => "68633-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1921,"uf" => "PA","descricao" => "ELDORADO DOS CARAJAS","cep1" => "68524-000","cep2" => "68524-000","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1922,"uf" => "PA","descricao" => "GOIANESIA DO PARA","cep1" => "68639-000","cep2" => "68639-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1923,"uf" => "PA","descricao" => "IGARAPE MIRI","cep1" => "68430-000","cep2" => "68439-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1924,"uf" => "PA","descricao" => "INHANGAPI","cep1" => "68770-000","cep2" => "68770-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1925,"uf" => "PA","descricao" => "IRITUIA","cep1" => "68655-000","cep2" => "68655-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1926,"uf" => "PA","descricao" => "ITAITUBA","cep1" => "68180-001","cep2" => "68187-999","roteirizacao" => "ITB","unidade" => "ITB","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1927,"uf" => "PA","descricao" => "ITUPIRANGA","cep1" => "68580-000","cep2" => "68584-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1928,"uf" => "PA","descricao" => "JACUNDA","cep1" => "68590-000","cep2" => "68599-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1929,"uf" => "PA","descricao" => "JURUTI","cep1" => "68170-000","cep2" => "68179-999","roteirizacao" => "JRT","unidade" => "JRT","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1930,"uf" => "PA","descricao" => "MAE DO RIO","cep1" => "68675-000","cep2" => "68675-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1931,"uf" => "PA","descricao" => "MAGALHAES BARATA","cep1" => "68722-000","cep2" => "68722-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1932,"uf" => "PA","descricao" => "MARABA","cep1" => "68514-300","cep2" => "68514-300","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1933,"uf" => "PA","descricao" => "MARABA","cep1" => "68500-000","cep2" => "68506-970","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1934,"uf" => "PA","descricao" => "MARABA","cep1" => "68508-971","cep2" => "68513-489","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1935,"uf" => "PA","descricao" => "MARABA","cep1" => "68513-491","cep2" => "68513-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1936,"uf" => "PA","descricao" => "MARABA","cep1" => "68506-972","cep2" => "68508-969","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1937,"uf" => "PA","descricao" => "MARACANA","cep1" => "68710-000","cep2" => "68710-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1938,"uf" => "PA","descricao" => "MARAPANIM","cep1" => "68760-000","cep2" => "68760-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1939,"uf" => "PA","descricao" => "MARITUBA","cep1" => "67200-001","cep2" => "67999-999","roteirizacao" => "ANA","unidade" => "ANA01","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1940,"uf" => "PA","descricao" => "MOCAJUBA","cep1" => "68420-000","cep2" => "68420-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1941,"uf" => "PA","descricao" => "MOJU","cep1" => "68450-000","cep2" => "68450-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1942,"uf" => "PA","descricao" => "MOJUI DOS CAMPOS","cep1" => "68129-000","cep2" => "68129-999","roteirizacao" => "STM","unidade" => "STM","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1943,"uf" => "PA","descricao" => "MONTE ALEGRE","cep1" => "68220-000","cep2" => "68229-999","roteirizacao" => "MTE","unidade" => "MTE","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1944,"uf" => "PA","descricao" => "MONTE ALEGRE","cep1" => "68220-000","cep2" => "68220-000","roteirizacao" => "MTE","unidade" => "MTE","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>1945,"uf" => "PA","descricao" => "MONTE DOURADO (DISTRITO)","cep1" => "68240-000","cep2" => "68240-000","roteirizacao" => "MEU","unidade" => "MEU","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "9"],
            ["id" =>1946,"uf" => "PA","descricao" => "NOVA IPIXUNA","cep1" => "68585-000","cep2" => "68589-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1947,"uf" => "PA","descricao" => "NOVA TIMBOTEUA","cep1" => "68730-000","cep2" => "68730-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1948,"uf" => "PA","descricao" => "NOVO PROGRESSO","cep1" => "68193-000","cep2" => "68193-999","roteirizacao" => "STM","unidade" => "STM","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>1949,"uf" => "PA","descricao" => "NOVO REPARTIMENTO","cep1" => "68473-000","cep2" => "68474-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1950,"uf" => "PA","descricao" => "OBIDOS","cep1" => "68250-000","cep2" => "68269-999","roteirizacao" => "OBI","unidade" => "OBI","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1951,"uf" => "PA","descricao" => "OBIDOS","cep1" => "68250-000","cep2" => "68250-000","roteirizacao" => "OBI","unidade" => "OBI","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>1952,"uf" => "PA","descricao" => "ORIXIMINA","cep1" => "68270-000","cep2" => "68279-999","roteirizacao" => "ORX","unidade" => "ORX","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1953,"uf" => "PA","descricao" => "ORIXIMINA","cep1" => "68270-000","cep2" => "68270-000","roteirizacao" => "ORX","unidade" => "ORX","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>1954,"uf" => "PA","descricao" => "OURILANDIA DO NORTE","cep1" => "68390-000","cep2" => "68397-999","roteirizacao" => "CKS","unidade" => "CKS","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1955,"uf" => "PA","descricao" => "PARAGOMINAS","cep1" => "68625-001","cep2" => "68630-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1956,"uf" => "PA","descricao" => "PARAUAPEBAS","cep1" => "68515-000","cep2" => "68515-000","roteirizacao" => "CKS","unidade" => "CKS","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1957,"uf" => "PA","descricao" => "PARAUAPEBAS","cep1" => "68516-000","cep2" => "68516-000","roteirizacao" => "CKS","unidade" => "CKS","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1958,"uf" => "PA","descricao" => "PEIXE BOI","cep1" => "68734-000","cep2" => "68734-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1959,"uf" => "PA","descricao" => "PLACAS","cep1" => "68138-000","cep2" => "68138-999","roteirizacao" => "STM","unidade" => "STM","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1960,"uf" => "PA","descricao" => "QUATIPURU","cep1" => "68709-000","cep2" => "68709-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1961,"uf" => "PA","descricao" => "REDENCAO","cep1" => "68549-001","cep2" => "68554-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1962,"uf" => "PA","descricao" => "RIO MARIA","cep1" => "68530-000","cep2" => "68532-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1963,"uf" => "PA","descricao" => "RONDON DO PARA","cep1" => "68638-000","cep2" => "68638-000","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1964,"uf" => "PA","descricao" => "SALINOPOLIS","cep1" => "68721-000","cep2" => "68721-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1965,"uf" => "PA","descricao" => "SANTA BARBARA DO PARA","cep1" => "68798-000","cep2" => "68798-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1966,"uf" => "PA","descricao" => "SANTA ISABEL DO PARA","cep1" => "68790-000","cep2" => "68790-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1967,"uf" => "PA","descricao" => "SANTA MARIA DO PARA","cep1" => "68738-000","cep2" => "68738-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1968,"uf" => "PA","descricao" => "SANTAREM","cep1" => "68060-000","cep2" => "68060-999","roteirizacao" => "STM","unidade" => "STM","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>1969,"uf" => "PA","descricao" => "SANTAREM","cep1" => "68061-000","cep2" => "68099-999","roteirizacao" => "STM","unidade" => "STM","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1970,"uf" => "PA","descricao" => "SANTAREM","cep1" => "68000-000","cep2" => "68059-999","roteirizacao" => "STM","unidade" => "STM","tabela" => 22,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>1971,"uf" => "PA","descricao" => "SANTO ANTONIO DO TAUA","cep1" => "68786-000","cep2" => "68786-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>1972,"uf" => "PA","descricao" => "SAO CAETANO DE ODIVELAS","cep1" => "68775-000","cep2" => "68775-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1973,"uf" => "PA","descricao" => "SAO DOMINGOS DO CAPIM","cep1" => "68635-000","cep2" => "68635-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1974,"uf" => "PA","descricao" => "SAO FELIX DO XINGU","cep1" => "68380-000","cep2" => "68382-999","roteirizacao" => "CKS","unidade" => "CKS","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1975,"uf" => "PA","descricao" => "SAO FRANCISCO DO PARA","cep1" => "68748-000","cep2" => "68748-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1976,"uf" => "PA","descricao" => "SAO JOAO DA PONTA","cep1" => "68774-000","cep2" => "68774-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1977,"uf" => "PA","descricao" => "SAO JOAO DE PIRABAS","cep1" => "68719-000","cep2" => "68719-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1978,"uf" => "PA","descricao" => "SAO MIGUEL DO GUAMA","cep1" => "68660-000","cep2" => "68660-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1979,"uf" => "PA","descricao" => "TAILANDIA","cep1" => "68695-000","cep2" => "68695-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1980,"uf" => "PA","descricao" => "TERRA ALTA","cep1" => "68773-000","cep2" => "68773-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1981,"uf" => "PA","descricao" => "TOME ACU","cep1" => "68680-000","cep2" => "68680-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1982,"uf" => "PA","descricao" => "TOME ACU","cep1" => "68682-000","cep2" => "68682-000","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>1983,"uf" => "PA","descricao" => "TRACUATEUA","cep1" => "68647-000","cep2" => "68647-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1984,"uf" => "PA","descricao" => "TUCUMA","cep1" => "68385-000","cep2" => "68387-999","roteirizacao" => "CKS","unidade" => "CKS","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1985,"uf" => "PA","descricao" => "TUCURUI","cep1" => "68455-001","cep2" => "68464-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "7"],
            ["id" =>1986,"uf" => "PA","descricao" => "ULIANOPOLIS","cep1" => "68632-000","cep2" => "68632-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>1987,"uf" => "PA","descricao" => "URUARA","cep1" => "68140-000","cep2" => "68140-999","roteirizacao" => "STM","unidade" => "STM","tabela" => 22,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1988,"uf" => "PA","descricao" => "VISEU","cep1" => "68620-000","cep2" => "68620-999","roteirizacao" => "BEL","unidade" => "BEL","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1989,"uf" => "PA","descricao" => "XINGUARA","cep1" => "68555-001","cep2" => "68559-999","roteirizacao" => "MAB","unidade" => "MAB","tabela" => 22,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>1990,"uf" => "PB","descricao" => "AGUA BRANCA","cep1" => "58748-000","cep2" => "58748-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>1991,"uf" => "PB","descricao" => "AGUIAR","cep1" => "58778-000","cep2" => "58778-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>1992,"uf" => "PB","descricao" => "ALAGOA GRANDE","cep1" => "58388-000","cep2" => "58388-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>1993,"uf" => "PB","descricao" => "ALAGOA NOVA","cep1" => "58125-000","cep2" => "58125-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1994,"uf" => "PB","descricao" => "ALAGOINHA","cep1" => "58390-000","cep2" => "58390-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1995,"uf" => "PB","descricao" => "ALCANTIL","cep1" => "58460-000","cep2" => "58460-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1996,"uf" => "PB","descricao" => "ALGODAO DE JANDAIRA","cep1" => "58399-000","cep2" => "58399-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1997,"uf" => "PB","descricao" => "ALHANDRA","cep1" => "58320-000","cep2" => "58320-970","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1998,"uf" => "PB","descricao" => "ALHANDRA","cep1" => "58320-971","cep2" => "58320-972","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>1999,"uf" => "PB","descricao" => "AMPARO","cep1" => "58548-000","cep2" => "58548-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2000,"uf" => "PB","descricao" => "APARECIDA","cep1" => "58823-000","cep2" => "58823-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2001,"uf" => "PB","descricao" => "ARACAGI","cep1" => "58270-000","cep2" => "58272-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2002,"uf" => "PB","descricao" => "ARARA","cep1" => "58396-000","cep2" => "58396-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2003,"uf" => "PB","descricao" => "ARARUNA","cep1" => "58233-000","cep2" => "58233-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2004,"uf" => "PB","descricao" => "AREIA","cep1" => "58397-000","cep2" => "58397-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2005,"uf" => "PB","descricao" => "AREIA DE BARAUNAS","cep1" => "58732-000","cep2" => "58732-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2006,"uf" => "PB","descricao" => "AREIAL","cep1" => "58140-000","cep2" => "58140-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2007,"uf" => "PB","descricao" => "AROEIRAS","cep1" => "58489-000","cep2" => "58489-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2008,"uf" => "PB","descricao" => "ASSUNCAO","cep1" => "58685-000","cep2" => "58685-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2009,"uf" => "PB","descricao" => "BAIA DA TRAICAO","cep1" => "58295-000","cep2" => "58296-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2010,"uf" => "PB","descricao" => "BANANEIRAS","cep1" => "58220-000","cep2" => "58220-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2011,"uf" => "PB","descricao" => "BARAUNA","cep1" => "58188-000","cep2" => "58188-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2012,"uf" => "PB","descricao" => "BARRA DE SANTA ROSA","cep1" => "58170-000","cep2" => "58170-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2013,"uf" => "PB","descricao" => "BARRA DE SANTANA","cep1" => "58458-000","cep2" => "58458-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2014,"uf" => "PB","descricao" => "BARRA DE SAO MIGUEL","cep1" => "58483-000","cep2" => "58483-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2015,"uf" => "PB","descricao" => "BAYEUX","cep1" => "58110-001","cep2" => "58114-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2016,"uf" => "PB","descricao" => "BELEM","cep1" => "58255-000","cep2" => "58255-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2017,"uf" => "PB","descricao" => "BELEM DO BREJO DO CRUZ","cep1" => "58895-000","cep2" => "58895-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2018,"uf" => "PB","descricao" => "BERNARDINO BATISTA","cep1" => "58922-000","cep2" => "58922-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2019,"uf" => "PB","descricao" => "BOA VENTURA","cep1" => "58993-000","cep2" => "58993-999","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2020,"uf" => "PB","descricao" => "BOA VISTA","cep1" => "58123-000","cep2" => "58123-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2021,"uf" => "PB","descricao" => "BOM JESUS","cep1" => "58930-000","cep2" => "58930-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2022,"uf" => "PB","descricao" => "BOM SUCESSO","cep1" => "58887-000","cep2" => "58887-999","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2023,"uf" => "PB","descricao" => "BONITO DE SANTA FE","cep1" => "58960-000","cep2" => "58960-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2024,"uf" => "PB","descricao" => "BORBOREMA","cep1" => "58394-000","cep2" => "58394-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2025,"uf" => "PB","descricao" => "BREJO DOS SANTOS","cep1" => "58880-000","cep2" => "58880-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2026,"uf" => "PB","descricao" => "CAAPORA","cep1" => "58326-000","cep2" => "58327-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2027,"uf" => "PB","descricao" => "CABACEIRAS","cep1" => "58480-000","cep2" => "58480-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2028,"uf" => "PB","descricao" => "CABEDELO","cep1" => "58100-001","cep2" => "58109-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2029,"uf" => "PB","descricao" => "CACHOEIRA DOS INDIOS","cep1" => "58935-000","cep2" => "58935-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2030,"uf" => "PB","descricao" => "CACIMBA DE AREIA","cep1" => "58730-000","cep2" => "58730-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2031,"uf" => "PB","descricao" => "CACIMBA DE DENTRO","cep1" => "58230-000","cep2" => "58230-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2032,"uf" => "PB","descricao" => "CACIMBAS","cep1" => "58698-000","cep2" => "58698-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2033,"uf" => "PB","descricao" => "CAICARA","cep1" => "58253-000","cep2" => "58253-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2034,"uf" => "PB","descricao" => "CAJAZEIRAS","cep1" => "58900-000","cep2" => "58900-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2035,"uf" => "PB","descricao" => "CAJAZEIRINHAS","cep1" => "58855-000","cep2" => "58855-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2036,"uf" => "PB","descricao" => "CALDAS BRANDAO","cep1" => "58350-000","cep2" => "58350-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2037,"uf" => "PB","descricao" => "CAMALAU","cep1" => "58530-000","cep2" => "58530-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2038,"uf" => "PB","descricao" => "CAMPINA GRANDE","cep1" => "58400-000","cep2" => "58449-999","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>2039,"uf" => "PB","descricao" => "CAPIM","cep1" => "58287-000","cep2" => "58288-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2040,"uf" => "PB","descricao" => "CARAUBAS","cep1" => "58595-000","cep2" => "58595-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2041,"uf" => "PB","descricao" => "CARRAPATEIRA","cep1" => "58945-000","cep2" => "58945-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2042,"uf" => "PB","descricao" => "CATINGUEIRA","cep1" => "58715-000","cep2" => "58715-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2043,"uf" => "PB","descricao" => "CATOLE DO ROCHA","cep1" => "58884-000","cep2" => "58884-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2044,"uf" => "PB","descricao" => "CATURITE","cep1" => "58455-000","cep2" => "58457-999","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2045,"uf" => "PB","descricao" => "CONCEICAO","cep1" => "58970-000","cep2" => "58970-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2046,"uf" => "PB","descricao" => "CONDADO","cep1" => "58714-000","cep2" => "58714-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2047,"uf" => "PB","descricao" => "CONDE","cep1" => "58322-000","cep2" => "58322-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2048,"uf" => "PB","descricao" => "CONGO","cep1" => "58535-000","cep2" => "58535-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2049,"uf" => "PB","descricao" => "COREMAS","cep1" => "58770-000","cep2" => "58770-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2050,"uf" => "PB","descricao" => "COXIXOLA","cep1" => "58588-000","cep2" => "58588-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2051,"uf" => "PB","descricao" => "CRUZ DO ESPIRITO SANTO","cep1" => "58337-000","cep2" => "58337-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2052,"uf" => "PB","descricao" => "CUBATI","cep1" => "58167-000","cep2" => "58167-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2053,"uf" => "PB","descricao" => "CUITE","cep1" => "58175-000","cep2" => "58175-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2054,"uf" => "PB","descricao" => "CUITE DE MAMANGUAPE","cep1" => "58289-000","cep2" => "58290-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2055,"uf" => "PB","descricao" => "CURRAL DE CIMA","cep1" => "58291-000","cep2" => "58291-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2056,"uf" => "PB","descricao" => "CURRAL VELHO","cep1" => "58990-000","cep2" => "58990-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2057,"uf" => "PB","descricao" => "DAMIAO","cep1" => "58173-000","cep2" => "58173-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2058,"uf" => "PB","descricao" => "DESTERRO","cep1" => "58695-000","cep2" => "58695-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2059,"uf" => "PB","descricao" => "DIAMANTE","cep1" => "58994-000","cep2" => "58994-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2060,"uf" => "PB","descricao" => "DONA INES","cep1" => "58228-000","cep2" => "58228-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2061,"uf" => "PB","descricao" => "DUAS ESTRADAS","cep1" => "58265-000","cep2" => "58267-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2062,"uf" => "PB","descricao" => "EMAS","cep1" => "58763-000","cep2" => "58763-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2063,"uf" => "PB","descricao" => "ESPERANCA","cep1" => "58135-000","cep2" => "58135-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2064,"uf" => "PB","descricao" => "FAGUNDES","cep1" => "58487-000","cep2" => "58487-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2065,"uf" => "PB","descricao" => "FREI MARTINHO","cep1" => "58195-000","cep2" => "58195-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2066,"uf" => "PB","descricao" => "GADO BRAVO","cep1" => "58492-000","cep2" => "58492-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2067,"uf" => "PB","descricao" => "GUARABIRA","cep1" => "58200-000","cep2" => "58200-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2068,"uf" => "PB","descricao" => "GUARABIRA","cep1" => "58205-000","cep2" => "58205-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2069,"uf" => "PB","descricao" => "GURINHEM","cep1" => "58356-000","cep2" => "58356-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2070,"uf" => "PB","descricao" => "GURJAO","cep1" => "58670-000","cep2" => "58670-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2071,"uf" => "PB","descricao" => "IBIARA","cep1" => "58980-000","cep2" => "58980-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2072,"uf" => "PB","descricao" => "IGARACY","cep1" => "58775-000","cep2" => "58775-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2073,"uf" => "PB","descricao" => "IMACULADA","cep1" => "58745-000","cep2" => "58745-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2074,"uf" => "PB","descricao" => "INGA","cep1" => "58380-000","cep2" => "58380-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2075,"uf" => "PB","descricao" => "ITABAIANA","cep1" => "58360-000","cep2" => "58360-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2076,"uf" => "PB","descricao" => "ITAPORANGA","cep1" => "58780-000","cep2" => "58780-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2077,"uf" => "PB","descricao" => "ITAPOROROCA","cep1" => "58275-000","cep2" => "58277-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2078,"uf" => "PB","descricao" => "ITATUBA","cep1" => "58378-000","cep2" => "58378-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2079,"uf" => "PB","descricao" => "JACARAU","cep1" => "58278-000","cep2" => "58279-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2080,"uf" => "PB","descricao" => "JERICO","cep1" => "58830-000","cep2" => "58830-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2081,"uf" => "PB","descricao" => "JOAO PESSOA","cep1" => "58000-001","cep2" => "58099-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2082,"uf" => "PB","descricao" => "JOAO PESSOA","cep1" => "58308-901","cep2" => "58308-901","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>2083,"uf" => "PB","descricao" => "JOCA CLAUDINO","cep1" => "58928-000","cep2" => "58928-999","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2084,"uf" => "PB","descricao" => "JUAREZ TAVORA","cep1" => "58387-000","cep2" => "58387-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2085,"uf" => "PB","descricao" => "JUAZEIRINHO","cep1" => "58660-000","cep2" => "58660-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2086,"uf" => "PB","descricao" => "JUNCO DO SERIDO","cep1" => "58640-000","cep2" => "58640-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2087,"uf" => "PB","descricao" => "JURIPIRANGA","cep1" => "58330-000","cep2" => "58333-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2088,"uf" => "PB","descricao" => "JURU","cep1" => "58750-000","cep2" => "58750-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2089,"uf" => "PB","descricao" => "LAGOA","cep1" => "58835-000","cep2" => "58835-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2090,"uf" => "PB","descricao" => "LAGOA DE DENTRO","cep1" => "58250-000","cep2" => "58252-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2091,"uf" => "PB","descricao" => "LAGOA SECA","cep1" => "58117-000","cep2" => "58117-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2092,"uf" => "PB","descricao" => "LASTRO","cep1" => "58820-000","cep2" => "58820-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2093,"uf" => "PB","descricao" => "LIVRAMENTO","cep1" => "58690-000","cep2" => "58690-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2094,"uf" => "PB","descricao" => "LOGRADOURO","cep1" => "58254-000","cep2" => "58254-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2095,"uf" => "PB","descricao" => "LUCENA","cep1" => "58315-000","cep2" => "58315-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2096,"uf" => "PB","descricao" => "MAE DAGUA","cep1" => "58740-000","cep2" => "58740-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2097,"uf" => "PB","descricao" => "MALTA","cep1" => "58713-000","cep2" => "58713-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2098,"uf" => "PB","descricao" => "MAMANGUAPE","cep1" => "58280-000","cep2" => "58280-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2099,"uf" => "PB","descricao" => "MANAIRA","cep1" => "58995-000","cep2" => "58995-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2100,"uf" => "PB","descricao" => "MARCACAO","cep1" => "58294-000","cep2" => "58294-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2101,"uf" => "PB","descricao" => "MARI","cep1" => "58345-000","cep2" => "58347-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2102,"uf" => "PB","descricao" => "MARIZOPOLIS","cep1" => "58819-000","cep2" => "58819-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2103,"uf" => "PB","descricao" => "MASSARANDUBA","cep1" => "58120-000","cep2" => "58120-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2104,"uf" => "PB","descricao" => "MATARACA","cep1" => "58292-000","cep2" => "58293-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2105,"uf" => "PB","descricao" => "MATINHAS","cep1" => "58128-000","cep2" => "58128-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2106,"uf" => "PB","descricao" => "MATO GROSSO","cep1" => "58832-000","cep2" => "58832-999","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2107,"uf" => "PB","descricao" => "MATUREIA","cep1" => "58737-000","cep2" => "58737-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2108,"uf" => "PB","descricao" => "MOGEIRO","cep1" => "58375-000","cep2" => "58375-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2109,"uf" => "PB","descricao" => "MONTADAS","cep1" => "58145-000","cep2" => "58145-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2110,"uf" => "PB","descricao" => "MONTE HOREBE","cep1" => "58950-000","cep2" => "58950-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2111,"uf" => "PB","descricao" => "MONTEIRO","cep1" => "58500-000","cep2" => "58500-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2112,"uf" => "PB","descricao" => "MULUNGU","cep1" => "58354-000","cep2" => "58354-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2113,"uf" => "PB","descricao" => "NATUBA","cep1" => "58494-000","cep2" => "58494-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2114,"uf" => "PB","descricao" => "NAZAREZINHO","cep1" => "58817-000","cep2" => "58817-999","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2115,"uf" => "PB","descricao" => "NOVA FLORESTA","cep1" => "58178-000","cep2" => "58178-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2116,"uf" => "PB","descricao" => "NOVA OLINDA","cep1" => "58798-000","cep2" => "58798-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2117,"uf" => "PB","descricao" => "NOVA PALMEIRA","cep1" => "58184-000","cep2" => "58184-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2118,"uf" => "PB","descricao" => "OLHO DAGUA","cep1" => "58760-000","cep2" => "58760-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2119,"uf" => "PB","descricao" => "OLIVEDOS","cep1" => "58160-000","cep2" => "58160-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2120,"uf" => "PB","descricao" => "OURO VELHO","cep1" => "58560-000","cep2" => "58560-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2121,"uf" => "PB","descricao" => "PARARI","cep1" => "58575-000","cep2" => "58575-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2122,"uf" => "PB","descricao" => "PASSAGEM","cep1" => "58734-000","cep2" => "58734-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2123,"uf" => "PB","descricao" => "PATOS","cep1" => "58700-001","cep2" => "58709-999","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>2124,"uf" => "PB","descricao" => "PAULISTA","cep1" => "58860-000","cep2" => "58860-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2125,"uf" => "PB","descricao" => "PEDRA BRANCA","cep1" => "58790-000","cep2" => "58790-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2126,"uf" => "PB","descricao" => "PEDRA LAVRADA","cep1" => "58180-000","cep2" => "58180-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2127,"uf" => "PB","descricao" => "PEDRAS DE FOGO","cep1" => "58328-000","cep2" => "58329-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2128,"uf" => "PB","descricao" => "PEDRO REGIS","cep1" => "58273-000","cep2" => "58273-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2129,"uf" => "PB","descricao" => "PIANCO","cep1" => "58765-000","cep2" => "58765-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2130,"uf" => "PB","descricao" => "PICUI","cep1" => "58187-000","cep2" => "58187-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2131,"uf" => "PB","descricao" => "PILAR","cep1" => "58338-000","cep2" => "58338-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2132,"uf" => "PB","descricao" => "PILOES","cep1" => "58393-000","cep2" => "58393-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2133,"uf" => "PB","descricao" => "PILOEZINHOS","cep1" => "58210-000","cep2" => "58210-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2134,"uf" => "PB","descricao" => "PIRPIRITUBA","cep1" => "58213-000","cep2" => "58213-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2135,"uf" => "PB","descricao" => "PITIMBU","cep1" => "58324-000","cep2" => "58325-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2136,"uf" => "PB","descricao" => "POCINHOS","cep1" => "58150-000","cep2" => "58150-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2137,"uf" => "PB","descricao" => "POCO DANTAS","cep1" => "58933-000","cep2" => "58933-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2138,"uf" => "PB","descricao" => "POCO DE JOSE DE MOURA","cep1" => "58908-000","cep2" => "58908-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2139,"uf" => "PB","descricao" => "POMBAL","cep1" => "58840-000","cep2" => "58840-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2140,"uf" => "PB","descricao" => "PRATA","cep1" => "58550-000","cep2" => "58550-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2141,"uf" => "PB","descricao" => "PRINCESA ISABEL","cep1" => "58755-000","cep2" => "58755-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2142,"uf" => "PB","descricao" => "PUXINANA","cep1" => "58115-000","cep2" => "58115-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2143,"uf" => "PB","descricao" => "QUEIMADAS","cep1" => "58475-000","cep2" => "58475-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2144,"uf" => "PB","descricao" => "QUIXABA","cep1" => "58733-000","cep2" => "58733-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2145,"uf" => "PB","descricao" => "REMIGIO","cep1" => "58398-000","cep2" => "58398-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2146,"uf" => "PB","descricao" => "RIACHAO DO BACAMARTE","cep1" => "58382-000","cep2" => "58382-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2147,"uf" => "PB","descricao" => "RIACHAO DO POCO","cep1" => "58348-000","cep2" => "58349-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2148,"uf" => "PB","descricao" => "RIACHO DE SANTO ANTONIO","cep1" => "58465-000","cep2" => "58465-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2149,"uf" => "PB","descricao" => "RIACHO DOS CAVALOS","cep1" => "58870-000","cep2" => "58870-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2150,"uf" => "PB","descricao" => "RIO TINTO","cep1" => "58297-000","cep2" => "58299-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2151,"uf" => "PB","descricao" => "SALGADINHO","cep1" => "58650-000","cep2" => "58650-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2152,"uf" => "PB","descricao" => "SALGADO DE SAO FELIX","cep1" => "58370-000","cep2" => "58370-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2153,"uf" => "PB","descricao" => "SANTA CECILIA","cep1" => "58463-000","cep2" => "58463-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2154,"uf" => "PB","descricao" => "SANTA CRUZ","cep1" => "58824-000","cep2" => "58824-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2155,"uf" => "PB","descricao" => "SANTA HELENA","cep1" => "58925-000","cep2" => "58925-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2156,"uf" => "PB","descricao" => "SANTA INES","cep1" => "58978-000","cep2" => "58978-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2157,"uf" => "PB","descricao" => "SANTA LUZIA","cep1" => "58600-000","cep2" => "58600-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2158,"uf" => "PB","descricao" => "SANTA RITA","cep1" => "58300-000","cep2" => "58303-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2159,"uf" => "PB","descricao" => "SANTA TERESINHA","cep1" => "58720-000","cep2" => "58720-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2160,"uf" => "PB","descricao" => "SANTANA DE MANGUEIRA","cep1" => "58985-000","cep2" => "58985-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2161,"uf" => "PB","descricao" => "SANTANA DOS GARROTES","cep1" => "58795-000","cep2" => "58795-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2162,"uf" => "PB","descricao" => "SANTO ANDRE","cep1" => "58675-000","cep2" => "58675-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2163,"uf" => "PB","descricao" => "SAO BENTINHO","cep1" => "58857-000","cep2" => "58857-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2164,"uf" => "PB","descricao" => "SAO BENTO","cep1" => "58865-000","cep2" => "58865-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2165,"uf" => "PB","descricao" => "SAO DOMINGOS","cep1" => "58853-000","cep2" => "58854-999","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2166,"uf" => "PB","descricao" => "SAO DOMINGOS DO CARIRI","cep1" => "58485-000","cep2" => "58485-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2167,"uf" => "PB","descricao" => "SAO FRANCISCO","cep1" => "58818-000","cep2" => "58818-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2168,"uf" => "PB","descricao" => "SAO JOAO DO CARIRI","cep1" => "58590-000","cep2" => "58590-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2169,"uf" => "PB","descricao" => "SAO JOAO DO RIO DO PEIXE","cep1" => "58910-000","cep2" => "58910-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2170,"uf" => "PB","descricao" => "SAO JOAO DO TIGRE","cep1" => "58520-000","cep2" => "58520-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2171,"uf" => "PB","descricao" => "SAO JOSE DA LAGOA TAPADA","cep1" => "58815-000","cep2" => "58815-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2172,"uf" => "PB","descricao" => "SAO JOSE DE CAIANA","cep1" => "58784-000","cep2" => "58784-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2173,"uf" => "PB","descricao" => "SAO JOSE DE ESPINHARAS","cep1" => "58723-000","cep2" => "58723-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2174,"uf" => "PB","descricao" => "SAO JOSE DE PIRANHAS","cep1" => "58940-000","cep2" => "58940-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2175,"uf" => "PB","descricao" => "SAO JOSE DE PRINCESA","cep1" => "58758-000","cep2" => "58758-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2176,"uf" => "PB","descricao" => "SAO JOSE DO BONFIM","cep1" => "58725-000","cep2" => "58725-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2177,"uf" => "PB","descricao" => "SAO JOSE DO BREJO DO CRUZ","cep1" => "58893-000","cep2" => "58893-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2178,"uf" => "PB","descricao" => "SAO JOSE DO SABUGI","cep1" => "58610-000","cep2" => "58610-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2179,"uf" => "PB","descricao" => "SAO JOSE DOS CORDEIROS","cep1" => "58570-000","cep2" => "58570-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2180,"uf" => "PB","descricao" => "SAO JOSE DOS RAMOS","cep1" => "58339-000","cep2" => "58339-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2181,"uf" => "PB","descricao" => "SAO MAMEDE","cep1" => "58625-000","cep2" => "58625-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2182,"uf" => "PB","descricao" => "SAO MIGUEL DE TAIPU","cep1" => "58334-000","cep2" => "58334-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2183,"uf" => "PB","descricao" => "SAO SEBASTIAO DE LAGOA DE ROCA","cep1" => "58119-000","cep2" => "58119-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2184,"uf" => "PB","descricao" => "SAO SEBASTIAO DO UMBUZEIRO","cep1" => "58510-000","cep2" => "58510-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2185,"uf" => "PB","descricao" => "SAO VICENTE DO SERIDO","cep1" => "58158-000","cep2" => "58159-999","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2186,"uf" => "PB","descricao" => "SAPE","cep1" => "58340-000","cep2" => "58340-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2187,"uf" => "PB","descricao" => "SERRA BRANCA","cep1" => "58580-000","cep2" => "58580-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2188,"uf" => "PB","descricao" => "SERRA DA RAIZ","cep1" => "58260-000","cep2" => "58260-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2189,"uf" => "PB","descricao" => "SERRA GRANDE","cep1" => "58955-000","cep2" => "58955-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2190,"uf" => "PB","descricao" => "SERRA REDONDA","cep1" => "58385-000","cep2" => "58385-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2191,"uf" => "PB","descricao" => "SERTAOZINHO","cep1" => "58268-000","cep2" => "58268-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2192,"uf" => "PB","descricao" => "SOBRADO","cep1" => "58342-000","cep2" => "58344-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2193,"uf" => "PB","descricao" => "SOLANEA","cep1" => "58225-000","cep2" => "58225-999","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2194,"uf" => "PB","descricao" => "SOLEDADE","cep1" => "58155-000","cep2" => "58155-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2195,"uf" => "PB","descricao" => "SOSSEGO","cep1" => "58177-000","cep2" => "58177-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2196,"uf" => "PB","descricao" => "SOUSA","cep1" => "58800-000","cep2" => "58809-999","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2197,"uf" => "PB","descricao" => "SUME","cep1" => "58540-000","cep2" => "58540-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2198,"uf" => "PB","descricao" => "TACIMA","cep1" => "58240-000","cep2" => "58240-000","roteirizacao" => "JPA","unidade" => "JPA01","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2199,"uf" => "PB","descricao" => "TAPEROA","cep1" => "58680-000","cep2" => "58680-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2200,"uf" => "PB","descricao" => "TAVARES","cep1" => "58753-000","cep2" => "58753-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2201,"uf" => "PB","descricao" => "TEIXEIRA","cep1" => "58735-000","cep2" => "58735-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2202,"uf" => "PB","descricao" => "TENORIO","cep1" => "58665-000","cep2" => "58665-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2203,"uf" => "PB","descricao" => "TRIUNFO","cep1" => "58920-000","cep2" => "58920-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>2204,"uf" => "PB","descricao" => "UIRAUNA","cep1" => "58915-000","cep2" => "58915-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2205,"uf" => "PB","descricao" => "UMBUZEIRO","cep1" => "58497-000","cep2" => "58497-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2206,"uf" => "PB","descricao" => "VARZEA","cep1" => "58620-000","cep2" => "58620-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2207,"uf" => "PB","descricao" => "VIEIROPOLIS","cep1" => "58822-000","cep2" => "58822-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2208,"uf" => "PB","descricao" => "VISTA SERRANA","cep1" => "58710-000","cep2" => "58710-000","roteirizacao" => "JPO","unidade" => "JPO","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2209,"uf" => "PB","descricao" => "ZABELE","cep1" => "58515-000","cep2" => "58515-000","roteirizacao" => "CPV","unidade" => "CPV","tabela" => 17,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2210,"uf" => "PE","descricao" => "ABREU E LIMA","cep1" => "53500-000","cep2" => "53589-999","roteirizacao" => "OLL","unidade" => "OLL01","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2211,"uf" => "PE","descricao" => "AFOGADOS DA INGAZEIRA","cep1" => "56800-000","cep2" => "56819-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2212,"uf" => "PE","descricao" => "AFRANIO","cep1" => "56360-000","cep2" => "56379-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2213,"uf" => "PE","descricao" => "AGRESTINA","cep1" => "55495-000","cep2" => "55499-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2214,"uf" => "PE","descricao" => "AGUA PRETA","cep1" => "55550-000","cep2" => "55554-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2215,"uf" => "PE","descricao" => "AGUAS BELAS","cep1" => "55340-000","cep2" => "55340-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2216,"uf" => "PE","descricao" => "ALAGOINHA","cep1" => "55260-000","cep2" => "55260-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2217,"uf" => "PE","descricao" => "ALIANCA","cep1" => "55890-000","cep2" => "55899-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2218,"uf" => "PE","descricao" => "ALTINHO","cep1" => "55490-000","cep2" => "55494-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2219,"uf" => "PE","descricao" => "AMARAJI","cep1" => "55515-000","cep2" => "55519-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2220,"uf" => "PE","descricao" => "ANGELIM","cep1" => "55430-000","cep2" => "55434-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2221,"uf" => "PE","descricao" => "ARACOIABA","cep1" => "53690-000","cep2" => "53699-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2222,"uf" => "PE","descricao" => "ARARIPINA","cep1" => "56280-000","cep2" => "56299-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2223,"uf" => "PE","descricao" => "ARCOVERDE","cep1" => "56500-001","cep2" => "56519-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2224,"uf" => "PE","descricao" => "BARRA DE GUABIRABA","cep1" => "55690-000","cep2" => "55694-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2225,"uf" => "PE","descricao" => "BARREIROS","cep1" => "55560-000","cep2" => "55560-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2226,"uf" => "PE","descricao" => "BELEM DE MARIA","cep1" => "55440-000","cep2" => "55449-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2227,"uf" => "PE","descricao" => "BELEM DO SAO FRANCISCO","cep1" => "56440-000","cep2" => "56459-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2228,"uf" => "PE","descricao" => "BELO JARDIM","cep1" => "55150-001","cep2" => "55150-001","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2229,"uf" => "PE","descricao" => "BETANIA","cep1" => "56670-000","cep2" => "56699-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2230,"uf" => "PE","descricao" => "BEZERROS","cep1" => "55660-000","cep2" => "55664-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2231,"uf" => "PE","descricao" => "BODOCO","cep1" => "56220-000","cep2" => "56229-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2232,"uf" => "PE","descricao" => "BOM CONSELHO","cep1" => "55330-000","cep2" => "55330-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2233,"uf" => "PE","descricao" => "BOM JARDIM","cep1" => "55730-000","cep2" => "55739-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2234,"uf" => "PE","descricao" => "BONITO","cep1" => "55680-000","cep2" => "55689-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2235,"uf" => "PE","descricao" => "BREJAO","cep1" => "55325-000","cep2" => "55325-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2236,"uf" => "PE","descricao" => "BREJINHO","cep1" => "56740-000","cep2" => "56749-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2237,"uf" => "PE","descricao" => "BREJO DA MADRE DE DEUS","cep1" => "55170-000","cep2" => "55170-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2238,"uf" => "PE","descricao" => "BUENOS AIRES","cep1" => "55845-000","cep2" => "55849-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2239,"uf" => "PE","descricao" => "BUIQUE","cep1" => "56520-000","cep2" => "56539-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2240,"uf" => "PE","descricao" => "CABO DE SANTO AGOSTINHO","cep1" => "54500-001","cep2" => "54599-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2241,"uf" => "PE","descricao" => "CABROBO","cep1" => "56180-000","cep2" => "56189-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2242,"uf" => "PE","descricao" => "CACHOEIRINHA","cep1" => "55380-000","cep2" => "55380-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2243,"uf" => "PE","descricao" => "CAETES","cep1" => "55360-000","cep2" => "55360-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2244,"uf" => "PE","descricao" => "CALCADO","cep1" => "55375-000","cep2" => "55375-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2245,"uf" => "PE","descricao" => "CALUMBI","cep1" => "56930-000","cep2" => "56949-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2246,"uf" => "PE","descricao" => "CAMARAGIBE","cep1" => "54750-000","cep2" => "54799-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2247,"uf" => "PE","descricao" => "CAMOCIM DE SAO FELIX","cep1" => "55665-000","cep2" => "55669-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2248,"uf" => "PE","descricao" => "CAMUTANGA","cep1" => "55930-000","cep2" => "55939-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2249,"uf" => "PE","descricao" => "CANHOTINHO","cep1" => "55420-000","cep2" => "55429-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2250,"uf" => "PE","descricao" => "CAPOEIRAS","cep1" => "55365-000","cep2" => "55365-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2251,"uf" => "PE","descricao" => "CARNAIBA","cep1" => "56820-000","cep2" => "56827-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2252,"uf" => "PE","descricao" => "CARNAUBEIRA DA PENHA","cep1" => "56420-000","cep2" => "56429-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2253,"uf" => "PE","descricao" => "CARPINA","cep1" => "55810-001","cep2" => "55819-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2254,"uf" => "PE","descricao" => "CARUARU","cep1" => "55000-001","cep2" => "55099-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2255,"uf" => "PE","descricao" => "CASINHAS","cep1" => "55755-000","cep2" => "55759-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2256,"uf" => "PE","descricao" => "CATENDE","cep1" => "55400-000","cep2" => "55404-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2257,"uf" => "PE","descricao" => "CEDRO","cep1" => "56130-000","cep2" => "56139-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2258,"uf" => "PE","descricao" => "CHA DE ALEGRIA","cep1" => "55835-000","cep2" => "55839-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2259,"uf" => "PE","descricao" => "CHA GRANDE","cep1" => "55636-000","cep2" => "55636-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2260,"uf" => "PE","descricao" => "CONDADO","cep1" => "55940-000","cep2" => "55949-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2261,"uf" => "PE","descricao" => "CORRENTES","cep1" => "55315-000","cep2" => "55315-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2262,"uf" => "PE","descricao" => "CORTES","cep1" => "55525-000","cep2" => "55529-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2263,"uf" => "PE","descricao" => "CUMARU","cep1" => "55655-000","cep2" => "55655-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2264,"uf" => "PE","descricao" => "CUPIRA","cep1" => "55460-000","cep2" => "55469-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2265,"uf" => "PE","descricao" => "CUSTODIA","cep1" => "56640-000","cep2" => "56669-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2266,"uf" => "PE","descricao" => "DORMENTES","cep1" => "56355-000","cep2" => "56359-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2267,"uf" => "PE","descricao" => "ESCADA","cep1" => "55500-000","cep2" => "55509-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2268,"uf" => "PE","descricao" => "EXU","cep1" => "56230-000","cep2" => "56249-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2269,"uf" => "PE","descricao" => "FEIRA NOVA","cep1" => "55715-000","cep2" => "55719-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2270,"uf" => "PE","descricao" => "FERNANDO DE NORONHA","cep1" => "53990-000","cep2" => "53990-999","roteirizacao" => "FEN","unidade" => "FEN","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2271,"uf" => "PE","descricao" => "FERREIROS","cep1" => "55880-000","cep2" => "55889-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2272,"uf" => "PE","descricao" => "FLORES","cep1" => "56850-000","cep2" => "56869-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2273,"uf" => "PE","descricao" => "FLORESTA","cep1" => "56400-000","cep2" => "56419-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2274,"uf" => "PE","descricao" => "FREI MIGUELINHO","cep1" => "55780-000","cep2" => "55789-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2275,"uf" => "PE","descricao" => "GAMELEIRA","cep1" => "55530-000","cep2" => "55534-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2276,"uf" => "PE","descricao" => "GARANHUNS","cep1" => "55290-001","cep2" => "55304-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2277,"uf" => "PE","descricao" => "GLORIA DO GOITA","cep1" => "55620-000","cep2" => "55629-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2278,"uf" => "PE","descricao" => "GOIANA","cep1" => "55900-000","cep2" => "55919-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2279,"uf" => "PE","descricao" => "GRANITO","cep1" => "56160-000","cep2" => "56162-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2280,"uf" => "PE","descricao" => "GRAVATA","cep1" => "55640-000","cep2" => "55649-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2281,"uf" => "PE","descricao" => "IATI","cep1" => "55345-000","cep2" => "55345-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2282,"uf" => "PE","descricao" => "IBIMIRIM","cep1" => "56580-000","cep2" => "56599-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2283,"uf" => "PE","descricao" => "IBIRAJUBA","cep1" => "55390-000","cep2" => "55394-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2284,"uf" => "PE","descricao" => "IGARASSU","cep1" => "53600-000","cep2" => "53659-999","roteirizacao" => "OLL","unidade" => "OLL01","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2285,"uf" => "PE","descricao" => "IGUARACI","cep1" => "56840-000","cep2" => "56849-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2286,"uf" => "PE","descricao" => "ILHA DE ITAMARACA","cep1" => "53900-000","cep2" => "53989-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2287,"uf" => "PE","descricao" => "INAJA","cep1" => "56560-000","cep2" => "56564-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2288,"uf" => "PE","descricao" => "INGAZEIRA","cep1" => "56830-000","cep2" => "56839-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2289,"uf" => "PE","descricao" => "IPOJUCA","cep1" => "55590-000","cep2" => "55599-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2290,"uf" => "PE","descricao" => "IPUBI","cep1" => "56260-000","cep2" => "56279-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2291,"uf" => "PE","descricao" => "ITACURUBA","cep1" => "56430-000","cep2" => "56439-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2292,"uf" => "PE","descricao" => "ITAIBA","cep1" => "56550-000","cep2" => "56559-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2293,"uf" => "PE","descricao" => "ITAMBE","cep1" => "55920-000","cep2" => "55929-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2294,"uf" => "PE","descricao" => "ITAPETIM","cep1" => "56720-000","cep2" => "56739-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2295,"uf" => "PE","descricao" => "ITAPISSUMA","cep1" => "53700-000","cep2" => "53899-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2296,"uf" => "PE","descricao" => "ITAQUITINGA","cep1" => "55950-000","cep2" => "55999-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2297,"uf" => "PE","descricao" => "JABOATAO DOS GUARARAPES","cep1" => "54000-000","cep2" => "54499-999","roteirizacao" => "REC","unidade" => "REC04","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2298,"uf" => "PE","descricao" => "JAQUEIRA","cep1" => "55409-000","cep2" => "55409-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2299,"uf" => "PE","descricao" => "JATAUBA","cep1" => "55180-000","cep2" => "55180-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2300,"uf" => "PE","descricao" => "JATOBA","cep1" => "56470-000","cep2" => "56479-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2301,"uf" => "PE","descricao" => "JOAO ALFREDO","cep1" => "55720-000","cep2" => "55729-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2302,"uf" => "PE","descricao" => "JOAQUIM NABUCO","cep1" => "55535-000","cep2" => "55539-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2303,"uf" => "PE","descricao" => "JUCATI","cep1" => "55398-000","cep2" => "55399-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2304,"uf" => "PE","descricao" => "JUPI","cep1" => "55395-000","cep2" => "55397-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2305,"uf" => "PE","descricao" => "JUREMA","cep1" => "55480-000","cep2" => "55489-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2306,"uf" => "PE","descricao" => "LAGOA DO CARRO","cep1" => "55820-000","cep2" => "55824-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2307,"uf" => "PE","descricao" => "LAGOA DO ITAENGA","cep1" => "55840-000","cep2" => "55844-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2308,"uf" => "PE","descricao" => "LAGOA DO OURO","cep1" => "55320-000","cep2" => "55320-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2309,"uf" => "PE","descricao" => "LAGOA DOS GATOS","cep1" => "55450-000","cep2" => "55459-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2310,"uf" => "PE","descricao" => "LAGOA GRANDE","cep1" => "56395-000","cep2" => "56399-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2311,"uf" => "PE","descricao" => "LAJEDO","cep1" => "55385-000","cep2" => "55385-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2312,"uf" => "PE","descricao" => "LIMOEIRO","cep1" => "55700-000","cep2" => "55714-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2313,"uf" => "PE","descricao" => "MACAPARANA","cep1" => "55865-000","cep2" => "55869-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2314,"uf" => "PE","descricao" => "MACHADOS","cep1" => "55740-000","cep2" => "55744-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2315,"uf" => "PE","descricao" => "MANARI","cep1" => "56565-000","cep2" => "56579-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2316,"uf" => "PE","descricao" => "MARAIAL","cep1" => "55405-000","cep2" => "55408-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2317,"uf" => "PE","descricao" => "MIRANDIBA","cep1" => "56980-000","cep2" => "56999-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2318,"uf" => "PE","descricao" => "MOREILANDIA","cep1" => "56150-000","cep2" => "56159-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2319,"uf" => "PE","descricao" => "MORENO","cep1" => "54800-000","cep2" => "54999-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2320,"uf" => "PE","descricao" => "NAZARE DA MATA","cep1" => "55800-000","cep2" => "55804-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2321,"uf" => "PE","descricao" => "OLINDA","cep1" => "53000-000","cep2" => "53399-999","roteirizacao" => "OLL","unidade" => "OLL01","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2322,"uf" => "PE","descricao" => "OROBO","cep1" => "55745-000","cep2" => "55749-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2323,"uf" => "PE","descricao" => "OROCO","cep1" => "56170-000","cep2" => "56179-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2324,"uf" => "PE","descricao" => "OURICURI","cep1" => "56200-000","cep2" => "56209-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2325,"uf" => "PE","descricao" => "PALMARES","cep1" => "55540-000","cep2" => "55549-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2326,"uf" => "PE","descricao" => "PALMEIRINA","cep1" => "55310-000","cep2" => "55310-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2327,"uf" => "PE","descricao" => "PANELAS","cep1" => "55470-000","cep2" => "55479-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2328,"uf" => "PE","descricao" => "PARANATAMA","cep1" => "55355-000","cep2" => "55355-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2329,"uf" => "PE","descricao" => "PARNAMIRIM","cep1" => "56163-000","cep2" => "56169-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2330,"uf" => "PE","descricao" => "PASSIRA","cep1" => "55650-000","cep2" => "55650-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2331,"uf" => "PE","descricao" => "PAUDALHO","cep1" => "55825-000","cep2" => "55834-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2332,"uf" => "PE","descricao" => "PAULISTA","cep1" => "53400-000","cep2" => "53499-999","roteirizacao" => "OLL","unidade" => "OLL01","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2333,"uf" => "PE","descricao" => "PEDRA","cep1" => "55280-000","cep2" => "55280-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2334,"uf" => "PE","descricao" => "PESQUEIRA","cep1" => "55200-000","cep2" => "55200-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2335,"uf" => "PE","descricao" => "PETROLANDIA","cep1" => "56460-000","cep2" => "56469-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2336,"uf" => "PE","descricao" => "PETROLINA","cep1" => "56300-000","cep2" => "56334-999","roteirizacao" => "PNZ","unidade" => "PNZ","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2337,"uf" => "PE","descricao" => "POCAO","cep1" => "55240-000","cep2" => "55240-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2338,"uf" => "PE","descricao" => "POMBOS","cep1" => "55630-000","cep2" => "55635-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2339,"uf" => "PE","descricao" => "PRIMAVERA","cep1" => "55510-000","cep2" => "55514-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2340,"uf" => "PE","descricao" => "QUIPAPA","cep1" => "55415-000","cep2" => "55419-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2341,"uf" => "PE","descricao" => "QUIXABA","cep1" => "56828-000","cep2" => "56829-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2342,"uf" => "PE","descricao" => "RECIFE","cep1" => "52500-000","cep2" => "52999-999","roteirizacao" => "REC","unidade" => "REC04","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2343,"uf" => "PE","descricao" => "RECIFE","cep1" => "51190-410","cep2" => "51210-010","roteirizacao" => "REC","unidade" => "REC04","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2344,"uf" => "PE","descricao" => "RECIFE","cep1" => "50800-000","cep2" => "50899-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2345,"uf" => "PE","descricao" => "RECIFE","cep1" => "50900-000","cep2" => "50999-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2346,"uf" => "PE","descricao" => "RECIFE","cep1" => "52000-000","cep2" => "52099-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2347,"uf" => "PE","descricao" => "RECIFE","cep1" => "52100-000","cep2" => "52199-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2348,"uf" => "PE","descricao" => "RECIFE","cep1" => "50600-001","cep2" => "50699-999","roteirizacao" => "REC","unidade" => "REC04","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2349,"uf" => "PE","descricao" => "RECIFE","cep1" => "51211-001","cep2" => "51299-999","roteirizacao" => "REC","unidade" => "REC04","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2350,"uf" => "PE","descricao" => "RECIFE","cep1" => "51210-902","cep2" => "51210-902","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>2351,"uf" => "PE","descricao" => "RECIFE","cep1" => "52200-000","cep2" => "52299-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2352,"uf" => "PE","descricao" => "RECIFE","cep1" => "52300-000","cep2" => "52399-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2353,"uf" => "PE","descricao" => "RECIFE","cep1" => "52400-000","cep2" => "52499-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2354,"uf" => "PE","descricao" => "RECIFE","cep1" => "51100-000","cep2" => "51190-409","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2355,"uf" => "PE","descricao" => "RECIFE","cep1" => "51000-001","cep2" => "51099-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2356,"uf" => "PE","descricao" => "RECIFE","cep1" => "51300-000","cep2" => "51399-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2357,"uf" => "PE","descricao" => "RECIFE","cep1" => "50000-001","cep2" => "50599-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2358,"uf" => "PE","descricao" => "RECIFE","cep1" => "50700-000","cep2" => "50799-999","roteirizacao" => "REC","unidade" => "REC05","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2359,"uf" => "PE","descricao" => "RECIFE","cep1" => "51210-011","cep2" => "51210-901","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2360,"uf" => "PE","descricao" => "RECIFE","cep1" => "51210-903","cep2" => "51211-000","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2361,"uf" => "PE","descricao" => "RIACHO DAS ALMAS","cep1" => "55120-000","cep2" => "55120-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2362,"uf" => "PE","descricao" => "RIBEIRAO","cep1" => "55520-000","cep2" => "55524-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2363,"uf" => "PE","descricao" => "RIO FORMOSO","cep1" => "55570-000","cep2" => "55577-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2364,"uf" => "PE","descricao" => "SAIRE","cep1" => "55695-000","cep2" => "55699-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2365,"uf" => "PE","descricao" => "SALGADINHO","cep1" => "55675-000","cep2" => "55679-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2366,"uf" => "PE","descricao" => "SALGUEIRO","cep1" => "56000-000","cep2" => "56000-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2367,"uf" => "PE","descricao" => "SALOA","cep1" => "55350-000","cep2" => "55350-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2368,"uf" => "PE","descricao" => "SANHARO","cep1" => "55250-000","cep2" => "55250-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2369,"uf" => "PE","descricao" => "SANTA CRUZ","cep1" => "56215-000","cep2" => "56219-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2370,"uf" => "PE","descricao" => "SANTA CRUZ DA BAIXA VERDE","cep1" => "56895-000","cep2" => "56899-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2371,"uf" => "PE","descricao" => "SANTA CRUZ DO CAPIBARIBE","cep1" => "55190-001","cep2" => "55199-999","roteirizacao" => "STC","unidade" => "STC01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2372,"uf" => "PE","descricao" => "SANTA FILOMENA","cep1" => "56210-000","cep2" => "56214-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2373,"uf" => "PE","descricao" => "SANTA MARIA DA BOA VISTA","cep1" => "56380-000","cep2" => "56394-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2374,"uf" => "PE","descricao" => "SANTA MARIA DO CAMBUCA","cep1" => "55765-000","cep2" => "55769-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2375,"uf" => "PE","descricao" => "SANTA TEREZINHA","cep1" => "56750-000","cep2" => "56759-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2376,"uf" => "PE","descricao" => "SAO BENEDITO DO SUL","cep1" => "55410-000","cep2" => "55414-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2377,"uf" => "PE","descricao" => "SAO BENTO DO UNA","cep1" => "55370-000","cep2" => "55370-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2378,"uf" => "PE","descricao" => "SAO CAITANO","cep1" => "55130-000","cep2" => "55130-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2379,"uf" => "PE","descricao" => "SAO JOAO","cep1" => "55435-000","cep2" => "55439-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2380,"uf" => "PE","descricao" => "SAO JOAQUIM DO MONTE","cep1" => "55670-000","cep2" => "55670-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2381,"uf" => "PE","descricao" => "SAO JOSE DA COROA GRANDE","cep1" => "55565-000","cep2" => "55565-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2382,"uf" => "PE","descricao" => "SAO JOSE DO BELMONTE","cep1" => "56950-000","cep2" => "56979-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2383,"uf" => "PE","descricao" => "SAO JOSE DO EGITO","cep1" => "56700-000","cep2" => "56719-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2384,"uf" => "PE","descricao" => "SAO LOURENCO DA MATA","cep1" => "54700-000","cep2" => "54749-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2385,"uf" => "PE","descricao" => "SAO VICENTE FERRER","cep1" => "55860-000","cep2" => "55864-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2386,"uf" => "PE","descricao" => "SERRA TALHADA","cep1" => "56903-340","cep2" => "56903-340","roteirizacao" => "SET","unidade" => "SET","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>2387,"uf" => "PE","descricao" => "SERRA TALHADA","cep1" => "56900-001","cep2" => "56903-339","roteirizacao" => "SET","unidade" => "SET","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2388,"uf" => "PE","descricao" => "SERRA TALHADA","cep1" => "56903-341","cep2" => "56929-999","roteirizacao" => "SET","unidade" => "SET","tabela" => 18,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2389,"uf" => "PE","descricao" => "SERRITA","cep1" => "56140-000","cep2" => "56149-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2390,"uf" => "PE","descricao" => "SERTANIA","cep1" => "56600-000","cep2" => "56639-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2391,"uf" => "PE","descricao" => "SIRINHAEM","cep1" => "55580-000","cep2" => "55589-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2392,"uf" => "PE","descricao" => "SOLIDAO","cep1" => "56795-000","cep2" => "56799-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2393,"uf" => "PE","descricao" => "SURUBIM","cep1" => "55750-000","cep2" => "55754-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2394,"uf" => "PE","descricao" => "TABIRA","cep1" => "56780-000","cep2" => "56794-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2395,"uf" => "PE","descricao" => "TACAIMBO","cep1" => "55140-000","cep2" => "55140-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2396,"uf" => "PE","descricao" => "TACARATU","cep1" => "56480-000","cep2" => "56499-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2397,"uf" => "PE","descricao" => "TAMANDARE","cep1" => "55578-000","cep2" => "55579-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2398,"uf" => "PE","descricao" => "TAQUARITINGA DO NORTE","cep1" => "55790-000","cep2" => "55799-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2399,"uf" => "PE","descricao" => "TEREZINHA","cep1" => "55305-000","cep2" => "55305-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2400,"uf" => "PE","descricao" => "TERRA NOVA","cep1" => "56190-000","cep2" => "56199-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2401,"uf" => "PE","descricao" => "TIMBAUBA","cep1" => "55870-000","cep2" => "55879-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2402,"uf" => "PE","descricao" => "TORITAMA","cep1" => "55125-000","cep2" => "55125-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2403,"uf" => "PE","descricao" => "TRACUNHAEM","cep1" => "55805-000","cep2" => "55809-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2404,"uf" => "PE","descricao" => "TRINDADE","cep1" => "56250-000","cep2" => "56259-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2405,"uf" => "PE","descricao" => "TRIUNFO","cep1" => "56870-000","cep2" => "56894-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2406,"uf" => "PE","descricao" => "TUPANATINGA","cep1" => "56540-000","cep2" => "56549-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2407,"uf" => "PE","descricao" => "TUPARETAMA","cep1" => "56760-000","cep2" => "56779-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2408,"uf" => "PE","descricao" => "VENTUROSA","cep1" => "55270-000","cep2" => "55270-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2409,"uf" => "PE","descricao" => "VERDEJANTE","cep1" => "56120-000","cep2" => "56129-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2410,"uf" => "PE","descricao" => "VERTENTE DO LERIO","cep1" => "55760-000","cep2" => "55760-000","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2411,"uf" => "PE","descricao" => "VERTENTES","cep1" => "55770-000","cep2" => "55779-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2412,"uf" => "PE","descricao" => "VICENCIA","cep1" => "55850-000","cep2" => "55859-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2413,"uf" => "PE","descricao" => "VITORIA DE SANTO ANTAO","cep1" => "55600-000","cep2" => "55619-999","roteirizacao" => "REC","unidade" => "RECT1","tabela" => 18,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2414,"uf" => "PE","descricao" => "XEXEU","cep1" => "55555-000","cep2" => "55559-999","roteirizacao" => "CAU","unidade" => "CAU01","tabela" => 18,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2415,"uf" => "PI","descricao" => "AGRICOLANDIA","cep1" => "64440-000","cep2" => "64440-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2416,"uf" => "PI","descricao" => "AGUA BRANCA","cep1" => "64460-000","cep2" => "64460-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2417,"uf" => "PI","descricao" => "ALAGOINHA DO PIAUI","cep1" => "64655-000","cep2" => "64655-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2418,"uf" => "PI","descricao" => "ALEGRETE DO PIAUI","cep1" => "64675-000","cep2" => "64675-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2419,"uf" => "PI","descricao" => "ALTO LONGA","cep1" => "64360-000","cep2" => "64360-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2420,"uf" => "PI","descricao" => "ALTOS","cep1" => "64290-000","cep2" => "64290-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2421,"uf" => "PI","descricao" => "ALVORADA DO GURGUEIA","cep1" => "64923-000","cep2" => "64923-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2422,"uf" => "PI","descricao" => "AMARANTE","cep1" => "64400-000","cep2" => "64400-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2423,"uf" => "PI","descricao" => "ANGICAL DO PIAUI","cep1" => "64410-000","cep2" => "64410-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2424,"uf" => "PI","descricao" => "AROAZES","cep1" => "64310-000","cep2" => "64310-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2425,"uf" => "PI","descricao" => "ARRAIAL","cep1" => "64480-000","cep2" => "64480-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2426,"uf" => "PI","descricao" => "ASSUNCAO DO PIAUI","cep1" => "64333-000","cep2" => "64333-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2427,"uf" => "PI","descricao" => "BARRA DALCANTARA","cep1" => "64528-000","cep2" => "64528-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2428,"uf" => "PI","descricao" => "BARRAS","cep1" => "64100-000","cep2" => "64100-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2429,"uf" => "PI","descricao" => "BARRO DURO","cep1" => "64455-000","cep2" => "64455-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2430,"uf" => "PI","descricao" => "BATALHA","cep1" => "64190-000","cep2" => "64190-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2431,"uf" => "PI","descricao" => "BELEM DO PIAUI","cep1" => "64678-000","cep2" => "64678-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2432,"uf" => "PI","descricao" => "BENEDITINOS","cep1" => "64380-000","cep2" => "64380-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2433,"uf" => "PI","descricao" => "BOA HORA","cep1" => "64108-000","cep2" => "64108-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2434,"uf" => "PI","descricao" => "BOM PRINCIPIO DO PIAUI","cep1" => "64225-000","cep2" => "64225-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2435,"uf" => "PI","descricao" => "BOQUEIRAO DO PIAUI","cep1" => "64283-000","cep2" => "64283-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2436,"uf" => "PI","descricao" => "BRASILEIRA","cep1" => "64265-000","cep2" => "64265-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2437,"uf" => "PI","descricao" => "BURITI DOS LOPES","cep1" => "64230-000","cep2" => "64230-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2438,"uf" => "PI","descricao" => "BURITI DOS MONTES","cep1" => "64345-000","cep2" => "64345-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2439,"uf" => "PI","descricao" => "CABECEIRAS DO PIAUI","cep1" => "64105-000","cep2" => "64105-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2440,"uf" => "PI","descricao" => "CAJUEIRO DA PRAIA","cep1" => "64222-000","cep2" => "64222-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2441,"uf" => "PI","descricao" => "CAMPINAS DO PIAUI","cep1" => "64730-000","cep2" => "64730-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2442,"uf" => "PI","descricao" => "CAMPO GRANDE DO PIAUI","cep1" => "64578-000","cep2" => "64578-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2443,"uf" => "PI","descricao" => "CAMPO LARGO DO PIAUI","cep1" => "64148-000","cep2" => "64148-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2444,"uf" => "PI","descricao" => "CAMPO MAIOR","cep1" => "64280-000","cep2" => "64280-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2445,"uf" => "PI","descricao" => "CAPITAO DE CAMPOS","cep1" => "64270-000","cep2" => "64270-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2446,"uf" => "PI","descricao" => "CARAUBAS DO PIAUI","cep1" => "64233-000","cep2" => "64233-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2447,"uf" => "PI","descricao" => "CASTELO DO PIAUI","cep1" => "64340-000","cep2" => "64340-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2448,"uf" => "PI","descricao" => "CAXINGO","cep1" => "64228-000","cep2" => "64228-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2449,"uf" => "PI","descricao" => "COCAL","cep1" => "64235-000","cep2" => "64235-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2450,"uf" => "PI","descricao" => "COCAL DE TELHA","cep1" => "64278-000","cep2" => "64278-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2451,"uf" => "PI","descricao" => "COCAL DOS ALVES","cep1" => "64238-000","cep2" => "64238-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2452,"uf" => "PI","descricao" => "COIVARAS","cep1" => "64335-000","cep2" => "64335-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2453,"uf" => "PI","descricao" => "DEMERVAL LOBAO","cep1" => "64390-000","cep2" => "64390-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2454,"uf" => "PI","descricao" => "DOM EXPEDITO LOPES","cep1" => "64620-000","cep2" => "64620-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2455,"uf" => "PI","descricao" => "DOMINGOS MOURAO","cep1" => "64250-000","cep2" => "64250-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2456,"uf" => "PI","descricao" => "ELESBAO VELOSO","cep1" => "64325-000","cep2" => "64325-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2457,"uf" => "PI","descricao" => "ESPERANTINA","cep1" => "64180-000","cep2" => "64180-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>2458,"uf" => "PI","descricao" => "FLORIANO","cep1" => "64800-000","cep2" => "64800-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2459,"uf" => "PI","descricao" => "FRANCINOPOLIS","cep1" => "64520-000","cep2" => "64520-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2460,"uf" => "PI","descricao" => "FRANCISCO AYRES","cep1" => "64475-000","cep2" => "64475-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2461,"uf" => "PI","descricao" => "FRANCISCO SANTOS","cep1" => "64645-000","cep2" => "64645-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2462,"uf" => "PI","descricao" => "GUADALUPE","cep1" => "64840-000","cep2" => "64840-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2463,"uf" => "PI","descricao" => "HUGO NAPOLEAO","cep1" => "64470-000","cep2" => "64470-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2464,"uf" => "PI","descricao" => "ILHA GRANDE","cep1" => "64224-000","cep2" => "64224-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2465,"uf" => "PI","descricao" => "INHUMA","cep1" => "64535-000","cep2" => "64535-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2466,"uf" => "PI","descricao" => "IPIRANGA DO PIAUI","cep1" => "64540-000","cep2" => "64540-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2467,"uf" => "PI","descricao" => "ITAINOPOLIS","cep1" => "64565-000","cep2" => "64565-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2468,"uf" => "PI","descricao" => "ITAUEIRA","cep1" => "64820-000","cep2" => "64820-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2469,"uf" => "PI","descricao" => "JAICOS","cep1" => "64575-000","cep2" => "64575-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2470,"uf" => "PI","descricao" => "JARDIM DO MULATO","cep1" => "64495-000","cep2" => "64495-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2471,"uf" => "PI","descricao" => "JATOBA DO PIAUI","cep1" => "64275-000","cep2" => "64275-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2472,"uf" => "PI","descricao" => "JOAQUIM PIRES","cep1" => "64170-000","cep2" => "64170-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2473,"uf" => "PI","descricao" => "JOCA MARQUES","cep1" => "64165-000","cep2" => "64165-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2474,"uf" => "PI","descricao" => "JOSE DE FREITAS","cep1" => "64110-000","cep2" => "64110-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2475,"uf" => "PI","descricao" => "JUAZEIRO DO PIAUI","cep1" => "64343-000","cep2" => "64343-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2476,"uf" => "PI","descricao" => "LAGOA ALEGRE","cep1" => "64138-000","cep2" => "64138-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2477,"uf" => "PI","descricao" => "LAGOA DE SAO FRANCISCO","cep1" => "64258-000","cep2" => "64258-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2478,"uf" => "PI","descricao" => "LAGOA DO PIAUI","cep1" => "64388-000","cep2" => "64388-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2479,"uf" => "PI","descricao" => "LAGOA DO SITIO","cep1" => "64308-000","cep2" => "64308-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2480,"uf" => "PI","descricao" => "LAGOINHA DO PIAUI","cep1" => "64465-000","cep2" => "64465-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2481,"uf" => "PI","descricao" => "LUIS CORREIA","cep1" => "64220-000","cep2" => "64220-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2482,"uf" => "PI","descricao" => "LUZILANDIA","cep1" => "64160-000","cep2" => "64160-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2483,"uf" => "PI","descricao" => "MADEIRO","cep1" => "64168-000","cep2" => "64168-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2484,"uf" => "PI","descricao" => "MARCOS PARENTE","cep1" => "64845-000","cep2" => "64845-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2485,"uf" => "PI","descricao" => "MASSAPE DO PIAUI","cep1" => "64573-000","cep2" => "64573-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2486,"uf" => "PI","descricao" => "MATIAS OLIMPIO","cep1" => "64150-000","cep2" => "64150-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2487,"uf" => "PI","descricao" => "MIGUEL ALVES","cep1" => "64130-000","cep2" => "64130-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2488,"uf" => "PI","descricao" => "MIGUEL LEAO","cep1" => "64445-000","cep2" => "64445-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2489,"uf" => "PI","descricao" => "MONSENHOR GIL","cep1" => "64450-000","cep2" => "64450-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2490,"uf" => "PI","descricao" => "MORRO DO CHAPEU DO PIAUI","cep1" => "64178-000","cep2" => "64178-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2491,"uf" => "PI","descricao" => "MURICI DOS PORTELAS","cep1" => "64175-000","cep2" => "64175-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2492,"uf" => "PI","descricao" => "NAZARE DO PIAUI","cep1" => "64825-000","cep2" => "64825-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2493,"uf" => "PI","descricao" => "NOSSA SENHORA DE NAZARE","cep1" => "64288-000","cep2" => "64288-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2494,"uf" => "PI","descricao" => "NOSSA SENHORA DOS REMEDIOS","cep1" => "64140-000","cep2" => "64140-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2495,"uf" => "PI","descricao" => "NOVO ORIENTE DO PIAUI","cep1" => "64530-000","cep2" => "64530-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2496,"uf" => "PI","descricao" => "NOVO SANTO ANTONIO","cep1" => "64365-000","cep2" => "64365-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2497,"uf" => "PI","descricao" => "OEIRAS","cep1" => "64500-000","cep2" => "64500-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2498,"uf" => "PI","descricao" => "OLHO DAGUA DO PIAUI","cep1" => "64468-000","cep2" => "64468-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2499,"uf" => "PI","descricao" => "PALMEIRAIS","cep1" => "64420-000","cep2" => "64420-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2500,"uf" => "PI","descricao" => "PARNAIBA","cep1" => "64200-001","cep2" => "64219-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2501,"uf" => "PI","descricao" => "PASSAGEM FRANCA DO PIAUI","cep1" => "64395-000","cep2" => "64395-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2502,"uf" => "PI","descricao" => "PAU DARCO DO PIAUI","cep1" => "64295-000","cep2" => "64295-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2503,"uf" => "PI","descricao" => "PEDRO II","cep1" => "64255-000","cep2" => "64255-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2504,"uf" => "PI","descricao" => "PICOS","cep1" => "64600-000","cep2" => "64609-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2505,"uf" => "PI","descricao" => "PIRACURUCA","cep1" => "64240-000","cep2" => "64240-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2506,"uf" => "PI","descricao" => "PIRIPIRI","cep1" => "64260-000","cep2" => "64260-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2507,"uf" => "PI","descricao" => "PORTO","cep1" => "64145-000","cep2" => "64145-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2508,"uf" => "PI","descricao" => "PRATA DO PIAUI","cep1" => "64370-000","cep2" => "64370-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2509,"uf" => "PI","descricao" => "REGENERACAO","cep1" => "64490-000","cep2" => "64490-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2510,"uf" => "PI","descricao" => "RIBEIRA DO PIAUI","cep1" => "64725-000","cep2" => "64725-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2511,"uf" => "PI","descricao" => "RIO GRANDE DO PIAUI","cep1" => "64835-000","cep2" => "64835-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2512,"uf" => "PI","descricao" => "SANTA CRUZ DOS MILAGRES","cep1" => "64315-000","cep2" => "64315-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2513,"uf" => "PI","descricao" => "SANTO ANTONIO DOS MILAGRES","cep1" => "64438-000","cep2" => "64438-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2514,"uf" => "PI","descricao" => "SANTO INACIO DO PIAUI","cep1" => "64560-000","cep2" => "64560-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2515,"uf" => "PI","descricao" => "SAO FELIX DO PIAUI","cep1" => "64375-000","cep2" => "64375-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2516,"uf" => "PI","descricao" => "SAO GONCALO DO PIAUI","cep1" => "64435-000","cep2" => "64435-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2517,"uf" => "PI","descricao" => "SAO JOAO DA SERRA","cep1" => "64350-000","cep2" => "64350-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2518,"uf" => "PI","descricao" => "SAO JOAO DA VARJOTA","cep1" => "64510-000","cep2" => "64510-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2519,"uf" => "PI","descricao" => "SAO JOAO DO ARRAIAL","cep1" => "64155-000","cep2" => "64155-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2520,"uf" => "PI","descricao" => "SAO JOSE DO DIVINO","cep1" => "64245-000","cep2" => "64245-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2521,"uf" => "PI","descricao" => "SAO JOSE DO PEIXE","cep1" => "64555-000","cep2" => "64555-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2522,"uf" => "PI","descricao" => "SAO MIGUEL DA BAIXA GRANDE","cep1" => "64378-000","cep2" => "64378-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2523,"uf" => "PI","descricao" => "SAO MIGUEL DO FIDALGO","cep1" => "64558-000","cep2" => "64558-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2524,"uf" => "PI","descricao" => "SAO MIGUEL DO TAPUIO","cep1" => "64330-000","cep2" => "64330-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2525,"uf" => "PI","descricao" => "SAO PEDRO DO PIAUI","cep1" => "64430-000","cep2" => "64430-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2526,"uf" => "PI","descricao" => "SIGEFREDO PACHECO","cep1" => "64285-000","cep2" => "64285-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2527,"uf" => "PI","descricao" => "SIMPLICIO MENDES","cep1" => "64700-000","cep2" => "64700-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2528,"uf" => "PI","descricao" => "TANQUE DO PIAUI","cep1" => "64512-000","cep2" => "64512-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2529,"uf" => "PI","descricao" => "TERESINA","cep1" => "64048-000","cep2" => "64049-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2530,"uf" => "PI","descricao" => "TERESINA","cep1" => "64012-776","cep2" => "64047-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2531,"uf" => "PI","descricao" => "TERESINA","cep1" => "64073-208","cep2" => "64074-019","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2532,"uf" => "PI","descricao" => "TERESINA","cep1" => "64050-000","cep2" => "64073-206","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2533,"uf" => "PI","descricao" => "TERESINA","cep1" => "64006-700","cep2" => "64006-700","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>2534,"uf" => "PI","descricao" => "TERESINA","cep1" => "64077-344","cep2" => "64097-049","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2535,"uf" => "PI","descricao" => "TERESINA","cep1" => "64097-051","cep2" => "64099-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2536,"uf" => "PI","descricao" => "TERESINA","cep1" => "64074-021","cep2" => "64077-342","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2537,"uf" => "PI","descricao" => "TERESINA","cep1" => "64000-001","cep2" => "64006-699","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2538,"uf" => "PI","descricao" => "TERESINA","cep1" => "64006-701","cep2" => "64012-774","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2539,"uf" => "PI","descricao" => "UNIAO","cep1" => "64120-000","cep2" => "64120-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2540,"uf" => "PI","descricao" => "VALENCA DO PIAUI","cep1" => "64300-000","cep2" => "64300-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2541,"uf" => "PI","descricao" => "VARZEA GRANDE","cep1" => "64525-000","cep2" => "64525-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2542,"uf" => "PI","descricao" => "VERA MENDES","cep1" => "64568-000","cep2" => "64568-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2543,"uf" => "PI","descricao" => "VILA NOVA DO PIAUI","cep1" => "64688-000","cep2" => "64688-999","roteirizacao" => "THE","unidade" => "THE","tabela" => 23,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2544,"uf" => "PR","descricao" => "ABATIA","cep1" => "86460-000","cep2" => "86460-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2545,"uf" => "PR","descricao" => "ALMIRANTE TAMANDARE","cep1" => "83500-000","cep2" => "83529-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2546,"uf" => "PR","descricao" => "ALTO PARANA","cep1" => "87750-000","cep2" => "87750-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2547,"uf" => "PR","descricao" => "ALTO PIQUIRI","cep1" => "87580-000","cep2" => "87594-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2548,"uf" => "PR","descricao" => "ALVORADA DO SUL","cep1" => "86150-000","cep2" => "86159-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2549,"uf" => "PR","descricao" => "AMAPORA","cep1" => "87850-000","cep2" => "87859-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2550,"uf" => "PR","descricao" => "ANAHY","cep1" => "85425-000","cep2" => "85425-000","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2551,"uf" => "PR","descricao" => "ANDIRA","cep1" => "86380-000","cep2" => "86380-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2552,"uf" => "PR","descricao" => "ANGULO","cep1" => "86755-000","cep2" => "86759-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2553,"uf" => "PR","descricao" => "ANTONINA","cep1" => "83370-000","cep2" => "83389-999","roteirizacao" => "PNG","unidade" => "PNG01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2554,"uf" => "PR","descricao" => "APUCARANA","cep1" => "86800-001","cep2" => "86819-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2555,"uf" => "PR","descricao" => "ARAPONGAS","cep1" => "86700-001","cep2" => "86714-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2556,"uf" => "PR","descricao" => "ARAPOTI","cep1" => "84990-000","cep2" => "84990-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2557,"uf" => "PR","descricao" => "ARARUNA","cep1" => "87260-000","cep2" => "87264-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2558,"uf" => "PR","descricao" => "ARAUCARIA","cep1" => "83700-001","cep2" => "83724-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2559,"uf" => "PR","descricao" => "ARIRANHA DO IVAI","cep1" => "86880-000","cep2" => "86880-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2560,"uf" => "PR","descricao" => "ASSAI","cep1" => "86220-000","cep2" => "86220-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2561,"uf" => "PR","descricao" => "ASSIS CHATEAUBRIAND","cep1" => "85935-000","cep2" => "85939-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2562,"uf" => "PR","descricao" => "ASTORGA","cep1" => "86730-000","cep2" => "86730-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2563,"uf" => "PR","descricao" => "ATALAIA","cep1" => "87630-000","cep2" => "87639-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2564,"uf" => "PR","descricao" => "BANDEIRANTES","cep1" => "86360-000","cep2" => "86360-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2565,"uf" => "PR","descricao" => "BARBOSA FERRAZ","cep1" => "86960-000","cep2" => "86969-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2566,"uf" => "PR","descricao" => "BARRA DO JACARE","cep1" => "86385-000","cep2" => "86385-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2567,"uf" => "PR","descricao" => "BARRACAO","cep1" => "85700-000","cep2" => "85700-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2568,"uf" => "PR","descricao" => "BELA VISTA DO PARAISO","cep1" => "86130-000","cep2" => "86130-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2569,"uf" => "PR","descricao" => "BOM SUCESSO","cep1" => "86940-000","cep2" => "86944-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2570,"uf" => "PR","descricao" => "BOM SUCESSO DO SUL","cep1" => "85515-000","cep2" => "85519-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2571,"uf" => "PR","descricao" => "BORRAZOPOLIS","cep1" => "86925-000","cep2" => "86925-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2572,"uf" => "PR","descricao" => "BRAGANEY","cep1" => "85430-000","cep2" => "85430-000","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2573,"uf" => "PR","descricao" => "BRASILANDIA DO SUL","cep1" => "87595-000","cep2" => "87599-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2574,"uf" => "PR","descricao" => "CAFELANDIA","cep1" => "85415-000","cep2" => "85419-999","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2575,"uf" => "PR","descricao" => "CAFEZAL DO SUL","cep1" => "87565-000","cep2" => "87569-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2576,"uf" => "PR","descricao" => "CALIFORNIA","cep1" => "86820-000","cep2" => "86820-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2577,"uf" => "PR","descricao" => "CAMBARA","cep1" => "86390-000","cep2" => "86390-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2578,"uf" => "PR","descricao" => "CAMBE","cep1" => "86180-000","cep2" => "86195-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2579,"uf" => "PR","descricao" => "CAMBIRA","cep1" => "86890-000","cep2" => "86894-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2580,"uf" => "PR","descricao" => "CAMPINA GRANDE DO SUL","cep1" => "83430-000","cep2" => "83430-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2581,"uf" => "PR","descricao" => "CAMPO BONITO","cep1" => "85450-000","cep2" => "85450-000","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2582,"uf" => "PR","descricao" => "CAMPO LARGO","cep1" => "83600-001","cep2" => "83640-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2583,"uf" => "PR","descricao" => "CAMPO MAGRO","cep1" => "83535-000","cep2" => "83535-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2584,"uf" => "PR","descricao" => "CAMPO MOURAO","cep1" => "87300-001","cep2" => "87319-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2585,"uf" => "PR","descricao" => "CANDIDO DE ABREU","cep1" => "84470-000","cep2" => "84470-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2586,"uf" => "PR","descricao" => "CAPANEMA","cep1" => "85760-000","cep2" => "85760-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2587,"uf" => "PR","descricao" => "CARAMBEI","cep1" => "84145-000","cep2" => "84145-999","roteirizacao" => "PGZ","unidade" => "PGZ","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>2588,"uf" => "PR","descricao" => "CARLOPOLIS","cep1" => "86420-000","cep2" => "86420-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2589,"uf" => "PR","descricao" => "CASCAVEL","cep1" => "85800-001","cep2" => "85820-999","roteirizacao" => "CAC","unidade" => "CAC","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>2590,"uf" => "PR","descricao" => "CASTRO","cep1" => "84160-000","cep2" => "84184-999","roteirizacao" => "PGZ","unidade" => "PGZ","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2591,"uf" => "PR","descricao" => "CENTENARIO DO SUL","cep1" => "86630-000","cep2" => "86630-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2592,"uf" => "PR","descricao" => "CENTRALITO (DISTRITO)","cep1" => "85823-500","cep2" => "85823-500","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2593,"uf" => "PR","descricao" => "CEU AZUL","cep1" => "85840-000","cep2" => "85840-999","roteirizacao" => "CAC","unidade" => "CAC","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2594,"uf" => "PR","descricao" => "CHOPINZINHO","cep1" => "85560-000","cep2" => "85564-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2595,"uf" => "PR","descricao" => "CIANORTE","cep1" => "87200-001","cep2" => "87214-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2596,"uf" => "PR","descricao" => "CLEVELANDIA","cep1" => "85530-000","cep2" => "85539-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2597,"uf" => "PR","descricao" => "COLOMBO","cep1" => "83400-001","cep2" => "83417-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2598,"uf" => "PR","descricao" => "COLORADO","cep1" => "86690-000","cep2" => "86699-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2599,"uf" => "PR","descricao" => "CONGONHINHAS","cep1" => "86320-000","cep2" => "86329-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2600,"uf" => "PR","descricao" => "CONSELHEIRO MAIRINCK","cep1" => "86480-000","cep2" => "86480-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2601,"uf" => "PR","descricao" => "CONTENDA","cep1" => "83730-000","cep2" => "83730-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2602,"uf" => "PR","descricao" => "CORBELIA","cep1" => "85420-000","cep2" => "85420-999","roteirizacao" => "CAC","unidade" => "CAC","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2603,"uf" => "PR","descricao" => "CORNELIO PROCOPIO","cep1" => "86300-000","cep2" => "86300-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2604,"uf" => "PR","descricao" => "CORONEL VIVIDA","cep1" => "85550-000","cep2" => "85554-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2605,"uf" => "PR","descricao" => "CORUMBATAI DO SUL","cep1" => "86970-000","cep2" => "86974-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2606,"uf" => "PR","descricao" => "CRUZEIRO DO OESTE","cep1" => "87400-000","cep2" => "87429-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2607,"uf" => "PR","descricao" => "CRUZEIRO DO SUL","cep1" => "87650-000","cep2" => "87659-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2608,"uf" => "PR","descricao" => "CRUZMALTINA","cep1" => "86855-000","cep2" => "86855-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2609,"uf" => "PR","descricao" => "CURITIBA","cep1" => "81010-041","cep2" => "81900-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2610,"uf" => "PR","descricao" => "CURITIBA","cep1" => "81901-001","cep2" => "82999-999","roteirizacao" => "CWB","unidade" => "CWB04","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>2611,"uf" => "PR","descricao" => "CURITIBA","cep1" => "80510-000","cep2" => "81010-040","roteirizacao" => "CWB","unidade" => "CWB04","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>2612,"uf" => "PR","descricao" => "CURITIBA","cep1" => "80000-001","cep2" => "80509-999","roteirizacao" => "CWB","unidade" => "CWB05","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>2613,"uf" => "PR","descricao" => "CURIUVA","cep1" => "84280-000","cep2" => "84280-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2614,"uf" => "PR","descricao" => "DIAMANTE DO NORTE","cep1" => "87990-000","cep2" => "87999-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2615,"uf" => "PR","descricao" => "DOIS VIZINHOS","cep1" => "85660-000","cep2" => "85669-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2616,"uf" => "PR","descricao" => "DOUTOR CAMARGO","cep1" => "87155-000","cep2" => "87159-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2617,"uf" => "PR","descricao" => "ENGENHEIRO BELTRAO","cep1" => "87270-000","cep2" => "87279-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2618,"uf" => "PR","descricao" => "ESPIGAO ALTO DO IGUACU","cep1" => "85465-000","cep2" => "85469-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2619,"uf" => "PR","descricao" => "FAXINAL","cep1" => "86840-000","cep2" => "86840-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2620,"uf" => "PR","descricao" => "FAZENDA RIO GRANDE","cep1" => "83820-000","cep2" => "83833-574","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2621,"uf" => "PR","descricao" => "FENIX","cep1" => "86950-000","cep2" => "86959-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2622,"uf" => "PR","descricao" => "FIGUEIRA","cep1" => "84285-000","cep2" => "84285-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2623,"uf" => "PR","descricao" => "FLOR DA SERRA DO SUL","cep1" => "85618-000","cep2" => "85618-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2624,"uf" => "PR","descricao" => "FLORAI","cep1" => "87185-000","cep2" => "87189-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2625,"uf" => "PR","descricao" => "FLORESTA","cep1" => "87120-000","cep2" => "87129-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2626,"uf" => "PR","descricao" => "FLORESTOPOLIS","cep1" => "86165-000","cep2" => "86165-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2627,"uf" => "PR","descricao" => "FLORIDA","cep1" => "86780-000","cep2" => "86789-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2628,"uf" => "PR","descricao" => "FORMOSA DO OESTE","cep1" => "85830-000","cep2" => "85832-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2629,"uf" => "PR","descricao" => "FOZ DO IGUACU","cep1" => "85850-001","cep2" => "85874-999","roteirizacao" => "IGU","unidade" => "IGU","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>2630,"uf" => "PR","descricao" => "FRANCISCO BELTRAO","cep1" => "85600-001","cep2" => "85609-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2631,"uf" => "PR","descricao" => "GOIOERE","cep1" => "87360-000","cep2" => "87364-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2632,"uf" => "PR","descricao" => "GRANDES RIOS","cep1" => "86845-000","cep2" => "86845-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2633,"uf" => "PR","descricao" => "GUAIRACA","cep1" => "87880-000","cep2" => "87889-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2634,"uf" => "PR","descricao" => "GUAPIRAMA","cep1" => "86465-000","cep2" => "86465-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2635,"uf" => "PR","descricao" => "GUARACI","cep1" => "86620-000","cep2" => "86620-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2636,"uf" => "PR","descricao" => "GUARAPUAVA","cep1" => "85000-001","cep2" => "85139-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2637,"uf" => "PR","descricao" => "GUARAQUECABA","cep1" => "83390-000","cep2" => "83399-999","roteirizacao" => "PNG","unidade" => "PNG01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2638,"uf" => "PR","descricao" => "GUARATUBA","cep1" => "83280-000","cep2" => "83299-999","roteirizacao" => "PNG","unidade" => "PNG01","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2639,"uf" => "PR","descricao" => "IBAITI","cep1" => "84900-000","cep2" => "84900-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2640,"uf" => "PR","descricao" => "IBIPORA","cep1" => "86200-000","cep2" => "86209-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2641,"uf" => "PR","descricao" => "IGUARACU","cep1" => "86750-000","cep2" => "86750-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2642,"uf" => "PR","descricao" => "IMBAU","cep1" => "84250-000","cep2" => "84250-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2643,"uf" => "PR","descricao" => "IMBITUVA","cep1" => "84430-000","cep2" => "84430-999","roteirizacao" => "PGZ","unidade" => "PGZ","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2644,"uf" => "PR","descricao" => "INDIANOPOLIS","cep1" => "87235-000","cep2" => "87239-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2645,"uf" => "PR","descricao" => "IRETAMA","cep1" => "87280-000","cep2" => "87289-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2646,"uf" => "PR","descricao" => "ITAGUAJE","cep1" => "86670-000","cep2" => "86679-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2647,"uf" => "PR","descricao" => "ITAMBARACA","cep1" => "86375-000","cep2" => "86375-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2648,"uf" => "PR","descricao" => "ITAMBE","cep1" => "87175-000","cep2" => "87179-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2649,"uf" => "PR","descricao" => "ITAPEJARA DOESTE","cep1" => "85580-000","cep2" => "85584-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2650,"uf" => "PR","descricao" => "ITAUNA DO SUL","cep1" => "87980-000","cep2" => "87989-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2651,"uf" => "PR","descricao" => "IVAIPORA","cep1" => "86870-000","cep2" => "86870-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2652,"uf" => "PR","descricao" => "JABOTI","cep1" => "84930-000","cep2" => "84930-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2653,"uf" => "PR","descricao" => "JACAREZINHO","cep1" => "86400-000","cep2" => "86400-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2654,"uf" => "PR","descricao" => "JAGUAPITA","cep1" => "86610-000","cep2" => "86610-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2655,"uf" => "PR","descricao" => "JAGUARIAIVA","cep1" => "84200-000","cep2" => "84200-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2656,"uf" => "PR","descricao" => "JANDAIA DO SUL","cep1" => "86900-000","cep2" => "86909-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2657,"uf" => "PR","descricao" => "JAPIRA","cep1" => "84920-000","cep2" => "84920-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2658,"uf" => "PR","descricao" => "JAPURA","cep1" => "87225-000","cep2" => "87229-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2659,"uf" => "PR","descricao" => "JARDIM ALEGRE","cep1" => "86860-000","cep2" => "86860-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2660,"uf" => "PR","descricao" => "JARDIM OLINDA","cep1" => "87690-000","cep2" => "87699-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2661,"uf" => "PR","descricao" => "JATAIZINHO","cep1" => "86210-000","cep2" => "86210-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2662,"uf" => "PR","descricao" => "JESUITAS","cep1" => "85835-000","cep2" => "85839-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2663,"uf" => "PR","descricao" => "JOAQUIM TAVORA","cep1" => "86455-000","cep2" => "86455-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2664,"uf" => "PR","descricao" => "JUNDIAI DO SUL","cep1" => "86470-000","cep2" => "86470-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2665,"uf" => "PR","descricao" => "JUSSARA","cep1" => "87230-000","cep2" => "87234-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2666,"uf" => "PR","descricao" => "JUVINOPOLIS (DISTRITO)","cep1" => "85821-000","cep2" => "85821-970","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2667,"uf" => "PR","descricao" => "KALORE","cep1" => "86920-000","cep2" => "86924-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2668,"uf" => "PR","descricao" => "LEOPOLIS","cep1" => "86330-000","cep2" => "86330-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2669,"uf" => "PR","descricao" => "LIDIANOPOLIS","cep1" => "86865-000","cep2" => "86865-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2670,"uf" => "PR","descricao" => "LINDOESTE","cep1" => "85826-000","cep2" => "85826-000","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2671,"uf" => "PR","descricao" => "LOANDA","cep1" => "87900-000","cep2" => "87909-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2672,"uf" => "PR","descricao" => "LOBATO","cep1" => "86790-000","cep2" => "86799-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2673,"uf" => "PR","descricao" => "LONDRINA","cep1" => "86100-000","cep2" => "86123-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2674,"uf" => "PR","descricao" => "LONDRINA","cep1" => "86039-090","cep2" => "86039-090","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>2675,"uf" => "PR","descricao" => "LONDRINA","cep1" => "86000-001","cep2" => "86039-089","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2676,"uf" => "PR","descricao" => "LONDRINA","cep1" => "86039-091","cep2" => "86099-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2677,"uf" => "PR","descricao" => "LUIZIANA","cep1" => "87290-000","cep2" => "87299-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2678,"uf" => "PR","descricao" => "LUNARDELLI","cep1" => "86935-000","cep2" => "86937-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2679,"uf" => "PR","descricao" => "MANDAGUACU","cep1" => "87160-000","cep2" => "87169-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2680,"uf" => "PR","descricao" => "MANDAGUARI","cep1" => "86975-000","cep2" => "86989-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2681,"uf" => "PR","descricao" => "MANDIRITUBA","cep1" => "83800-000","cep2" => "83800-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2682,"uf" => "PR","descricao" => "MANGUEIRINHA","cep1" => "85540-000","cep2" => "85540-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2683,"uf" => "PR","descricao" => "MANOEL RIBAS","cep1" => "85260-000","cep2" => "85260-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2684,"uf" => "PR","descricao" => "MARECHAL CANDIDO RONDON","cep1" => "85960-000","cep2" => "85960-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2685,"uf" => "PR","descricao" => "MARIA HELENA","cep1" => "87480-000","cep2" => "87484-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2686,"uf" => "PR","descricao" => "MARIALVA","cep1" => "86990-000","cep2" => "86999-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2687,"uf" => "PR","descricao" => "MARILANDIA DO SUL","cep1" => "86825-000","cep2" => "86825-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2688,"uf" => "PR","descricao" => "MARILENA","cep1" => "87960-000","cep2" => "87969-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2689,"uf" => "PR","descricao" => "MARILUZ","cep1" => "87470-000","cep2" => "87479-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2690,"uf" => "PR","descricao" => "MARINGA","cep1" => "87065-665","cep2" => "87065-665","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>2691,"uf" => "PR","descricao" => "MARINGA","cep1" => "87000-000","cep2" => "87065-664","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2692,"uf" => "PR","descricao" => "MARINGA","cep1" => "87065-666","cep2" => "87109-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2693,"uf" => "PR","descricao" => "MARIOPOLIS","cep1" => "85525-000","cep2" => "85529-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2694,"uf" => "PR","descricao" => "MARIPA","cep1" => "85955-000","cep2" => "85959-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2695,"uf" => "PR","descricao" => "MARMELEIRO","cep1" => "85615-000","cep2" => "85617-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2696,"uf" => "PR","descricao" => "MARUMBI","cep1" => "86910-000","cep2" => "86919-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2697,"uf" => "PR","descricao" => "MATELANDIA","cep1" => "85887-000","cep2" => "85887-999","roteirizacao" => "CAC","unidade" => "CAC","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2698,"uf" => "PR","descricao" => "MATINHOS","cep1" => "83260-000","cep2" => "83279-999","roteirizacao" => "PNG","unidade" => "PNG01","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2699,"uf" => "PR","descricao" => "MAUA DA SERRA","cep1" => "86828-000","cep2" => "86828-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2700,"uf" => "PR","descricao" => "MEDIANEIRA","cep1" => "85884-000","cep2" => "85884-999","roteirizacao" => "CAC","unidade" => "CAC","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2701,"uf" => "PR","descricao" => "MIRASELVA","cep1" => "86615-000","cep2" => "86615-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2702,"uf" => "PR","descricao" => "MOREIRA SALES","cep1" => "87370-000","cep2" => "87379-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2703,"uf" => "PR","descricao" => "MORRETES","cep1" => "83350-000","cep2" => "83369-999","roteirizacao" => "PNG","unidade" => "PNG01","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2704,"uf" => "PR","descricao" => "MUNHOZ DE MELO","cep1" => "86760-000","cep2" => "86769-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2705,"uf" => "PR","descricao" => "NOVA AMERICA DA COLINA","cep1" => "86230-000","cep2" => "86230-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2706,"uf" => "PR","descricao" => "NOVA ESPERANCA","cep1" => "87600-000","cep2" => "87629-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2707,"uf" => "PR","descricao" => "NOVA FATIMA","cep1" => "86310-000","cep2" => "86310-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2708,"uf" => "PR","descricao" => "NOVA LONDRINA","cep1" => "87970-000","cep2" => "87979-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2709,"uf" => "PR","descricao" => "NOVA PRATA DO IGUACU","cep1" => "85685-000","cep2" => "85685-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2710,"uf" => "PR","descricao" => "NOVA SANTA BARBARA","cep1" => "86250-000","cep2" => "86250-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2711,"uf" => "PR","descricao" => "NOVA SANTA ROSA","cep1" => "85930-000","cep2" => "85932-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2712,"uf" => "PR","descricao" => "NOVO ITACOLOMI","cep1" => "86895-000","cep2" => "86895-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2713,"uf" => "PR","descricao" => "ORTIGUEIRA","cep1" => "84350-000","cep2" => "84350-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2714,"uf" => "PR","descricao" => "OURIZONA","cep1" => "87170-000","cep2" => "87174-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2715,"uf" => "PR","descricao" => "OURO VERDE DO OESTE","cep1" => "85933-000","cep2" => "85934-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2716,"uf" => "PR","descricao" => "OURO VERDE DO PIQUIRI (DISTRITO)","cep1" => "85422-000","cep2" => "85422-970","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2717,"uf" => "PR","descricao" => "PAICANDU","cep1" => "87145-000","cep2" => "87145-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2718,"uf" => "PR","descricao" => "PAICANDU","cep1" => "87140-000","cep2" => "87140-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2719,"uf" => "PR","descricao" => "PALMAS","cep1" => "85555-000","cep2" => "85556-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>2720,"uf" => "PR","descricao" => "PALMEIRA","cep1" => "84130-000","cep2" => "84130-999","roteirizacao" => "PGZ","unidade" => "PGZ","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2721,"uf" => "PR","descricao" => "PALOTINA","cep1" => "85950-000","cep2" => "85950-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2722,"uf" => "PR","descricao" => "PARAISO DO NORTE","cep1" => "87780-000","cep2" => "87789-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2723,"uf" => "PR","descricao" => "PARANACITY","cep1" => "87660-000","cep2" => "87669-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2724,"uf" => "PR","descricao" => "PARANAGUA","cep1" => "83200-001","cep2" => "83254-999","roteirizacao" => "PNG","unidade" => "PNG01","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2725,"uf" => "PR","descricao" => "PARANAPOEMA","cep1" => "87680-000","cep2" => "87689-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2726,"uf" => "PR","descricao" => "PARANAVAI","cep1" => "87700-001","cep2" => "87729-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2727,"uf" => "PR","descricao" => "PATO BRANCO","cep1" => "85501-356","cep2" => "85501-356","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>2728,"uf" => "PR","descricao" => "PATO BRANCO","cep1" => "85500-001","cep2" => "85501-355","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2729,"uf" => "PR","descricao" => "PATO BRANCO","cep1" => "85501-357","cep2" => "85514-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2730,"uf" => "PR","descricao" => "PEABIRU","cep1" => "87250-000","cep2" => "87259-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2731,"uf" => "PR","descricao" => "PEROBAL","cep1" => "87538-000","cep2" => "87539-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2732,"uf" => "PR","descricao" => "PEROLA","cep1" => "87540-000","cep2" => "87544-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2733,"uf" => "PR","descricao" => "PEROLA DO OESTE","cep1" => "85740-000","cep2" => "85740-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2734,"uf" => "PR","descricao" => "PINHAIS","cep1" => "83320-001","cep2" => "83349-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2735,"uf" => "PR","descricao" => "PINHALAO","cep1" => "84925-000","cep2" => "84925-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2736,"uf" => "PR","descricao" => "PIRAQUARA","cep1" => "83303-035","cep2" => "83318-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2737,"uf" => "PR","descricao" => "PIRAQUARA","cep1" => "83300-001","cep2" => "83303-031","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2738,"uf" => "PR","descricao" => "PITANGUEIRAS","cep1" => "86613-000","cep2" => "86613-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2739,"uf" => "PR","descricao" => "PLANALTINA DO PARANA","cep1" => "87860-000","cep2" => "87879-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2740,"uf" => "PR","descricao" => "PLANALTO","cep1" => "85750-000","cep2" => "85750-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2741,"uf" => "PR","descricao" => "PONTA GROSSA","cep1" => "84000-001","cep2" => "84099-999","roteirizacao" => "PGZ","unidade" => "PGZ","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>2742,"uf" => "PR","descricao" => "PONTAL DO PARANA","cep1" => "83255-000","cep2" => "83259-999","roteirizacao" => "PNG","unidade" => "PNG01","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2743,"uf" => "PR","descricao" => "PORECATU","cep1" => "86160-000","cep2" => "86160-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2744,"uf" => "PR","descricao" => "PORTO RICO","cep1" => "87950-000","cep2" => "87954-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2745,"uf" => "PR","descricao" => "PRADO FERREIRA","cep1" => "86618-000","cep2" => "86618-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2746,"uf" => "PR","descricao" => "PRANCHITA","cep1" => "85730-000","cep2" => "85730-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2747,"uf" => "PR","descricao" => "PRESIDENTE CASTELO BRANCO","cep1" => "87180-000","cep2" => "87184-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2748,"uf" => "PR","descricao" => "PRIMEIRO DE MAIO","cep1" => "86140-000","cep2" => "86140-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2749,"uf" => "PR","descricao" => "QUARTO CENTENARIO","cep1" => "87365-000","cep2" => "87369-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2750,"uf" => "PR","descricao" => "QUATIGUA","cep1" => "86450-000","cep2" => "86450-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2751,"uf" => "PR","descricao" => "QUATRO BARRAS","cep1" => "83420-000","cep2" => "83420-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2752,"uf" => "PR","descricao" => "QUATRO PONTES","cep1" => "85940-000","cep2" => "85944-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2753,"uf" => "PR","descricao" => "QUERENCIA DO NORTE","cep1" => "87930-000","cep2" => "87949-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2754,"uf" => "PR","descricao" => "QUINTA DO SOL","cep1" => "87265-000","cep2" => "87269-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2755,"uf" => "PR","descricao" => "RANCHO ALEGRE","cep1" => "86290-000","cep2" => "86290-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2756,"uf" => "PR","descricao" => "REALEZA","cep1" => "85770-000","cep2" => "85770-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2757,"uf" => "PR","descricao" => "RENASCENCA","cep1" => "85610-000","cep2" => "85614-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2758,"uf" => "PR","descricao" => "RESERVA","cep1" => "84320-000","cep2" => "84320-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2759,"uf" => "PR","descricao" => "RIBEIRAO CLARO","cep1" => "86410-000","cep2" => "86410-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2760,"uf" => "PR","descricao" => "RIBEIRAO DO PINHAL","cep1" => "86490-000","cep2" => "86490-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2761,"uf" => "PR","descricao" => "RIO BOM","cep1" => "86830-000","cep2" => "86830-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2762,"uf" => "PR","descricao" => "RIO BRANCO DO IVAI","cep1" => "86848-000","cep2" => "86848-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2763,"uf" => "PR","descricao" => "RIO DO SALTO (DISTRITO)","cep1" => "85824-000","cep2" => "85824-970","roteirizacao" => "CAC","unidade" => "CAC01","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2764,"uf" => "PR","descricao" => "ROLANDIA","cep1" => "86600-000","cep2" => "86609-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2765,"uf" => "PR","descricao" => "RONDON","cep1" => "87800-000","cep2" => "87809-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2766,"uf" => "PR","descricao" => "ROSARIO DO IVAI","cep1" => "86850-000","cep2" => "86850-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2767,"uf" => "PR","descricao" => "SABAUDIA","cep1" => "86720-000","cep2" => "86720-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2768,"uf" => "PR","descricao" => "SALTO DO ITARARE","cep1" => "84945-000","cep2" => "84945-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2769,"uf" => "PR","descricao" => "SALTO DO LONTRA","cep1" => "85670-000","cep2" => "85670-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2770,"uf" => "PR","descricao" => "SANTA AMELIA","cep1" => "86370-000","cep2" => "86370-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2771,"uf" => "PR","descricao" => "SANTA CECILIA DO PAVAO","cep1" => "86225-000","cep2" => "86225-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2772,"uf" => "PR","descricao" => "SANTA CRUZ DE MONTE CASTELO","cep1" => "87920-000","cep2" => "87929-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2773,"uf" => "PR","descricao" => "SANTA FE","cep1" => "86770-000","cep2" => "86779-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2774,"uf" => "PR","descricao" => "SANTA ISABEL DO IVAI","cep1" => "87910-000","cep2" => "87914-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2775,"uf" => "PR","descricao" => "SANTA IZABEL DO OESTE","cep1" => "85650-000","cep2" => "85650-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2776,"uf" => "PR","descricao" => "SANTA MARIANA","cep1" => "86350-000","cep2" => "86350-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2777,"uf" => "PR","descricao" => "SANTA MONICA","cep1" => "87915-000","cep2" => "87919-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2778,"uf" => "PR","descricao" => "SANTA TEREZA DO OESTE","cep1" => "85825-000","cep2" => "85825-999","roteirizacao" => "CAC","unidade" => "CAC","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2779,"uf" => "PR","descricao" => "SANTA TEREZINHA DE ITAIPU","cep1" => "85875-000","cep2" => "85875-999","roteirizacao" => "CAC","unidade" => "CAC","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2780,"uf" => "PR","descricao" => "SANTO ANTONIO DA PLATINA","cep1" => "86430-000","cep2" => "86430-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2781,"uf" => "PR","descricao" => "SANTO ANTONIO DO CAIUA","cep1" => "87730-000","cep2" => "87739-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2782,"uf" => "PR","descricao" => "SANTO ANTONIO DO PARAISO","cep1" => "86315-000","cep2" => "86315-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2783,"uf" => "PR","descricao" => "SANTO ANTONIO DO SUDOESTE","cep1" => "85710-000","cep2" => "85710-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2784,"uf" => "PR","descricao" => "SANTO INACIO","cep1" => "86650-000","cep2" => "86659-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2785,"uf" => "PR","descricao" => "SAO CARLOS DO IVAI","cep1" => "87770-000","cep2" => "87779-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2786,"uf" => "PR","descricao" => "SAO JERONIMO DA SERRA","cep1" => "86270-000","cep2" => "86270-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2787,"uf" => "PR","descricao" => "SAO JOAO","cep1" => "85570-000","cep2" => "85574-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2788,"uf" => "PR","descricao" => "SAO JOAO DO CAIUA","cep1" => "87740-000","cep2" => "87749-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2789,"uf" => "PR","descricao" => "SAO JOAO DO IVAI","cep1" => "86930-000","cep2" => "86934-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2790,"uf" => "PR","descricao" => "SAO JORGE DO IVAI","cep1" => "87190-000","cep2" => "87199-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2791,"uf" => "PR","descricao" => "SAO JORGE DO OESTE","cep1" => "85575-000","cep2" => "85575-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2792,"uf" => "PR","descricao" => "SAO JOSE DOS PINHAIS","cep1" => "83010-900","cep2" => "83010-900","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>2793,"uf" => "PR","descricao" => "SAO JOSE DOS PINHAIS","cep1" => "83000-001","cep2" => "83010-899","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2794,"uf" => "PR","descricao" => "SAO JOSE DOS PINHAIS","cep1" => "83010-901","cep2" => "83189-999","roteirizacao" => "ACA","unidade" => "ACA01","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2795,"uf" => "PR","descricao" => "SAO MANOEL DO PARANA","cep1" => "87215-000","cep2" => "87219-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2796,"uf" => "PR","descricao" => "SAO MIGUEL DO IGUACU","cep1" => "85877-000","cep2" => "85877-999","roteirizacao" => "CAC","unidade" => "CAC","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2797,"uf" => "PR","descricao" => "SAO PEDRO DO IGUACU","cep1" => "85929-000","cep2" => "85929-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2798,"uf" => "PR","descricao" => "SAO PEDRO DO IVAI","cep1" => "86945-000","cep2" => "86949-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2799,"uf" => "PR","descricao" => "SAO PEDRO DO PARANA","cep1" => "87955-000","cep2" => "87959-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2800,"uf" => "PR","descricao" => "SAO SEBASTIAO DA AMOREIRA","cep1" => "86240-000","cep2" => "86240-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2801,"uf" => "PR","descricao" => "SAO TOME","cep1" => "87220-000","cep2" => "87224-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2802,"uf" => "PR","descricao" => "SAPOPEMA","cep1" => "84290-000","cep2" => "84290-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2803,"uf" => "PR","descricao" => "SARANDI","cep1" => "87110-001","cep2" => "87119-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2804,"uf" => "PR","descricao" => "SAUDADE DO IGUACU","cep1" => "85568-000","cep2" => "85568-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2805,"uf" => "PR","descricao" => "SERTANEJA","cep1" => "86340-000","cep2" => "86340-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2806,"uf" => "PR","descricao" => "SERTANOPOLIS","cep1" => "86170-000","cep2" => "86170-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2807,"uf" => "PR","descricao" => "SIQUEIRA CAMPOS","cep1" => "84940-000","cep2" => "84940-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2808,"uf" => "PR","descricao" => "SULINA","cep1" => "85565-000","cep2" => "85565-000","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2809,"uf" => "PR","descricao" => "TAMARANA","cep1" => "86125-000","cep2" => "86125-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2810,"uf" => "PR","descricao" => "TAMBOARA","cep1" => "87760-000","cep2" => "87769-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2811,"uf" => "PR","descricao" => "TAPEJARA","cep1" => "87430-000","cep2" => "87449-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2812,"uf" => "PR","descricao" => "TELEMACO BORBA","cep1" => "84260-000","cep2" => "84274-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2813,"uf" => "PR","descricao" => "TERRA BOA","cep1" => "87240-000","cep2" => "87249-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2814,"uf" => "PR","descricao" => "TERRA RICA","cep1" => "87890-000","cep2" => "87899-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2815,"uf" => "PR","descricao" => "TOLEDO","cep1" => "85900-000","cep2" => "85900-969","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2816,"uf" => "PR","descricao" => "TOLEDO","cep1" => "85906-070","cep2" => "85906-070","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>2817,"uf" => "PR","descricao" => "TOLEDO","cep1" => "85900-971","cep2" => "85906-069","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2818,"uf" => "PR","descricao" => "TOLEDO","cep1" => "85906-071","cep2" => "85919-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2819,"uf" => "PR","descricao" => "TOMAZINA","cep1" => "84935-000","cep2" => "84935-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2820,"uf" => "PR","descricao" => "TUPASSI","cep1" => "85945-000","cep2" => "85947-999","roteirizacao" => "TOW","unidade" => "TOW","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2821,"uf" => "PR","descricao" => "UMUARAMA","cep1" => "87500-001","cep2" => "87515-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2822,"uf" => "PR","descricao" => "UMUARAMA","cep1" => "87516-000","cep2" => "87524-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>2823,"uf" => "PR","descricao" => "UNIFLOR","cep1" => "87640-000","cep2" => "87649-999","roteirizacao" => "MGF","unidade" => "MGF","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2824,"uf" => "PR","descricao" => "URAI","cep1" => "86280-000","cep2" => "86280-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2825,"uf" => "PR","descricao" => "VENTANIA","cep1" => "84345-000","cep2" => "84345-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2826,"uf" => "PR","descricao" => "VERE","cep1" => "85585-000","cep2" => "85597-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2827,"uf" => "PR","descricao" => "VITORINO","cep1" => "85520-000","cep2" => "85524-999","roteirizacao" => "PTO","unidade" => "PTO","tabela" => 3,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2828,"uf" => "PR","descricao" => "WENCESLAU BRAZ","cep1" => "84950-000","cep2" => "84950-999","roteirizacao" => "LDB","unidade" => "LDB","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2829,"uf" => "PR","descricao" => "XAMBRE","cep1" => "87535-000","cep2" => "87537-999","roteirizacao" => "UMU","unidade" => "UMU","tabela" => 3,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2830,"uf" => "RJ","descricao" => "ANGRA DOS REIS","cep1" => "23900-001","cep2" => "23959-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2831,"uf" => "RJ","descricao" => "APERIBE","cep1" => "28495-000","cep2" => "28495-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2832,"uf" => "RJ","descricao" => "ARARUAMA","cep1" => "28970-000","cep2" => "28989-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2833,"uf" => "RJ","descricao" => "AREAL","cep1" => "25845-000","cep2" => "25849-999","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2834,"uf" => "RJ","descricao" => "ARMACAO DOS BUZIOS","cep1" => "28950-000","cep2" => "28950-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2835,"uf" => "RJ","descricao" => "ARRAIAL DO CABO","cep1" => "28930-000","cep2" => "28930-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2836,"uf" => "RJ","descricao" => "BARRA DO PIRAI","cep1" => "27000-000","cep2" => "27150-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2837,"uf" => "RJ","descricao" => "BARRA DO PIRAI","cep1" => "27155-000","cep2" => "27155-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2838,"uf" => "RJ","descricao" => "BARRA DO PIRAI","cep1" => "27160-000","cep2" => "27160-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2839,"uf" => "RJ","descricao" => "BARRA DO PIRAI","cep1" => "27165-000","cep2" => "27165-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2840,"uf" => "RJ","descricao" => "BARRA DO PIRAI","cep1" => "27170-000","cep2" => "27170-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2841,"uf" => "RJ","descricao" => "BARRA MANSA","cep1" => "27300-000","cep2" => "27398-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2842,"uf" => "RJ","descricao" => "BARRA MANSA","cep1" => "27399-000","cep2" => "27399-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2843,"uf" => "RJ","descricao" => "BELFORD ROXO","cep1" => "26100-000","cep2" => "26199-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2844,"uf" => "RJ","descricao" => "BOM JARDIM","cep1" => "28660-000","cep2" => "28660-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2845,"uf" => "RJ","descricao" => "BOM JESUS DO ITABAPOANA","cep1" => "28360-000","cep2" => "28360-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2846,"uf" => "RJ","descricao" => "CABO FRIO","cep1" => "28900-000","cep2" => "28924-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2847,"uf" => "RJ","descricao" => "CACHOEIRAS DE MACACU","cep1" => "28680-000","cep2" => "28680-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2848,"uf" => "RJ","descricao" => "CAMBUCI","cep1" => "28430-000","cep2" => "28430-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2849,"uf" => "RJ","descricao" => "CAMPOS DOS GOYTACAZES","cep1" => "28000-000","cep2" => "28099-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2850,"uf" => "RJ","descricao" => "CANTAGALO","cep1" => "28500-000","cep2" => "28500-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2851,"uf" => "RJ","descricao" => "CARAPEBUS","cep1" => "27998-000","cep2" => "27998-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2852,"uf" => "RJ","descricao" => "CARDOSO MOREIRA","cep1" => "28180-000","cep2" => "28180-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2853,"uf" => "RJ","descricao" => "CASIMIRO DE ABREU","cep1" => "28860-000","cep2" => "28860-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2854,"uf" => "RJ","descricao" => "CONCEICAO DE MACABU","cep1" => "28740-000","cep2" => "28740-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2855,"uf" => "RJ","descricao" => "CORDEIRO","cep1" => "28540-000","cep2" => "28540-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2856,"uf" => "RJ","descricao" => "DUQUE DE CAXIAS","cep1" => "25000-000","cep2" => "25499-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2857,"uf" => "RJ","descricao" => "ENGENHEIRO PAULO DE FRONTIN","cep1" => "26660-000","cep2" => "26660-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2858,"uf" => "RJ","descricao" => "ENGENHEIRO PAULO DE FRONTIN","cep1" => "26650-000","cep2" => "26650-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2859,"uf" => "RJ","descricao" => "GUAPIMIRIM","cep1" => "25940-001","cep2" => "25949-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2860,"uf" => "RJ","descricao" => "IGUABA GRANDE","cep1" => "28960-000","cep2" => "28960-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2861,"uf" => "RJ","descricao" => "ITABORAI","cep1" => "24800-000","cep2" => "24800-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2862,"uf" => "RJ","descricao" => "ITAGUAI","cep1" => "23800-000","cep2" => "23859-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2863,"uf" => "RJ","descricao" => "ITALVA","cep1" => "28250-000","cep2" => "28250-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2864,"uf" => "RJ","descricao" => "ITAOCARA","cep1" => "28570-000","cep2" => "28570-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2865,"uf" => "RJ","descricao" => "ITAPERUNA","cep1" => "28300-000","cep2" => "28300-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2866,"uf" => "RJ","descricao" => "ITATIAIA","cep1" => "27580-000","cep2" => "27580-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2867,"uf" => "RJ","descricao" => "JAPERI","cep1" => "26400-000","cep2" => "26499-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2868,"uf" => "RJ","descricao" => "LAJE DO MURIAE","cep1" => "28350-000","cep2" => "28350-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2869,"uf" => "RJ","descricao" => "MACAE","cep1" => "27900-000","cep2" => "27979-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2870,"uf" => "RJ","descricao" => "MACUCO","cep1" => "28545-000","cep2" => "28545-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2871,"uf" => "RJ","descricao" => "MAGE","cep1" => "25900-000","cep2" => "25935-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2872,"uf" => "RJ","descricao" => "MANGARATIBA","cep1" => "23860-000","cep2" => "23860-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2873,"uf" => "RJ","descricao" => "MARICA","cep1" => "24900-000","cep2" => "24999-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2874,"uf" => "RJ","descricao" => "MENDES","cep1" => "26700-000","cep2" => "26700-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2875,"uf" => "RJ","descricao" => "MESQUITA","cep1" => "26550-000","cep2" => "26599-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2876,"uf" => "RJ","descricao" => "MIGUEL PEREIRA","cep1" => "26900-000","cep2" => "26900-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2877,"uf" => "RJ","descricao" => "MIGUEL PEREIRA","cep1" => "26910-000","cep2" => "26910-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2878,"uf" => "RJ","descricao" => "NATIVIDADE","cep1" => "28380-000","cep2" => "28380-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2879,"uf" => "RJ","descricao" => "NILOPOLIS","cep1" => "26500-000","cep2" => "26549-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2880,"uf" => "RJ","descricao" => "NITEROI","cep1" => "24000-000","cep2" => "24399-999","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2881,"uf" => "RJ","descricao" => "NOVA FRIBURGO","cep1" => "28600-000","cep2" => "28636-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2882,"uf" => "RJ","descricao" => "NOVA IGUACU","cep1" => "26000-000","cep2" => "26099-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2883,"uf" => "RJ","descricao" => "NOVA IGUACU","cep1" => "26200-000","cep2" => "26299-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2884,"uf" => "RJ","descricao" => "PARACAMBI","cep1" => "26600-000","cep2" => "26600-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2885,"uf" => "RJ","descricao" => "PARATY","cep1" => "23970-000","cep2" => "23970-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2886,"uf" => "RJ","descricao" => "PATY DO ALFERES","cep1" => "26950-000","cep2" => "26950-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2887,"uf" => "RJ","descricao" => "PATY DO ALFERES","cep1" => "26980-000","cep2" => "26980-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2888,"uf" => "RJ","descricao" => "PETROPOLIS","cep1" => "25600-001","cep2" => "25740-439","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2889,"uf" => "RJ","descricao" => "PETROPOLIS","cep1" => "25740-440","cep2" => "25740-440","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2890,"uf" => "RJ","descricao" => "PETROPOLIS","cep1" => "25740-441","cep2" => "25745-049","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2891,"uf" => "RJ","descricao" => "PETROPOLIS","cep1" => "25745-050","cep2" => "25745-698","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2892,"uf" => "RJ","descricao" => "PETROPOLIS","cep1" => "25745-699","cep2" => "25750-279","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2893,"uf" => "RJ","descricao" => "PETROPOLIS","cep1" => "25750-281","cep2" => "25769-999","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2894,"uf" => "RJ","descricao" => "PETROPOLIS","cep1" => "25770-000","cep2" => "25770-970","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2895,"uf" => "RJ","descricao" => "PETROPOLIS","cep1" => "25770-971","cep2" => "25779-999","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2896,"uf" => "RJ","descricao" => "PINHEIRAL","cep1" => "27197-000","cep2" => "27197-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2897,"uf" => "RJ","descricao" => "PIRAI","cep1" => "27175-000","cep2" => "27175-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2898,"uf" => "RJ","descricao" => "PIRAI","cep1" => "27195-000","cep2" => "27195-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2899,"uf" => "RJ","descricao" => "PORCIUNCULA","cep1" => "28390-000","cep2" => "28390-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2900,"uf" => "RJ","descricao" => "PORTO REAL","cep1" => "27570-000","cep2" => "27570-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2901,"uf" => "RJ","descricao" => "QUATIS","cep1" => "27400-000","cep2" => "27459-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2902,"uf" => "RJ","descricao" => "QUEIMADOS","cep1" => "26300-000","cep2" => "26399-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2903,"uf" => "RJ","descricao" => "QUISSAMA","cep1" => "28735-000","cep2" => "28735-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2904,"uf" => "RJ","descricao" => "RESENDE","cep1" => "27500-000","cep2" => "27549-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2905,"uf" => "RJ","descricao" => "RESENDE","cep1" => "27560-000","cep2" => "27560-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2906,"uf" => "RJ","descricao" => "RESENDE","cep1" => "27555-000","cep2" => "27555-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2907,"uf" => "RJ","descricao" => "RESENDE","cep1" => "27550-000","cep2" => "27550-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2908,"uf" => "RJ","descricao" => "RESENDE","cep1" => "27565-000","cep2" => "27565-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2909,"uf" => "RJ","descricao" => "RIO BONITO","cep1" => "28800-000","cep2" => "28800-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>2910,"uf" => "RJ","descricao" => "RIO CLARO","cep1" => "27465-000","cep2" => "27465-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2911,"uf" => "RJ","descricao" => "RIO CLARO","cep1" => "27475-000","cep2" => "27475-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2912,"uf" => "RJ","descricao" => "RIO CLARO","cep1" => "27470-000","cep2" => "27470-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2913,"uf" => "RJ","descricao" => "RIO CLARO","cep1" => "27460-000","cep2" => "27460-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>2914,"uf" => "RJ","descricao" => "RIO DAS OSTRAS","cep1" => "28890-000","cep2" => "28899-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2915,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "22800-000","cep2" => "22999-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2916,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20000-000","cep2" => "20395-000","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2917,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20398-000","cep2" => "20531-199","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2918,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "23100-000","cep2" => "23499-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2919,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "23600-000","cep2" => "23799-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2920,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "21941-520","cep2" => "21941-520","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>2921,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "22700-000","cep2" => "22799-999","roteirizacao" => "RIO","unidade" => "RIO01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2922,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "23000-000","cep2" => "23099-999","roteirizacao" => "RIO","unidade" => "RIOT1","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2923,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "23500-000","cep2" => "23599-999","roteirizacao" => "RIO","unidade" => "RIOT1","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2924,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "21200-000","cep2" => "21899-999","roteirizacao" => "RIO","unidade" => "RIOT1","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2925,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20700-000","cep2" => "20759-999","roteirizacao" => "RIO","unidade" => "RIO03","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2926,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20800-000","cep2" => "20949-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2927,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20950-000","cep2" => "20979-999","roteirizacao" => "RIO","unidade" => "RIO03","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>2928,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20980-000","cep2" => "21199-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2929,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "22620-000","cep2" => "22649-999","roteirizacao" => "RIO","unidade" => "RIO01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2930,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "22650-000","cep2" => "22699-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2931,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20531-200","cep2" => "20531-999","roteirizacao" => "RIO","unidade" => "RIO01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2932,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20532-000","cep2" => "20699-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2933,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20760-000","cep2" => "20769-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2934,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "20770-000","cep2" => "20799-999","roteirizacao" => "RIO","unidade" => "RIO03","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2935,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "21900-000","cep2" => "21941-519","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2936,"uf" => "RJ","descricao" => "RIO DE JANEIRO","cep1" => "21941-521","cep2" => "22619-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>2937,"uf" => "RJ","descricao" => "SANTA MARIA MADALENA","cep1" => "28770-000","cep2" => "28770-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2938,"uf" => "RJ","descricao" => "SANTO ANTONIO DE PADUA","cep1" => "28470-000","cep2" => "28470-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>2939,"uf" => "RJ","descricao" => "SAO FIDELIS","cep1" => "28400-000","cep2" => "28400-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>2940,"uf" => "RJ","descricao" => "SAO FRANCISCO DE ITABAPOANA","cep1" => "28230-000","cep2" => "28230-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>2941,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-360","cep2" => "24445-361","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2942,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-130","cep2" => "24751-130","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2943,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-140","cep2" => "24751-140","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2944,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-155","cep2" => "24751-155","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2945,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-160","cep2" => "24751-160","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2946,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-170","cep2" => "24751-170","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2947,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-180","cep2" => "24751-180","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2948,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-220","cep2" => "24755-220","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2949,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-370","cep2" => "24445-372","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2950,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24421-004","cep2" => "24421-005","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2951,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-430","cep2" => "24445-430","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2952,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-425","cep2" => "24445-425","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2953,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-420","cep2" => "24445-420","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2954,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-010","cep2" => "24750-010","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2955,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-020","cep2" => "24750-020","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2956,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-030","cep2" => "24750-030","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2957,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-040","cep2" => "24750-040","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2958,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-050","cep2" => "24750-050","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2959,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-055","cep2" => "24750-055","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2960,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-060","cep2" => "24750-060","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2961,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-640","cep2" => "24750-640","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2962,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-650","cep2" => "24750-650","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2963,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-660","cep2" => "24750-660","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2964,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-670","cep2" => "24750-670","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2965,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-680","cep2" => "24750-680","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2966,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-690","cep2" => "24750-690","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2967,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-700","cep2" => "24750-700","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2968,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-210","cep2" => "24755-210","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2969,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-205","cep2" => "24750-205","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2970,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-213","cep2" => "24750-213","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2971,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-215","cep2" => "24750-215","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2972,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-220","cep2" => "24750-220","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2973,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-225","cep2" => "24750-225","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2974,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-235","cep2" => "24750-235","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2975,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-245","cep2" => "24750-245","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2976,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-260","cep2" => "24750-260","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2977,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-110","cep2" => "24751-110","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2978,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-000","cep2" => "24410-000","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2979,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-435","cep2" => "24445-436","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2980,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-396","cep2" => "24440-397","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2981,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24465-255","cep2" => "24465-256","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2982,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-840","cep2" => "24750-841","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2983,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-075","cep2" => "24410-076","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2984,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-120","cep2" => "24751-120","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2985,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-230","cep2" => "24755-230","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2986,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-240","cep2" => "24755-240","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2987,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-250","cep2" => "24755-250","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2988,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-090","cep2" => "24750-090","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2989,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-110","cep2" => "24750-110","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2990,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-120","cep2" => "24750-120","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2991,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-130","cep2" => "24750-130","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2992,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-135","cep2" => "24750-135","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2993,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-140","cep2" => "24750-140","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2994,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-370","cep2" => "24751-370","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2995,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-380","cep2" => "24751-380","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2996,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-390","cep2" => "24751-390","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2997,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-400","cep2" => "24751-400","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2998,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-405","cep2" => "24751-405","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>2999,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-440","cep2" => "24751-440","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3000,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-700","cep2" => "24751-700","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3001,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-550","cep2" => "24750-550","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3002,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-000","cep2" => "24725-000","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3003,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-010","cep2" => "24725-010","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3004,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-270","cep2" => "24755-270","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3005,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-280","cep2" => "24755-280","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3006,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-290","cep2" => "24755-290","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3007,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-150","cep2" => "24750-150","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3008,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-060","cep2" => "24410-060","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3009,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-070","cep2" => "24410-070","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3010,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-080","cep2" => "24410-080","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3011,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-090","cep2" => "24410-090","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3012,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-100","cep2" => "24410-100","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3013,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-110","cep2" => "24410-110","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3014,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-120","cep2" => "24410-120","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3015,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-090","cep2" => "24720-090","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3016,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-100","cep2" => "24720-100","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3017,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-110","cep2" => "24720-110","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3018,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-120","cep2" => "24720-120","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3019,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-130","cep2" => "24720-130","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3020,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-140","cep2" => "24720-140","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3021,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-150","cep2" => "24720-150","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3022,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-160","cep2" => "24720-160","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3023,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-155","cep2" => "24750-155","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3024,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-160","cep2" => "24750-160","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3025,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-165","cep2" => "24750-165","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3026,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-170","cep2" => "24750-170","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3027,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-180","cep2" => "24750-180","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3028,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-070","cep2" => "24750-070","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3029,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-180","cep2" => "24410-180","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3030,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-190","cep2" => "24410-190","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3031,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-080","cep2" => "24750-080","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3032,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-190","cep2" => "24750-190","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3033,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-200","cep2" => "24750-200","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3034,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-350","cep2" => "24751-350","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3035,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-420","cep2" => "24720-420","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3036,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-430","cep2" => "24720-430","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3037,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-440","cep2" => "24720-440","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3038,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-450","cep2" => "24720-450","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3039,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-460","cep2" => "24720-460","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3040,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-470","cep2" => "24720-470","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3041,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-480","cep2" => "24720-480","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3042,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-490","cep2" => "24720-490","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3043,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-040","cep2" => "24725-040","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3044,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-050","cep2" => "24725-050","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3045,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-070","cep2" => "24725-070","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3046,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-080","cep2" => "24725-080","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3047,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-090","cep2" => "24725-090","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3048,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-100","cep2" => "24725-100","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3049,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-210","cep2" => "24751-210","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3050,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-220","cep2" => "24751-220","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3051,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-230","cep2" => "24751-230","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3052,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-300","cep2" => "24750-300","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3053,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-320","cep2" => "24750-320","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3054,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-330","cep2" => "24750-330","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3055,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-340","cep2" => "24750-340","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3056,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-350","cep2" => "24750-350","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3057,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-220","cep2" => "24410-220","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3058,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-230","cep2" => "24410-230","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3059,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-240","cep2" => "24410-240","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3060,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-270","cep2" => "24751-270","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3061,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-290","cep2" => "24751-290","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3062,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-320","cep2" => "24751-320","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3063,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-330","cep2" => "24751-330","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3064,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-340","cep2" => "24751-340","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3065,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-560","cep2" => "24750-560","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3066,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-570","cep2" => "24750-570","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3067,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-580","cep2" => "24750-580","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3068,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-590","cep2" => "24750-590","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3069,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-600","cep2" => "24750-600","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3070,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-610","cep2" => "24750-610","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3071,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-620","cep2" => "24750-620","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3072,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-130","cep2" => "24410-130","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3073,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-140","cep2" => "24410-140","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3074,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-150","cep2" => "24410-150","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3075,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-160","cep2" => "24410-160","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3076,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-200","cep2" => "24410-200","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3077,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-210","cep2" => "24410-210","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3078,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-020","cep2" => "24445-020","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3079,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-030","cep2" => "24445-030","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3080,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-040","cep2" => "24445-040","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3081,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-105","cep2" => "24755-105","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3082,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-110","cep2" => "24755-110","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3083,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-120","cep2" => "24755-120","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3084,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-145","cep2" => "24755-145","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3085,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-160","cep2" => "24755-160","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3086,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-205","cep2" => "24755-205","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3087,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-050","cep2" => "24445-050","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3088,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-060","cep2" => "24445-060","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3089,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-280","cep2" => "24750-280","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3090,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-285","cep2" => "24750-285","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3091,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-290","cep2" => "24750-290","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3092,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-320","cep2" => "24720-320","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3093,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-330","cep2" => "24720-330","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3094,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-340","cep2" => "24720-340","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3095,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-350","cep2" => "24720-350","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3096,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-360","cep2" => "24720-360","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3097,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-370","cep2" => "24720-370","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3098,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-400","cep2" => "24720-400","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3099,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-410","cep2" => "24720-410","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3100,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-480","cep2" => "24440-480","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3101,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-600","cep2" => "24440-600","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3102,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-000","cep2" => "24445-000","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3103,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-400","cep2" => "24445-400","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3104,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-410","cep2" => "24445-410","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3105,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-470","cep2" => "24755-470","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3106,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-490","cep2" => "24755-490","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3107,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-500","cep2" => "24755-500","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3108,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24756-620","cep2" => "24756-620","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3109,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24756-640","cep2" => "24756-640","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3110,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24721-020","cep2" => "24721-020","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3111,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-710","cep2" => "24750-710","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3112,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-720","cep2" => "24750-720","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3113,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-730","cep2" => "24750-730","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3114,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-740","cep2" => "24750-740","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3115,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-750","cep2" => "24750-750","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3116,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-000","cep2" => "24755-000","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3117,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-090","cep2" => "24755-090","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3118,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-250","cep2" => "24410-250","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3119,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-280","cep2" => "24410-280","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3120,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-290","cep2" => "24410-290","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3121,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-320","cep2" => "24410-320","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3122,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-335","cep2" => "24410-335","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3123,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-040","cep2" => "24751-040","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3124,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-045","cep2" => "24751-045","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3125,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-050","cep2" => "24751-050","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3126,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-060","cep2" => "24751-060","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3127,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-070","cep2" => "24751-070","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3128,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-080","cep2" => "24751-080","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3129,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-090","cep2" => "24751-090","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3130,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-100","cep2" => "24751-100","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3131,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-065","cep2" => "24445-065","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3132,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-350","cep2" => "24445-350","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3133,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-380","cep2" => "24445-380","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3134,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-390","cep2" => "24445-390","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3135,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-830","cep2" => "24750-830","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3136,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-000","cep2" => "24751-000","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3137,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-010","cep2" => "24751-010","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3138,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-020","cep2" => "24751-020","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3139,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-030","cep2" => "24751-030","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3140,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-210","cep2" => "24725-210","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3141,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-370","cep2" => "24725-370","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3142,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-380","cep2" => "24725-380","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3143,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-460","cep2" => "24755-460","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3144,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-760","cep2" => "24750-760","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3145,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-770","cep2" => "24750-770","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3146,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-780","cep2" => "24750-780","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3147,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-365","cep2" => "24410-365","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3148,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-380","cep2" => "24410-380","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3149,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-460","cep2" => "24410-460","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3150,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-010","cep2" => "24425-010","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3151,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-015","cep2" => "24425-015","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3152,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-027","cep2" => "24425-027","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3153,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24465-015","cep2" => "24465-015","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3154,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24465-050","cep2" => "24465-050","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3155,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24465-060","cep2" => "24465-060","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3156,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24465-075","cep2" => "24465-075","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3157,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24465-080","cep2" => "24465-080","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3158,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24711-200","cep2" => "24711-200","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3159,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-000","cep2" => "24720-000","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3160,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24721-640","cep2" => "24721-640","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3161,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-045","cep2" => "24410-045","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3162,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-050","cep2" => "24410-050","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3163,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-010","cep2" => "24720-010","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3164,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-020","cep2" => "24720-020","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3165,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-030","cep2" => "24720-030","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3166,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-040","cep2" => "24720-040","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3167,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-050","cep2" => "24720-050","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3168,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-060","cep2" => "24720-060","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3169,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-070","cep2" => "24720-070","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3170,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-080","cep2" => "24720-080","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3171,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-370","cep2" => "24750-370","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3172,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24722-525","cep2" => "24722-525","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3173,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24722-590","cep2" => "24722-590","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3174,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24722-820","cep2" => "24722-820","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3175,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24724-060","cep2" => "24724-060","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3176,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24724-065","cep2" => "24724-065","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3177,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-110","cep2" => "24725-110","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3178,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-790","cep2" => "24750-790","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3179,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-820","cep2" => "24750-820","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3180,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-030","cep2" => "24425-030","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3181,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-500","cep2" => "24720-500","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3182,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-520","cep2" => "24720-520","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3183,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-530","cep2" => "24720-530","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3184,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-550","cep2" => "24720-550","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3185,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-560","cep2" => "24720-560","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3186,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-690","cep2" => "24720-690","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3187,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-700","cep2" => "24720-700","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3188,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-705","cep2" => "24720-705","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3189,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-300","cep2" => "24755-300","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3190,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24755-400","cep2" => "24755-400","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3191,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-400","cep2" => "24725-400","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3192,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-430","cep2" => "24725-430","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3193,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-450","cep2" => "24440-450","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3194,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-440","cep2" => "24440-440","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3195,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-430","cep2" => "24440-430","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3196,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-420","cep2" => "24440-420","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3197,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-410","cep2" => "24440-410","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3198,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24460-050","cep2" => "24460-050","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3199,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24737-310","cep2" => "24737-310","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3200,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24738-385","cep2" => "24738-385","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3201,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-120","cep2" => "24725-120","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3202,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-140","cep2" => "24725-140","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3203,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-150","cep2" => "24725-150","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3204,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-170","cep2" => "24725-170","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3205,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-180","cep2" => "24725-180","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3206,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-190","cep2" => "24725-190","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3207,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-200","cep2" => "24725-200","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3208,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-360","cep2" => "24750-360","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3209,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-020","cep2" => "24410-020","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3210,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-025","cep2" => "24410-025","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3211,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-030","cep2" => "24410-030","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3212,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-035","cep2" => "24410-035","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3213,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-040","cep2" => "24410-040","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3214,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24725-390","cep2" => "24725-390","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3215,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-455","cep2" => "24440-455","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3216,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-215","cep2" => "24720-215","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3217,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-210","cep2" => "24720-210","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3218,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-200","cep2" => "24720-200","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3219,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-190","cep2" => "24720-190","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3220,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-180","cep2" => "24720-180","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3221,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-170","cep2" => "24720-170","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3222,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-400","cep2" => "24440-400","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3223,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24426-430","cep2" => "24426-430","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3224,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-080","cep2" => "24425-080","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3225,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-060","cep2" => "24425-060","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3226,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-056","cep2" => "24425-056","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3227,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-045","cep2" => "24425-045","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3228,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-380","cep2" => "24750-380","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3229,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-400","cep2" => "24750-400","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3230,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-410","cep2" => "24750-410","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3231,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-420","cep2" => "24750-420","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3232,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-430","cep2" => "24750-430","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3233,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-440","cep2" => "24750-440","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3234,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-630","cep2" => "24750-630","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3235,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-240","cep2" => "24720-240","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3236,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-250","cep2" => "24720-250","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3237,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-260","cep2" => "24720-260","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3238,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-270","cep2" => "24720-270","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3239,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-280","cep2" => "24720-280","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3240,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-290","cep2" => "24720-290","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3241,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-300","cep2" => "24720-300","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3242,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-310","cep2" => "24720-310","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3243,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24744-325","cep2" => "24744-325","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3244,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24410-010","cep2" => "24410-010","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3245,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24721-305","cep2" => "24721-305","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3246,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-470","cep2" => "24440-470","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3247,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24440-460","cep2" => "24440-460","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3248,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24425-040","cep2" => "24425-040","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3249,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24460-020","cep2" => "24460-020","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3250,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-820","cep2" => "24445-820","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3251,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-520","cep2" => "24445-520","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3252,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-510","cep2" => "24445-510","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3253,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-500","cep2" => "24445-500","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3254,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-495","cep2" => "24445-495","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3255,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-490","cep2" => "24445-490","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3256,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24754-540","cep2" => "24754-540","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3257,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24754-190","cep2" => "24754-190","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3258,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24753-560","cep2" => "24753-560","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3259,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-750","cep2" => "24751-750","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3260,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-740","cep2" => "24751-740","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3261,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-730","cep2" => "24751-730","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3262,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-720","cep2" => "24751-720","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3263,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24751-710","cep2" => "24751-710","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3264,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-230","cep2" => "24720-230","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3265,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-540","cep2" => "24750-540","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3266,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-530","cep2" => "24750-530","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3267,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-520","cep2" => "24750-520","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3268,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-510","cep2" => "24750-510","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3269,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-500","cep2" => "24750-500","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3270,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-490","cep2" => "24750-490","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3271,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-470","cep2" => "24750-470","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3272,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24750-450","cep2" => "24750-450","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3273,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-480","cep2" => "24445-480","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3274,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24720-220","cep2" => "24720-220","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3275,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-470","cep2" => "24445-470","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3276,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-460","cep2" => "24445-460","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3277,"uf" => "RJ","descricao" => "SAO GONCALO","cep1" => "24445-440","cep2" => "24445-440","roteirizacao" => "SQM","unidade" => "SQM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3278,"uf" => "RJ","descricao" => "SAO JOAO DA BARRA","cep1" => "28200-000","cep2" => "28200-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3279,"uf" => "RJ","descricao" => "SAO JOAO DE MERITI","cep1" => "25500-001","cep2" => "25599-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3280,"uf" => "RJ","descricao" => "SAO JOSE DE UBA","cep1" => "28455-000","cep2" => "28455-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3281,"uf" => "RJ","descricao" => "SAO PEDRO DA ALDEIA","cep1" => "28940-001","cep2" => "28949-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3282,"uf" => "RJ","descricao" => "SAO SEBASTIAO DO ALTO","cep1" => "28550-000","cep2" => "28550-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3283,"uf" => "RJ","descricao" => "SAQUAREMA","cep1" => "28990-000","cep2" => "28999-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3284,"uf" => "RJ","descricao" => "SEROPEDICA","cep1" => "23890-000","cep2" => "23899-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3285,"uf" => "RJ","descricao" => "SILVA JARDIM","cep1" => "28820-000","cep2" => "28820-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3286,"uf" => "RJ","descricao" => "SUMIDOURO","cep1" => "28637-000","cep2" => "28637-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3287,"uf" => "RJ","descricao" => "TANGUA","cep1" => "24890-000","cep2" => "24890-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3288,"uf" => "RJ","descricao" => "TERESOPOLIS","cep1" => "25950-000","cep2" => "25995-999","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3289,"uf" => "RJ","descricao" => "TRAJANO DE MORAES","cep1" => "28750-000","cep2" => "28750-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3290,"uf" => "RJ","descricao" => "TRES RIOS","cep1" => "25800-001","cep2" => "25829-999","roteirizacao" => "QPT","unidade" => "QPT01","tabela" => 4,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3291,"uf" => "RJ","descricao" => "VARRE SAI","cep1" => "28375-000","cep2" => "28375-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3292,"uf" => "RJ","descricao" => "VOLTA REDONDA","cep1" => "27200-000","cep2" => "27299-999","roteirizacao" => "SJM","unidade" => "SJM01","tabela" => 4,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3293,"uf" => "RN","descricao" => "ACARI","cep1" => "59370-000","cep2" => "59373-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3294,"uf" => "RN","descricao" => "AFONSO BEZERRA","cep1" => "59510-000","cep2" => "59510-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3295,"uf" => "RN","descricao" => "AGUA NOVA","cep1" => "59995-000","cep2" => "59995-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>3296,"uf" => "RN","descricao" => "ALMINO AFONSO","cep1" => "59760-000","cep2" => "59760-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3297,"uf" => "RN","descricao" => "ANTONIO MARTINS","cep1" => "59870-000","cep2" => "59870-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3298,"uf" => "RN","descricao" => "APODI","cep1" => "59700-000","cep2" => "59700-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3299,"uf" => "RN","descricao" => "AREZ","cep1" => "59170-000","cep2" => "59170-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3300,"uf" => "RN","descricao" => "BAIA FORMOSA","cep1" => "59194-000","cep2" => "59194-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3301,"uf" => "RN","descricao" => "BARCELONA","cep1" => "59410-000","cep2" => "59410-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3302,"uf" => "RN","descricao" => "BENTO FERNANDES","cep1" => "59555-000","cep2" => "59555-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3303,"uf" => "RN","descricao" => "BOA SAUDE","cep1" => "59260-000","cep2" => "59269-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3304,"uf" => "RN","descricao" => "BODO","cep1" => "59528-000","cep2" => "59528-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3305,"uf" => "RN","descricao" => "BREJINHO","cep1" => "59219-000","cep2" => "59219-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3306,"uf" => "RN","descricao" => "CAICARA DO NORTE","cep1" => "59592-000","cep2" => "59592-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3307,"uf" => "RN","descricao" => "CAICARA DO RIO DO VENTO","cep1" => "59540-000","cep2" => "59540-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3308,"uf" => "RN","descricao" => "CAICO","cep1" => "59300-000","cep2" => "59300-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>3309,"uf" => "RN","descricao" => "CAMPO GRANDE","cep1" => "59680-000","cep2" => "59680-000","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3310,"uf" => "RN","descricao" => "CANGUARETAMA","cep1" => "59190-000","cep2" => "59191-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3311,"uf" => "RN","descricao" => "CARNAUBA DOS DANTAS","cep1" => "59374-000","cep2" => "59374-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3312,"uf" => "RN","descricao" => "CARNAUBAIS","cep1" => "59665-000","cep2" => "59665-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3313,"uf" => "RN","descricao" => "CEARA MIRIM","cep1" => "59570-000","cep2" => "59574-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3314,"uf" => "RN","descricao" => "CERRO CORA","cep1" => "59395-000","cep2" => "59395-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3315,"uf" => "RN","descricao" => "CORONEL EZEQUIEL","cep1" => "59220-000","cep2" => "59220-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3316,"uf" => "RN","descricao" => "CRUZETA","cep1" => "59375-000","cep2" => "59377-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3317,"uf" => "RN","descricao" => "CURRAIS NOVOS","cep1" => "59380-000","cep2" => "59380-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3318,"uf" => "RN","descricao" => "ENCANTO","cep1" => "59905-000","cep2" => "59905-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3319,"uf" => "RN","descricao" => "EQUADOR","cep1" => "59355-000","cep2" => "59355-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3320,"uf" => "RN","descricao" => "ESPIRITO SANTO","cep1" => "59180-000","cep2" => "59180-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3321,"uf" => "RN","descricao" => "EXTREMOZ","cep1" => "59575-000","cep2" => "59577-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3322,"uf" => "RN","descricao" => "FELIPE GUERRA","cep1" => "59795-000","cep2" => "59795-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3323,"uf" => "RN","descricao" => "FERNANDO PEDROZA","cep1" => "59517-000","cep2" => "59517-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3324,"uf" => "RN","descricao" => "FLORANIA","cep1" => "59335-000","cep2" => "59337-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3325,"uf" => "RN","descricao" => "FRANCISCO DANTAS","cep1" => "59902-000","cep2" => "59902-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3326,"uf" => "RN","descricao" => "GALINHOS","cep1" => "59596-000","cep2" => "59596-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3327,"uf" => "RN","descricao" => "GOIANINHA","cep1" => "59173-000","cep2" => "59177-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3328,"uf" => "RN","descricao" => "IELMO MARINHO","cep1" => "59490-000","cep2" => "59490-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3329,"uf" => "RN","descricao" => "IPANGUACU","cep1" => "59508-000","cep2" => "59508-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3330,"uf" => "RN","descricao" => "IPUEIRA","cep1" => "59315-000","cep2" => "59315-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3331,"uf" => "RN","descricao" => "ITAJA","cep1" => "59513-000","cep2" => "59513-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3332,"uf" => "RN","descricao" => "JACANA","cep1" => "59225-000","cep2" => "59225-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3333,"uf" => "RN","descricao" => "JANDAIRA","cep1" => "59594-000","cep2" => "59594-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3334,"uf" => "RN","descricao" => "JANDUIS","cep1" => "59690-000","cep2" => "59690-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3335,"uf" => "RN","descricao" => "JAPI","cep1" => "59213-000","cep2" => "59213-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3336,"uf" => "RN","descricao" => "JARDIM DE ANGICOS","cep1" => "59544-000","cep2" => "59544-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3337,"uf" => "RN","descricao" => "JOAO CAMARA","cep1" => "59550-000","cep2" => "59554-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3338,"uf" => "RN","descricao" => "JOAO DIAS","cep1" => "59880-000","cep2" => "59880-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3339,"uf" => "RN","descricao" => "JUCURUTU","cep1" => "59330-000","cep2" => "59334-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3340,"uf" => "RN","descricao" => "JUNDIA","cep1" => "59188-000","cep2" => "59188-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3341,"uf" => "RN","descricao" => "LAGOA DANTA","cep1" => "59227-000","cep2" => "59227-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3342,"uf" => "RN","descricao" => "LAGOA DE PEDRAS","cep1" => "59244-000","cep2" => "59244-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3343,"uf" => "RN","descricao" => "LAGOA DE VELHOS","cep1" => "59430-000","cep2" => "59430-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3344,"uf" => "RN","descricao" => "LAGOA SALGADA","cep1" => "59247-000","cep2" => "59247-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3345,"uf" => "RN","descricao" => "LAJES","cep1" => "59535-000","cep2" => "59535-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3346,"uf" => "RN","descricao" => "LAJES PINTADAS","cep1" => "59235-000","cep2" => "59235-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3347,"uf" => "RN","descricao" => "LUCRECIA","cep1" => "59805-000","cep2" => "59805-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3348,"uf" => "RN","descricao" => "MACAIBA","cep1" => "59280-000","cep2" => "59289-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3349,"uf" => "RN","descricao" => "MARTINS","cep1" => "59800-000","cep2" => "59800-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3350,"uf" => "RN","descricao" => "MAXARANGUAPE","cep1" => "59580-000","cep2" => "59580-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3351,"uf" => "RN","descricao" => "MONTANHAS","cep1" => "59198-000","cep2" => "59198-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3352,"uf" => "RN","descricao" => "MONTE DAS GAMELEIRAS","cep1" => "59217-000","cep2" => "59217-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3353,"uf" => "RN","descricao" => "MOSSORO","cep1" => "59600-001","cep2" => "59649-999","roteirizacao" => "MVF","unidade" => "MVF","tabela" => 19,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>3354,"uf" => "RN","descricao" => "NATAL","cep1" => "59100-000","cep2" => "59139-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3355,"uf" => "RN","descricao" => "NATAL","cep1" => "59000-000","cep2" => "59059-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3356,"uf" => "RN","descricao" => "NATAL","cep1" => "59060-000","cep2" => "59069-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3357,"uf" => "RN","descricao" => "NATAL","cep1" => "59080-000","cep2" => "59099-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3358,"uf" => "RN","descricao" => "NATAL","cep1" => "59070-000","cep2" => "59079-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3359,"uf" => "RN","descricao" => "NISIA FLORESTA","cep1" => "59164-000","cep2" => "59164-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3360,"uf" => "RN","descricao" => "NOVA CRUZ","cep1" => "59215-000","cep2" => "59215-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3361,"uf" => "RN","descricao" => "OURO BRANCO","cep1" => "59347-000","cep2" => "59347-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3362,"uf" => "RN","descricao" => "PARAU","cep1" => "59660-000","cep2" => "59660-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3363,"uf" => "RN","descricao" => "PARAZINHO","cep1" => "59586-000","cep2" => "59587-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3364,"uf" => "RN","descricao" => "PARELHAS","cep1" => "59360-000","cep2" => "59369-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3365,"uf" => "RN","descricao" => "PARNAMIRIM","cep1" => "59140-001","cep2" => "59161-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3366,"uf" => "RN","descricao" => "PASSA E FICA","cep1" => "59218-000","cep2" => "59218-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3367,"uf" => "RN","descricao" => "PASSAGEM","cep1" => "59259-000","cep2" => "59259-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3368,"uf" => "RN","descricao" => "PEDRA GRANDE","cep1" => "59588-000","cep2" => "59588-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3369,"uf" => "RN","descricao" => "PEDRA PRETA","cep1" => "59547-000","cep2" => "59547-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3370,"uf" => "RN","descricao" => "PEDRO AVELINO","cep1" => "59530-000","cep2" => "59530-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3371,"uf" => "RN","descricao" => "PEDRO VELHO","cep1" => "59196-000","cep2" => "59196-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3372,"uf" => "RN","descricao" => "PENDENCIAS","cep1" => "59504-000","cep2" => "59504-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3373,"uf" => "RN","descricao" => "PILOES","cep1" => "59960-000","cep2" => "59960-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3374,"uf" => "RN","descricao" => "POCO BRANCO","cep1" => "59560-000","cep2" => "59560-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3375,"uf" => "RN","descricao" => "PORTO DO MANGUE","cep1" => "59668-000","cep2" => "59668-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3376,"uf" => "RN","descricao" => "PUREZA","cep1" => "59582-000","cep2" => "59582-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3377,"uf" => "RN","descricao" => "RAFAEL GODEIRO","cep1" => "59740-000","cep2" => "59740-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3378,"uf" => "RN","descricao" => "RIACHO DE SANTANA","cep1" => "59987-000","cep2" => "59987-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3379,"uf" => "RN","descricao" => "RIACHUELO","cep1" => "59470-000","cep2" => "59470-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3380,"uf" => "RN","descricao" => "RIO DO FOGO","cep1" => "59578-000","cep2" => "59578-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3381,"uf" => "RN","descricao" => "RUY BARBOSA","cep1" => "59420-000","cep2" => "59420-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3382,"uf" => "RN","descricao" => "SANTA CRUZ","cep1" => "59200-000","cep2" => "59209-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3383,"uf" => "RN","descricao" => "SANTA MARIA","cep1" => "59464-000","cep2" => "59464-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3384,"uf" => "RN","descricao" => "SANTANA DO MATOS","cep1" => "59520-000","cep2" => "59520-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3385,"uf" => "RN","descricao" => "SANTANA DO SERIDO","cep1" => "59350-000","cep2" => "59350-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3386,"uf" => "RN","descricao" => "SANTO ANTONIO","cep1" => "59255-000","cep2" => "59255-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3387,"uf" => "RN","descricao" => "SAO BENTO DO NORTE","cep1" => "59590-000","cep2" => "59590-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3388,"uf" => "RN","descricao" => "SAO BENTO DO TRAIRI","cep1" => "59210-000","cep2" => "59210-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3389,"uf" => "RN","descricao" => "SAO GONCALO DO AMARANTE","cep1" => "59290-001","cep2" => "59299-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3390,"uf" => "RN","descricao" => "SAO GONCALO DO AMARANTE","cep1" => "59290-000","cep2" => "59290-000","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>3391,"uf" => "RN","descricao" => "SAO JOSE DE MIPIBU","cep1" => "59162-000","cep2" => "59163-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3392,"uf" => "RN","descricao" => "SAO JOSE DO CAMPESTRE","cep1" => "59275-000","cep2" => "59275-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3393,"uf" => "RN","descricao" => "SAO JOSE DO SERIDO","cep1" => "59378-000","cep2" => "59379-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3394,"uf" => "RN","descricao" => "SAO MIGUEL DO GOSTOSO","cep1" => "59585-000","cep2" => "59585-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3395,"uf" => "RN","descricao" => "SAO PAULO DO POTENGI","cep1" => "59460-000","cep2" => "59460-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3396,"uf" => "RN","descricao" => "SAO PEDRO","cep1" => "59480-000","cep2" => "59480-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3397,"uf" => "RN","descricao" => "SAO VICENTE","cep1" => "59340-000","cep2" => "59340-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3398,"uf" => "RN","descricao" => "SENADOR ELOI DE SOUZA","cep1" => "59250-000","cep2" => "59250-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3399,"uf" => "RN","descricao" => "SENADOR GEORGINO AVELINO","cep1" => "59168-000","cep2" => "59168-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3400,"uf" => "RN","descricao" => "SERRA CAIADA","cep1" => "59245-000","cep2" => "59245-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3401,"uf" => "RN","descricao" => "SERRA DE SAO BENTO","cep1" => "59214-000","cep2" => "59214-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3402,"uf" => "RN","descricao" => "SERRA NEGRA DO NORTE","cep1" => "59318-000","cep2" => "59318-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3403,"uf" => "RN","descricao" => "SERRINHA","cep1" => "59258-000","cep2" => "59258-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3404,"uf" => "RN","descricao" => "SERRINHA DOS PINTOS","cep1" => "59808-000","cep2" => "59808-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3405,"uf" => "RN","descricao" => "SEVERIANO MELO","cep1" => "59856-000","cep2" => "59856-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3406,"uf" => "RN","descricao" => "SITIO NOVO","cep1" => "59440-000","cep2" => "59440-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3407,"uf" => "RN","descricao" => "TABOLEIRO GRANDE","cep1" => "59840-000","cep2" => "59840-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3408,"uf" => "RN","descricao" => "TAIPU","cep1" => "59565-000","cep2" => "59569-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3409,"uf" => "RN","descricao" => "TENENTE LAURENTINO CRUZ","cep1" => "59338-000","cep2" => "59338-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3410,"uf" => "RN","descricao" => "TIBAU DO SUL","cep1" => "59178-000","cep2" => "59178-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3411,"uf" => "RN","descricao" => "TOUROS","cep1" => "59584-000","cep2" => "59584-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3412,"uf" => "RN","descricao" => "TRIUNFO POTIGUAR","cep1" => "59685-000","cep2" => "59685-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3413,"uf" => "RN","descricao" => "VARZEA","cep1" => "59185-000","cep2" => "59185-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3414,"uf" => "RN","descricao" => "VERA CRUZ","cep1" => "59184-000","cep2" => "59184-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3415,"uf" => "RN","descricao" => "VICOSA","cep1" => "59815-000","cep2" => "59815-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3416,"uf" => "RN","descricao" => "VILA FLOR","cep1" => "59192-000","cep2" => "59192-999","roteirizacao" => "NAT","unidade" => "NAT01","tabela" => 19,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3417,"uf" => "RO","descricao" => "ALTA FLORESTA DOESTE","cep1" => "76954-000","cep2" => "76954-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3418,"uf" => "RO","descricao" => "ALTO ALEGRE DOS PARECIS","cep1" => "76952-000","cep2" => "76952-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3419,"uf" => "RO","descricao" => "ALTO PARAISO","cep1" => "76862-000","cep2" => "76862-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3420,"uf" => "RO","descricao" => "ALVORADA DOESTE","cep1" => "76930-000","cep2" => "76930-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3421,"uf" => "RO","descricao" => "ARIQUEMES","cep1" => "76870-001","cep2" => "76879-399","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3422,"uf" => "RO","descricao" => "ARIQUEMES","cep1" => "76879-400","cep2" => "76879-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3423,"uf" => "RO","descricao" => "BURITIS","cep1" => "76880-000","cep2" => "76886-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3424,"uf" => "RO","descricao" => "CABIXI","cep1" => "76994-000","cep2" => "76994-999","roteirizacao" => "BVH","unidade" => "BVH","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>3425,"uf" => "RO","descricao" => "CACAULANDIA","cep1" => "76889-000","cep2" => "76889-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3426,"uf" => "RO","descricao" => "CACOAL","cep1" => "76960-000","cep2" => "76968-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3427,"uf" => "RO","descricao" => "CAMPO NOVO DE RONDONIA","cep1" => "76887-000","cep2" => "76887-999","roteirizacao" => "PVH","unidade" => "PVH01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3428,"uf" => "RO","descricao" => "CASTANHEIRAS","cep1" => "76948-000","cep2" => "76948-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3429,"uf" => "RO","descricao" => "CEREJEIRAS","cep1" => "76997-000","cep2" => "76997-999","roteirizacao" => "BVH","unidade" => "BVH","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>3430,"uf" => "RO","descricao" => "CHUPINGUAIA","cep1" => "76990-000","cep2" => "76990-999","roteirizacao" => "BVH","unidade" => "BVH","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>3431,"uf" => "RO","descricao" => "COLORADO DO OESTE","cep1" => "76993-000","cep2" => "76993-999","roteirizacao" => "BVH","unidade" => "BVH","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>3432,"uf" => "RO","descricao" => "CORUMBIARA","cep1" => "76995-000","cep2" => "76995-999","roteirizacao" => "BVH","unidade" => "BVH","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>3433,"uf" => "RO","descricao" => "COSTA MARQUES","cep1" => "76937-000","cep2" => "76937-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>3434,"uf" => "RO","descricao" => "CUJUBIM","cep1" => "76864-000","cep2" => "76865-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3435,"uf" => "RO","descricao" => "ESPIGAO DOESTE","cep1" => "76974-000","cep2" => "76974-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3436,"uf" => "RO","descricao" => "GOVERNADOR JORGE TEIXEIRA","cep1" => "76898-000","cep2" => "76899-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3437,"uf" => "RO","descricao" => "GUAJARA MIRIM","cep1" => "76850-000","cep2" => "76856-999","roteirizacao" => "PVH","unidade" => "PVH01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3438,"uf" => "RO","descricao" => "ITAPUA DO OESTE","cep1" => "76861-000","cep2" => "76861-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3439,"uf" => "RO","descricao" => "JARU","cep1" => "76890-000","cep2" => "76890-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3440,"uf" => "RO","descricao" => "JI PARANA","cep1" => "76900-000","cep2" => "76914-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3441,"uf" => "RO","descricao" => "MACHADINHO DOESTE","cep1" => "76868-000","cep2" => "76869-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3442,"uf" => "RO","descricao" => "MINISTRO ANDREAZZA","cep1" => "76919-000","cep2" => "76919-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3443,"uf" => "RO","descricao" => "MIRANTE DA SERRA","cep1" => "76926-000","cep2" => "76927-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3444,"uf" => "RO","descricao" => "MONTE NEGRO","cep1" => "76888-000","cep2" => "76888-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3445,"uf" => "RO","descricao" => "NOVA BRASILANDIA DOESTE","cep1" => "76958-000","cep2" => "76958-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3446,"uf" => "RO","descricao" => "NOVA MAMORE","cep1" => "76857-000","cep2" => "76859-999","roteirizacao" => "PVH","unidade" => "PVH01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3447,"uf" => "RO","descricao" => "NOVA UNIAO","cep1" => "76924-000","cep2" => "76925-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3448,"uf" => "RO","descricao" => "NOVO HORIZONTE DO OESTE","cep1" => "76956-000","cep2" => "76956-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3449,"uf" => "RO","descricao" => "OURO PRETO DO OESTE","cep1" => "76920-000","cep2" => "76920-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3450,"uf" => "RO","descricao" => "PARECIS","cep1" => "76979-000","cep2" => "76979-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3451,"uf" => "RO","descricao" => "PIMENTA BUENO","cep1" => "76970-000","cep2" => "76970-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3452,"uf" => "RO","descricao" => "PIMENTEIRAS DO OESTE","cep1" => "76999-000","cep2" => "76999-999","roteirizacao" => "BVH","unidade" => "BVH","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3453,"uf" => "RO","descricao" => "PORTO VELHO","cep1" => "76804-000","cep2" => "76804-999","roteirizacao" => "PVH","unidade" => "PVH01","tabela" => 24,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3454,"uf" => "RO","descricao" => "PORTO VELHO","cep1" => "76805-000","cep2" => "76834-999","roteirizacao" => "PVH","unidade" => "PVH01","tabela" => 24,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3455,"uf" => "RO","descricao" => "PORTO VELHO","cep1" => "76835-000","cep2" => "76849-999","roteirizacao" => "PVH","unidade" => "PVH01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3456,"uf" => "RO","descricao" => "PORTO VELHO","cep1" => "76800-001","cep2" => "76803-999","roteirizacao" => "PVH","unidade" => "PVH01","tabela" => 24,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3457,"uf" => "RO","descricao" => "PRESIDENTE MEDICI","cep1" => "76916-000","cep2" => "76918-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3458,"uf" => "RO","descricao" => "PRIMAVERA DE RONDONIA","cep1" => "76976-000","cep2" => "76976-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3459,"uf" => "RO","descricao" => "RIO CRESPO","cep1" => "76863-000","cep2" => "76863-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3460,"uf" => "RO","descricao" => "ROLIM DE MOURA","cep1" => "76940-000","cep2" => "76940-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3461,"uf" => "RO","descricao" => "SANTA LUZIA DOESTE","cep1" => "76950-000","cep2" => "76950-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3462,"uf" => "RO","descricao" => "SAO FELIPE DOESTE","cep1" => "76977-000","cep2" => "76977-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3463,"uf" => "RO","descricao" => "SAO FRANCISCO DO GUAPORE","cep1" => "76935-000","cep2" => "76935-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "8"],
            ["id" =>3464,"uf" => "RO","descricao" => "SAO MIGUEL DO GUAPORE","cep1" => "76932-000","cep2" => "76932-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>3465,"uf" => "RO","descricao" => "SERINGUEIRAS","cep1" => "76934-000","cep2" => "76934-999","roteirizacao" => "OAL","unidade" => "OAL","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>3466,"uf" => "RO","descricao" => "TEIXEIROPOLIS","cep1" => "76928-000","cep2" => "76928-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3467,"uf" => "RO","descricao" => "THEOBROMA","cep1" => "76866-000","cep2" => "76866-999","roteirizacao" => "PVH","unidade" => "PVH01","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3468,"uf" => "RO","descricao" => "URUPA","cep1" => "76929-000","cep2" => "76929-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3469,"uf" => "RO","descricao" => "VALE DO ANARI","cep1" => "76867-000","cep2" => "76867-999","roteirizacao" => "ARM","unidade" => "ARM01","tabela" => 24,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3470,"uf" => "RO","descricao" => "VALE DO PARAISO","cep1" => "76923-000","cep2" => "76923-999","roteirizacao" => "JPR","unidade" => "JPR","tabela" => 24,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3471,"uf" => "RO","descricao" => "VILHENA","cep1" => "76980-000","cep2" => "76989-999","roteirizacao" => "BVH","unidade" => "BVH","tabela" => 24,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3472,"uf" => "RR","descricao" => "BOA VISTA","cep1" => "69300-001","cep2" => "69339-999","roteirizacao" => "BVB","unidade" => "BVB","tabela" => 26,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3473,"uf" => "RS","descricao" => "ACEGUA","cep1" => "96445-000","cep2" => "96445-000","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3474,"uf" => "RS","descricao" => "AGUA SANTA","cep1" => "99965-000","cep2" => "99969-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3475,"uf" => "RS","descricao" => "AGUDO","cep1" => "96540-000","cep2" => "96544-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3476,"uf" => "RS","descricao" => "AJURICABA","cep1" => "98750-000","cep2" => "98757-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3477,"uf" => "RS","descricao" => "ALECRIM","cep1" => "98950-000","cep2" => "98954-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3478,"uf" => "RS","descricao" => "ALEGRETE","cep1" => "97541-520","cep2" => "97541-520","roteirizacao" => "ALQ","unidade" => "ALQ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3479,"uf" => "RS","descricao" => "ALEGRETE","cep1" => "97540-001","cep2" => "97541-519","roteirizacao" => "ALQ","unidade" => "ALQ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3480,"uf" => "RS","descricao" => "ALEGRETE","cep1" => "97541-521","cep2" => "97551-999","roteirizacao" => "ALQ","unidade" => "ALQ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3481,"uf" => "RS","descricao" => "ALEGRIA","cep1" => "98905-000","cep2" => "98909-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3482,"uf" => "RS","descricao" => "ALMIRANTE TAMANDARE DO SUL","cep1" => "99523-000","cep2" => "99524-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3483,"uf" => "RS","descricao" => "ALPESTRE","cep1" => "98480-000","cep2" => "98499-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3484,"uf" => "RS","descricao" => "ALTO ALEGRE","cep1" => "99430-000","cep2" => "99434-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3485,"uf" => "RS","descricao" => "ALTO FELIZ","cep1" => "95773-000","cep2" => "95774-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3486,"uf" => "RS","descricao" => "ALVORADA","cep1" => "94800-000","cep2" => "94889-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3487,"uf" => "RS","descricao" => "AMARAL FERRADOR","cep1" => "96635-000","cep2" => "96639-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3488,"uf" => "RS","descricao" => "AMETISTA DO SUL","cep1" => "98465-000","cep2" => "98465-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3489,"uf" => "RS","descricao" => "ANDRE DA ROCHA","cep1" => "95310-000","cep2" => "95314-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3490,"uf" => "RS","descricao" => "ANTA GORDA","cep1" => "95980-000","cep2" => "95984-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3491,"uf" => "RS","descricao" => "ANTONIO PRADO","cep1" => "95250-000","cep2" => "95250-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3492,"uf" => "RS","descricao" => "ARAMBARE","cep1" => "96178-000","cep2" => "96179-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3493,"uf" => "RS","descricao" => "ARARICA","cep1" => "93880-000","cep2" => "93880-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3494,"uf" => "RS","descricao" => "ARATIBA","cep1" => "99770-000","cep2" => "99789-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3495,"uf" => "RS","descricao" => "ARROIO DO MEIO","cep1" => "95940-000","cep2" => "95940-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3496,"uf" => "RS","descricao" => "ARROIO DO PADRE","cep1" => "96155-000","cep2" => "96159-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3497,"uf" => "RS","descricao" => "ARROIO DO SAL","cep1" => "95585-000","cep2" => "95587-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3498,"uf" => "RS","descricao" => "ARROIO DO TIGRE","cep1" => "96950-000","cep2" => "96950-000","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3499,"uf" => "RS","descricao" => "ARROIO DOS RATOS","cep1" => "96740-000","cep2" => "96740-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3500,"uf" => "RS","descricao" => "ARROIO GRANDE","cep1" => "96330-000","cep2" => "96330-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3501,"uf" => "RS","descricao" => "ARVOREZINHA","cep1" => "95995-000","cep2" => "95995-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3502,"uf" => "RS","descricao" => "AUGUSTO PESTANA","cep1" => "98740-000","cep2" => "98749-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3503,"uf" => "RS","descricao" => "AUREA","cep1" => "99835-000","cep2" => "99837-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3504,"uf" => "RS","descricao" => "BAGE","cep1" => "96400-001","cep2" => "96429-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3505,"uf" => "RS","descricao" => "BALNEARIO PINHAL","cep1" => "95599-000","cep2" => "95599-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3506,"uf" => "RS","descricao" => "BARAO","cep1" => "95730-000","cep2" => "95734-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3507,"uf" => "RS","descricao" => "BARAO DE COTEGIPE","cep1" => "99740-000","cep2" => "99749-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3508,"uf" => "RS","descricao" => "BARAO DO TRIUNFO","cep1" => "96735-000","cep2" => "96739-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3509,"uf" => "RS","descricao" => "BARRA DO GUARITA","cep1" => "98530-000","cep2" => "98534-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3510,"uf" => "RS","descricao" => "BARRA DO QUARAI","cep1" => "97538-000","cep2" => "97538-999","roteirizacao" => "URG","unidade" => "URG","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3511,"uf" => "RS","descricao" => "BARRA DO RIBEIRO","cep1" => "92870-000","cep2" => "92899-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3512,"uf" => "RS","descricao" => "BARRA DO RIO AZUL","cep1" => "99795-000","cep2" => "99799-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3513,"uf" => "RS","descricao" => "BARRA FUNDA","cep1" => "99585-000","cep2" => "99589-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3514,"uf" => "RS","descricao" => "BARRACAO","cep1" => "95370-000","cep2" => "95379-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3515,"uf" => "RS","descricao" => "BARROS CASSAL","cep1" => "99360-000","cep2" => "99369-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3516,"uf" => "RS","descricao" => "BENJAMIN CONSTANT DO SUL","cep1" => "99650-000","cep2" => "99654-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3517,"uf" => "RS","descricao" => "BENTO GONCALVES","cep1" => "95700-000","cep2" => "95714-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3518,"uf" => "RS","descricao" => "BOA VISTA DAS MISSOES","cep1" => "98335-000","cep2" => "98337-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3519,"uf" => "RS","descricao" => "BOA VISTA DO BURICA","cep1" => "98918-000","cep2" => "98918-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3520,"uf" => "RS","descricao" => "BOA VISTA DO CADEADO","cep1" => "98118-000","cep2" => "98119-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3521,"uf" => "RS","descricao" => "BOA VISTA DO INCRA","cep1" => "98120-000","cep2" => "98124-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3522,"uf" => "RS","descricao" => "BOA VISTA DO SUL","cep1" => "95727-000","cep2" => "95729-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3523,"uf" => "RS","descricao" => "BOM JESUS","cep1" => "95290-000","cep2" => "95290-000","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3524,"uf" => "RS","descricao" => "BOM PRINCIPIO","cep1" => "95765-000","cep2" => "95765-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3525,"uf" => "RS","descricao" => "BOM PROGRESSO","cep1" => "98575-000","cep2" => "98579-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3526,"uf" => "RS","descricao" => "BOM RETIRO DO SUL","cep1" => "95870-000","cep2" => "95870-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3527,"uf" => "RS","descricao" => "BOQUEIRAO DO LEAO","cep1" => "95920-000","cep2" => "95920-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3528,"uf" => "RS","descricao" => "BOSSOROCA","cep1" => "97850-000","cep2" => "97869-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3529,"uf" => "RS","descricao" => "BOZANO","cep1" => "98733-000","cep2" => "98733-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3530,"uf" => "RS","descricao" => "BRAGA","cep1" => "98560-000","cep2" => "98569-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3531,"uf" => "RS","descricao" => "BROCHIER","cep1" => "95790-000","cep2" => "95790-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3532,"uf" => "RS","descricao" => "BUTIA","cep1" => "96750-000","cep2" => "96750-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3533,"uf" => "RS","descricao" => "CACAPAVA DO SUL","cep1" => "96570-000","cep2" => "96570-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3534,"uf" => "RS","descricao" => "CACEQUI","cep1" => "97450-000","cep2" => "97499-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3535,"uf" => "RS","descricao" => "CACHOEIRA DO SUL","cep1" => "96500-000","cep2" => "96529-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3536,"uf" => "RS","descricao" => "CACHOEIRINHA","cep1" => "94900-000","cep2" => "94999-999","roteirizacao" => "QKA","unidade" => "QKA02","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3537,"uf" => "RS","descricao" => "CACIQUE DOBLE","cep1" => "99860-000","cep2" => "99869-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3538,"uf" => "RS","descricao" => "CAIBATE","cep1" => "97930-000","cep2" => "97934-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3539,"uf" => "RS","descricao" => "CAICARA","cep1" => "98440-000","cep2" => "98449-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3540,"uf" => "RS","descricao" => "CAMAQUA","cep1" => "96780-001","cep2" => "96792-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3541,"uf" => "RS","descricao" => "CAMARGO","cep1" => "99165-000","cep2" => "99165-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3542,"uf" => "RS","descricao" => "CAMBARA DO SUL","cep1" => "95480-000","cep2" => "95499-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3543,"uf" => "RS","descricao" => "CAMPESTRE DA SERRA","cep1" => "95255-000","cep2" => "95259-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3544,"uf" => "RS","descricao" => "CAMPINA DAS MISSOES","cep1" => "98975-000","cep2" => "98979-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3545,"uf" => "RS","descricao" => "CAMPINAS DO SUL","cep1" => "99660-000","cep2" => "99664-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3546,"uf" => "RS","descricao" => "CAMPO BOM","cep1" => "93700-000","cep2" => "93799-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3547,"uf" => "RS","descricao" => "CAMPO NOVO","cep1" => "98570-000","cep2" => "98574-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3548,"uf" => "RS","descricao" => "CAMPOS BORGES","cep1" => "99435-000","cep2" => "99439-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3549,"uf" => "RS","descricao" => "CANDELARIA","cep1" => "96930-000","cep2" => "96949-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3550,"uf" => "RS","descricao" => "CANDIDO GODOI","cep1" => "98970-000","cep2" => "98974-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3551,"uf" => "RS","descricao" => "CANDIOTA","cep1" => "96495-000","cep2" => "96495-000","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3552,"uf" => "RS","descricao" => "CANELA","cep1" => "95680-000","cep2" => "95689-999","roteirizacao" => "POA","unidade" => "POA01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3553,"uf" => "RS","descricao" => "CANGUCU","cep1" => "96600-000","cep2" => "96600-000","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3554,"uf" => "RS","descricao" => "CANOAS","cep1" => "92000-000","cep2" => "92479-999","roteirizacao" => "QNS","unidade" => "QNS02","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3555,"uf" => "RS","descricao" => "CANUDOS DO VALE","cep1" => "95933-000","cep2" => "95934-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3556,"uf" => "RS","descricao" => "CAPAO BONITO DO SUL","cep1" => "95308-000","cep2" => "95309-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3557,"uf" => "RS","descricao" => "CAPAO DA CANOA","cep1" => "95555-000","cep2" => "95559-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3558,"uf" => "RS","descricao" => "CAPAO DO CIPO","cep1" => "97753-000","cep2" => "97754-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3559,"uf" => "RS","descricao" => "CAPAO DO LEAO","cep1" => "96160-000","cep2" => "96160-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3560,"uf" => "RS","descricao" => "CAPELA DE SANTANA","cep1" => "95745-000","cep2" => "95745-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3561,"uf" => "RS","descricao" => "CAPITAO","cep1" => "95935-000","cep2" => "95936-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3562,"uf" => "RS","descricao" => "CAPIVARI DO SUL","cep1" => "95552-000","cep2" => "95554-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3563,"uf" => "RS","descricao" => "CARAA","cep1" => "95515-000","cep2" => "95519-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3564,"uf" => "RS","descricao" => "CARAZINHO","cep1" => "99500-000","cep2" => "99522-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3565,"uf" => "RS","descricao" => "CARLOS BARBOSA","cep1" => "95185-001","cep2" => "95189-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3566,"uf" => "RS","descricao" => "CARLOS BARBOSA","cep1" => "95185-000","cep2" => "95185-000","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3567,"uf" => "RS","descricao" => "CARLOS GOMES","cep1" => "99825-000","cep2" => "99829-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3568,"uf" => "RS","descricao" => "CASCA","cep1" => "99260-000","cep2" => "99260-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3569,"uf" => "RS","descricao" => "CASEIROS","cep1" => "95315-000","cep2" => "95315-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3570,"uf" => "RS","descricao" => "CATUIPE","cep1" => "98770-000","cep2" => "98779-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3571,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95000-001","cep2" => "95029-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3572,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95070-000","cep2" => "95109-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3573,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95143-000","cep2" => "95143-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3574,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95130-000","cep2" => "95130-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3575,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95140-000","cep2" => "95140-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3576,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95060-000","cep2" => "95060-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3577,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95125-000","cep2" => "95125-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3578,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95030-000","cep2" => "95059-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3579,"uf" => "RS","descricao" => "CAXIAS DO SUL","cep1" => "95110-000","cep2" => "95124-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3580,"uf" => "RS","descricao" => "CENTENARIO","cep1" => "99838-000","cep2" => "99839-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3581,"uf" => "RS","descricao" => "CERRITO","cep1" => "96395-000","cep2" => "96395-000","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3582,"uf" => "RS","descricao" => "CERRO BRANCO","cep1" => "96535-000","cep2" => "96539-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3583,"uf" => "RS","descricao" => "CERRO GRANDE","cep1" => "98340-000","cep2" => "98344-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3584,"uf" => "RS","descricao" => "CERRO GRANDE DO SUL","cep1" => "96770-000","cep2" => "96779-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3585,"uf" => "RS","descricao" => "CERRO LARGO","cep1" => "97900-000","cep2" => "97919-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3586,"uf" => "RS","descricao" => "CHAPADA","cep1" => "99530-000","cep2" => "99559-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3587,"uf" => "RS","descricao" => "CHARQUEADAS","cep1" => "96745-000","cep2" => "96745-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3588,"uf" => "RS","descricao" => "CHARRUA","cep1" => "99960-000","cep2" => "99964-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3589,"uf" => "RS","descricao" => "CHIAPETTA","cep1" => "98760-000","cep2" => "98764-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3590,"uf" => "RS","descricao" => "CHUI","cep1" => "96255-000","cep2" => "96255-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3591,"uf" => "RS","descricao" => "CHUVISCA","cep1" => "96193-000","cep2" => "96194-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3592,"uf" => "RS","descricao" => "CIDREIRA","cep1" => "95595-000","cep2" => "95596-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3593,"uf" => "RS","descricao" => "CIRIACO","cep1" => "99970-000","cep2" => "99979-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3594,"uf" => "RS","descricao" => "COLINAS","cep1" => "95895-000","cep2" => "95895-000","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3595,"uf" => "RS","descricao" => "COLORADO","cep1" => "99460-000","cep2" => "99469-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3596,"uf" => "RS","descricao" => "CONDOR","cep1" => "98290-000","cep2" => "98290-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3597,"uf" => "RS","descricao" => "CONSTANTINA","cep1" => "99680-000","cep2" => "99686-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3598,"uf" => "RS","descricao" => "COQUEIRO BAIXO","cep1" => "95955-000","cep2" => "95959-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3599,"uf" => "RS","descricao" => "COQUEIROS DO SUL","cep1" => "99528-000","cep2" => "99529-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3600,"uf" => "RS","descricao" => "CORONEL BARROS","cep1" => "98735-000","cep2" => "98739-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3601,"uf" => "RS","descricao" => "CORONEL BICACO","cep1" => "98580-000","cep2" => "98589-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3602,"uf" => "RS","descricao" => "CORONEL PILAR","cep1" => "95726-000","cep2" => "95726-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3603,"uf" => "RS","descricao" => "COTIPORA","cep1" => "95335-000","cep2" => "95339-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3604,"uf" => "RS","descricao" => "COXILHA","cep1" => "99145-000","cep2" => "99145-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3605,"uf" => "RS","descricao" => "CRISSIUMAL","cep1" => "98640-000","cep2" => "98669-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3606,"uf" => "RS","descricao" => "CRISTAL","cep1" => "96195-000","cep2" => "96195-000","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3607,"uf" => "RS","descricao" => "CRISTAL DO SUL","cep1" => "98368-000","cep2" => "98369-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3608,"uf" => "RS","descricao" => "CRUZ ALTA","cep1" => "98000-000","cep2" => "98115-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3609,"uf" => "RS","descricao" => "CRUZALTENSE","cep1" => "99665-000","cep2" => "99669-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3610,"uf" => "RS","descricao" => "CRUZEIRO DO SUL","cep1" => "95930-000","cep2" => "95930-000","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3611,"uf" => "RS","descricao" => "DAVID CANABARRO","cep1" => "99980-000","cep2" => "99989-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3612,"uf" => "RS","descricao" => "DERRUBADAS","cep1" => "98528-000","cep2" => "98529-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3613,"uf" => "RS","descricao" => "DEZESSEIS DE NOVEMBRO","cep1" => "97845-000","cep2" => "97849-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3614,"uf" => "RS","descricao" => "DILERMANDO DE AGUIAR","cep1" => "97180-000","cep2" => "97180-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3615,"uf" => "RS","descricao" => "DOIS IRMAOS","cep1" => "93950-000","cep2" => "93950-999","roteirizacao" => "QHV","unidade" => "QHV01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3616,"uf" => "RS","descricao" => "DOIS IRMAOS DAS MISSOES","cep1" => "98385-000","cep2" => "98385-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3617,"uf" => "RS","descricao" => "DOIS LAJEADOS","cep1" => "99220-000","cep2" => "99239-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3618,"uf" => "RS","descricao" => "DOM FELICIANO","cep1" => "96190-000","cep2" => "96192-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3619,"uf" => "RS","descricao" => "DOM PEDRITO","cep1" => "96450-000","cep2" => "96459-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3620,"uf" => "RS","descricao" => "DOM PEDRO DE ALCANTARA","cep1" => "95568-000","cep2" => "95571-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3621,"uf" => "RS","descricao" => "DONA FRANCISCA","cep1" => "97280-000","cep2" => "97299-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3622,"uf" => "RS","descricao" => "DOUTOR MAURICIO CARDOSO","cep1" => "98925-000","cep2" => "98929-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3623,"uf" => "RS","descricao" => "DOUTOR RICARDO","cep1" => "95967-000","cep2" => "95969-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3624,"uf" => "RS","descricao" => "ELDORADO DO SUL","cep1" => "92990-000","cep2" => "92999-999","roteirizacao" => "POA","unidade" => "POA01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3625,"uf" => "RS","descricao" => "ENCANTADO","cep1" => "95960-000","cep2" => "95960-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3626,"uf" => "RS","descricao" => "ENCRUZILHADA DO SUL","cep1" => "96610-000","cep2" => "96610-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3627,"uf" => "RS","descricao" => "ENGENHO VELHO","cep1" => "99698-000","cep2" => "99699-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3628,"uf" => "RS","descricao" => "ENTRE IJUIS","cep1" => "98855-000","cep2" => "98859-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3629,"uf" => "RS","descricao" => "ENTRE RIOS DO SUL","cep1" => "99645-000","cep2" => "99649-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3630,"uf" => "RS","descricao" => "EREBANGO","cep1" => "99920-000","cep2" => "99924-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3631,"uf" => "RS","descricao" => "ERECHIM","cep1" => "99709-296","cep2" => "99709-296","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>3632,"uf" => "RS","descricao" => "ERECHIM","cep1" => "99700-000","cep2" => "99709-295","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3633,"uf" => "RS","descricao" => "ERECHIM","cep1" => "99709-297","cep2" => "99717-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3634,"uf" => "RS","descricao" => "ERNESTINA","cep1" => "99140-000","cep2" => "99140-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3635,"uf" => "RS","descricao" => "ERVAL GRANDE","cep1" => "99750-000","cep2" => "99759-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3636,"uf" => "RS","descricao" => "ERVAL SECO","cep1" => "98390-000","cep2" => "98399-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3637,"uf" => "RS","descricao" => "ESMERALDA","cep1" => "95380-000","cep2" => "95389-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3638,"uf" => "RS","descricao" => "ESPERANCA DO SUL","cep1" => "98635-000","cep2" => "98635-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3639,"uf" => "RS","descricao" => "ESPUMOSO","cep1" => "99400-000","cep2" => "99429-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3640,"uf" => "RS","descricao" => "ESTACAO","cep1" => "99930-000","cep2" => "99939-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3641,"uf" => "RS","descricao" => "ESTANCIA VELHA","cep1" => "93600-000","cep2" => "93600-999","roteirizacao" => "QHV","unidade" => "QHV01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3642,"uf" => "RS","descricao" => "ESTEIO","cep1" => "93250-000","cep2" => "93299-999","roteirizacao" => "QNS","unidade" => "QNS02","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3643,"uf" => "RS","descricao" => "ESTRELA","cep1" => "95880-000","cep2" => "95880-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3644,"uf" => "RS","descricao" => "ESTRELA VELHA","cep1" => "96990-000","cep2" => "96999-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3645,"uf" => "RS","descricao" => "EUGENIO DE CASTRO","cep1" => "98860-000","cep2" => "98864-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3646,"uf" => "RS","descricao" => "FAGUNDES VARELA","cep1" => "95333-000","cep2" => "95333-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3647,"uf" => "RS","descricao" => "FARROUPILHA","cep1" => "95170-001","cep2" => "95181-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>3648,"uf" => "RS","descricao" => "FAXINAL DO SOTURNO","cep1" => "97220-000","cep2" => "97229-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3649,"uf" => "RS","descricao" => "FAXINALZINHO","cep1" => "99655-000","cep2" => "99659-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3650,"uf" => "RS","descricao" => "FAZENDA VILANOVA","cep1" => "95875-000","cep2" => "95875-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3651,"uf" => "RS","descricao" => "FELIZ","cep1" => "95770-000","cep2" => "95772-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3652,"uf" => "RS","descricao" => "FLORES DA CUNHA","cep1" => "95270-000","cep2" => "95270-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3653,"uf" => "RS","descricao" => "FLORIANO PEIXOTO","cep1" => "99910-000","cep2" => "99919-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3654,"uf" => "RS","descricao" => "FONTOURA XAVIER","cep1" => "99370-000","cep2" => "99379-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3655,"uf" => "RS","descricao" => "FORMIGUEIRO","cep1" => "97210-000","cep2" => "97210-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3656,"uf" => "RS","descricao" => "FORQUETINHA","cep1" => "95937-000","cep2" => "95939-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3657,"uf" => "RS","descricao" => "FORTALEZA DOS VALOS","cep1" => "98125-000","cep2" => "98125-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3658,"uf" => "RS","descricao" => "FREDERICO WESTPHALEN","cep1" => "98400-000","cep2" => "98400-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3659,"uf" => "RS","descricao" => "GARIBALDI","cep1" => "95720-000","cep2" => "95720-000","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3660,"uf" => "RS","descricao" => "GARIBALDI","cep1" => "95720-001","cep2" => "95725-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3661,"uf" => "RS","descricao" => "GARRUCHOS","cep1" => "97690-000","cep2" => "97699-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3662,"uf" => "RS","descricao" => "GAURAMA","cep1" => "99830-000","cep2" => "99834-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3663,"uf" => "RS","descricao" => "GENERAL CAMARA","cep1" => "95820-000","cep2" => "95820-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3664,"uf" => "RS","descricao" => "GENTIL","cep1" => "99160-000","cep2" => "99164-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3665,"uf" => "RS","descricao" => "GETULIO VARGAS","cep1" => "99900-000","cep2" => "99909-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3666,"uf" => "RS","descricao" => "GIRUA","cep1" => "98870-000","cep2" => "98894-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3667,"uf" => "RS","descricao" => "GLORINHA","cep1" => "94380-000","cep2" => "94399-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3668,"uf" => "RS","descricao" => "GRAMADO","cep1" => "95670-000","cep2" => "95679-999","roteirizacao" => "POA","unidade" => "POA01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3669,"uf" => "RS","descricao" => "GRAMADO DOS LOUREIROS","cep1" => "99605-000","cep2" => "99609-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3670,"uf" => "RS","descricao" => "GRAMADO XAVIER","cep1" => "96875-000","cep2" => "96875-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3671,"uf" => "RS","descricao" => "GRAVATAI","cep1" => "94360-001","cep2" => "94379-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3672,"uf" => "RS","descricao" => "GRAVATAI","cep1" => "94000-000","cep2" => "94359-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3673,"uf" => "RS","descricao" => "GRAVATAI","cep1" => "94360-000","cep2" => "94360-000","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3674,"uf" => "RS","descricao" => "GUABIJU","cep1" => "95355-000","cep2" => "95359-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3675,"uf" => "RS","descricao" => "GUAIBA","cep1" => "92700-001","cep2" => "92739-999","roteirizacao" => "POA","unidade" => "POA01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3676,"uf" => "RS","descricao" => "GUAPORE","cep1" => "99200-000","cep2" => "99214-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>3677,"uf" => "RS","descricao" => "GUARANI DAS MISSOES","cep1" => "97950-000","cep2" => "97959-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3678,"uf" => "RS","descricao" => "HARMONIA","cep1" => "95785-000","cep2" => "95785-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3679,"uf" => "RS","descricao" => "HERVAL","cep1" => "96310-000","cep2" => "96329-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3680,"uf" => "RS","descricao" => "HERVEIRAS","cep1" => "96888-000","cep2" => "96888-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3681,"uf" => "RS","descricao" => "HORIZONTINA","cep1" => "98920-000","cep2" => "98924-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3682,"uf" => "RS","descricao" => "HULHA NEGRA","cep1" => "96460-000","cep2" => "96460-000","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3683,"uf" => "RS","descricao" => "HUMAITA","cep1" => "98670-000","cep2" => "98674-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3684,"uf" => "RS","descricao" => "IBARAMA","cep1" => "96925-000","cep2" => "96925-000","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3685,"uf" => "RS","descricao" => "IBIACA","cep1" => "99940-000","cep2" => "99949-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3686,"uf" => "RS","descricao" => "IBIRAIARAS","cep1" => "95305-000","cep2" => "95307-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3687,"uf" => "RS","descricao" => "IBIRAPUITA","cep1" => "99320-000","cep2" => "99329-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3688,"uf" => "RS","descricao" => "IBIRUBA","cep1" => "98200-000","cep2" => "98200-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3689,"uf" => "RS","descricao" => "IGREJINHA","cep1" => "95650-000","cep2" => "95650-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3690,"uf" => "RS","descricao" => "IJUI","cep1" => "98700-000","cep2" => "98732-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3691,"uf" => "RS","descricao" => "ILOPOLIS","cep1" => "95990-000","cep2" => "95994-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3692,"uf" => "RS","descricao" => "IMBE","cep1" => "95625-000","cep2" => "95629-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3693,"uf" => "RS","descricao" => "IMIGRANTE","cep1" => "95885-000","cep2" => "95885-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3694,"uf" => "RS","descricao" => "INDEPENDENCIA","cep1" => "98915-000","cep2" => "98917-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3695,"uf" => "RS","descricao" => "INHACORA","cep1" => "98765-000","cep2" => "98769-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3696,"uf" => "RS","descricao" => "IPE","cep1" => "95240-000","cep2" => "95249-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3697,"uf" => "RS","descricao" => "IPIRANGA DO SUL","cep1" => "99925-000","cep2" => "99929-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3698,"uf" => "RS","descricao" => "IRAI","cep1" => "98460-000","cep2" => "98460-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3699,"uf" => "RS","descricao" => "ITAARA","cep1" => "97185-000","cep2" => "97185-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3700,"uf" => "RS","descricao" => "ITACURUBI","cep1" => "97685-000","cep2" => "97689-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3701,"uf" => "RS","descricao" => "ITAPUCA","cep1" => "95997-000","cep2" => "95999-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3702,"uf" => "RS","descricao" => "ITAQUI","cep1" => "97650-000","cep2" => "97650-999","roteirizacao" => "URG","unidade" => "URG","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3703,"uf" => "RS","descricao" => "ITATI","cep1" => "95538-000","cep2" => "95539-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3704,"uf" => "RS","descricao" => "ITATIBA DO SUL","cep1" => "99760-000","cep2" => "99769-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3705,"uf" => "RS","descricao" => "IVORA","cep1" => "98160-000","cep2" => "98169-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3706,"uf" => "RS","descricao" => "IVOTI","cep1" => "93900-000","cep2" => "93900-999","roteirizacao" => "QHV","unidade" => "QHV01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3707,"uf" => "RS","descricao" => "JABOTICABA","cep1" => "98350-000","cep2" => "98359-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3708,"uf" => "RS","descricao" => "JACUIZINHO","cep1" => "99457-000","cep2" => "99459-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3709,"uf" => "RS","descricao" => "JACUTINGA","cep1" => "99730-000","cep2" => "99734-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3710,"uf" => "RS","descricao" => "JAGUARAO","cep1" => "96300-000","cep2" => "96300-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3711,"uf" => "RS","descricao" => "JAGUARI","cep1" => "97760-000","cep2" => "97769-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3712,"uf" => "RS","descricao" => "JAQUIRANA","cep1" => "95420-000","cep2" => "95420-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3713,"uf" => "RS","descricao" => "JARI","cep1" => "98175-000","cep2" => "98179-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3714,"uf" => "RS","descricao" => "JOIA","cep1" => "98180-000","cep2" => "98199-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3715,"uf" => "RS","descricao" => "JULIO DE CASTILHOS","cep1" => "98130-000","cep2" => "98130-000","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3716,"uf" => "RS","descricao" => "LAGOA BONITA DO SUL","cep1" => "96920-000","cep2" => "96924-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3717,"uf" => "RS","descricao" => "LAGOA DOS TRES CANTOS","cep1" => "99495-000","cep2" => "99499-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3718,"uf" => "RS","descricao" => "LAGOA VERMELHA","cep1" => "95300-000","cep2" => "95300-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3719,"uf" => "RS","descricao" => "LAGOAO","cep1" => "99340-000","cep2" => "99344-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3720,"uf" => "RS","descricao" => "LAJEADO","cep1" => "95900-000","cep2" => "95914-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3721,"uf" => "RS","descricao" => "LAJEADO DO BUGRE","cep1" => "98320-000","cep2" => "98322-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3722,"uf" => "RS","descricao" => "LAVRAS DO SUL","cep1" => "97390-000","cep2" => "97399-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "8"],
            ["id" =>3723,"uf" => "RS","descricao" => "LIBERATO SALZANO","cep1" => "99690-000","cep2" => "99697-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3724,"uf" => "RS","descricao" => "LINDOLFO COLLOR","cep1" => "93940-000","cep2" => "93944-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3725,"uf" => "RS","descricao" => "LINHA NOVA","cep1" => "95768-000","cep2" => "95769-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3726,"uf" => "RS","descricao" => "MACAMBARA","cep1" => "97645-000","cep2" => "97649-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3727,"uf" => "RS","descricao" => "MACHADINHO","cep1" => "99880-000","cep2" => "99889-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3728,"uf" => "RS","descricao" => "MAMPITUBA","cep1" => "95572-000","cep2" => "95574-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3729,"uf" => "RS","descricao" => "MANOEL VIANA","cep1" => "97640-000","cep2" => "97644-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3730,"uf" => "RS","descricao" => "MAQUINE","cep1" => "95530-000","cep2" => "95534-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3731,"uf" => "RS","descricao" => "MARATA","cep1" => "95793-000","cep2" => "95793-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3732,"uf" => "RS","descricao" => "MARAU","cep1" => "99150-000","cep2" => "99150-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3733,"uf" => "RS","descricao" => "MARCELINO RAMOS","cep1" => "99800-000","cep2" => "99809-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3734,"uf" => "RS","descricao" => "MARIANA PIMENTEL","cep1" => "92900-000","cep2" => "92989-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3735,"uf" => "RS","descricao" => "MARIANO MORO","cep1" => "99790-000","cep2" => "99794-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3736,"uf" => "RS","descricao" => "MARQUES DE SOUZA","cep1" => "95923-000","cep2" => "95923-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3737,"uf" => "RS","descricao" => "MATA","cep1" => "97410-000","cep2" => "97410-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3738,"uf" => "RS","descricao" => "MATO CASTELHANO","cep1" => "99180-000","cep2" => "99180-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3739,"uf" => "RS","descricao" => "MATO LEITAO","cep1" => "95835-000","cep2" => "95835-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3740,"uf" => "RS","descricao" => "MATO QUEIMADO","cep1" => "97935-000","cep2" => "97939-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3741,"uf" => "RS","descricao" => "MAXIMILIANO DE ALMEIDA","cep1" => "99890-000","cep2" => "99894-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3742,"uf" => "RS","descricao" => "MINAS DO LEAO","cep1" => "96755-000","cep2" => "96755-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3743,"uf" => "RS","descricao" => "MIRAGUAI","cep1" => "98540-000","cep2" => "98549-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3744,"uf" => "RS","descricao" => "MONTAURI","cep1" => "99255-000","cep2" => "99259-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3745,"uf" => "RS","descricao" => "MONTE ALEGRE DOS CAMPOS","cep1" => "95236-000","cep2" => "95236-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3746,"uf" => "RS","descricao" => "MONTE BELO DO SUL","cep1" => "95718-000","cep2" => "95719-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3747,"uf" => "RS","descricao" => "MONTENEGRO","cep1" => "95780-000","cep2" => "95780-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3748,"uf" => "RS","descricao" => "MONTENEGRO","cep1" => "92510-001","cep2" => "92539-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3749,"uf" => "RS","descricao" => "MORMACO","cep1" => "99315-000","cep2" => "99319-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3750,"uf" => "RS","descricao" => "MORRINHOS DO SUL","cep1" => "95577-000","cep2" => "95579-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3751,"uf" => "RS","descricao" => "MORRO REDONDO","cep1" => "96150-000","cep2" => "96150-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3752,"uf" => "RS","descricao" => "MORRO REUTER","cep1" => "93990-000","cep2" => "93994-999","roteirizacao" => "QHV","unidade" => "QHV01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3753,"uf" => "RS","descricao" => "MOSTARDAS","cep1" => "96270-000","cep2" => "96289-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3754,"uf" => "RS","descricao" => "MUCUM","cep1" => "95970-000","cep2" => "95971-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3755,"uf" => "RS","descricao" => "MUITOS CAPOES","cep1" => "95230-000","cep2" => "95230-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3756,"uf" => "RS","descricao" => "MULITERNO","cep1" => "99990-000","cep2" => "99999-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3757,"uf" => "RS","descricao" => "NAO ME TOQUE","cep1" => "99470-000","cep2" => "99489-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3758,"uf" => "RS","descricao" => "NICOLAU VERGUEIRO","cep1" => "99175-000","cep2" => "99179-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3759,"uf" => "RS","descricao" => "NONOAI","cep1" => "99600-000","cep2" => "99604-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3760,"uf" => "RS","descricao" => "NOVA ALVORADA","cep1" => "95985-000","cep2" => "95985-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3761,"uf" => "RS","descricao" => "NOVA ARACA","cep1" => "95350-000","cep2" => "95350-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3762,"uf" => "RS","descricao" => "NOVA BASSANO","cep1" => "95340-000","cep2" => "95344-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3763,"uf" => "RS","descricao" => "NOVA BOA VISTA","cep1" => "99580-000","cep2" => "99584-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3764,"uf" => "RS","descricao" => "NOVA BRESCIA","cep1" => "95950-000","cep2" => "95954-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3765,"uf" => "RS","descricao" => "NOVA CANDELARIA","cep1" => "98919-000","cep2" => "98919-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3766,"uf" => "RS","descricao" => "NOVA ESPERANCA DO SUL","cep1" => "97770-000","cep2" => "97799-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3767,"uf" => "RS","descricao" => "NOVA HARTZ","cep1" => "93890-000","cep2" => "93890-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3768,"uf" => "RS","descricao" => "NOVA PADUA","cep1" => "95275-000","cep2" => "95275-000","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3769,"uf" => "RS","descricao" => "NOVA PALMA","cep1" => "97250-000","cep2" => "97279-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3770,"uf" => "RS","descricao" => "NOVA PETROPOLIS","cep1" => "95150-000","cep2" => "95150-000","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>3771,"uf" => "RS","descricao" => "NOVA PRATA","cep1" => "95320-000","cep2" => "95324-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3772,"uf" => "RS","descricao" => "NOVA RAMADA","cep1" => "98758-000","cep2" => "98758-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3773,"uf" => "RS","descricao" => "NOVA ROMA DO SUL","cep1" => "95260-000","cep2" => "95269-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3774,"uf" => "RS","descricao" => "NOVA SANTA RITA","cep1" => "92480-000","cep2" => "92480-999","roteirizacao" => "QNS","unidade" => "QNS02","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3775,"uf" => "RS","descricao" => "NOVO BARREIRO","cep1" => "98338-000","cep2" => "98339-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3776,"uf" => "RS","descricao" => "NOVO CABRAIS","cep1" => "96545-000","cep2" => "96569-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3777,"uf" => "RS","descricao" => "NOVO HAMBURGO","cep1" => "93300-000","cep2" => "93599-999","roteirizacao" => "QHV","unidade" => "QHV01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3778,"uf" => "RS","descricao" => "NOVO MACHADO","cep1" => "98955-000","cep2" => "98957-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3779,"uf" => "RS","descricao" => "NOVO TIRADENTES","cep1" => "98370-000","cep2" => "98379-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3780,"uf" => "RS","descricao" => "NOVO XINGU","cep1" => "99687-000","cep2" => "99689-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3781,"uf" => "RS","descricao" => "OSORIO","cep1" => "95520-000","cep2" => "95529-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3782,"uf" => "RS","descricao" => "PAIM FILHO","cep1" => "99850-000","cep2" => "99854-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3783,"uf" => "RS","descricao" => "PALMARES DO SUL","cep1" => "95540-000","cep2" => "95551-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3784,"uf" => "RS","descricao" => "PALMEIRA DAS MISSOES","cep1" => "98300-000","cep2" => "98300-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3785,"uf" => "RS","descricao" => "PALMITINHO","cep1" => "98430-000","cep2" => "98434-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3786,"uf" => "RS","descricao" => "PANAMBI","cep1" => "98280-000","cep2" => "98280-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3787,"uf" => "RS","descricao" => "PANTANO GRANDE","cep1" => "96690-000","cep2" => "96690-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3788,"uf" => "RS","descricao" => "PARAI","cep1" => "95360-000","cep2" => "95360-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3789,"uf" => "RS","descricao" => "PARAISO DO SUL","cep1" => "96530-000","cep2" => "96534-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3790,"uf" => "RS","descricao" => "PARECI NOVO","cep1" => "95783-000","cep2" => "95783-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3791,"uf" => "RS","descricao" => "PAROBE","cep1" => "95630-000","cep2" => "95630-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3792,"uf" => "RS","descricao" => "PASSA SETE","cep1" => "96908-000","cep2" => "96909-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3793,"uf" => "RS","descricao" => "PASSO DO SOBRADO","cep1" => "96685-000","cep2" => "96685-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3794,"uf" => "RS","descricao" => "PASSO FUNDO","cep1" => "99010-140","cep2" => "99010-140","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>3795,"uf" => "RS","descricao" => "PASSO FUNDO","cep1" => "99000-000","cep2" => "99010-139","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3796,"uf" => "RS","descricao" => "PASSO FUNDO","cep1" => "99010-141","cep2" => "99099-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3797,"uf" => "RS","descricao" => "PAULO BENTO","cep1" => "99718-000","cep2" => "99719-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3798,"uf" => "RS","descricao" => "PAVERAMA","cep1" => "95865-000","cep2" => "95869-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3799,"uf" => "RS","descricao" => "PEDRAS ALTAS","cep1" => "96487-000","cep2" => "96489-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3800,"uf" => "RS","descricao" => "PEDRO OSORIO","cep1" => "96360-000","cep2" => "96360-000","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3801,"uf" => "RS","descricao" => "PEJUCARA","cep1" => "98270-000","cep2" => "98279-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3802,"uf" => "RS","descricao" => "PELOTAS","cep1" => "96000-001","cep2" => "96147-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3803,"uf" => "RS","descricao" => "PICADA CAFE","cep1" => "95166-000","cep2" => "95169-999","roteirizacao" => "QHV","unidade" => "QHV01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3804,"uf" => "RS","descricao" => "PINHAL","cep1" => "98345-000","cep2" => "98349-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3805,"uf" => "RS","descricao" => "PINHAL DA SERRA","cep1" => "95390-000","cep2" => "95399-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3806,"uf" => "RS","descricao" => "PINHAL GRANDE","cep1" => "98150-000","cep2" => "98159-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3807,"uf" => "RS","descricao" => "PINHEIRINHO DO VALE","cep1" => "98435-000","cep2" => "98439-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3808,"uf" => "RS","descricao" => "PINHEIRO MACHADO","cep1" => "96470-000","cep2" => "96470-000","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3809,"uf" => "RS","descricao" => "PINTO BANDEIRA","cep1" => "95717-000","cep2" => "95717-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3810,"uf" => "RS","descricao" => "PIRAPO","cep1" => "97885-000","cep2" => "97899-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3811,"uf" => "RS","descricao" => "PIRATINI","cep1" => "96490-000","cep2" => "96490-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3812,"uf" => "RS","descricao" => "PLANALTO","cep1" => "98470-000","cep2" => "98470-000","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3813,"uf" => "RS","descricao" => "POCO DAS ANTAS","cep1" => "95740-000","cep2" => "95744-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3814,"uf" => "RS","descricao" => "PONTAO","cep1" => "99190-000","cep2" => "99199-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3815,"uf" => "RS","descricao" => "PONTE PRETA","cep1" => "99735-000","cep2" => "99739-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3816,"uf" => "RS","descricao" => "PORTAO","cep1" => "93180-000","cep2" => "93180-999","roteirizacao" => "QHV","unidade" => "QHV01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3817,"uf" => "RS","descricao" => "PORTO ALEGRE","cep1" => "90200-310","cep2" => "90200-310","roteirizacao" => "POA","unidade" => "POA01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3818,"uf" => "RS","descricao" => "PORTO ALEGRE","cep1" => "91200-000","cep2" => "91499-999","roteirizacao" => "POA","unidade" => "POA01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3819,"uf" => "RS","descricao" => "PORTO ALEGRE","cep1" => "91781-000","cep2" => "91999-999","roteirizacao" => "POA","unidade" => "POA03","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3820,"uf" => "RS","descricao" => "PORTO ALEGRE","cep1" => "91100-000","cep2" => "91199-999","roteirizacao" => "POA","unidade" => "POA03","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3821,"uf" => "RS","descricao" => "PORTO ALEGRE","cep1" => "91500-000","cep2" => "91779-999","roteirizacao" => "POA","unidade" => "POA03","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3822,"uf" => "RS","descricao" => "PORTO ALEGRE","cep1" => "91780-000","cep2" => "91780-999","roteirizacao" => "POA","unidade" => "POA03","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3823,"uf" => "RS","descricao" => "PORTO ALEGRE","cep1" => "90000-000","cep2" => "90200-309","roteirizacao" => "POA","unidade" => "POA01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3824,"uf" => "RS","descricao" => "PORTO ALEGRE","cep1" => "90200-311","cep2" => "91099-999","roteirizacao" => "POA","unidade" => "POA01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3825,"uf" => "RS","descricao" => "PORTO LUCENA","cep1" => "98980-000","cep2" => "98984-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3826,"uf" => "RS","descricao" => "PORTO MAUA","cep1" => "98947-000","cep2" => "98949-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3827,"uf" => "RS","descricao" => "PORTO VERA CRUZ","cep1" => "98985-000","cep2" => "98994-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3828,"uf" => "RS","descricao" => "PORTO XAVIER","cep1" => "98995-000","cep2" => "98999-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3829,"uf" => "RS","descricao" => "POUSO NOVO","cep1" => "95945-000","cep2" => "95947-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3830,"uf" => "RS","descricao" => "PRESIDENTE LUCENA","cep1" => "93945-000","cep2" => "93949-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3831,"uf" => "RS","descricao" => "PROGRESSO","cep1" => "95925-000","cep2" => "95929-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3832,"uf" => "RS","descricao" => "PROTASIO ALVES","cep1" => "95345-000","cep2" => "95349-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3833,"uf" => "RS","descricao" => "PUTINGA","cep1" => "95975-000","cep2" => "95979-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3834,"uf" => "RS","descricao" => "QUARAI","cep1" => "97560-000","cep2" => "97569-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3835,"uf" => "RS","descricao" => "QUATRO IRMAOS","cep1" => "99720-000","cep2" => "99724-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3836,"uf" => "RS","descricao" => "QUEVEDOS","cep1" => "98140-000","cep2" => "98149-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3837,"uf" => "RS","descricao" => "QUINZE DE NOVEMBRO","cep1" => "98230-000","cep2" => "98239-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3838,"uf" => "RS","descricao" => "REDENTORA","cep1" => "98550-000","cep2" => "98559-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3839,"uf" => "RS","descricao" => "RELVADO","cep1" => "95965-000","cep2" => "95966-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3840,"uf" => "RS","descricao" => "RESTINGA SECA","cep1" => "97200-000","cep2" => "97209-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3841,"uf" => "RS","descricao" => "RIO DOS INDIOS","cep1" => "99610-000","cep2" => "99614-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3842,"uf" => "RS","descricao" => "RIO GRANDE","cep1" => "96200-000","cep2" => "96219-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3843,"uf" => "RS","descricao" => "RIO PARDO","cep1" => "96640-000","cep2" => "96684-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3844,"uf" => "RS","descricao" => "RIOZINHO","cep1" => "95695-000","cep2" => "95695-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3845,"uf" => "RS","descricao" => "ROCA SALES","cep1" => "95735-000","cep2" => "95735-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3846,"uf" => "RS","descricao" => "RODEIO BONITO","cep1" => "98360-000","cep2" => "98360-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3847,"uf" => "RS","descricao" => "ROLADOR","cep1" => "97843-000","cep2" => "97844-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3848,"uf" => "RS","descricao" => "ROLANTE","cep1" => "95690-000","cep2" => "95690-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3849,"uf" => "RS","descricao" => "RONDA ALTA","cep1" => "99670-000","cep2" => "99674-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3850,"uf" => "RS","descricao" => "RONDINHA","cep1" => "99590-000","cep2" => "99599-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3851,"uf" => "RS","descricao" => "ROQUE GONZALES","cep1" => "97970-000","cep2" => "97979-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3852,"uf" => "RS","descricao" => "ROSARIO DO SUL","cep1" => "97590-000","cep2" => "97609-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3853,"uf" => "RS","descricao" => "SAGRADA FAMILIA","cep1" => "98330-000","cep2" => "98334-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3854,"uf" => "RS","descricao" => "SALDANHA MARINHO","cep1" => "98250-000","cep2" => "98250-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3855,"uf" => "RS","descricao" => "SALTO DO JACUI","cep1" => "99440-000","cep2" => "99449-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3856,"uf" => "RS","descricao" => "SALVADOR DAS MISSOES","cep1" => "97940-000","cep2" => "97949-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3857,"uf" => "RS","descricao" => "SALVADOR DO SUL","cep1" => "95750-000","cep2" => "95754-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3858,"uf" => "RS","descricao" => "SANANDUVA","cep1" => "99840-000","cep2" => "99849-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3859,"uf" => "RS","descricao" => "SANTA BARBARA DO SUL","cep1" => "98240-000","cep2" => "98240-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3860,"uf" => "RS","descricao" => "SANTA CECILIA DO SUL","cep1" => "99952-000","cep2" => "99954-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3861,"uf" => "RS","descricao" => "SANTA CLARA DO SUL","cep1" => "95915-000","cep2" => "95915-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3862,"uf" => "RS","descricao" => "SANTA CRUZ DO SUL","cep1" => "96810-174","cep2" => "96810-174","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3863,"uf" => "RS","descricao" => "SANTA CRUZ DO SUL","cep1" => "96800-001","cep2" => "96810-173","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3864,"uf" => "RS","descricao" => "SANTA CRUZ DO SUL","cep1" => "96810-175","cep2" => "96874-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>3865,"uf" => "RS","descricao" => "SANTA MARGARIDA DO SUL","cep1" => "97335-000","cep2" => "97335-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3866,"uf" => "RS","descricao" => "SANTA MARIA","cep1" => "97000-000","cep2" => "97179-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>3867,"uf" => "RS","descricao" => "SANTA MARIA DO HERVAL","cep1" => "93995-000","cep2" => "93999-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3868,"uf" => "RS","descricao" => "SANTA ROSA","cep1" => "98780-001","cep2" => "98797-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3869,"uf" => "RS","descricao" => "SANTA TEREZA","cep1" => "95715-000","cep2" => "95716-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3870,"uf" => "RS","descricao" => "SANTA VITORIA DO PALMAR","cep1" => "96230-000","cep2" => "96230-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3871,"uf" => "RS","descricao" => "SANTANA DA BOA VISTA","cep1" => "96590-000","cep2" => "96590-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3872,"uf" => "RS","descricao" => "SANTANA DO LIVRAMENTO","cep1" => "97570-001","cep2" => "97584-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>3873,"uf" => "RS","descricao" => "SANTIAGO","cep1" => "97700-000","cep2" => "97752-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3874,"uf" => "RS","descricao" => "SANTO ANGELO","cep1" => "98800-001","cep2" => "98849-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3875,"uf" => "RS","descricao" => "SANTO ANTONIO DA PATRULHA","cep1" => "95500-000","cep2" => "95514-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3876,"uf" => "RS","descricao" => "SANTO ANTONIO DAS MISSOES","cep1" => "97870-000","cep2" => "97879-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3877,"uf" => "RS","descricao" => "SANTO ANTONIO DO PALMA","cep1" => "99265-000","cep2" => "99269-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3878,"uf" => "RS","descricao" => "SANTO ANTONIO DO PLANALTO","cep1" => "99525-000","cep2" => "99527-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3879,"uf" => "RS","descricao" => "SANTO AUGUSTO","cep1" => "98590-000","cep2" => "98594-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3880,"uf" => "RS","descricao" => "SANTO CRISTO","cep1" => "98960-000","cep2" => "98969-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3881,"uf" => "RS","descricao" => "SANTO EXPEDITO DO SUL","cep1" => "99895-000","cep2" => "99899-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3882,"uf" => "RS","descricao" => "SAO DOMINGOS DO SUL","cep1" => "99270-000","cep2" => "99270-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3883,"uf" => "RS","descricao" => "SAO FRANCISCO DE ASSIS","cep1" => "97610-000","cep2" => "97639-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3884,"uf" => "RS","descricao" => "SAO FRANCISCO DE PAULA","cep1" => "95400-000","cep2" => "95419-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3885,"uf" => "RS","descricao" => "SAO GABRIEL","cep1" => "97300-000","cep2" => "97300-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3886,"uf" => "RS","descricao" => "SAO JERONIMO","cep1" => "96700-000","cep2" => "96700-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3887,"uf" => "RS","descricao" => "SAO JOAO DA URTIGA","cep1" => "99855-000","cep2" => "99859-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3888,"uf" => "RS","descricao" => "SAO JOAO DO POLESINE","cep1" => "97230-000","cep2" => "97249-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3889,"uf" => "RS","descricao" => "SAO JORGE","cep1" => "95365-000","cep2" => "95365-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3890,"uf" => "RS","descricao" => "SAO JOSE DAS MISSOES","cep1" => "98325-000","cep2" => "98329-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3891,"uf" => "RS","descricao" => "SAO JOSE DO HERVAL","cep1" => "99380-000","cep2" => "99399-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3892,"uf" => "RS","descricao" => "SAO JOSE DO HORTENCIO","cep1" => "95755-000","cep2" => "95757-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3893,"uf" => "RS","descricao" => "SAO JOSE DO INHACORA","cep1" => "98958-000","cep2" => "98959-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3894,"uf" => "RS","descricao" => "SAO JOSE DO NORTE","cep1" => "96225-000","cep2" => "96225-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3895,"uf" => "RS","descricao" => "SAO JOSE DO OURO","cep1" => "99870-000","cep2" => "99877-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3896,"uf" => "RS","descricao" => "SAO JOSE DO SUL","cep1" => "95748-000","cep2" => "95748-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3897,"uf" => "RS","descricao" => "SAO JOSE DOS AUSENTES","cep1" => "95280-000","cep2" => "95280-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3898,"uf" => "RS","descricao" => "SAO LEOPOLDO","cep1" => "93000-000","cep2" => "93179-999","roteirizacao" => "QLL","unidade" => "QLL01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>3899,"uf" => "RS","descricao" => "SAO LOURENCO DO SUL","cep1" => "96170-000","cep2" => "96170-999","roteirizacao" => "PET","unidade" => "PET","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3900,"uf" => "RS","descricao" => "SAO LUIZ GONZAGA","cep1" => "97800-000","cep2" => "97800-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3901,"uf" => "RS","descricao" => "SAO MARCOS","cep1" => "95190-000","cep2" => "95190-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3902,"uf" => "RS","descricao" => "SAO MARTINHO","cep1" => "98690-000","cep2" => "98690-000","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3903,"uf" => "RS","descricao" => "SAO MARTINHO DA SERRA","cep1" => "97190-000","cep2" => "97190-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3904,"uf" => "RS","descricao" => "SAO MIGUEL DAS MISSOES","cep1" => "98865-000","cep2" => "98869-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3905,"uf" => "RS","descricao" => "SAO NICOLAU","cep1" => "97880-000","cep2" => "97884-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3906,"uf" => "RS","descricao" => "SAO PAULO DAS MISSOES","cep1" => "97980-000","cep2" => "97999-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3907,"uf" => "RS","descricao" => "SAO PEDRO DA SERRA","cep1" => "95758-000","cep2" => "95759-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3908,"uf" => "RS","descricao" => "SAO PEDRO DAS MISSOES","cep1" => "98323-000","cep2" => "98324-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3909,"uf" => "RS","descricao" => "SAO PEDRO DO BUTIA","cep1" => "97920-000","cep2" => "97929-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3910,"uf" => "RS","descricao" => "SAO PEDRO DO SUL","cep1" => "97400-000","cep2" => "97409-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3911,"uf" => "RS","descricao" => "SAO SEBASTIAO DO CAI","cep1" => "95760-000","cep2" => "95760-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3912,"uf" => "RS","descricao" => "SAO SEPE","cep1" => "97340-000","cep2" => "97340-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3913,"uf" => "RS","descricao" => "SAO VALENTIM","cep1" => "99640-000","cep2" => "99644-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3914,"uf" => "RS","descricao" => "SAO VALENTIM DO SUL","cep1" => "99240-000","cep2" => "99249-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3915,"uf" => "RS","descricao" => "SAO VALERIO DO SUL","cep1" => "98595-000","cep2" => "98599-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>3916,"uf" => "RS","descricao" => "SAO VENDELINO","cep1" => "95795-000","cep2" => "95799-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3917,"uf" => "RS","descricao" => "SAO VICENTE DO SUL","cep1" => "97420-000","cep2" => "97449-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3918,"uf" => "RS","descricao" => "SAPIRANGA","cep1" => "93800-000","cep2" => "93879-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3919,"uf" => "RS","descricao" => "SAPUCAIA DO SUL","cep1" => "93200-000","cep2" => "93249-999","roteirizacao" => "QNS","unidade" => "QNS02","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3920,"uf" => "RS","descricao" => "SARANDI","cep1" => "99560-000","cep2" => "99579-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3921,"uf" => "RS","descricao" => "SEBERI","cep1" => "98380-000","cep2" => "98380-999","roteirizacao" => "QPB","unidade" => "QPB01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3922,"uf" => "RS","descricao" => "SEDE NOVA","cep1" => "98675-000","cep2" => "98675-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3923,"uf" => "RS","descricao" => "SEGREDO","cep1" => "96910-000","cep2" => "96910-000","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3924,"uf" => "RS","descricao" => "SELBACH","cep1" => "99450-000","cep2" => "99456-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3925,"uf" => "RS","descricao" => "SENADOR SALGADO FILHO","cep1" => "98895-000","cep2" => "98897-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3926,"uf" => "RS","descricao" => "SENTINELA DO SUL","cep1" => "96765-000","cep2" => "96769-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3927,"uf" => "RS","descricao" => "SERAFINA CORREA","cep1" => "99250-000","cep2" => "99250-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3928,"uf" => "RS","descricao" => "SERIO","cep1" => "95918-000","cep2" => "95919-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3929,"uf" => "RS","descricao" => "SERTAO","cep1" => "99170-000","cep2" => "99174-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3930,"uf" => "RS","descricao" => "SERTAO SANTANA","cep1" => "92850-000","cep2" => "92869-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3931,"uf" => "RS","descricao" => "SETE DE SETEMBRO","cep1" => "97960-000","cep2" => "97969-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3932,"uf" => "RS","descricao" => "SEVERIANO DE ALMEIDA","cep1" => "99810-000","cep2" => "99819-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3933,"uf" => "RS","descricao" => "SILVEIRA MARTINS","cep1" => "97195-000","cep2" => "97195-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3934,"uf" => "RS","descricao" => "SINIMBU","cep1" => "96890-000","cep2" => "96899-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3935,"uf" => "RS","descricao" => "SOBRADINHO","cep1" => "96900-000","cep2" => "96907-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3936,"uf" => "RS","descricao" => "SOLEDADE","cep1" => "99300-000","cep2" => "99300-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3937,"uf" => "RS","descricao" => "TABAI","cep1" => "95863-000","cep2" => "95863-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3938,"uf" => "RS","descricao" => "TAPEJARA","cep1" => "99950-000","cep2" => "99951-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3939,"uf" => "RS","descricao" => "TAPERA","cep1" => "99490-000","cep2" => "99494-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3940,"uf" => "RS","descricao" => "TAPES","cep1" => "96760-000","cep2" => "96764-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3941,"uf" => "RS","descricao" => "TAQUARA","cep1" => "95600-000","cep2" => "95600-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3942,"uf" => "RS","descricao" => "TAQUARI","cep1" => "95860-000","cep2" => "95862-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3943,"uf" => "RS","descricao" => "TAQUARUCU DO SUL","cep1" => "98410-000","cep2" => "98414-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3944,"uf" => "RS","descricao" => "TAVARES","cep1" => "96290-000","cep2" => "96299-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3945,"uf" => "RS","descricao" => "TENENTE PORTELA","cep1" => "98500-000","cep2" => "98527-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3946,"uf" => "RS","descricao" => "TERRA DE AREIA","cep1" => "95535-000","cep2" => "95537-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3947,"uf" => "RS","descricao" => "TEUTONIA","cep1" => "95890-000","cep2" => "95890-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3948,"uf" => "RS","descricao" => "TIO HUGO","cep1" => "99345-000","cep2" => "99345-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3949,"uf" => "RS","descricao" => "TIRADENTES DO SUL","cep1" => "98680-000","cep2" => "98680-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3950,"uf" => "RS","descricao" => "TOROPI","cep1" => "97418-000","cep2" => "97418-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3951,"uf" => "RS","descricao" => "TORRES","cep1" => "95560-000","cep2" => "95567-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3952,"uf" => "RS","descricao" => "TRAMANDAI","cep1" => "95590-000","cep2" => "95594-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3953,"uf" => "RS","descricao" => "TRAVESSEIRO","cep1" => "95948-000","cep2" => "95948-000","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3954,"uf" => "RS","descricao" => "TRES ARROIOS","cep1" => "99725-000","cep2" => "99729-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3955,"uf" => "RS","descricao" => "TRES CACHOEIRAS","cep1" => "95580-000","cep2" => "95584-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3956,"uf" => "RS","descricao" => "TRES COROAS","cep1" => "95660-000","cep2" => "95660-999","roteirizacao" => "QCD","unidade" => "QCD01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3957,"uf" => "RS","descricao" => "TRES DE MAIO","cep1" => "98910-000","cep2" => "98910-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3958,"uf" => "RS","descricao" => "TRES FORQUILHAS","cep1" => "95575-000","cep2" => "95576-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3959,"uf" => "RS","descricao" => "TRES PALMEIRAS","cep1" => "99675-000","cep2" => "99679-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3960,"uf" => "RS","descricao" => "TRES PASSOS","cep1" => "98600-000","cep2" => "98634-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3961,"uf" => "RS","descricao" => "TRINDADE DO SUL","cep1" => "99615-000","cep2" => "99639-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3962,"uf" => "RS","descricao" => "TRIUNFO","cep1" => "95840-000","cep2" => "95852-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3963,"uf" => "RS","descricao" => "TRIUNFO","cep1" => "95853-000","cep2" => "95853-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>3964,"uf" => "RS","descricao" => "TUCUNDUVA","cep1" => "98930-000","cep2" => "98939-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3965,"uf" => "RS","descricao" => "TUNAS","cep1" => "99330-000","cep2" => "99339-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3966,"uf" => "RS","descricao" => "TUPANCI DO SUL","cep1" => "99878-000","cep2" => "99879-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3967,"uf" => "RS","descricao" => "TUPANCIRETA","cep1" => "98170-000","cep2" => "98174-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3968,"uf" => "RS","descricao" => "TUPANDI","cep1" => "95775-000","cep2" => "95775-999","roteirizacao" => "QGF","unidade" => "QGF01","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3969,"uf" => "RS","descricao" => "TUPARENDI","cep1" => "98940-000","cep2" => "98946-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3970,"uf" => "RS","descricao" => "TURUCU","cep1" => "96148-000","cep2" => "96149-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3971,"uf" => "RS","descricao" => "UBIRETAMA","cep1" => "98898-000","cep2" => "98899-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3972,"uf" => "RS","descricao" => "UNIAO DA SERRA","cep1" => "99215-000","cep2" => "99219-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3973,"uf" => "RS","descricao" => "UNISTALDA","cep1" => "97755-000","cep2" => "97759-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3974,"uf" => "RS","descricao" => "URUGUAIANA","cep1" => "97500-001","cep2" => "97514-999","roteirizacao" => "URG","unidade" => "URG","tabela" => 9,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>3975,"uf" => "RS","descricao" => "VACARIA","cep1" => "95200-000","cep2" => "95229-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3976,"uf" => "RS","descricao" => "VALE DO SOL","cep1" => "96878-000","cep2" => "96878-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3977,"uf" => "RS","descricao" => "VALE REAL","cep1" => "95778-000","cep2" => "95779-999","roteirizacao" => "CXJ","unidade" => "CXJ","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3978,"uf" => "RS","descricao" => "VALE VERDE","cep1" => "95833-000","cep2" => "95833-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3979,"uf" => "RS","descricao" => "VANINI","cep1" => "99290-000","cep2" => "99299-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3980,"uf" => "RS","descricao" => "VENANCIO AIRES","cep1" => "95800-000","cep2" => "95819-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3981,"uf" => "RS","descricao" => "VERA CRUZ","cep1" => "96880-000","cep2" => "96887-999","roteirizacao" => "CSU","unidade" => "CSU","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3982,"uf" => "RS","descricao" => "VERANOPOLIS","cep1" => "95330-000","cep2" => "95332-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3983,"uf" => "RS","descricao" => "VESPASIANO CORREA","cep1" => "95972-000","cep2" => "95974-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3984,"uf" => "RS","descricao" => "VIADUTOS","cep1" => "99820-000","cep2" => "99824-999","roteirizacao" => "ERM","unidade" => "ERM","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3985,"uf" => "RS","descricao" => "VIAMAO","cep1" => "94400-000","cep2" => "94729-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3986,"uf" => "RS","descricao" => "VICENTE DUTRA","cep1" => "98450-000","cep2" => "98459-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3987,"uf" => "RS","descricao" => "VICTOR GRAEFF","cep1" => "99350-000","cep2" => "99359-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3988,"uf" => "RS","descricao" => "VILA FLORES","cep1" => "95334-000","cep2" => "95334-999","roteirizacao" => "BGV","unidade" => "BGV03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3989,"uf" => "RS","descricao" => "VILA LANGARO","cep1" => "99955-000","cep2" => "99959-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3990,"uf" => "RS","descricao" => "VILA MARIA","cep1" => "99155-000","cep2" => "99155-999","roteirizacao" => "PFB","unidade" => "PFB","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3991,"uf" => "RS","descricao" => "VILA NOVA DO SUL","cep1" => "97385-000","cep2" => "97385-999","roteirizacao" => "RIA","unidade" => "RIA","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3992,"uf" => "RS","descricao" => "VISTA ALEGRE","cep1" => "98415-000","cep2" => "98429-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>3993,"uf" => "RS","descricao" => "VISTA ALEGRE DO PRATA","cep1" => "95325-000","cep2" => "95329-999","roteirizacao" => "POA","unidade" => "POARC","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>3994,"uf" => "RS","descricao" => "VISTA GAUCHA","cep1" => "98535-000","cep2" => "98535-999","roteirizacao" => "IJU","unidade" => "IJU01","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3995,"uf" => "RS","descricao" => "VITORIA DAS MISSOES","cep1" => "98850-000","cep2" => "98854-999","roteirizacao" => "GEL","unidade" => "GEL","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>3996,"uf" => "RS","descricao" => "WESTFALIA","cep1" => "95893-000","cep2" => "95893-999","roteirizacao" => "QLB","unidade" => "QLB03","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 1,"prazo" => "4"],
            ["id" =>3997,"uf" => "RS","descricao" => "XANGRI LA","cep1" => "95588-000","cep2" => "95589-999","roteirizacao" => "QKA","unidade" => "QKAT1","tabela" => 9,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>3998,"uf" => "SC","descricao" => "ABDON BATISTA","cep1" => "89636-000","cep2" => "89636-000","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>3999,"uf" => "SC","descricao" => "ABELARDO LUZ","cep1" => "89830-000","cep2" => "89830-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4000,"uf" => "SC","descricao" => "AGROLANDIA","cep1" => "88420-000","cep2" => "88420-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4001,"uf" => "SC","descricao" => "AGRONOMICA","cep1" => "89188-000","cep2" => "89188-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4002,"uf" => "SC","descricao" => "AGUA DOCE","cep1" => "89654-000","cep2" => "89654-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4003,"uf" => "SC","descricao" => "AGUAS DE CHAPECO","cep1" => "89883-000","cep2" => "89883-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4004,"uf" => "SC","descricao" => "AGUAS FRIAS","cep1" => "89843-000","cep2" => "89843-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4005,"uf" => "SC","descricao" => "AGUAS MORNAS","cep1" => "88150-000","cep2" => "88150-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4006,"uf" => "SC","descricao" => "ALFREDO WAGNER","cep1" => "88450-000","cep2" => "88459-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4007,"uf" => "SC","descricao" => "ALTO BELA VISTA","cep1" => "89730-000","cep2" => "89730-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4008,"uf" => "SC","descricao" => "ANCHIETA","cep1" => "89970-000","cep2" => "89970-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4009,"uf" => "SC","descricao" => "ANGELINA","cep1" => "88460-000","cep2" => "88460-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4010,"uf" => "SC","descricao" => "ANITA GARIBALDI","cep1" => "88590-000","cep2" => "88590-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4011,"uf" => "SC","descricao" => "ANITAPOLIS","cep1" => "88475-000","cep2" => "88475-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4012,"uf" => "SC","descricao" => "ANTONIO CARLOS","cep1" => "88180-000","cep2" => "88180-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4013,"uf" => "SC","descricao" => "APIUNA","cep1" => "89135-000","cep2" => "89135-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4014,"uf" => "SC","descricao" => "ARABUTA","cep1" => "89740-000","cep2" => "89740-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4015,"uf" => "SC","descricao" => "ARAQUARI","cep1" => "89246-000","cep2" => "89246-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4016,"uf" => "SC","descricao" => "ARAQUARI","cep1" => "89245-000","cep2" => "89245-999","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4017,"uf" => "SC","descricao" => "ARARANGUA","cep1" => "88900-000","cep2" => "88913-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4018,"uf" => "SC","descricao" => "ARMAZEM","cep1" => "88740-000","cep2" => "88740-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4019,"uf" => "SC","descricao" => "ARROIO TRINTA","cep1" => "89590-000","cep2" => "89590-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4020,"uf" => "SC","descricao" => "ARVOREDO","cep1" => "89778-000","cep2" => "89778-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4021,"uf" => "SC","descricao" => "ASCURRA","cep1" => "89138-000","cep2" => "89138-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4022,"uf" => "SC","descricao" => "ATALANTA","cep1" => "88410-000","cep2" => "88410-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4023,"uf" => "SC","descricao" => "AURORA","cep1" => "89186-000","cep2" => "89186-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4024,"uf" => "SC","descricao" => "BALNEARIO ARROIO DO SILVA","cep1" => "88914-000","cep2" => "88914-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4025,"uf" => "SC","descricao" => "BALNEARIO BARRA DO SUL","cep1" => "89247-000","cep2" => "89247-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4026,"uf" => "SC","descricao" => "BALNEARIO CAMBORIU","cep1" => "88330-001","cep2" => "88339-999","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4027,"uf" => "SC","descricao" => "BALNEARIO GAIVOTA","cep1" => "88955-000","cep2" => "88955-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4028,"uf" => "SC","descricao" => "BALNEARIO PICARRAS","cep1" => "88380-000","cep2" => "88380-999","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4029,"uf" => "SC","descricao" => "BALNEARIO RINCAO","cep1" => "88828-000","cep2" => "88828-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4030,"uf" => "SC","descricao" => "BANDEIRANTE","cep1" => "89905-000","cep2" => "89905-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4031,"uf" => "SC","descricao" => "BARRA BONITA","cep1" => "89909-000","cep2" => "89909-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4032,"uf" => "SC","descricao" => "BARRA VELHA","cep1" => "88390-000","cep2" => "88390-999","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4033,"uf" => "SC","descricao" => "BELA VISTA DO TOLDO","cep1" => "89478-000","cep2" => "89478-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4034,"uf" => "SC","descricao" => "BELMONTE","cep1" => "89925-000","cep2" => "89925-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4035,"uf" => "SC","descricao" => "BENEDITO NOVO","cep1" => "89124-000","cep2" => "89124-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4036,"uf" => "SC","descricao" => "BIGUACU","cep1" => "88160-000","cep2" => "88179-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4037,"uf" => "SC","descricao" => "BLUMENAU","cep1" => "89000-001","cep2" => "89079-999","roteirizacao" => "BNU","unidade" => "BNU02","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4038,"uf" => "SC","descricao" => "BOCAINA DO SUL","cep1" => "88538-000","cep2" => "88538-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4039,"uf" => "SC","descricao" => "BOM JARDIM DA SERRA","cep1" => "88640-000","cep2" => "88649-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4040,"uf" => "SC","descricao" => "BOM JESUS","cep1" => "89824-000","cep2" => "89824-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4041,"uf" => "SC","descricao" => "BOM JESUS DO OESTE","cep1" => "89873-000","cep2" => "89873-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4042,"uf" => "SC","descricao" => "BOM RETIRO","cep1" => "88680-000","cep2" => "88699-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4043,"uf" => "SC","descricao" => "BOMBINHAS","cep1" => "88215-000","cep2" => "88215-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4044,"uf" => "SC","descricao" => "BOTUVERA","cep1" => "88295-000","cep2" => "88299-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4045,"uf" => "SC","descricao" => "BRACO DO NORTE","cep1" => "88750-000","cep2" => "88750-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4046,"uf" => "SC","descricao" => "BRACO DO TROMBUDO","cep1" => "89178-000","cep2" => "89178-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4047,"uf" => "SC","descricao" => "BRUNOPOLIS","cep1" => "89634-000","cep2" => "89634-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4048,"uf" => "SC","descricao" => "BRUSQUE","cep1" => "88350-000","cep2" => "88359-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4049,"uf" => "SC","descricao" => "CACADOR","cep1" => "89500-000","cep2" => "89514-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4050,"uf" => "SC","descricao" => "CAIBI","cep1" => "89888-000","cep2" => "89888-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4051,"uf" => "SC","descricao" => "CALMON","cep1" => "89430-000","cep2" => "89430-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4052,"uf" => "SC","descricao" => "CAMBORIU","cep1" => "88340-001","cep2" => "88349-999","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4053,"uf" => "SC","descricao" => "CAMPO ALEGRE","cep1" => "89294-000","cep2" => "89294-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4054,"uf" => "SC","descricao" => "CAMPO BELO DO SUL","cep1" => "88580-000","cep2" => "88584-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4055,"uf" => "SC","descricao" => "CAMPO ERE","cep1" => "89980-000","cep2" => "89980-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4056,"uf" => "SC","descricao" => "CAMPOS NOVOS","cep1" => "89620-000","cep2" => "89620-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4057,"uf" => "SC","descricao" => "CANELINHA","cep1" => "88230-000","cep2" => "88239-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4058,"uf" => "SC","descricao" => "CANOINHAS","cep1" => "89460-000","cep2" => "89460-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4059,"uf" => "SC","descricao" => "CANOINHAS","cep1" => "89465-000","cep2" => "89465-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4060,"uf" => "SC","descricao" => "CAPAO ALTO","cep1" => "88548-000","cep2" => "88548-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4061,"uf" => "SC","descricao" => "CAPINZAL","cep1" => "89665-000","cep2" => "89665-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4062,"uf" => "SC","descricao" => "CAPIVARI DE BAIXO","cep1" => "88745-000","cep2" => "88749-999","roteirizacao" => "QTB","unidade" => "QTB01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4063,"uf" => "SC","descricao" => "CATANDUVAS","cep1" => "89670-000","cep2" => "89670-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4064,"uf" => "SC","descricao" => "CAXAMBU DO SUL","cep1" => "89880-000","cep2" => "89880-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4065,"uf" => "SC","descricao" => "CELSO RAMOS","cep1" => "88598-000","cep2" => "88598-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4066,"uf" => "SC","descricao" => "CERRO NEGRO","cep1" => "88585-000","cep2" => "88585-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4067,"uf" => "SC","descricao" => "CHAPADAO DO LAGEADO","cep1" => "88407-000","cep2" => "88407-000","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4068,"uf" => "SC","descricao" => "CHAPECO","cep1" => "89816-400","cep2" => "89816-400","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4069,"uf" => "SC","descricao" => "CHAPECO","cep1" => "89800-000","cep2" => "89816-099","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4070,"uf" => "SC","descricao" => "CHAPECO","cep1" => "89816-100","cep2" => "89816-199","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4071,"uf" => "SC","descricao" => "COCAL DO SUL","cep1" => "88845-000","cep2" => "88845-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4072,"uf" => "SC","descricao" => "CONCORDIA","cep1" => "89700-001","cep2" => "89715-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4073,"uf" => "SC","descricao" => "CORDILHEIRA ALTA","cep1" => "89819-000","cep2" => "89819-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4074,"uf" => "SC","descricao" => "CORONEL FREITAS","cep1" => "89840-000","cep2" => "89840-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4075,"uf" => "SC","descricao" => "CORONEL MARTINS","cep1" => "89837-000","cep2" => "89837-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4076,"uf" => "SC","descricao" => "CORREIA PINTO","cep1" => "88535-000","cep2" => "88535-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4077,"uf" => "SC","descricao" => "CORUPA","cep1" => "89278-000","cep2" => "89278-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4078,"uf" => "SC","descricao" => "CRICIUMA","cep1" => "88802-200","cep2" => "88802-200","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4079,"uf" => "SC","descricao" => "CRICIUMA","cep1" => "88800-001","cep2" => "88802-199","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4080,"uf" => "SC","descricao" => "CRICIUMA","cep1" => "88802-201","cep2" => "88819-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4081,"uf" => "SC","descricao" => "CUNHA PORA","cep1" => "89890-000","cep2" => "89890-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4082,"uf" => "SC","descricao" => "CUNHATAI","cep1" => "89886-000","cep2" => "89886-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4083,"uf" => "SC","descricao" => "CURITIBANOS","cep1" => "89520-000","cep2" => "89520-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4084,"uf" => "SC","descricao" => "DESCANSO","cep1" => "89910-000","cep2" => "89910-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4085,"uf" => "SC","descricao" => "DIONISIO CERQUEIRA","cep1" => "89950-000","cep2" => "89950-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4086,"uf" => "SC","descricao" => "DONA EMMA","cep1" => "89155-000","cep2" => "89155-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4087,"uf" => "SC","descricao" => "DOUTOR PEDRINHO","cep1" => "89126-000","cep2" => "89126-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4088,"uf" => "SC","descricao" => "ENTRE RIOS","cep1" => "89862-000","cep2" => "89862-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4089,"uf" => "SC","descricao" => "ERMO","cep1" => "88935-000","cep2" => "88935-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4090,"uf" => "SC","descricao" => "ERVAL VELHO","cep1" => "89613-000","cep2" => "89613-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4091,"uf" => "SC","descricao" => "FAXINAL DOS GUEDES","cep1" => "89694-000","cep2" => "89694-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4092,"uf" => "SC","descricao" => "FLOR DO SERTAO","cep1" => "89878-000","cep2" => "89878-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4093,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88080-000","cep2" => "88089-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4094,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88090-000","cep2" => "88099-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4095,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88070-000","cep2" => "88079-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4096,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88047-400","cep2" => "88047-400","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4097,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88030-000","cep2" => "88039-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4098,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88000-001","cep2" => "88019-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4099,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88020-000","cep2" => "88029-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4100,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88060-000","cep2" => "88069-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4101,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88050-000","cep2" => "88059-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4102,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88040-000","cep2" => "88047-399","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4103,"uf" => "SC","descricao" => "FLORIANOPOLIS","cep1" => "88047-401","cep2" => "88049-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4104,"uf" => "SC","descricao" => "FORMOSA DO SUL","cep1" => "89859-000","cep2" => "89859-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4105,"uf" => "SC","descricao" => "FORQUILHINHA","cep1" => "88850-000","cep2" => "88850-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4106,"uf" => "SC","descricao" => "FRAIBURGO","cep1" => "89580-000","cep2" => "89580-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4107,"uf" => "SC","descricao" => "GALVAO","cep1" => "89838-000","cep2" => "89838-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4108,"uf" => "SC","descricao" => "GAROPABA","cep1" => "88495-000","cep2" => "88495-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4109,"uf" => "SC","descricao" => "GARUVA","cep1" => "89248-000","cep2" => "89248-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4110,"uf" => "SC","descricao" => "GASPAR","cep1" => "89110-001","cep2" => "89119-999","roteirizacao" => "BNU","unidade" => "BNU02","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4111,"uf" => "SC","descricao" => "GOVERNADOR CELSO RAMOS","cep1" => "88190-000","cep2" => "88190-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4112,"uf" => "SC","descricao" => "GRAO PARA","cep1" => "88890-000","cep2" => "88890-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4113,"uf" => "SC","descricao" => "GRAVATAL","cep1" => "88735-000","cep2" => "88735-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4114,"uf" => "SC","descricao" => "GUABIRUBA","cep1" => "88360-000","cep2" => "88369-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4115,"uf" => "SC","descricao" => "GUARACIABA","cep1" => "89920-000","cep2" => "89920-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4116,"uf" => "SC","descricao" => "GUARAMIRIM","cep1" => "89270-000","cep2" => "89270-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4117,"uf" => "SC","descricao" => "GUARUJA DO SUL","cep1" => "89940-000","cep2" => "89940-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4118,"uf" => "SC","descricao" => "GUATAMBU","cep1" => "89817-000","cep2" => "89817-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4119,"uf" => "SC","descricao" => "HERVAL DOESTE","cep1" => "89610-000","cep2" => "89612-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4120,"uf" => "SC","descricao" => "IBIAM","cep1" => "89652-000","cep2" => "89652-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4121,"uf" => "SC","descricao" => "IBICARE","cep1" => "89640-000","cep2" => "89640-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4122,"uf" => "SC","descricao" => "IBIRAMA","cep1" => "89143-000","cep2" => "89143-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4123,"uf" => "SC","descricao" => "IBIRAMA","cep1" => "89140-000","cep2" => "89140-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4124,"uf" => "SC","descricao" => "ICARA","cep1" => "88820-000","cep2" => "88820-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4125,"uf" => "SC","descricao" => "ILHOTA","cep1" => "88320-000","cep2" => "88320-999","roteirizacao" => "BNU","unidade" => "BNU02","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4126,"uf" => "SC","descricao" => "IMARUI","cep1" => "88770-000","cep2" => "88770-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4127,"uf" => "SC","descricao" => "IMBITUBA","cep1" => "88782-000","cep2" => "88782-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4128,"uf" => "SC","descricao" => "IMBITUBA","cep1" => "88780-000","cep2" => "88780-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4129,"uf" => "SC","descricao" => "IMBUIA","cep1" => "88440-000","cep2" => "88440-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4130,"uf" => "SC","descricao" => "INDAIAL","cep1" => "89080-000","cep2" => "89089-999","roteirizacao" => "BNU","unidade" => "BNU02","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4131,"uf" => "SC","descricao" => "IOMERE","cep1" => "89558-000","cep2" => "89558-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4132,"uf" => "SC","descricao" => "IPIRA","cep1" => "89669-000","cep2" => "89669-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4133,"uf" => "SC","descricao" => "IPORA DO OESTE","cep1" => "89899-000","cep2" => "89899-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4134,"uf" => "SC","descricao" => "IPUACU","cep1" => "89832-000","cep2" => "89832-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4135,"uf" => "SC","descricao" => "IPUMIRIM","cep1" => "89790-000","cep2" => "89790-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4136,"uf" => "SC","descricao" => "IRACEMINHA","cep1" => "89891-000","cep2" => "89891-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4137,"uf" => "SC","descricao" => "IRANI","cep1" => "89680-000","cep2" => "89680-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4138,"uf" => "SC","descricao" => "IRATI","cep1" => "89856-000","cep2" => "89856-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4139,"uf" => "SC","descricao" => "IRINEOPOLIS","cep1" => "89440-000","cep2" => "89440-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4140,"uf" => "SC","descricao" => "ITA","cep1" => "89760-000","cep2" => "89760-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4141,"uf" => "SC","descricao" => "ITAIOPOLIS","cep1" => "89340-000","cep2" => "89340-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4142,"uf" => "SC","descricao" => "ITAJAI","cep1" => "88300-001","cep2" => "88319-999","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4143,"uf" => "SC","descricao" => "ITAPEMA","cep1" => "88220-000","cep2" => "88220-999","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4144,"uf" => "SC","descricao" => "ITAPIRANGA","cep1" => "89896-000","cep2" => "89896-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4145,"uf" => "SC","descricao" => "ITAPOA","cep1" => "89249-000","cep2" => "89249-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4146,"uf" => "SC","descricao" => "ITUPORANGA","cep1" => "88400-000","cep2" => "88400-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4147,"uf" => "SC","descricao" => "JABORA","cep1" => "89677-000","cep2" => "89677-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4148,"uf" => "SC","descricao" => "JACINTO MACHADO","cep1" => "88950-000","cep2" => "88950-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4149,"uf" => "SC","descricao" => "JAGUARUNA","cep1" => "88715-000","cep2" => "88715-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4150,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89265-035","cep2" => "89266-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4151,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89267-000","cep2" => "89269-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4152,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89262-002","cep2" => "89263-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4153,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89264-000","cep2" => "89265-034","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4154,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89253-080","cep2" => "89253-129","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4155,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89253-130","cep2" => "89253-139","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4156,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89253-140","cep2" => "89253-739","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4157,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89253-740","cep2" => "89253-809","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4158,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89253-810","cep2" => "89253-819","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4159,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89253-820","cep2" => "89256-501","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4160,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89250-000","cep2" => "89253-079","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4161,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89256-502","cep2" => "89256-509","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4162,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89256-510","cep2" => "89256-569","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4163,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89256-570","cep2" => "89256-899","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4164,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89256-900","cep2" => "89256-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4165,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89257-000","cep2" => "89261-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4166,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89262-000","cep2" => "89262-000","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4167,"uf" => "SC","descricao" => "JARAGUA DO SUL","cep1" => "89262-001","cep2" => "89262-001","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4168,"uf" => "SC","descricao" => "JARDINOPOLIS","cep1" => "89848-000","cep2" => "89848-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4169,"uf" => "SC","descricao" => "JOACABA","cep1" => "89600-000","cep2" => "89600-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4170,"uf" => "SC","descricao" => "JOINVILLE","cep1" => "89201-001","cep2" => "89206-999","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4171,"uf" => "SC","descricao" => "JOINVILLE","cep1" => "89226-435","cep2" => "89226-435","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4172,"uf" => "SC","descricao" => "JOINVILLE","cep1" => "89236-000","cep2" => "89239-999","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4173,"uf" => "SC","descricao" => "JOINVILLE","cep1" => "89207-000","cep2" => "89212-999","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4174,"uf" => "SC","descricao" => "JOINVILLE","cep1" => "89229-000","cep2" => "89235-999","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4175,"uf" => "SC","descricao" => "JOINVILLE","cep1" => "89213-000","cep2" => "89226-434","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4176,"uf" => "SC","descricao" => "JOINVILLE","cep1" => "89226-436","cep2" => "89228-999","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4177,"uf" => "SC","descricao" => "JOSE BOITEUX","cep1" => "89145-000","cep2" => "89145-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4178,"uf" => "SC","descricao" => "JUPIA","cep1" => "89839-000","cep2" => "89839-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4179,"uf" => "SC","descricao" => "LACERDOPOLIS","cep1" => "89660-000","cep2" => "89660-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4180,"uf" => "SC","descricao" => "LAGES","cep1" => "88500-001","cep2" => "88531-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4181,"uf" => "SC","descricao" => "LAGUNA","cep1" => "88790-000","cep2" => "88790-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4182,"uf" => "SC","descricao" => "LAJEADO GRANDE","cep1" => "89828-000","cep2" => "89828-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4183,"uf" => "SC","descricao" => "LAURENTINO","cep1" => "89170-000","cep2" => "89170-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4184,"uf" => "SC","descricao" => "LAURO MULLER","cep1" => "88880-000","cep2" => "88880-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4185,"uf" => "SC","descricao" => "LAURO MULLER","cep1" => "88884-000","cep2" => "88884-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4186,"uf" => "SC","descricao" => "LEBON REGIS","cep1" => "89515-000","cep2" => "89515-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4187,"uf" => "SC","descricao" => "LEOBERTO LEAL","cep1" => "88445-000","cep2" => "88445-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4188,"uf" => "SC","descricao" => "LINDOIA DO SUL","cep1" => "89735-000","cep2" => "89735-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4189,"uf" => "SC","descricao" => "LONTRAS","cep1" => "89182-000","cep2" => "89182-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4190,"uf" => "SC","descricao" => "LUIZ ALVES","cep1" => "89128-000","cep2" => "89129-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4191,"uf" => "SC","descricao" => "LUZERNA","cep1" => "89609-000","cep2" => "89609-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4192,"uf" => "SC","descricao" => "MACIEIRA","cep1" => "89518-000","cep2" => "89518-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4193,"uf" => "SC","descricao" => "MAFRA","cep1" => "89300-000","cep2" => "89300-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4194,"uf" => "SC","descricao" => "MAJOR GERCINO","cep1" => "88260-000","cep2" => "88269-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4195,"uf" => "SC","descricao" => "MAJOR VIEIRA","cep1" => "89480-000","cep2" => "89480-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4196,"uf" => "SC","descricao" => "MARACAJA","cep1" => "88915-000","cep2" => "88915-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4197,"uf" => "SC","descricao" => "MARAVILHA","cep1" => "89874-000","cep2" => "89874-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4198,"uf" => "SC","descricao" => "MAREMA","cep1" => "89860-000","cep2" => "89860-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4199,"uf" => "SC","descricao" => "MASSARANDUBA","cep1" => "89108-000","cep2" => "89108-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4200,"uf" => "SC","descricao" => "MATOS COSTA","cep1" => "89420-000","cep2" => "89420-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4201,"uf" => "SC","descricao" => "MELEIRO","cep1" => "88920-000","cep2" => "88920-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4202,"uf" => "SC","descricao" => "MIRIM DOCE","cep1" => "89194-000","cep2" => "89194-000","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4203,"uf" => "SC","descricao" => "MODELO","cep1" => "89872-000","cep2" => "89872-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4204,"uf" => "SC","descricao" => "MONDAI","cep1" => "89893-000","cep2" => "89893-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4205,"uf" => "SC","descricao" => "MONTE CARLO","cep1" => "89618-000","cep2" => "89618-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4206,"uf" => "SC","descricao" => "MONTE CASTELO","cep1" => "89380-000","cep2" => "89380-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4207,"uf" => "SC","descricao" => "MORRO DA FUMACA","cep1" => "88830-000","cep2" => "88830-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4208,"uf" => "SC","descricao" => "MORRO GRANDE","cep1" => "88925-000","cep2" => "88925-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4209,"uf" => "SC","descricao" => "NAVEGANTES","cep1" => "88370-208","cep2" => "88370-208","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4210,"uf" => "SC","descricao" => "NAVEGANTES","cep1" => "88370-000","cep2" => "88370-207","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4211,"uf" => "SC","descricao" => "NAVEGANTES","cep1" => "88370-209","cep2" => "88379-999","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4212,"uf" => "SC","descricao" => "NOVA ERECHIM","cep1" => "89865-000","cep2" => "89865-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4213,"uf" => "SC","descricao" => "NOVA ITABERABA","cep1" => "89818-000","cep2" => "89818-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4214,"uf" => "SC","descricao" => "NOVA TRENTO","cep1" => "88275-001","cep2" => "88294-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4215,"uf" => "SC","descricao" => "NOVA TRENTO","cep1" => "88270-000","cep2" => "88274-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4216,"uf" => "SC","descricao" => "NOVA VENEZA","cep1" => "88865-000","cep2" => "88865-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4217,"uf" => "SC","descricao" => "NOVO HORIZONTE","cep1" => "89998-000","cep2" => "89998-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4218,"uf" => "SC","descricao" => "ORLEANS","cep1" => "88870-000","cep2" => "88870-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4219,"uf" => "SC","descricao" => "OTACILIO COSTA","cep1" => "88540-000","cep2" => "88540-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4220,"uf" => "SC","descricao" => "OURO","cep1" => "89663-000","cep2" => "89663-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4221,"uf" => "SC","descricao" => "OURO VERDE","cep1" => "89834-000","cep2" => "89834-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4222,"uf" => "SC","descricao" => "OURO VERDE","cep1" => "89923-000","cep2" => "89923-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4223,"uf" => "SC","descricao" => "PAIAL","cep1" => "89765-000","cep2" => "89765-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4224,"uf" => "SC","descricao" => "PAINEL","cep1" => "88543-000","cep2" => "88543-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4225,"uf" => "SC","descricao" => "PALHOCA","cep1" => "88130-000","cep2" => "88138-999","roteirizacao" => "PLH","unidade" => "PLH01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4226,"uf" => "SC","descricao" => "PALMA SOLA","cep1" => "89985-000","cep2" => "89985-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4227,"uf" => "SC","descricao" => "PALMEIRA","cep1" => "88545-000","cep2" => "88545-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4228,"uf" => "SC","descricao" => "PALMITOS","cep1" => "89887-000","cep2" => "89887-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4229,"uf" => "SC","descricao" => "PAPANDUVA","cep1" => "89370-000","cep2" => "89370-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4230,"uf" => "SC","descricao" => "PARAISO","cep1" => "89906-000","cep2" => "89906-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4231,"uf" => "SC","descricao" => "PASSO DE TORRES","cep1" => "88980-000","cep2" => "88980-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4232,"uf" => "SC","descricao" => "PASSOS MAIA","cep1" => "89687-000","cep2" => "89687-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4233,"uf" => "SC","descricao" => "PAULO LOPES","cep1" => "88490-000","cep2" => "88490-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4234,"uf" => "SC","descricao" => "PEDRAS GRANDES","cep1" => "88720-000","cep2" => "88720-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4235,"uf" => "SC","descricao" => "PENHA","cep1" => "88385-000","cep2" => "88385-999","roteirizacao" => "NVT","unidade" => "NVT","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4236,"uf" => "SC","descricao" => "PERITIBA","cep1" => "89750-000","cep2" => "89750-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4237,"uf" => "SC","descricao" => "PESCARIA BRAVA","cep1" => "88798-000","cep2" => "88799-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "3"],
            ["id" =>4238,"uf" => "SC","descricao" => "PETROLANDIA","cep1" => "88430-000","cep2" => "88430-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4239,"uf" => "SC","descricao" => "PINHALZINHO","cep1" => "89870-000","cep2" => "89870-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4240,"uf" => "SC","descricao" => "PINHEIRO PRETO","cep1" => "89570-000","cep2" => "89570-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4241,"uf" => "SC","descricao" => "PIRATUBA","cep1" => "89667-000","cep2" => "89667-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4242,"uf" => "SC","descricao" => "PLANALTO ALEGRE","cep1" => "89882-000","cep2" => "89882-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4243,"uf" => "SC","descricao" => "POMERODE","cep1" => "89107-000","cep2" => "89107-999","roteirizacao" => "BNU","unidade" => "BNU02","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4244,"uf" => "SC","descricao" => "PONTE ALTA","cep1" => "88550-000","cep2" => "88550-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4245,"uf" => "SC","descricao" => "PONTE ALTA DO NORTE","cep1" => "89535-000","cep2" => "89535-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4246,"uf" => "SC","descricao" => "PONTE SERRADA","cep1" => "89683-000","cep2" => "89683-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4247,"uf" => "SC","descricao" => "PORTO BELO","cep1" => "88210-000","cep2" => "88210-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4248,"uf" => "SC","descricao" => "PORTO UNIAO","cep1" => "89410-000","cep2" => "89410-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4249,"uf" => "SC","descricao" => "PORTO UNIAO","cep1" => "89400-000","cep2" => "89400-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4250,"uf" => "SC","descricao" => "POUSO REDONDO","cep1" => "89172-000","cep2" => "89172-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4251,"uf" => "SC","descricao" => "PRAIA GRANDE","cep1" => "88990-000","cep2" => "88990-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4252,"uf" => "SC","descricao" => "PRESIDENTE CASTELLO BRANCO","cep1" => "89745-000","cep2" => "89745-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4253,"uf" => "SC","descricao" => "PRESIDENTE GETULIO","cep1" => "89150-000","cep2" => "89150-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4254,"uf" => "SC","descricao" => "PRESIDENTE NEREU","cep1" => "89184-000","cep2" => "89184-000","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4255,"uf" => "SC","descricao" => "PRINCESA","cep1" => "89935-000","cep2" => "89935-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4256,"uf" => "SC","descricao" => "QUILOMBO","cep1" => "89850-000","cep2" => "89850-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4257,"uf" => "SC","descricao" => "RANCHO QUEIMADO","cep1" => "88470-000","cep2" => "88470-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4258,"uf" => "SC","descricao" => "RIO DAS ANTAS","cep1" => "89550-000","cep2" => "89550-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4259,"uf" => "SC","descricao" => "RIO DO CAMPO","cep1" => "89198-000","cep2" => "89198-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4260,"uf" => "SC","descricao" => "RIO DO OESTE","cep1" => "89180-000","cep2" => "89180-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4261,"uf" => "SC","descricao" => "RIO DO SUL","cep1" => "89160-000","cep2" => "89169-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4262,"uf" => "SC","descricao" => "RIO DOS CEDROS","cep1" => "89121-000","cep2" => "89121-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4263,"uf" => "SC","descricao" => "RIO FORTUNA","cep1" => "88760-000","cep2" => "88760-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4264,"uf" => "SC","descricao" => "RIO NEGRINHO","cep1" => "89295-000","cep2" => "89295-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4265,"uf" => "SC","descricao" => "RIO RUFINO","cep1" => "88658-000","cep2" => "88658-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4266,"uf" => "SC","descricao" => "RIQUEZA","cep1" => "89895-000","cep2" => "89895-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4267,"uf" => "SC","descricao" => "RODEIO","cep1" => "89136-000","cep2" => "89136-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4268,"uf" => "SC","descricao" => "ROMELANDIA","cep1" => "89908-000","cep2" => "89908-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4269,"uf" => "SC","descricao" => "SALETE","cep1" => "89196-000","cep2" => "89196-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4270,"uf" => "SC","descricao" => "SALTINHO","cep1" => "89981-000","cep2" => "89981-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4271,"uf" => "SC","descricao" => "SALTO VELOSO","cep1" => "89595-000","cep2" => "89595-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4272,"uf" => "SC","descricao" => "SANGAO","cep1" => "88717-000","cep2" => "88717-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4273,"uf" => "SC","descricao" => "SANTA CECILIA","cep1" => "89540-000","cep2" => "89540-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4274,"uf" => "SC","descricao" => "SANTA HELENA","cep1" => "89915-000","cep2" => "89915-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4275,"uf" => "SC","descricao" => "SANTA ROSA DE LIMA","cep1" => "88763-000","cep2" => "88763-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4276,"uf" => "SC","descricao" => "SANTA ROSA DO SUL","cep1" => "88965-000","cep2" => "88965-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4277,"uf" => "SC","descricao" => "SANTA TEREZINHA","cep1" => "89199-000","cep2" => "89199-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4278,"uf" => "SC","descricao" => "SANTA TEREZINHA DO PROGRESSO","cep1" => "89983-000","cep2" => "89983-000","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4279,"uf" => "SC","descricao" => "SANTIAGO DO SUL","cep1" => "89854-000","cep2" => "89854-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4280,"uf" => "SC","descricao" => "SANTO AMARO DA IMPERATRIZ","cep1" => "88140-000","cep2" => "88140-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4281,"uf" => "SC","descricao" => "SAO BENTO DO SUL","cep1" => "89280-001","cep2" => "89293-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4282,"uf" => "SC","descricao" => "SAO BERNARDINO","cep1" => "89982-000","cep2" => "89982-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4283,"uf" => "SC","descricao" => "SAO BONIFACIO","cep1" => "88485-000","cep2" => "88489-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4284,"uf" => "SC","descricao" => "SAO CARLOS","cep1" => "89885-000","cep2" => "89885-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4285,"uf" => "SC","descricao" => "SAO CRISTOVAO DO SUL","cep1" => "89533-000","cep2" => "89533-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4286,"uf" => "SC","descricao" => "SAO DOMINGOS","cep1" => "89835-000","cep2" => "89835-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4287,"uf" => "SC","descricao" => "SAO FRANCISCO DO SUL","cep1" => "89240-000","cep2" => "89240-999","roteirizacao" => "JOI","unidade" => "JOI","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4288,"uf" => "SC","descricao" => "SAO JOAO BATISTA","cep1" => "88240-000","cep2" => "88244-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4289,"uf" => "SC","descricao" => "SAO JOAO BATISTA","cep1" => "88245-971","cep2" => "88259-999","roteirizacao" => "QJM","unidade" => "QJM01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4290,"uf" => "SC","descricao" => "SAO JOAO DO ITAPERIU","cep1" => "88395-000","cep2" => "88395-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4291,"uf" => "SC","descricao" => "SAO JOAO DO OESTE","cep1" => "89897-000","cep2" => "89897-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4292,"uf" => "SC","descricao" => "SAO JOAO DO SUL","cep1" => "88970-000","cep2" => "88970-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4293,"uf" => "SC","descricao" => "SAO JOAQUIM","cep1" => "88600-000","cep2" => "88624-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4294,"uf" => "SC","descricao" => "SAO JOSE","cep1" => "88100-001","cep2" => "88124-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4295,"uf" => "SC","descricao" => "SAO JOSE DO CEDRO","cep1" => "89930-000","cep2" => "89930-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4296,"uf" => "SC","descricao" => "SAO JOSE DO CERRITO","cep1" => "88570-000","cep2" => "88570-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4297,"uf" => "SC","descricao" => "SAO LOURENCO DO OESTE","cep1" => "89990-000","cep2" => "89990-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4298,"uf" => "SC","descricao" => "SAO LUDGERO","cep1" => "88730-000","cep2" => "88730-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4299,"uf" => "SC","descricao" => "SAO MARTINHO","cep1" => "88765-000","cep2" => "88765-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4300,"uf" => "SC","descricao" => "SAO MIGUEL DA BOA VISTA","cep1" => "89879-000","cep2" => "89879-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4301,"uf" => "SC","descricao" => "SAO MIGUEL DO OESTE","cep1" => "89900-000","cep2" => "89900-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4302,"uf" => "SC","descricao" => "SAO PEDRO DE ALCANTARA","cep1" => "88125-000","cep2" => "88125-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4303,"uf" => "SC","descricao" => "SAUDADES","cep1" => "89868-000","cep2" => "89868-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4304,"uf" => "SC","descricao" => "SCHROEDER","cep1" => "89275-000","cep2" => "89275-999","roteirizacao" => "QJA","unidade" => "QJA03","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4305,"uf" => "SC","descricao" => "SEARA","cep1" => "89770-000","cep2" => "89770-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4306,"uf" => "SC","descricao" => "SERRA ALTA","cep1" => "89871-000","cep2" => "89871-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4307,"uf" => "SC","descricao" => "SIDEROPOLIS","cep1" => "88860-000","cep2" => "88860-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4308,"uf" => "SC","descricao" => "SOMBRIO","cep1" => "88960-000","cep2" => "88960-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4309,"uf" => "SC","descricao" => "SUL BRASIL","cep1" => "89855-000","cep2" => "89855-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4310,"uf" => "SC","descricao" => "TAIO","cep1" => "89190-000","cep2" => "89190-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4311,"uf" => "SC","descricao" => "TANGARA","cep1" => "89642-000","cep2" => "89642-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4312,"uf" => "SC","descricao" => "TIGRINHOS","cep1" => "89875-000","cep2" => "89875-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4313,"uf" => "SC","descricao" => "TIJUCAS","cep1" => "88200-000","cep2" => "88200-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4314,"uf" => "SC","descricao" => "TIMBE DO SUL","cep1" => "88940-000","cep2" => "88940-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4315,"uf" => "SC","descricao" => "TIMBO","cep1" => "89120-000","cep2" => "89120-999","roteirizacao" => "BNU","unidade" => "BNU02","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4316,"uf" => "SC","descricao" => "TIMBO GRANDE","cep1" => "89545-000","cep2" => "89545-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4317,"uf" => "SC","descricao" => "TRES BARRAS","cep1" => "89490-000","cep2" => "89490-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4318,"uf" => "SC","descricao" => "TREVISO","cep1" => "88862-000","cep2" => "88862-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4319,"uf" => "SC","descricao" => "TREZE DE MAIO","cep1" => "88710-000","cep2" => "88710-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4320,"uf" => "SC","descricao" => "TREZE TILIAS","cep1" => "89650-000","cep2" => "89650-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4321,"uf" => "SC","descricao" => "TROMBUDO CENTRAL","cep1" => "89176-000","cep2" => "89176-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4322,"uf" => "SC","descricao" => "TUBARAO","cep1" => "88700-001","cep2" => "88709-999","roteirizacao" => "QTB","unidade" => "QTB01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4323,"uf" => "SC","descricao" => "TUNAPOLIS","cep1" => "89898-000","cep2" => "89898-999","roteirizacao" => "XAP","unidade" => "XAP01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4324,"uf" => "SC","descricao" => "TURVO","cep1" => "88930-000","cep2" => "88930-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4325,"uf" => "SC","descricao" => "TURVO","cep1" => "88934-000","cep2" => "88934-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4326,"uf" => "SC","descricao" => "UNIAO DO OESTE","cep1" => "89845-000","cep2" => "89845-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4327,"uf" => "SC","descricao" => "URUBICI","cep1" => "88650-000","cep2" => "88657-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4328,"uf" => "SC","descricao" => "URUPEMA","cep1" => "88625-000","cep2" => "88625-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4329,"uf" => "SC","descricao" => "URUSSANGA","cep1" => "88840-000","cep2" => "88840-999","roteirizacao" => "JJG","unidade" => "JJG","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4330,"uf" => "SC","descricao" => "VARGEAO","cep1" => "89690-000","cep2" => "89690-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4331,"uf" => "SC","descricao" => "VARGEM","cep1" => "89638-000","cep2" => "89638-999","roteirizacao" => "FLN","unidade" => "FLN01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4332,"uf" => "SC","descricao" => "VARGEM BONITA","cep1" => "89675-000","cep2" => "89675-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4333,"uf" => "SC","descricao" => "VIDAL RAMOS","cep1" => "88443-000","cep2" => "88443-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4334,"uf" => "SC","descricao" => "VIDEIRA","cep1" => "89560-000","cep2" => "89560-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4335,"uf" => "SC","descricao" => "VITOR MEIRELES","cep1" => "89148-000","cep2" => "89148-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4336,"uf" => "SC","descricao" => "WITMARSUM","cep1" => "89157-000","cep2" => "89157-999","roteirizacao" => "QJH","unidade" => "QJH01","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4337,"uf" => "SC","descricao" => "XANXERE","cep1" => "89820-000","cep2" => "89820-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4338,"uf" => "SC","descricao" => "XAVANTINA","cep1" => "89780-000","cep2" => "89780-999","roteirizacao" => "FLN","unidade" => "FLN","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4339,"uf" => "SC","descricao" => "XAXIM","cep1" => "89825-000","cep2" => "89825-999","roteirizacao" => "XAP","unidade" => "XAP","tabela" => 5,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4340,"uf" => "SC","descricao" => "ZORTEA","cep1" => "89633-000","cep2" => "89633-999","roteirizacao" => "CCI","unidade" => "CCI01","tabela" => 5,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4341,"uf" => "SE","descricao" => "AMPARO DE SAO FRANCISCO","cep1" => "49920-000","cep2" => "49920-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4342,"uf" => "SE","descricao" => "AQUIDABA","cep1" => "49790-000","cep2" => "49790-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4343,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49010-000","cep2" => "49019-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4344,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49000-000","cep2" => "49098-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4345,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49040-000","cep2" => "49049-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4346,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49020-000","cep2" => "49029-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4347,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49070-000","cep2" => "49079-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4348,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49050-000","cep2" => "49059-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4349,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49080-000","cep2" => "49089-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4350,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49060-000","cep2" => "49069-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4351,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49037-580","cep2" => "49037-580","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4352,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49030-000","cep2" => "49037-579","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4353,"uf" => "SE","descricao" => "ARACAJU","cep1" => "49037-581","cep2" => "49039-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4354,"uf" => "SE","descricao" => "ARAUA","cep1" => "49220-000","cep2" => "49220-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4355,"uf" => "SE","descricao" => "AREIA BRANCA","cep1" => "49099-000","cep2" => "49099-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4356,"uf" => "SE","descricao" => "AREIA BRANCA","cep1" => "49580-000","cep2" => "49580-000","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4357,"uf" => "SE","descricao" => "BARRA DOS COQUEIROS","cep1" => "49140-000","cep2" => "49140-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4358,"uf" => "SE","descricao" => "BOQUIM","cep1" => "49360-000","cep2" => "49360-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4359,"uf" => "SE","descricao" => "BREJO GRANDE","cep1" => "49995-000","cep2" => "49995-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4360,"uf" => "SE","descricao" => "CAMPO DO BRITO","cep1" => "49520-000","cep2" => "49520-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4361,"uf" => "SE","descricao" => "CANHOBA","cep1" => "49880-000","cep2" => "49880-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4362,"uf" => "SE","descricao" => "CANINDE DE SAO FRANCISCO","cep1" => "49820-000","cep2" => "49820-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4363,"uf" => "SE","descricao" => "CAPELA","cep1" => "49700-000","cep2" => "49700-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4364,"uf" => "SE","descricao" => "CARIRA","cep1" => "49550-000","cep2" => "49550-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4365,"uf" => "SE","descricao" => "CARMOPOLIS","cep1" => "49740-000","cep2" => "49740-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4366,"uf" => "SE","descricao" => "CEDRO DE SAO JOAO","cep1" => "49930-000","cep2" => "49930-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4367,"uf" => "SE","descricao" => "CRISTINAPOLIS","cep1" => "49270-000","cep2" => "49270-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4368,"uf" => "SE","descricao" => "CUMBE","cep1" => "49660-000","cep2" => "49660-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4369,"uf" => "SE","descricao" => "DIVINA PASTORA","cep1" => "49650-000","cep2" => "49650-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4370,"uf" => "SE","descricao" => "ESTANCIA","cep1" => "49200-000","cep2" => "49200-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4371,"uf" => "SE","descricao" => "FEIRA NOVA","cep1" => "49670-000","cep2" => "49670-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4372,"uf" => "SE","descricao" => "FREI PAULO","cep1" => "49514-000","cep2" => "49514-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4373,"uf" => "SE","descricao" => "GARARU","cep1" => "49830-000","cep2" => "49830-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4374,"uf" => "SE","descricao" => "GENERAL MAYNARD","cep1" => "49750-000","cep2" => "49750-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4375,"uf" => "SE","descricao" => "GRACCHO CARDOSO","cep1" => "49860-000","cep2" => "49860-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4376,"uf" => "SE","descricao" => "ILHA DAS FLORES","cep1" => "49990-000","cep2" => "49990-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4377,"uf" => "SE","descricao" => "INDIAROBA","cep1" => "49250-000","cep2" => "49250-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4378,"uf" => "SE","descricao" => "ITABAIANA","cep1" => "49500-000","cep2" => "49511-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4379,"uf" => "SE","descricao" => "ITABAIANINHA","cep1" => "49290-000","cep2" => "49290-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4380,"uf" => "SE","descricao" => "ITABI","cep1" => "49870-000","cep2" => "49870-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4381,"uf" => "SE","descricao" => "ITAPORANGA DAJUDA","cep1" => "49120-000","cep2" => "49120-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4382,"uf" => "SE","descricao" => "JAPARATUBA","cep1" => "49960-000","cep2" => "49960-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4383,"uf" => "SE","descricao" => "JAPOATA","cep1" => "49950-000","cep2" => "49950-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4384,"uf" => "SE","descricao" => "LAGARTO","cep1" => "49400-000","cep2" => "49400-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4385,"uf" => "SE","descricao" => "LARANJEIRAS","cep1" => "49170-000","cep2" => "49170-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4386,"uf" => "SE","descricao" => "MACAMBIRA","cep1" => "49565-000","cep2" => "49565-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4387,"uf" => "SE","descricao" => "MALHADA DOS BOIS","cep1" => "49940-000","cep2" => "49940-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4388,"uf" => "SE","descricao" => "MALHADOR","cep1" => "49570-000","cep2" => "49570-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4389,"uf" => "SE","descricao" => "MARUIM","cep1" => "49770-000","cep2" => "49770-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4390,"uf" => "SE","descricao" => "MOITA BONITA","cep1" => "49560-000","cep2" => "49560-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4391,"uf" => "SE","descricao" => "MONTE ALEGRE DE SERGIPE","cep1" => "49690-000","cep2" => "49690-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4392,"uf" => "SE","descricao" => "MURIBECA","cep1" => "49780-000","cep2" => "49780-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4393,"uf" => "SE","descricao" => "NEOPOLIS","cep1" => "49980-000","cep2" => "49980-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4394,"uf" => "SE","descricao" => "NOSSA SENHORA APARECIDA","cep1" => "49540-000","cep2" => "49540-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4395,"uf" => "SE","descricao" => "NOSSA SENHORA DA GLORIA","cep1" => "49680-000","cep2" => "49680-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4396,"uf" => "SE","descricao" => "NOSSA SENHORA DAS DORES","cep1" => "49600-000","cep2" => "49600-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4397,"uf" => "SE","descricao" => "NOSSA SENHORA DE LOURDES","cep1" => "49890-000","cep2" => "49890-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4398,"uf" => "SE","descricao" => "NOSSA SENHORA DO SOCORRO","cep1" => "49160-000","cep2" => "49160-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4399,"uf" => "SE","descricao" => "PACATUBA","cep1" => "49970-000","cep2" => "49970-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4400,"uf" => "SE","descricao" => "PEDRA MOLE","cep1" => "49512-000","cep2" => "49512-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4401,"uf" => "SE","descricao" => "PEDRINHAS","cep1" => "49350-000","cep2" => "49350-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4402,"uf" => "SE","descricao" => "PINHAO","cep1" => "49517-000","cep2" => "49517-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4403,"uf" => "SE","descricao" => "PIRAMBU","cep1" => "49190-000","cep2" => "49190-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4404,"uf" => "SE","descricao" => "POCO REDONDO","cep1" => "49810-000","cep2" => "49810-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4405,"uf" => "SE","descricao" => "POCO VERDE","cep1" => "49490-000","cep2" => "49490-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4406,"uf" => "SE","descricao" => "PORTO DA FOLHA","cep1" => "49800-000","cep2" => "49800-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4407,"uf" => "SE","descricao" => "PROPRIA","cep1" => "49900-000","cep2" => "49900-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4408,"uf" => "SE","descricao" => "RIACHAO DO DANTAS","cep1" => "49320-000","cep2" => "49320-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4409,"uf" => "SE","descricao" => "RIACHUELO","cep1" => "49130-000","cep2" => "49130-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4410,"uf" => "SE","descricao" => "RIBEIROPOLIS","cep1" => "49530-000","cep2" => "49530-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4411,"uf" => "SE","descricao" => "ROSARIO DO CATETE","cep1" => "49760-000","cep2" => "49760-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4412,"uf" => "SE","descricao" => "SALGADO","cep1" => "49390-000","cep2" => "49390-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4413,"uf" => "SE","descricao" => "SANTA LUZIA DO ITANHY","cep1" => "49230-000","cep2" => "49230-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4414,"uf" => "SE","descricao" => "SANTA ROSA DE LIMA","cep1" => "49640-000","cep2" => "49640-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4415,"uf" => "SE","descricao" => "SANTO AMARO DAS BROTAS","cep1" => "49180-000","cep2" => "49180-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4416,"uf" => "SE","descricao" => "SAO CRISTOVAO","cep1" => "49100-000","cep2" => "49100-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4417,"uf" => "SE","descricao" => "SAO DOMINGOS","cep1" => "49525-000","cep2" => "49525-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4418,"uf" => "SE","descricao" => "SAO FRANCISCO","cep1" => "49945-000","cep2" => "49945-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4419,"uf" => "SE","descricao" => "SAO MIGUEL DO ALEIXO","cep1" => "49535-000","cep2" => "49535-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4420,"uf" => "SE","descricao" => "SIMAO DIAS","cep1" => "49480-000","cep2" => "49480-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4421,"uf" => "SE","descricao" => "SIRIRI","cep1" => "49630-000","cep2" => "49630-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4422,"uf" => "SE","descricao" => "TELHA","cep1" => "49910-000","cep2" => "49910-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4423,"uf" => "SE","descricao" => "TOBIAS BARRETO","cep1" => "49300-000","cep2" => "49300-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4424,"uf" => "SE","descricao" => "TOMAR DO GERU","cep1" => "49280-000","cep2" => "49280-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4425,"uf" => "SE","descricao" => "UMBAUBA","cep1" => "49260-000","cep2" => "49260-999","roteirizacao" => "AJU","unidade" => "AJU","tabela" => 15,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4426,"uf" => "SP","descricao" => "ADAMANTINA","cep1" => "17800-000","cep2" => "17800-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4427,"uf" => "SP","descricao" => "ADOLFO","cep1" => "15230-000","cep2" => "15230-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4428,"uf" => "SP","descricao" => "AGUAI","cep1" => "13860-001","cep2" => "13869-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4429,"uf" => "SP","descricao" => "AGUAS DA PRATA","cep1" => "13890-000","cep2" => "13899-999","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4430,"uf" => "SP","descricao" => "AGUAS DE LINDOIA","cep1" => "13940-000","cep2" => "13949-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4431,"uf" => "SP","descricao" => "AGUAS DE SANTA BARBARA","cep1" => "18770-000","cep2" => "18774-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4432,"uf" => "SP","descricao" => "AGUAS DE SAO PEDRO","cep1" => "13528-001","cep2" => "13529-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4433,"uf" => "SP","descricao" => "AGUDOS","cep1" => "17120-000","cep2" => "17120-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4434,"uf" => "SP","descricao" => "ALAMBARI","cep1" => "18220-000","cep2" => "18224-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4435,"uf" => "SP","descricao" => "ALFREDO MARCONDES","cep1" => "19180-000","cep2" => "19180-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4436,"uf" => "SP","descricao" => "ALTAIR","cep1" => "15430-000","cep2" => "15430-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4437,"uf" => "SP","descricao" => "ALTINOPOLIS","cep1" => "14350-000","cep2" => "14350-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4438,"uf" => "SP","descricao" => "ALTO ALEGRE","cep1" => "16310-000","cep2" => "16310-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4439,"uf" => "SP","descricao" => "ALUMINIO","cep1" => "18125-000","cep2" => "18125-999","roteirizacao" => "SOD","unidade" => "SOD02","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4440,"uf" => "SP","descricao" => "ALVARES FLORENCE","cep1" => "15540-000","cep2" => "15540-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4441,"uf" => "SP","descricao" => "ALVARES MACHADO","cep1" => "19160-000","cep2" => "19160-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4442,"uf" => "SP","descricao" => "ALVARO DE CARVALHO","cep1" => "17410-000","cep2" => "17410-999","roteirizacao" => "GAR","unidade" => "GAR01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4443,"uf" => "SP","descricao" => "ALVINLANDIA","cep1" => "17430-000","cep2" => "17430-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4444,"uf" => "SP","descricao" => "AMERICANA","cep1" => "13465-000","cep2" => "13479-999","roteirizacao" => "QWJ","unidade" => "QWJ01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4445,"uf" => "SP","descricao" => "AMERICO BRASILIENSE","cep1" => "14820-000","cep2" => "14824-999","roteirizacao" => "AQA","unidade" => "AQA","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4446,"uf" => "SP","descricao" => "AMERICO DE CAMPOS","cep1" => "15550-000","cep2" => "15550-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4447,"uf" => "SP","descricao" => "AMPARO","cep1" => "13900-001","cep2" => "13909-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4448,"uf" => "SP","descricao" => "ANALANDIA","cep1" => "13550-000","cep2" => "13559-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4449,"uf" => "SP","descricao" => "ANDRADINA","cep1" => "16900-000","cep2" => "16914-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4450,"uf" => "SP","descricao" => "ANGATUBA","cep1" => "18240-000","cep2" => "18244-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4451,"uf" => "SP","descricao" => "ANHEMBI","cep1" => "18630-001","cep2" => "18639-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4452,"uf" => "SP","descricao" => "ANHUMAS","cep1" => "19580-000","cep2" => "19589-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4453,"uf" => "SP","descricao" => "APARECIDA","cep1" => "12570-000","cep2" => "12570-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4454,"uf" => "SP","descricao" => "APARECIDA DOESTE","cep1" => "15735-000","cep2" => "15735-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4455,"uf" => "SP","descricao" => "APIAI","cep1" => "18320-000","cep2" => "18324-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4456,"uf" => "SP","descricao" => "ARACARIGUAMA","cep1" => "18147-000","cep2" => "18149-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4457,"uf" => "SP","descricao" => "ARACATUBA","cep1" => "16000-000","cep2" => "16129-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4458,"uf" => "SP","descricao" => "ARACOIABA DA SERRA","cep1" => "18190-000","cep2" => "18194-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4459,"uf" => "SP","descricao" => "ARAMINA","cep1" => "14550-000","cep2" => "14569-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4460,"uf" => "SP","descricao" => "ARANDU","cep1" => "18710-001","cep2" => "18719-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4461,"uf" => "SP","descricao" => "ARAPEI","cep1" => "12870-000","cep2" => "12899-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4462,"uf" => "SP","descricao" => "ARARAQUARA","cep1" => "14800-001","cep2" => "14812-999","roteirizacao" => "AQA","unidade" => "AQA","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4463,"uf" => "SP","descricao" => "ARARAS","cep1" => "13600-000","cep2" => "13609-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4464,"uf" => "SP","descricao" => "ARCO IRIS","cep1" => "17630-000","cep2" => "17630-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4465,"uf" => "SP","descricao" => "AREALVA","cep1" => "17160-000","cep2" => "17160-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4466,"uf" => "SP","descricao" => "AREIAS","cep1" => "12820-000","cep2" => "12829-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4467,"uf" => "SP","descricao" => "AREIOPOLIS","cep1" => "18670-000","cep2" => "18670-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4468,"uf" => "SP","descricao" => "ARIRANHA","cep1" => "15960-000","cep2" => "15960-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4469,"uf" => "SP","descricao" => "ARTUR NOGUEIRA","cep1" => "13160-001","cep2" => "13169-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4470,"uf" => "SP","descricao" => "ARUJA","cep1" => "07400-001","cep2" => "07499-999","roteirizacao" => "GRU","unidade" => "GRU04","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4471,"uf" => "SP","descricao" => "ASPASIA","cep1" => "15763-000","cep2" => "15763-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4472,"uf" => "SP","descricao" => "ASSIS","cep1" => "19800-001","cep2" => "19819-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4473,"uf" => "SP","descricao" => "ATIBAIA","cep1" => "12940-000","cep2" => "12954-999","roteirizacao" => "ZBW","unidade" => "ZBW01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4474,"uf" => "SP","descricao" => "AURIFLAMA","cep1" => "15350-000","cep2" => "15350-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4475,"uf" => "SP","descricao" => "AVAI","cep1" => "16680-000","cep2" => "16680-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4476,"uf" => "SP","descricao" => "AVANHANDAVA","cep1" => "16360-000","cep2" => "16360-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4477,"uf" => "SP","descricao" => "AVARE","cep1" => "18700-000","cep2" => "18709-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4478,"uf" => "SP","descricao" => "BADY BASSITT","cep1" => "15115-000","cep2" => "15115-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4479,"uf" => "SP","descricao" => "BALBINOS","cep1" => "16640-001","cep2" => "16649-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4480,"uf" => "SP","descricao" => "BALSAMO","cep1" => "15140-000","cep2" => "15140-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4481,"uf" => "SP","descricao" => "BANANAL","cep1" => "12850-000","cep2" => "12869-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4482,"uf" => "SP","descricao" => "BARAO DE ANTONINA","cep1" => "18490-000","cep2" => "18490-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4483,"uf" => "SP","descricao" => "BARBOSA","cep1" => "16350-000","cep2" => "16350-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4484,"uf" => "SP","descricao" => "BARIRI","cep1" => "17250-000","cep2" => "17250-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4485,"uf" => "SP","descricao" => "BARRA BONITA","cep1" => "17340-000","cep2" => "17349-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4486,"uf" => "SP","descricao" => "BARRA DO CHAPEU","cep1" => "18325-000","cep2" => "18329-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4487,"uf" => "SP","descricao" => "BARRA DO TURVO","cep1" => "11955-000","cep2" => "11959-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4488,"uf" => "SP","descricao" => "BARRETOS","cep1" => "14780-000","cep2" => "14787-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4489,"uf" => "SP","descricao" => "BARRINHA","cep1" => "14860-000","cep2" => "14860-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4490,"uf" => "SP","descricao" => "BARUERI","cep1" => "06400-001","cep2" => "06499-999","roteirizacao" => "BQR","unidade" => "BQR01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4491,"uf" => "SP","descricao" => "BASTOS","cep1" => "17690-000","cep2" => "17690-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4492,"uf" => "SP","descricao" => "BATATAIS","cep1" => "14300-000","cep2" => "14300-999","roteirizacao" => "FRC","unidade" => "FRC01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4493,"uf" => "SP","descricao" => "BAURU","cep1" => "17000-000","cep2" => "17035-499","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4494,"uf" => "SP","descricao" => "BAURU","cep1" => "17035-501","cep2" => "17109-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4495,"uf" => "SP","descricao" => "BEBEDOURO","cep1" => "14700-000","cep2" => "14718-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4496,"uf" => "SP","descricao" => "BENTO DE ABREU","cep1" => "16790-000","cep2" => "16799-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4497,"uf" => "SP","descricao" => "BERNARDINO DE CAMPOS","cep1" => "18960-000","cep2" => "18969-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4498,"uf" => "SP","descricao" => "BERTIOGA","cep1" => "11250-000","cep2" => "11299-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4499,"uf" => "SP","descricao" => "BILAC","cep1" => "16210-000","cep2" => "16210-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4500,"uf" => "SP","descricao" => "BIRIGUI","cep1" => "16200-000","cep2" => "16209-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4501,"uf" => "SP","descricao" => "BIRITIBA MIRIM","cep1" => "08940-000","cep2" => "08969-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4502,"uf" => "SP","descricao" => "BOA ESPERANCA DO SUL","cep1" => "14930-000","cep2" => "14934-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4503,"uf" => "SP","descricao" => "BOCAINA","cep1" => "17240-000","cep2" => "17240-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4504,"uf" => "SP","descricao" => "BOFETE","cep1" => "18590-000","cep2" => "18590-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4505,"uf" => "SP","descricao" => "BOITUVA","cep1" => "18550-000","cep2" => "18550-999","roteirizacao" => "QJD","unidade" => "QJD01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4506,"uf" => "SP","descricao" => "BOM JESUS DOS PERDOES","cep1" => "12955-000","cep2" => "12955-000","roteirizacao" => "ZBW","unidade" => "ZBW01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4507,"uf" => "SP","descricao" => "BOM SUCESSO DE ITARARE","cep1" => "18475-000","cep2" => "18479-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4508,"uf" => "SP","descricao" => "BORA","cep1" => "19740-000","cep2" => "19749-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4509,"uf" => "SP","descricao" => "BORACEIA","cep1" => "17270-000","cep2" => "17270-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4510,"uf" => "SP","descricao" => "BORBOREMA","cep1" => "14955-000","cep2" => "14959-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4511,"uf" => "SP","descricao" => "BOREBI","cep1" => "18675-000","cep2" => "18679-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4512,"uf" => "SP","descricao" => "BOTUCATU","cep1" => "18600-001","cep2" => "18619-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4513,"uf" => "SP","descricao" => "BRAGANCA PAULISTA","cep1" => "12900-000","cep2" => "12929-999","roteirizacao" => "ZBW","unidade" => "ZBW01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4514,"uf" => "SP","descricao" => "BRAUNA","cep1" => "16290-000","cep2" => "16290-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4515,"uf" => "SP","descricao" => "BREJO ALEGRE","cep1" => "16265-000","cep2" => "16265-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4516,"uf" => "SP","descricao" => "BRODOWSKI","cep1" => "14340-000","cep2" => "14340-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4517,"uf" => "SP","descricao" => "BROTAS","cep1" => "17380-000","cep2" => "17399-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4518,"uf" => "SP","descricao" => "BURI","cep1" => "18290-000","cep2" => "18299-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4519,"uf" => "SP","descricao" => "BURITAMA","cep1" => "15290-000","cep2" => "15290-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4520,"uf" => "SP","descricao" => "BURITIZAL","cep1" => "14570-000","cep2" => "14579-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4521,"uf" => "SP","descricao" => "CABRALIA PAULISTA","cep1" => "17480-000","cep2" => "17480-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4522,"uf" => "SP","descricao" => "CABREUVA","cep1" => "13315-000","cep2" => "13319-999","roteirizacao" => "ITU","unidade" => "ITU02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4523,"uf" => "SP","descricao" => "CACAPAVA","cep1" => "12280-002","cep2" => "12299-999","roteirizacao" => "SJK","unidade" => "SJK","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4524,"uf" => "SP","descricao" => "CACHOEIRA PAULISTA","cep1" => "12630-000","cep2" => "12630-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4525,"uf" => "SP","descricao" => "CACONDE","cep1" => "13770-000","cep2" => "13779-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4526,"uf" => "SP","descricao" => "CAFELANDIA","cep1" => "16500-001","cep2" => "16529-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4527,"uf" => "SP","descricao" => "CAIABU","cep1" => "19530-000","cep2" => "19530-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4528,"uf" => "SP","descricao" => "CAIEIRAS","cep1" => "07700-001","cep2" => "07749-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4529,"uf" => "SP","descricao" => "CAIUA","cep1" => "19450-000","cep2" => "19450-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4530,"uf" => "SP","descricao" => "CAJAMAR","cep1" => "07750-001","cep2" => "07799-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4531,"uf" => "SP","descricao" => "CAJATI","cep1" => "11950-000","cep2" => "11954-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4532,"uf" => "SP","descricao" => "CAJOBI","cep1" => "15410-000","cep2" => "15410-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4533,"uf" => "SP","descricao" => "CAJURU","cep1" => "14240-000","cep2" => "14240-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4534,"uf" => "SP","descricao" => "CAMPINA DO MONTE ALEGRE","cep1" => "18245-000","cep2" => "18249-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4535,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13052-036","cep2" => "13052-999","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4536,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13051-216","cep2" => "13051-499","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4537,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13054-792","cep2" => "13054-999","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4538,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13100-397","cep2" => "13101-349","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4539,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13101-363","cep2" => "13104-900","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4540,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13054-000","cep2" => "13054-764","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4541,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13082-166","cep2" => "13082-179","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4542,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13000-000","cep2" => "13049-000","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4543,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13049-140","cep2" => "13050-999","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4544,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13051-100","cep2" => "13051-204","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4545,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13051-503","cep2" => "13052-034","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4546,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13109-000","cep2" => "13139-999","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4547,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13100-000","cep2" => "13100-149","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4548,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13086-000","cep2" => "13091-199","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4549,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13091-218","cep2" => "13092-505","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4550,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13092-560","cep2" => "13098-499","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4551,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13104-903","cep2" => "13107-999","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4552,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13082-136","cep2" => "13082-137","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4553,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13055-000","cep2" => "13055-999","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4554,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13069-097","cep2" => "13082-054","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4555,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13082-901","cep2" => "13085-749","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4556,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13082-056","cep2" => "13082-074","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4557,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13060-000","cep2" => "13069-074","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4558,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13082-750","cep2" => "13082-764","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4559,"uf" => "SP","descricao" => "CAMPINAS","cep1" => "13082-765","cep2" => "13082-780","roteirizacao" => "ROD","unidade" => "RODT1","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4560,"uf" => "SP","descricao" => "CAMPO GRANDE (DISTRITO)","cep1" => "13058-009","cep2" => "13058-009","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4561,"uf" => "SP","descricao" => "CAMPO LIMPO PAULISTA","cep1" => "13230-000","cep2" => "13239-999","roteirizacao" => "QDV","unidade" => "QDV01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4562,"uf" => "SP","descricao" => "CAMPOS DO JORDAO","cep1" => "12460-000","cep2" => "12460-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4563,"uf" => "SP","descricao" => "CAMPOS NOVOS PAULISTA","cep1" => "19960-000","cep2" => "19969-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4564,"uf" => "SP","descricao" => "CANANEIA","cep1" => "11990-000","cep2" => "11999-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4565,"uf" => "SP","descricao" => "CANAS","cep1" => "12615-000","cep2" => "12619-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4566,"uf" => "SP","descricao" => "CANDIDO MOTA","cep1" => "19880-000","cep2" => "19899-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4567,"uf" => "SP","descricao" => "CANDIDO RODRIGUES","cep1" => "15930-000","cep2" => "15930-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4568,"uf" => "SP","descricao" => "CANITAR","cep1" => "18990-001","cep2" => "18994-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4569,"uf" => "SP","descricao" => "CAPAO BONITO","cep1" => "18300-001","cep2" => "18308-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4570,"uf" => "SP","descricao" => "CAPELA DO ALTO","cep1" => "18195-000","cep2" => "18199-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4571,"uf" => "SP","descricao" => "CAPIVARI","cep1" => "13360-000","cep2" => "13360-999","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4572,"uf" => "SP","descricao" => "CARAGUATATUBA","cep1" => "11660-001","cep2" => "11679-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4573,"uf" => "SP","descricao" => "CARAPICUIBA","cep1" => "06300-001","cep2" => "06399-999","roteirizacao" => "QOC","unidade" => "QOC03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4574,"uf" => "SP","descricao" => "CARDOSO","cep1" => "15570-000","cep2" => "15570-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4575,"uf" => "SP","descricao" => "CASA BRANCA","cep1" => "13700-000","cep2" => "13700-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4576,"uf" => "SP","descricao" => "CASSIA DOS COQUEIROS","cep1" => "14260-000","cep2" => "14260-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4577,"uf" => "SP","descricao" => "CASTILHO","cep1" => "16920-000","cep2" => "16939-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4578,"uf" => "SP","descricao" => "CATANDUVA","cep1" => "15800-000","cep2" => "15819-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4579,"uf" => "SP","descricao" => "CATIGUA","cep1" => "15870-000","cep2" => "15870-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4580,"uf" => "SP","descricao" => "CEDRAL","cep1" => "15895-000","cep2" => "15895-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4581,"uf" => "SP","descricao" => "CERQUEIRA CESAR","cep1" => "18760-000","cep2" => "18769-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4582,"uf" => "SP","descricao" => "CERQUILHO","cep1" => "18520-000","cep2" => "18520-999","roteirizacao" => "QJD","unidade" => "QJD01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4583,"uf" => "SP","descricao" => "CESARIO LANGE","cep1" => "18285-000","cep2" => "18289-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4584,"uf" => "SP","descricao" => "CHARQUEADA","cep1" => "13515-001","cep2" => "13519-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4585,"uf" => "SP","descricao" => "CHAVANTES","cep1" => "18970-000","cep2" => "18989-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4586,"uf" => "SP","descricao" => "CLEMENTINA","cep1" => "16250-000","cep2" => "16250-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4587,"uf" => "SP","descricao" => "COLINA","cep1" => "14770-000","cep2" => "14770-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4588,"uf" => "SP","descricao" => "COLOMBIA","cep1" => "14795-000","cep2" => "14799-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4589,"uf" => "SP","descricao" => "CONCHAL","cep1" => "13835-000","cep2" => "13839-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4590,"uf" => "SP","descricao" => "CONCHAS","cep1" => "18570-000","cep2" => "18579-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4591,"uf" => "SP","descricao" => "CORDEIROPOLIS","cep1" => "13490-000","cep2" => "13490-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4592,"uf" => "SP","descricao" => "COROADOS","cep1" => "16260-000","cep2" => "16260-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4593,"uf" => "SP","descricao" => "CORONEL MACEDO","cep1" => "18745-000","cep2" => "18745-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4594,"uf" => "SP","descricao" => "CORUMBATAI","cep1" => "13540-000","cep2" => "13540-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4595,"uf" => "SP","descricao" => "COSMOPOLIS","cep1" => "13150-001","cep2" => "13159-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4596,"uf" => "SP","descricao" => "COSMORAMA","cep1" => "15530-000","cep2" => "15530-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4597,"uf" => "SP","descricao" => "COTIA","cep1" => "06700-000","cep2" => "06729-999","roteirizacao" => "QOI","unidade" => "QOI03","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4598,"uf" => "SP","descricao" => "CRAVINHOS","cep1" => "14140-000","cep2" => "14140-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4599,"uf" => "SP","descricao" => "CRISTAIS PAULISTA","cep1" => "14460-000","cep2" => "14460-999","roteirizacao" => "FRC","unidade" => "FRC01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4600,"uf" => "SP","descricao" => "CRUZALIA","cep1" => "19860-000","cep2" => "19860-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4601,"uf" => "SP","descricao" => "CRUZEIRO","cep1" => "12700-001","cep2" => "12759-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4602,"uf" => "SP","descricao" => "CUBATAO","cep1" => "11532-001","cep2" => "11534-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4603,"uf" => "SP","descricao" => "CUBATAO","cep1" => "11549-001","cep2" => "11599-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4604,"uf" => "SP","descricao" => "CUBATAO","cep1" => "11500-000","cep2" => "11530-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4605,"uf" => "SP","descricao" => "CUNHA","cep1" => "12530-000","cep2" => "12569-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4606,"uf" => "SP","descricao" => "DESCALVADO","cep1" => "13690-000","cep2" => "13699-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4607,"uf" => "SP","descricao" => "DIADEMA","cep1" => "09900-001","cep2" => "09999-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4608,"uf" => "SP","descricao" => "DIRCE REIS","cep1" => "15715-000","cep2" => "15715-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4609,"uf" => "SP","descricao" => "DIVINOLANDIA","cep1" => "13780-000","cep2" => "13789-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4610,"uf" => "SP","descricao" => "DOBRADA","cep1" => "15980-000","cep2" => "15989-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4611,"uf" => "SP","descricao" => "DOIS CORREGOS","cep1" => "17300-000","cep2" => "17319-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4612,"uf" => "SP","descricao" => "DOLCINOPOLIS","cep1" => "15740-000","cep2" => "15740-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4613,"uf" => "SP","descricao" => "DOURADO","cep1" => "13590-000","cep2" => "13599-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4614,"uf" => "SP","descricao" => "DRACENA","cep1" => "17900-000","cep2" => "17900-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4615,"uf" => "SP","descricao" => "DUARTINA","cep1" => "17470-000","cep2" => "17470-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4616,"uf" => "SP","descricao" => "DUMONT","cep1" => "14120-000","cep2" => "14139-999","roteirizacao" => "RAO","unidade" => "RAO03","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4617,"uf" => "SP","descricao" => "ECHAPORA","cep1" => "19830-000","cep2" => "19839-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4618,"uf" => "SP","descricao" => "ELDORADO","cep1" => "11960-000","cep2" => "11989-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4619,"uf" => "SP","descricao" => "ELIAS FAUSTO","cep1" => "13350-000","cep2" => "13359-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4620,"uf" => "SP","descricao" => "ELISIARIO","cep1" => "15823-000","cep2" => "15823-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4621,"uf" => "SP","descricao" => "EMBAUBA","cep1" => "15425-000","cep2" => "15425-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4622,"uf" => "SP","descricao" => "EMBU DAS ARTES","cep1" => "06806-046","cep2" => "06817-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4623,"uf" => "SP","descricao" => "EMBU DAS ARTES","cep1" => "06818-001","cep2" => "06849-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4624,"uf" => "SP","descricao" => "EMBU DAS ARTES","cep1" => "06800-001","cep2" => "06806-044","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4625,"uf" => "SP","descricao" => "EMBU GUACU","cep1" => "06900-000","cep2" => "06949-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4626,"uf" => "SP","descricao" => "EMILIANOPOLIS","cep1" => "19350-000","cep2" => "19350-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4627,"uf" => "SP","descricao" => "ENGENHEIRO COELHO","cep1" => "13445-001","cep2" => "13449-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4628,"uf" => "SP","descricao" => "ESPIRITO SANTO DO PINHAL","cep1" => "13990-000","cep2" => "13994-999","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4629,"uf" => "SP","descricao" => "ESPIRITO SANTO DO TURVO","cep1" => "18935-001","cep2" => "18939-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4630,"uf" => "SP","descricao" => "ESTIVA GERBI","cep1" => "13857-000","cep2" => "13859-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4631,"uf" => "SP","descricao" => "ESTRELA DO NORTE","cep1" => "19230-000","cep2" => "19230-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4632,"uf" => "SP","descricao" => "ESTRELA DOESTE","cep1" => "15650-000","cep2" => "15650-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4633,"uf" => "SP","descricao" => "EUCLIDES DA CUNHA PAULISTA","cep1" => "19275-000","cep2" => "19275-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4634,"uf" => "SP","descricao" => "FARTURA","cep1" => "18870-000","cep2" => "18889-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4635,"uf" => "SP","descricao" => "FERNANDO PRESTES","cep1" => "15940-000","cep2" => "15940-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4636,"uf" => "SP","descricao" => "FERNANDOPOLIS","cep1" => "15600-001","cep2" => "15614-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4637,"uf" => "SP","descricao" => "FERNAO","cep1" => "17455-000","cep2" => "17469-999","roteirizacao" => "GAR","unidade" => "GAR01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4638,"uf" => "SP","descricao" => "FERRAZ DE VASCONCELOS","cep1" => "08500-001","cep2" => "08549-999","roteirizacao" => "QJF","unidade" => "QJF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4639,"uf" => "SP","descricao" => "FLORA RICA","cep1" => "17870-000","cep2" => "17870-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4640,"uf" => "SP","descricao" => "FLOREAL","cep1" => "15320-000","cep2" => "15320-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4641,"uf" => "SP","descricao" => "FLORIDA PAULISTA","cep1" => "17830-000","cep2" => "17830-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4642,"uf" => "SP","descricao" => "FLORINEA","cep1" => "19870-000","cep2" => "19879-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4643,"uf" => "SP","descricao" => "FRANCA","cep1" => "14400-000","cep2" => "14414-999","roteirizacao" => "FRC","unidade" => "FRC01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4644,"uf" => "SP","descricao" => "FRANCISCO MORATO","cep1" => "07900-001","cep2" => "07999-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4645,"uf" => "SP","descricao" => "FRANCO DA ROCHA","cep1" => "07800-001","cep2" => "07899-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4646,"uf" => "SP","descricao" => "GABRIEL MONTEIRO","cep1" => "16220-000","cep2" => "16220-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4647,"uf" => "SP","descricao" => "GALIA","cep1" => "17450-000","cep2" => "17450-999","roteirizacao" => "GAR","unidade" => "GAR01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4648,"uf" => "SP","descricao" => "GARCA","cep1" => "17400-000","cep2" => "17400-999","roteirizacao" => "GAR","unidade" => "GAR01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4649,"uf" => "SP","descricao" => "GASTAO VIDIGAL","cep1" => "15330-000","cep2" => "15330-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4650,"uf" => "SP","descricao" => "GAVIAO PEIXOTO","cep1" => "14813-001","cep2" => "14813-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4651,"uf" => "SP","descricao" => "GENERAL SALGADO","cep1" => "15300-000","cep2" => "15300-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4652,"uf" => "SP","descricao" => "GETULINA","cep1" => "16450-000","cep2" => "16450-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4653,"uf" => "SP","descricao" => "GLICERIO","cep1" => "16270-000","cep2" => "16270-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4654,"uf" => "SP","descricao" => "GUAICARA","cep1" => "16430-000","cep2" => "16430-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4655,"uf" => "SP","descricao" => "GUAIMBE","cep1" => "16480-000","cep2" => "16480-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4656,"uf" => "SP","descricao" => "GUAIRA","cep1" => "14790-000","cep2" => "14794-999","roteirizacao" => "QJB","unidade" => "QJB01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4657,"uf" => "SP","descricao" => "GUAPIACU","cep1" => "15110-000","cep2" => "15110-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4658,"uf" => "SP","descricao" => "GUAPIARA","cep1" => "18310-000","cep2" => "18314-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4659,"uf" => "SP","descricao" => "GUARA","cep1" => "14580-000","cep2" => "14599-999","roteirizacao" => "QJB","unidade" => "QJB01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4660,"uf" => "SP","descricao" => "GUARACAI","cep1" => "16980-000","cep2" => "16999-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4661,"uf" => "SP","descricao" => "GUARACI","cep1" => "15420-000","cep2" => "15420-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4662,"uf" => "SP","descricao" => "GUARANI DOESTE","cep1" => "15680-000","cep2" => "15680-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4663,"uf" => "SP","descricao" => "GUARANTA","cep1" => "16570-000","cep2" => "16570-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4664,"uf" => "SP","descricao" => "GUARARAPES","cep1" => "16700-000","cep2" => "16749-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4665,"uf" => "SP","descricao" => "GUARAREMA","cep1" => "08900-000","cep2" => "08900-970","roteirizacao" => "JAC","unidade" => "JAC01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4666,"uf" => "SP","descricao" => "GUARATINGUETA","cep1" => "12500-000","cep2" => "12524-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4667,"uf" => "SP","descricao" => "GUAREI","cep1" => "18250-000","cep2" => "18254-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4668,"uf" => "SP","descricao" => "GUARIBA","cep1" => "14840-000","cep2" => "14849-999","roteirizacao" => "RAO","unidade" => "RAO03","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4669,"uf" => "SP","descricao" => "GUARUJA","cep1" => "11455-001","cep2" => "11494-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4670,"uf" => "SP","descricao" => "GUARUJA","cep1" => "11400-000","cep2" => "11424-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4671,"uf" => "SP","descricao" => "GUARUJA","cep1" => "11438-001","cep2" => "11441-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4672,"uf" => "SP","descricao" => "GUARUJA","cep1" => "11496-001","cep2" => "11499-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4673,"uf" => "SP","descricao" => "GUARULHOS","cep1" => "07000-000","cep2" => "07199-999","roteirizacao" => "GRU","unidade" => "GRU03","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4674,"uf" => "SP","descricao" => "GUARULHOS","cep1" => "07300-000","cep2" => "07399-999","roteirizacao" => "GRU","unidade" => "GRU03","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4675,"uf" => "SP","descricao" => "GUATAPARA","cep1" => "14115-000","cep2" => "14115-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4676,"uf" => "SP","descricao" => "GUZOLANDIA","cep1" => "15355-000","cep2" => "15355-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4677,"uf" => "SP","descricao" => "HERCULANDIA","cep1" => "17650-000","cep2" => "17650-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4678,"uf" => "SP","descricao" => "HOLAMBRA","cep1" => "13825-000","cep2" => "13825-999","roteirizacao" => "HLB","unidade" => "HLB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4679,"uf" => "SP","descricao" => "HORTOLANDIA","cep1" => "13185-578","cep2" => "13189-999","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4680,"uf" => "SP","descricao" => "HORTOLANDIA","cep1" => "13183-000","cep2" => "13183-345","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4681,"uf" => "SP","descricao" => "HORTOLANDIA","cep1" => "13183-401","cep2" => "13185-569","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4682,"uf" => "SP","descricao" => "IACANGA","cep1" => "17180-000","cep2" => "17180-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4683,"uf" => "SP","descricao" => "IACRI","cep1" => "17680-000","cep2" => "17680-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4684,"uf" => "SP","descricao" => "IARAS","cep1" => "18775-000","cep2" => "18775-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4685,"uf" => "SP","descricao" => "IBATE","cep1" => "14815-001","cep2" => "14819-999","roteirizacao" => "AQA","unidade" => "AQA","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4686,"uf" => "SP","descricao" => "IBIRA","cep1" => "15860-000","cep2" => "15860-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4687,"uf" => "SP","descricao" => "IBIRAREMA","cep1" => "19940-000","cep2" => "19959-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4688,"uf" => "SP","descricao" => "IBITINGA","cep1" => "14940-000","cep2" => "14940-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4689,"uf" => "SP","descricao" => "IBIUNA","cep1" => "18150-000","cep2" => "18150-999","roteirizacao" => "SOD","unidade" => "SOD02","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4690,"uf" => "SP","descricao" => "ICEM","cep1" => "15460-000","cep2" => "15460-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4691,"uf" => "SP","descricao" => "IEPE","cep1" => "19640-000","cep2" => "19640-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4692,"uf" => "SP","descricao" => "IGARACU DO TIETE","cep1" => "17350-000","cep2" => "17359-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4693,"uf" => "SP","descricao" => "IGARAPAVA","cep1" => "14540-000","cep2" => "14549-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4694,"uf" => "SP","descricao" => "IGARATA","cep1" => "12350-000","cep2" => "12379-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4695,"uf" => "SP","descricao" => "IGUAPE","cep1" => "11920-000","cep2" => "11924-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4696,"uf" => "SP","descricao" => "ILHA COMPRIDA","cep1" => "11925-000","cep2" => "11929-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4697,"uf" => "SP","descricao" => "ILHA SOLTEIRA","cep1" => "15385-000","cep2" => "15385-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4698,"uf" => "SP","descricao" => "ILHABELA","cep1" => "11630-000","cep2" => "11659-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4699,"uf" => "SP","descricao" => "INDAIATUBA","cep1" => "13330-000","cep2" => "13349-999","roteirizacao" => "IDT","unidade" => "IDT01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4700,"uf" => "SP","descricao" => "INDIANA","cep1" => "19560-000","cep2" => "19560-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4701,"uf" => "SP","descricao" => "INDIAPORA","cep1" => "15690-000","cep2" => "15690-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4702,"uf" => "SP","descricao" => "INUBIA PAULISTA","cep1" => "17760-000","cep2" => "17760-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4703,"uf" => "SP","descricao" => "IPAUSSU","cep1" => "18950-000","cep2" => "18959-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4704,"uf" => "SP","descricao" => "IPERO","cep1" => "18560-000","cep2" => "18560-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4705,"uf" => "SP","descricao" => "IPEUNA","cep1" => "13537-000","cep2" => "13537-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4706,"uf" => "SP","descricao" => "IPIGUA","cep1" => "15108-000","cep2" => "15108-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4707,"uf" => "SP","descricao" => "IPORANGA","cep1" => "18330-000","cep2" => "18359-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4708,"uf" => "SP","descricao" => "IPUA","cep1" => "14610-000","cep2" => "14619-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4709,"uf" => "SP","descricao" => "IRACEMAPOLIS","cep1" => "13495-000","cep2" => "13499-999","roteirizacao" => "QGB","unidade" => "QGB01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4710,"uf" => "SP","descricao" => "IRAPUA","cep1" => "14990-000","cep2" => "14990-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4711,"uf" => "SP","descricao" => "IRAPURU","cep1" => "17880-000","cep2" => "17880-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4712,"uf" => "SP","descricao" => "ITABERA","cep1" => "18440-000","cep2" => "18459-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4713,"uf" => "SP","descricao" => "ITAI","cep1" => "18730-001","cep2" => "18739-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4714,"uf" => "SP","descricao" => "ITAJOBI","cep1" => "15840-000","cep2" => "15843-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4715,"uf" => "SP","descricao" => "ITAJU","cep1" => "17260-001","cep2" => "17269-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4716,"uf" => "SP","descricao" => "ITANHAEM","cep1" => "11740-000","cep2" => "11740-959","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "6"],
            ["id" =>4717,"uf" => "SP","descricao" => "ITAOCA","cep1" => "18360-000","cep2" => "18379-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4718,"uf" => "SP","descricao" => "ITAPECERICA DA SERRA","cep1" => "06850-001","cep2" => "06889-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4719,"uf" => "SP","descricao" => "ITAPETININGA","cep1" => "18200-001","cep2" => "18215-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4720,"uf" => "SP","descricao" => "ITAPEVA","cep1" => "18400-001","cep2" => "18419-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4721,"uf" => "SP","descricao" => "ITAPEVI","cep1" => "06650-001","cep2" => "06699-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4722,"uf" => "SP","descricao" => "ITAPIRA","cep1" => "13970-001","cep2" => "13970-969","roteirizacao" => "MMM","unidade" => "MMM01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4723,"uf" => "SP","descricao" => "ITAPIRA","cep1" => "13970-971","cep2" => "13985-999","roteirizacao" => "MMM","unidade" => "MMM01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4724,"uf" => "SP","descricao" => "ITAPIRAPUA PAULISTA","cep1" => "18385-000","cep2" => "18399-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4725,"uf" => "SP","descricao" => "ITAPOLIS","cep1" => "14900-000","cep2" => "14909-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4726,"uf" => "SP","descricao" => "ITAPORANGA","cep1" => "18480-000","cep2" => "18480-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4727,"uf" => "SP","descricao" => "ITAPUI","cep1" => "17230-000","cep2" => "17230-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4728,"uf" => "SP","descricao" => "ITAPURA","cep1" => "15390-000","cep2" => "15390-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4729,"uf" => "SP","descricao" => "ITAQUAQUECETUBA","cep1" => "08570-001","cep2" => "08599-999","roteirizacao" => "QJF","unidade" => "QJF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4730,"uf" => "SP","descricao" => "ITARARE","cep1" => "18460-001","cep2" => "18469-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4731,"uf" => "SP","descricao" => "ITARIRI","cep1" => "11760-000","cep2" => "11760-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4732,"uf" => "SP","descricao" => "ITATIBA","cep1" => "13250-001","cep2" => "13259-999","roteirizacao" => "VIN","unidade" => "VIN02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4733,"uf" => "SP","descricao" => "ITATINGA","cep1" => "18690-000","cep2" => "18690-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4734,"uf" => "SP","descricao" => "ITATINGA","cep1" => "18695-000","cep2" => "18695-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4735,"uf" => "SP","descricao" => "ITIRAPINA","cep1" => "13530-000","cep2" => "13536-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4736,"uf" => "SP","descricao" => "ITIRAPUA","cep1" => "14420-000","cep2" => "14429-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4737,"uf" => "SP","descricao" => "ITOBI","cep1" => "13715-000","cep2" => "13719-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4738,"uf" => "SP","descricao" => "ITU","cep1" => "13300-000","cep2" => "13314-999","roteirizacao" => "ITU","unidade" => "ITU02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4739,"uf" => "SP","descricao" => "ITUPEVA","cep1" => "13295-000","cep2" => "13299-999","roteirizacao" => "QPV","unidade" => "QPV01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4740,"uf" => "SP","descricao" => "ITUVERAVA","cep1" => "14500-000","cep2" => "14529-999","roteirizacao" => "QJB","unidade" => "QJB01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4741,"uf" => "SP","descricao" => "JABORANDI","cep1" => "14775-000","cep2" => "14775-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4742,"uf" => "SP","descricao" => "JABOTICABAL","cep1" => "14870-000","cep2" => "14898-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4743,"uf" => "SP","descricao" => "JACAREI","cep1" => "12333-021","cep2" => "12349-999","roteirizacao" => "JAC","unidade" => "JAC01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4744,"uf" => "SP","descricao" => "JACAREI","cep1" => "12300-000","cep2" => "12333-019","roteirizacao" => "JAC","unidade" => "JAC01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4745,"uf" => "SP","descricao" => "JACI","cep1" => "15155-000","cep2" => "15155-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4746,"uf" => "SP","descricao" => "JACUPIRANGA","cep1" => "11940-000","cep2" => "11949-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4747,"uf" => "SP","descricao" => "JAGUARIUNA","cep1" => "13910-001","cep2" => "13919-999","roteirizacao" => "QJG","unidade" => "QJG01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4748,"uf" => "SP","descricao" => "JALES","cep1" => "15700-000","cep2" => "15704-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4749,"uf" => "SP","descricao" => "JALES","cep1" => "15706-000","cep2" => "15709-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4750,"uf" => "SP","descricao" => "JAMBEIRO","cep1" => "12270-000","cep2" => "12279-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4751,"uf" => "SP","descricao" => "JANDIRA","cep1" => "06600-001","cep2" => "06649-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4752,"uf" => "SP","descricao" => "JARDIM NOVO MARACANA (DISTRITO)","cep1" => "13058-402","cep2" => "13058-446","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4753,"uf" => "SP","descricao" => "JARDINOPOLIS","cep1" => "14680-000","cep2" => "14680-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4754,"uf" => "SP","descricao" => "JARINU","cep1" => "13240-000","cep2" => "13240-999","roteirizacao" => "QDV","unidade" => "QDV01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4755,"uf" => "SP","descricao" => "JAU","cep1" => "17200-001","cep2" => "17229-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4756,"uf" => "SP","descricao" => "JERIQUARA","cep1" => "14450-000","cep2" => "14459-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4757,"uf" => "SP","descricao" => "JOANOPOLIS","cep1" => "12980-000","cep2" => "12989-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4758,"uf" => "SP","descricao" => "JOAO RAMALHO","cep1" => "19680-000","cep2" => "19680-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4759,"uf" => "SP","descricao" => "JOSE BONIFACIO","cep1" => "15200-000","cep2" => "15200-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4760,"uf" => "SP","descricao" => "JULIO MESQUITA","cep1" => "17550-000","cep2" => "17550-999","roteirizacao" => "GAR","unidade" => "GAR01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4761,"uf" => "SP","descricao" => "JUMIRIM","cep1" => "18535-000","cep2" => "18539-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4762,"uf" => "SP","descricao" => "JUNDIAI","cep1" => "13200-000","cep2" => "13219-999","roteirizacao" => "QDV","unidade" => "QDV01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4763,"uf" => "SP","descricao" => "JUNQUEIROPOLIS","cep1" => "17890-000","cep2" => "17890-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4764,"uf" => "SP","descricao" => "JUQUIA","cep1" => "11800-000","cep2" => "11800-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4765,"uf" => "SP","descricao" => "JUQUITIBA","cep1" => "06950-000","cep2" => "06999-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4766,"uf" => "SP","descricao" => "LAGOINHA","cep1" => "12130-000","cep2" => "12139-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4767,"uf" => "SP","descricao" => "LARANJAL PAULISTA","cep1" => "18500-000","cep2" => "18519-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4768,"uf" => "SP","descricao" => "LAVINIA","cep1" => "16850-000","cep2" => "16879-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4769,"uf" => "SP","descricao" => "LAVRINHAS","cep1" => "12760-000","cep2" => "12799-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4770,"uf" => "SP","descricao" => "LEME","cep1" => "13610-000","cep2" => "13624-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4771,"uf" => "SP","descricao" => "LENCOIS PAULISTA","cep1" => "18680-000","cep2" => "18687-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4772,"uf" => "SP","descricao" => "LIMEIRA","cep1" => "13480-960","cep2" => "13480-969","roteirizacao" => "QGB","unidade" => "QGB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4773,"uf" => "SP","descricao" => "LIMEIRA","cep1" => "13480-972","cep2" => "13481-570","roteirizacao" => "QGB","unidade" => "QGB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4774,"uf" => "SP","descricao" => "LIMEIRA","cep1" => "13480-000","cep2" => "13480-958","roteirizacao" => "QGB","unidade" => "QGB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4775,"uf" => "SP","descricao" => "LIMEIRA","cep1" => "13481-580","cep2" => "13481-800","roteirizacao" => "QGB","unidade" => "QGB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4776,"uf" => "SP","descricao" => "LIMEIRA","cep1" => "13481-829","cep2" => "13489-999","roteirizacao" => "QGB","unidade" => "QGB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4777,"uf" => "SP","descricao" => "LINDOIA","cep1" => "13950-000","cep2" => "13959-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4778,"uf" => "SP","descricao" => "LINS","cep1" => "16400-000","cep2" => "16419-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4779,"uf" => "SP","descricao" => "LORENA","cep1" => "12600-001","cep2" => "12614-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4780,"uf" => "SP","descricao" => "LOURDES","cep1" => "15285-000","cep2" => "15285-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4781,"uf" => "SP","descricao" => "LOUVEIRA","cep1" => "13290-000","cep2" => "13290-999","roteirizacao" => "VIN","unidade" => "VIN02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4782,"uf" => "SP","descricao" => "LUCELIA","cep1" => "17780-000","cep2" => "17780-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4783,"uf" => "SP","descricao" => "LUCIANOPOLIS","cep1" => "17475-001","cep2" => "17479-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4784,"uf" => "SP","descricao" => "LUIS ANTONIO","cep1" => "14210-000","cep2" => "14229-999","roteirizacao" => "RAO","unidade" => "RAO03","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4785,"uf" => "SP","descricao" => "LUIZIANIA","cep1" => "16340-000","cep2" => "16340-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4786,"uf" => "SP","descricao" => "LUPERCIO","cep1" => "17420-000","cep2" => "17420-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4787,"uf" => "SP","descricao" => "LUTECIA","cep1" => "19750-000","cep2" => "19750-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4788,"uf" => "SP","descricao" => "MACATUBA","cep1" => "17290-000","cep2" => "17290-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4789,"uf" => "SP","descricao" => "MACAUBAL","cep1" => "15270-000","cep2" => "15270-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4790,"uf" => "SP","descricao" => "MACEDONIA","cep1" => "15620-000","cep2" => "15620-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4791,"uf" => "SP","descricao" => "MAGDA","cep1" => "15310-000","cep2" => "15310-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4792,"uf" => "SP","descricao" => "MAIRINQUE","cep1" => "18120-000","cep2" => "18120-999","roteirizacao" => "SOD","unidade" => "SOD02","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4793,"uf" => "SP","descricao" => "MAIRIPORA","cep1" => "07600-000","cep2" => "07699-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4794,"uf" => "SP","descricao" => "MANDURI","cep1" => "18780-000","cep2" => "18789-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4795,"uf" => "SP","descricao" => "MARABA PAULISTA","cep1" => "19430-000","cep2" => "19430-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4796,"uf" => "SP","descricao" => "MARACAI","cep1" => "19840-000","cep2" => "19840-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4797,"uf" => "SP","descricao" => "MARAPOAMA","cep1" => "15845-000","cep2" => "15845-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4798,"uf" => "SP","descricao" => "MARIAPOLIS","cep1" => "17810-000","cep2" => "17810-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4799,"uf" => "SP","descricao" => "MARILIA","cep1" => "17500-000","cep2" => "17539-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4800,"uf" => "SP","descricao" => "MARINOPOLIS","cep1" => "15730-000","cep2" => "15730-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4801,"uf" => "SP","descricao" => "MARTINOPOLIS","cep1" => "19500-000","cep2" => "19500-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4802,"uf" => "SP","descricao" => "MATAO","cep1" => "15990-001","cep2" => "15999-999","roteirizacao" => "RAO","unidade" => "RAO03","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4803,"uf" => "SP","descricao" => "MAUA","cep1" => "09300-000","cep2" => "09399-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4804,"uf" => "SP","descricao" => "MENDONCA","cep1" => "15220-000","cep2" => "15220-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4805,"uf" => "SP","descricao" => "MERIDIANO","cep1" => "15625-000","cep2" => "15625-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4806,"uf" => "SP","descricao" => "MESOPOLIS","cep1" => "15748-000","cep2" => "15748-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4807,"uf" => "SP","descricao" => "MIGUELOPOLIS","cep1" => "14530-000","cep2" => "14539-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4808,"uf" => "SP","descricao" => "MINEIROS DO TIETE","cep1" => "17320-000","cep2" => "17339-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4809,"uf" => "SP","descricao" => "MIRA ESTRELA","cep1" => "15580-000","cep2" => "15580-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4810,"uf" => "SP","descricao" => "MIRACATU","cep1" => "11850-000","cep2" => "11899-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4811,"uf" => "SP","descricao" => "MIRANDOPOLIS","cep1" => "16800-000","cep2" => "16849-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4812,"uf" => "SP","descricao" => "MIRANTE DO PARANAPANEMA","cep1" => "19260-000","cep2" => "19260-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4813,"uf" => "SP","descricao" => "MIRASSOL","cep1" => "15130-001","cep2" => "15139-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4814,"uf" => "SP","descricao" => "MIRASSOLANDIA","cep1" => "15145-000","cep2" => "15145-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4815,"uf" => "SP","descricao" => "MOCOCA","cep1" => "13730-000","cep2" => "13749-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4816,"uf" => "SP","descricao" => "MOGI DAS CRUZES","cep1" => "08700-000","cep2" => "08890-000","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4817,"uf" => "SP","descricao" => "MOGI GUACU","cep1" => "13849-646","cep2" => "13855-000","roteirizacao" => "MMM","unidade" => "MMM01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4818,"uf" => "SP","descricao" => "MOGI GUACU","cep1" => "13855-146","cep2" => "13855-999","roteirizacao" => "MMM","unidade" => "MMM01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4819,"uf" => "SP","descricao" => "MOGI GUACU","cep1" => "13840-001","cep2" => "13849-600","roteirizacao" => "MMM","unidade" => "MMM01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4820,"uf" => "SP","descricao" => "MOGI MIRIM","cep1" => "13803-591","cep2" => "13817-000","roteirizacao" => "MMM","unidade" => "MMM01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4821,"uf" => "SP","descricao" => "MOGI MIRIM","cep1" => "13817-151","cep2" => "13817-999","roteirizacao" => "MMM","unidade" => "MMM01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4822,"uf" => "SP","descricao" => "MOGI MIRIM","cep1" => "13800-001","cep2" => "13803-589","roteirizacao" => "MMM","unidade" => "MMM01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4823,"uf" => "SP","descricao" => "MOMBUCA","cep1" => "13375-000","cep2" => "13379-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4824,"uf" => "SP","descricao" => "MONCOES","cep1" => "15275-000","cep2" => "15275-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4825,"uf" => "SP","descricao" => "MONGAGUA","cep1" => "11730-000","cep2" => "11730-959","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4826,"uf" => "SP","descricao" => "MONTE ALEGRE DO SUL","cep1" => "13820-000","cep2" => "13824-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4827,"uf" => "SP","descricao" => "MONTE ALTO","cep1" => "15910-000","cep2" => "15910-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4828,"uf" => "SP","descricao" => "MONTE APRAZIVEL","cep1" => "15150-000","cep2" => "15150-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4829,"uf" => "SP","descricao" => "MONTE AZUL PAULISTA","cep1" => "14730-000","cep2" => "14730-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4830,"uf" => "SP","descricao" => "MONTE CASTELO","cep1" => "17960-000","cep2" => "17960-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4831,"uf" => "SP","descricao" => "MONTE MOR","cep1" => "13190-000","cep2" => "13199-999","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4832,"uf" => "SP","descricao" => "MONTEIRO LOBATO","cep1" => "12250-000","cep2" => "12259-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4833,"uf" => "SP","descricao" => "MORRO AGUDO","cep1" => "14640-000","cep2" => "14640-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4834,"uf" => "SP","descricao" => "MORUNGABA","cep1" => "13260-000","cep2" => "13269-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4835,"uf" => "SP","descricao" => "MOTUCA","cep1" => "14835-000","cep2" => "14835-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4836,"uf" => "SP","descricao" => "MURUTINGA DO SUL","cep1" => "16950-000","cep2" => "16979-000","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4837,"uf" => "SP","descricao" => "NANTES","cep1" => "19645-000","cep2" => "19645-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4838,"uf" => "SP","descricao" => "NARANDIBA","cep1" => "19220-000","cep2" => "19220-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4839,"uf" => "SP","descricao" => "NATIVIDADE DA SERRA","cep1" => "12180-000","cep2" => "12199-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4840,"uf" => "SP","descricao" => "NAZARE PAULISTA","cep1" => "12960-000","cep2" => "12960-000","roteirizacao" => "ZBW","unidade" => "ZBW01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4841,"uf" => "SP","descricao" => "NEVES PAULISTA","cep1" => "15120-000","cep2" => "15120-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4842,"uf" => "SP","descricao" => "NHANDEARA","cep1" => "15190-000","cep2" => "15190-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4843,"uf" => "SP","descricao" => "NIPOA","cep1" => "15240-000","cep2" => "15240-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4844,"uf" => "SP","descricao" => "NOVA ALIANCA","cep1" => "15210-000","cep2" => "15210-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4845,"uf" => "SP","descricao" => "NOVA CAMPINA","cep1" => "18435-000","cep2" => "18439-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4846,"uf" => "SP","descricao" => "NOVA CANAA PAULISTA","cep1" => "15773-000","cep2" => "15774-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4847,"uf" => "SP","descricao" => "NOVA CASTILHO","cep1" => "15313-000","cep2" => "15313-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4848,"uf" => "SP","descricao" => "NOVA EUROPA","cep1" => "14920-000","cep2" => "14929-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4849,"uf" => "SP","descricao" => "NOVA GRANADA","cep1" => "15440-000","cep2" => "15440-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4850,"uf" => "SP","descricao" => "NOVA GUATAPORANGA","cep1" => "17950-000","cep2" => "17959-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4851,"uf" => "SP","descricao" => "NOVA INDEPENDENCIA","cep1" => "16940-000","cep2" => "16949-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4852,"uf" => "SP","descricao" => "NOVA LUZITANIA","cep1" => "15340-000","cep2" => "15340-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4853,"uf" => "SP","descricao" => "NOVA ODESSA","cep1" => "13380-001","cep2" => "13389-999","roteirizacao" => "QWJ","unidade" => "QWJ01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4854,"uf" => "SP","descricao" => "NOVAIS","cep1" => "15885-000","cep2" => "15885-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4855,"uf" => "SP","descricao" => "NOVO HORIZONTE","cep1" => "14960-000","cep2" => "14960-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4856,"uf" => "SP","descricao" => "NUPORANGA","cep1" => "14670-000","cep2" => "14670-000","roteirizacao" => "QJB","unidade" => "QJB01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4857,"uf" => "SP","descricao" => "OCAUCU","cep1" => "17540-000","cep2" => "17540-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4858,"uf" => "SP","descricao" => "OLEO","cep1" => "18790-000","cep2" => "18790-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4859,"uf" => "SP","descricao" => "OLIMPIA","cep1" => "15400-000","cep2" => "15400-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4860,"uf" => "SP","descricao" => "ONDA VERDE","cep1" => "15450-000","cep2" => "15450-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4861,"uf" => "SP","descricao" => "ORIENTE","cep1" => "17570-000","cep2" => "17570-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4862,"uf" => "SP","descricao" => "ORINDIUVA","cep1" => "15480-000","cep2" => "15480-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4863,"uf" => "SP","descricao" => "ORLANDIA","cep1" => "14620-000","cep2" => "14620-999","roteirizacao" => "QJB","unidade" => "QJB01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4864,"uf" => "SP","descricao" => "OSASCO","cep1" => "06000-001","cep2" => "06299-999","roteirizacao" => "QOC","unidade" => "QOC03","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4865,"uf" => "SP","descricao" => "OSCAR BRESSANE","cep1" => "19770-000","cep2" => "19770-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4866,"uf" => "SP","descricao" => "OSVALDO CRUZ","cep1" => "17700-000","cep2" => "17700-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4867,"uf" => "SP","descricao" => "OURINHOS","cep1" => "19900-001","cep2" => "19919-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4868,"uf" => "SP","descricao" => "OURO VERDE","cep1" => "17920-000","cep2" => "17920-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4869,"uf" => "SP","descricao" => "OUROESTE","cep1" => "15685-000","cep2" => "15685-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4870,"uf" => "SP","descricao" => "PACAEMBU","cep1" => "17860-000","cep2" => "17860-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4871,"uf" => "SP","descricao" => "PALESTINA","cep1" => "15470-000","cep2" => "15470-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4872,"uf" => "SP","descricao" => "PALMARES PAULISTA","cep1" => "15828-000","cep2" => "15828-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4873,"uf" => "SP","descricao" => "PALMEIRA DOESTE","cep1" => "15720-000","cep2" => "15720-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4874,"uf" => "SP","descricao" => "PALMITAL","cep1" => "19970-000","cep2" => "19989-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4875,"uf" => "SP","descricao" => "PANORAMA","cep1" => "17980-000","cep2" => "17980-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4876,"uf" => "SP","descricao" => "PARAGUACU PAULISTA","cep1" => "19700-001","cep2" => "19739-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4877,"uf" => "SP","descricao" => "PARAIBUNA","cep1" => "12260-000","cep2" => "12269-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4878,"uf" => "SP","descricao" => "PARAISO","cep1" => "15825-000","cep2" => "15825-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4879,"uf" => "SP","descricao" => "PARANAPANEMA","cep1" => "18720-000","cep2" => "18725-000","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4880,"uf" => "SP","descricao" => "PARANAPUA","cep1" => "15745-000","cep2" => "15745-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4881,"uf" => "SP","descricao" => "PARAPUA","cep1" => "17730-000","cep2" => "17730-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4882,"uf" => "SP","descricao" => "PARDINHO","cep1" => "18640-000","cep2" => "18640-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4883,"uf" => "SP","descricao" => "PARIQUERAACU","cep1" => "11930-000","cep2" => "11939-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4884,"uf" => "SP","descricao" => "PARISI","cep1" => "15525-000","cep2" => "15525-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4885,"uf" => "SP","descricao" => "PARQUE VALENCA I (DISTRITO)","cep1" => "13058-512","cep2" => "13058-584","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4886,"uf" => "SP","descricao" => "PATROCINIO PAULISTA","cep1" => "14415-000","cep2" => "14419-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4887,"uf" => "SP","descricao" => "PAULICEIA","cep1" => "17990-000","cep2" => "17990-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4888,"uf" => "SP","descricao" => "PAULINIA","cep1" => "13140-001","cep2" => "13149-999","roteirizacao" => "QPA","unidade" => "QPA02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4889,"uf" => "SP","descricao" => "PAULISTANIA","cep1" => "17150-001","cep2" => "17154-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4890,"uf" => "SP","descricao" => "PAULO DE FARIA","cep1" => "15490-000","cep2" => "15490-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4891,"uf" => "SP","descricao" => "PEDERNEIRAS","cep1" => "17280-000","cep2" => "17280-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4892,"uf" => "SP","descricao" => "PEDRA BELA","cep1" => "12990-000","cep2" => "12994-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4893,"uf" => "SP","descricao" => "PEDRANOPOLIS","cep1" => "15630-000","cep2" => "15630-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4894,"uf" => "SP","descricao" => "PEDREGULHO","cep1" => "14470-000","cep2" => "14489-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4895,"uf" => "SP","descricao" => "PEDREIRA","cep1" => "13920-000","cep2" => "13929-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4896,"uf" => "SP","descricao" => "PEDRINHAS PAULISTA","cep1" => "19865-000","cep2" => "19865-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4897,"uf" => "SP","descricao" => "PEDRO DE TOLEDO","cep1" => "11790-000","cep2" => "11790-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4898,"uf" => "SP","descricao" => "PENAPOLIS","cep1" => "16300-000","cep2" => "16309-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4899,"uf" => "SP","descricao" => "PEREIRA BARRETO","cep1" => "15370-000","cep2" => "15370-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>4900,"uf" => "SP","descricao" => "PEREIRAS","cep1" => "18580-000","cep2" => "18589-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4901,"uf" => "SP","descricao" => "PERUIBE","cep1" => "11750-000","cep2" => "11750-959","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>4902,"uf" => "SP","descricao" => "PIACATU","cep1" => "16230-000","cep2" => "16230-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4903,"uf" => "SP","descricao" => "PIEDADE","cep1" => "18170-000","cep2" => "18179-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4904,"uf" => "SP","descricao" => "PILAR DO SUL","cep1" => "18185-000","cep2" => "18189-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4905,"uf" => "SP","descricao" => "PINDAMONHANGABA","cep1" => "12400-000","cep2" => "12449-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4906,"uf" => "SP","descricao" => "PINDORAMA","cep1" => "15830-000","cep2" => "15830-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4907,"uf" => "SP","descricao" => "PINHALZINHO","cep1" => "12995-000","cep2" => "12999-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4908,"uf" => "SP","descricao" => "PIQUEROBI","cep1" => "19410-000","cep2" => "19410-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4909,"uf" => "SP","descricao" => "PIQUETE","cep1" => "12620-000","cep2" => "12629-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4910,"uf" => "SP","descricao" => "PIRACAIA","cep1" => "12970-000","cep2" => "12970-000","roteirizacao" => "ZBW","unidade" => "ZBW01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4911,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13412-536","cep2" => "13427-999","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4912,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13428-200","cep2" => "13428-630","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4913,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13402-128","cep2" => "13402-191","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4914,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13400-000","cep2" => "13401-855","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4915,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13402-695","cep2" => "13408-999","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4916,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13409-000","cep2" => "13409-323","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4917,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13409-324","cep2" => "13410-098","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4918,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13410-099","cep2" => "13410-099","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4919,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13410-100","cep2" => "13411-029","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4920,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13411-030","cep2" => "13411-146","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4921,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13411-147","cep2" => "13411-499","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4922,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13411-522","cep2" => "13411-549","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4923,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13411-550","cep2" => "13411-596","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4924,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13402-607","cep2" => "13402-609","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4925,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13402-620","cep2" => "13402-689","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4926,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13411-597","cep2" => "13412-501","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4927,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13411-500","cep2" => "13411-521","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4928,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13401-892","cep2" => "13402-109","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4929,"uf" => "SP","descricao" => "PIRACICABA","cep1" => "13402-199","cep2" => "13402-599","roteirizacao" => "QHB","unidade" => "QHB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4930,"uf" => "SP","descricao" => "PIRAJU","cep1" => "18800-000","cep2" => "18829-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4931,"uf" => "SP","descricao" => "PIRAJUI","cep1" => "16600-000","cep2" => "16600-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4932,"uf" => "SP","descricao" => "PIRANGI","cep1" => "15820-000","cep2" => "15820-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4933,"uf" => "SP","descricao" => "PIRAPORA DO BOM JESUS","cep1" => "06550-000","cep2" => "06599-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4934,"uf" => "SP","descricao" => "PIRAPOZINHO","cep1" => "19200-000","cep2" => "19200-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4935,"uf" => "SP","descricao" => "PIRASSUNUNGA","cep1" => "13631-751","cep2" => "13642-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4936,"uf" => "SP","descricao" => "PIRASSUNUNGA","cep1" => "13643-001","cep2" => "13649-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4937,"uf" => "SP","descricao" => "PIRASSUNUNGA","cep1" => "13630-001","cep2" => "13631-749","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4938,"uf" => "SP","descricao" => "PIRATININGA","cep1" => "17490-000","cep2" => "17490-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4939,"uf" => "SP","descricao" => "PITANGUEIRAS","cep1" => "14750-000","cep2" => "14750-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4940,"uf" => "SP","descricao" => "PLANALTO","cep1" => "15260-000","cep2" => "15260-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4941,"uf" => "SP","descricao" => "PLATINA","cep1" => "19990-000","cep2" => "19999-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4942,"uf" => "SP","descricao" => "POA","cep1" => "08550-001","cep2" => "08569-999","roteirizacao" => "QJF","unidade" => "QJF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4943,"uf" => "SP","descricao" => "POLONI","cep1" => "15160-000","cep2" => "15160-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4944,"uf" => "SP","descricao" => "POMPEIA","cep1" => "17580-000","cep2" => "17580-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4945,"uf" => "SP","descricao" => "PONGAI","cep1" => "16660-001","cep2" => "16669-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4946,"uf" => "SP","descricao" => "PONTAL","cep1" => "14180-000","cep2" => "14199-999","roteirizacao" => "RAO","unidade" => "RAO03","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4947,"uf" => "SP","descricao" => "PONTALINDA","cep1" => "15718-000","cep2" => "15718-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4948,"uf" => "SP","descricao" => "PONTES GESTAL","cep1" => "15560-000","cep2" => "15560-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4949,"uf" => "SP","descricao" => "POPULINA","cep1" => "15670-000","cep2" => "15670-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4950,"uf" => "SP","descricao" => "PORANGABA","cep1" => "18260-000","cep2" => "18264-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4951,"uf" => "SP","descricao" => "PORTO FELIZ","cep1" => "18540-000","cep2" => "18540-999","roteirizacao" => "QJD","unidade" => "QJD01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4952,"uf" => "SP","descricao" => "PORTO FERREIRA","cep1" => "13660-000","cep2" => "13669-999","roteirizacao" => "RAO","unidade" => "RAO03","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4953,"uf" => "SP","descricao" => "POTIM","cep1" => "12525-000","cep2" => "12525-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4954,"uf" => "SP","descricao" => "POTIRENDABA","cep1" => "15105-000","cep2" => "15105-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4955,"uf" => "SP","descricao" => "PRACINHA","cep1" => "17790-000","cep2" => "17799-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4956,"uf" => "SP","descricao" => "PRADOPOLIS","cep1" => "14850-000","cep2" => "14850-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4957,"uf" => "SP","descricao" => "PRAIA GRANDE","cep1" => "11725-001","cep2" => "11729-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4958,"uf" => "SP","descricao" => "PRAIA GRANDE","cep1" => "11700-001","cep2" => "11709-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4959,"uf" => "SP","descricao" => "PRATANIA","cep1" => "18660-000","cep2" => "18669-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4960,"uf" => "SP","descricao" => "PRESIDENTE ALVES","cep1" => "16670-000","cep2" => "16670-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>4961,"uf" => "SP","descricao" => "PRESIDENTE BERNARDES","cep1" => "19300-000","cep2" => "19300-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4962,"uf" => "SP","descricao" => "PRESIDENTE EPITACIO","cep1" => "19470-000","cep2" => "19470-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4963,"uf" => "SP","descricao" => "PRESIDENTE PRUDENTE","cep1" => "19010-000","cep2" => "19100-610","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4964,"uf" => "SP","descricao" => "PRESIDENTE VENCESLAU","cep1" => "19400-000","cep2" => "19400-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4965,"uf" => "SP","descricao" => "PROMISSAO","cep1" => "16370-000","cep2" => "16370-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4966,"uf" => "SP","descricao" => "QUADRA","cep1" => "18255-000","cep2" => "18259-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4967,"uf" => "SP","descricao" => "QUATA","cep1" => "19780-000","cep2" => "19780-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4968,"uf" => "SP","descricao" => "QUEIROZ","cep1" => "17590-000","cep2" => "17599-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4969,"uf" => "SP","descricao" => "QUELUZ","cep1" => "12800-000","cep2" => "12819-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4970,"uf" => "SP","descricao" => "QUINTANA","cep1" => "17670-000","cep2" => "17670-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4971,"uf" => "SP","descricao" => "RAFARD","cep1" => "13370-000","cep2" => "13370-959","roteirizacao" => "HTA","unidade" => "HTA01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4972,"uf" => "SP","descricao" => "RANCHARIA","cep1" => "19600-000","cep2" => "19600-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4973,"uf" => "SP","descricao" => "REDENCAO DA SERRA","cep1" => "12170-000","cep2" => "12179-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4974,"uf" => "SP","descricao" => "REGENTE FEIJO","cep1" => "19570-000","cep2" => "19570-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4975,"uf" => "SP","descricao" => "REGINOPOLIS","cep1" => "17190-001","cep2" => "17199-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4976,"uf" => "SP","descricao" => "REGISTRO","cep1" => "11900-000","cep2" => "11909-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>4977,"uf" => "SP","descricao" => "RESTINGA","cep1" => "14430-000","cep2" => "14430-999","roteirizacao" => "FRC","unidade" => "FRC01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4978,"uf" => "SP","descricao" => "RIBEIRA","cep1" => "18380-000","cep2" => "18384-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4979,"uf" => "SP","descricao" => "RIBEIRAO BONITO","cep1" => "13580-000","cep2" => "13589-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4980,"uf" => "SP","descricao" => "RIBEIRAO BRANCO","cep1" => "18430-000","cep2" => "18434-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4981,"uf" => "SP","descricao" => "RIBEIRAO CORRENTE","cep1" => "14445-000","cep2" => "14449-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4982,"uf" => "SP","descricao" => "RIBEIRAO DO SUL","cep1" => "19930-000","cep2" => "19939-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4983,"uf" => "SP","descricao" => "RIBEIRAO DOS INDIOS","cep1" => "19380-000","cep2" => "19380-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>4984,"uf" => "SP","descricao" => "RIBEIRAO GRANDE","cep1" => "18315-000","cep2" => "18319-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4985,"uf" => "SP","descricao" => "RIBEIRAO PIRES","cep1" => "09400-000","cep2" => "09449-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4986,"uf" => "SP","descricao" => "RIBEIRAO PRETO","cep1" => "14091-000","cep2" => "14110-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>4987,"uf" => "SP","descricao" => "RIBEIRAO PRETO","cep1" => "14000-000","cep2" => "14089-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4988,"uf" => "SP","descricao" => "RIBEIRAO PRETO","cep1" => "14090-000","cep2" => "14090-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>4989,"uf" => "SP","descricao" => "RIFAINA","cep1" => "14490-000","cep2" => "14499-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4990,"uf" => "SP","descricao" => "RINCAO","cep1" => "14830-000","cep2" => "14830-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>4991,"uf" => "SP","descricao" => "RINOPOLIS","cep1" => "17740-000","cep2" => "17759-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4992,"uf" => "SP","descricao" => "RIO CLARO","cep1" => "13500-001","cep2" => "13509-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>4993,"uf" => "SP","descricao" => "RIO DAS PEDRAS","cep1" => "13390-001","cep2" => "13399-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4994,"uf" => "SP","descricao" => "RIO GRANDE DA SERRA","cep1" => "09450-000","cep2" => "09499-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>4995,"uf" => "SP","descricao" => "RIOLANDIA","cep1" => "15495-000","cep2" => "15495-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>4996,"uf" => "SP","descricao" => "RIVERSUL","cep1" => "18470-000","cep2" => "18474-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>4997,"uf" => "SP","descricao" => "ROSANA","cep1" => "19274-000","cep2" => "19274-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4998,"uf" => "SP","descricao" => "ROSANA","cep1" => "19273-000","cep2" => "19273-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>4999,"uf" => "SP","descricao" => "ROSEIRA","cep1" => "12580-000","cep2" => "12580-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5000,"uf" => "SP","descricao" => "RUBIACEA","cep1" => "16750-000","cep2" => "16750-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5001,"uf" => "SP","descricao" => "RUBINEIA","cep1" => "15790-000","cep2" => "15790-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5002,"uf" => "SP","descricao" => "SABINO","cep1" => "16440-000","cep2" => "16449-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5003,"uf" => "SP","descricao" => "SAGRES","cep1" => "17710-000","cep2" => "17710-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5004,"uf" => "SP","descricao" => "SALES","cep1" => "14980-000","cep2" => "14980-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5005,"uf" => "SP","descricao" => "SALES OLIVEIRA","cep1" => "14660-000","cep2" => "14660-999","roteirizacao" => "QJB","unidade" => "QJB01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5006,"uf" => "SP","descricao" => "SALESOPOLIS","cep1" => "08970-000","cep2" => "08999-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5007,"uf" => "SP","descricao" => "SALMOURAO","cep1" => "17720-000","cep2" => "17720-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5008,"uf" => "SP","descricao" => "SALTINHO","cep1" => "13440-001","cep2" => "13444-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5009,"uf" => "SP","descricao" => "SALTO","cep1" => "13323-006","cep2" => "13329-999","roteirizacao" => "IDT","unidade" => "IDT01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5010,"uf" => "SP","descricao" => "SALTO","cep1" => "13320-000","cep2" => "13320-969","roteirizacao" => "IDT","unidade" => "IDT01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5011,"uf" => "SP","descricao" => "SALTO","cep1" => "13320-971","cep2" => "13323-004","roteirizacao" => "IDT","unidade" => "IDT01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>5012,"uf" => "SP","descricao" => "SALTO DE PIRAPORA","cep1" => "18160-000","cep2" => "18169-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5013,"uf" => "SP","descricao" => "SALTO GRANDE","cep1" => "19920-000","cep2" => "19929-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5014,"uf" => "SP","descricao" => "SANDOVALINA","cep1" => "19250-000","cep2" => "19250-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5015,"uf" => "SP","descricao" => "SANTA ADELIA","cep1" => "15950-000","cep2" => "15950-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5016,"uf" => "SP","descricao" => "SANTA ADELIA","cep1" => "15953-000","cep2" => "15953-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5017,"uf" => "SP","descricao" => "SANTA ALBERTINA","cep1" => "15750-000","cep2" => "15750-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5018,"uf" => "SP","descricao" => "SANTA BARBARA DOESTE","cep1" => "13450-000","cep2" => "13459-999","roteirizacao" => "QWJ","unidade" => "QWJ01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5019,"uf" => "SP","descricao" => "SANTA BRANCA","cep1" => "12380-000","cep2" => "12380-970","roteirizacao" => "JAC","unidade" => "JAC01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5020,"uf" => "SP","descricao" => "SANTA CLARA DOESTE","cep1" => "15785-000","cep2" => "15785-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5021,"uf" => "SP","descricao" => "SANTA CRUZ DA CONCEICAO","cep1" => "13625-001","cep2" => "13629-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5022,"uf" => "SP","descricao" => "SANTA CRUZ DA ESPERANCA","cep1" => "14250-000","cep2" => "14259-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5023,"uf" => "SP","descricao" => "SANTA CRUZ DAS PALMEIRAS","cep1" => "13650-000","cep2" => "13659-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5024,"uf" => "SP","descricao" => "SANTA CRUZ DO RIO PARDO","cep1" => "18900-000","cep2" => "18934-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5025,"uf" => "SP","descricao" => "SANTA ERNESTINA","cep1" => "15970-000","cep2" => "15970-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5026,"uf" => "SP","descricao" => "SANTA FE DO SUL","cep1" => "15775-000","cep2" => "15775-999","roteirizacao" => "TJL","unidade" => "TJL","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5027,"uf" => "SP","descricao" => "SANTA GERTRUDES","cep1" => "13510-000","cep2" => "13510-999","roteirizacao" => "QIQ","unidade" => "QIQ03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5028,"uf" => "SP","descricao" => "SANTA ISABEL","cep1" => "07500-000","cep2" => "07599-999","roteirizacao" => "GRU","unidade" => "GRU04","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5029,"uf" => "SP","descricao" => "SANTA LUCIA","cep1" => "14825-000","cep2" => "14829-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5030,"uf" => "SP","descricao" => "SANTA MARIA DA SERRA","cep1" => "17370-000","cep2" => "17379-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5031,"uf" => "SP","descricao" => "SANTA MERCEDES","cep1" => "17940-000","cep2" => "17940-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5032,"uf" => "SP","descricao" => "SANTA RITA DO PASSA QUATRO","cep1" => "13670-000","cep2" => "13689-999","roteirizacao" => "RAO","unidade" => "RAO03","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5033,"uf" => "SP","descricao" => "SANTA RITA DOESTE","cep1" => "15780-000","cep2" => "15780-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5034,"uf" => "SP","descricao" => "SANTA ROSA DE VITERBO","cep1" => "14270-000","cep2" => "14270-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5035,"uf" => "SP","descricao" => "SANTA SALETE","cep1" => "15768-000","cep2" => "15768-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5036,"uf" => "SP","descricao" => "SANTANA DA PONTE PENSA","cep1" => "15765-000","cep2" => "15765-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5037,"uf" => "SP","descricao" => "SANTANA DE PARNAIBA","cep1" => "06500-001","cep2" => "06549-999","roteirizacao" => "BQR","unidade" => "BQR01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5038,"uf" => "SP","descricao" => "SANTO ANASTACIO","cep1" => "19360-000","cep2" => "19360-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5039,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09180-971","cep2" => "09260-399","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5040,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09271-301","cep2" => "09299-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5041,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09133-201","cep2" => "09133-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5042,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09111-601","cep2" => "09121-499","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5043,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09131-601","cep2" => "09131-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5044,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09130-301","cep2" => "09130-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5045,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09175-701","cep2" => "09179-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5046,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09135-000","cep2" => "09138-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5047,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09172-000","cep2" => "09174-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5048,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09171-000","cep2" => "09171-099","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5049,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09000-001","cep2" => "09110-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5050,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09139-101","cep2" => "09149-999","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5051,"uf" => "SP","descricao" => "SANTO ANDRE","cep1" => "09122-101","cep2" => "09130-199","roteirizacao" => "QSE","unidade" => "QSE02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5052,"uf" => "SP","descricao" => "SANTO ANTONIO DA ALEGRIA","cep1" => "14390-000","cep2" => "14399-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5053,"uf" => "SP","descricao" => "SANTO ANTONIO DE POSSE","cep1" => "13830-001","cep2" => "13834-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5054,"uf" => "SP","descricao" => "SANTO ANTONIO DO ARACANGUA","cep1" => "16130-000","cep2" => "16130-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5055,"uf" => "SP","descricao" => "SANTO ANTONIO DO JARDIM","cep1" => "13995-000","cep2" => "13999-999","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>5056,"uf" => "SP","descricao" => "SANTO ANTONIO DO PINHAL","cep1" => "12450-000","cep2" => "12459-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5057,"uf" => "SP","descricao" => "SANTO EXPEDITO","cep1" => "19190-000","cep2" => "19190-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5058,"uf" => "SP","descricao" => "SANTOPOLIS DO AGUAPEI","cep1" => "16240-000","cep2" => "16240-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5059,"uf" => "SP","descricao" => "SANTOS","cep1" => "11000-000","cep2" => "11079-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5060,"uf" => "SP","descricao" => "SANTOS","cep1" => "11249-001","cep2" => "11249-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5061,"uf" => "SP","descricao" => "SANTOS","cep1" => "11096-001","cep2" => "11199-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5062,"uf" => "SP","descricao" => "SANTOS","cep1" => "11085-001","cep2" => "11089-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5063,"uf" => "SP","descricao" => "SAO BENTO DO SAPUCAI","cep1" => "12490-000","cep2" => "12499-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5064,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09600-004","cep2" => "09649-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5065,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09831-381","cep2" => "09831-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5066,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-321","cep2" => "09792-329","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5067,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09600-000","cep2" => "09600-003","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5068,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-311","cep2" => "09792-319","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5069,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-301","cep2" => "09792-309","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5070,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09784-261","cep2" => "09784-289","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5071,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-201","cep2" => "09792-299","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5072,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-003","cep2" => "09792-199","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5073,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09791-393","cep2" => "09792-001","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5074,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09791-361","cep2" => "09791-391","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5075,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09784-216","cep2" => "09784-259","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5076,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09791-321","cep2" => "09791-359","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5077,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09701-000","cep2" => "09730-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5078,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09784-206","cep2" => "09784-214","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5079,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09784-201","cep2" => "09784-204","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5080,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09830-101","cep2" => "09831-379","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5081,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09791-241","cep2" => "09791-319","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5082,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09791-221","cep2" => "09791-239","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5083,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09821-000","cep2" => "09829-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5084,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09830-000","cep2" => "09830-099","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5085,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09790-711","cep2" => "09791-219","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5086,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09783-591","cep2" => "09784-199","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5087,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09790-000","cep2" => "09790-709","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5088,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09784-466","cep2" => "09789-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5089,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09780-000","cep2" => "09783-589","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5090,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09784-291","cep2" => "09784-464","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5091,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09772-000","cep2" => "09779-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5092,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09761-000","cep2" => "09761-244","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5093,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09731-000","cep2" => "09731-304","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5094,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09761-246","cep2" => "09769-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5095,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09731-305","cep2" => "09760-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5096,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09770-000","cep2" => "09771-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5097,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-331","cep2" => "09792-359","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5098,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-361","cep2" => "09792-419","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5099,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-421","cep2" => "09792-469","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5100,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09650-000","cep2" => "09699-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5101,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09792-471","cep2" => "09799-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5102,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09810-000","cep2" => "09819-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5103,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09820-000","cep2" => "09820-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5104,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09700-000","cep2" => "09700-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5105,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09800-000","cep2" => "09809-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5106,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09859-000","cep2" => "09862-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5107,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09863-000","cep2" => "09889-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5108,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09890-000","cep2" => "09896-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5109,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09897-000","cep2" => "09899-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5110,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09838-901","cep2" => "09839-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5111,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09840-000","cep2" => "09841-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5112,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09842-000","cep2" => "09844-114","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5113,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09844-117","cep2" => "09845-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5114,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09846-000","cep2" => "09846-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5115,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09847-000","cep2" => "09847-429","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5116,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09847-431","cep2" => "09849-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5117,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09850-000","cep2" => "09850-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5118,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09851-000","cep2" => "09852-400","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5119,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09852-401","cep2" => "09853-005","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5120,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09853-007","cep2" => "09853-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5121,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09854-000","cep2" => "09854-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5122,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09855-000","cep2" => "09855-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5123,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09856-000","cep2" => "09856-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5124,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09857-000","cep2" => "09857-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5125,"uf" => "SP","descricao" => "SAO BERNARDO DO CAMPO","cep1" => "09858-000","cep2" => "09858-999","roteirizacao" => "QSB","unidade" => "QSB02","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5126,"uf" => "SP","descricao" => "SAO CAETANO DO SUL","cep1" => "09500-000","cep2" => "09599-999","roteirizacao" => "QCX","unidade" => "QCX01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5127,"uf" => "SP","descricao" => "SAO CARLOS","cep1" => "13571-800","cep2" => "13571-825","roteirizacao" => "QSC","unidade" => "QSC01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5128,"uf" => "SP","descricao" => "SAO CARLOS","cep1" => "13560-000","cep2" => "13571-799","roteirizacao" => "QSC","unidade" => "QSC01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5129,"uf" => "SP","descricao" => "SAO CARLOS","cep1" => "13571-826","cep2" => "13577-999","roteirizacao" => "QSC","unidade" => "QSC01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5130,"uf" => "SP","descricao" => "SAO FRANCISCO","cep1" => "15710-000","cep2" => "15710-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5131,"uf" => "SP","descricao" => "SAO JOAO DA BOA VISTA","cep1" => "13879-007","cep2" => "13879-999","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5132,"uf" => "SP","descricao" => "SAO JOAO DA BOA VISTA","cep1" => "13870-001","cep2" => "13879-001","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "5"],
            ["id" =>5133,"uf" => "SP","descricao" => "SAO JOAO DA BOA VISTA","cep1" => "13879-002","cep2" => "13879-002","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5134,"uf" => "SP","descricao" => "SAO JOAO DA BOA VISTA","cep1" => "13879-005","cep2" => "13879-005","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5135,"uf" => "SP","descricao" => "SAO JOAO DA BOA VISTA","cep1" => "13879-006","cep2" => "13879-006","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5136,"uf" => "SP","descricao" => "SAO JOAO DA BOA VISTA","cep1" => "13879-003","cep2" => "13879-003","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5137,"uf" => "SP","descricao" => "SAO JOAO DA BOA VISTA","cep1" => "13879-004","cep2" => "13879-004","roteirizacao" => "ESP","unidade" => "ESP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5138,"uf" => "SP","descricao" => "SAO JOAO DAS DUAS PONTES","cep1" => "15640-000","cep2" => "15640-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5139,"uf" => "SP","descricao" => "SAO JOAO DE IRACEMA","cep1" => "15315-000","cep2" => "15315-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5140,"uf" => "SP","descricao" => "SAO JOAO DO PAU DALHO","cep1" => "17970-000","cep2" => "17970-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5141,"uf" => "SP","descricao" => "SAO JOAQUIM DA BARRA","cep1" => "14600-000","cep2" => "14600-999","roteirizacao" => "QJB","unidade" => "QJB01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5142,"uf" => "SP","descricao" => "SAO JOSE DA BELA VISTA","cep1" => "14440-000","cep2" => "14440-999","roteirizacao" => "FRC","unidade" => "FRC01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5143,"uf" => "SP","descricao" => "SAO JOSE DO BARREIRO","cep1" => "12830-000","cep2" => "12849-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5144,"uf" => "SP","descricao" => "SAO JOSE DO RIO PARDO","cep1" => "13720-000","cep2" => "13729-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5145,"uf" => "SP","descricao" => "SAO JOSE DO RIO PRETO","cep1" => "15000-000","cep2" => "15099-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5146,"uf" => "SP","descricao" => "SAO JOSE DOS CAMPOS","cep1" => "12200-001","cep2" => "12248-999","roteirizacao" => "SJK","unidade" => "SJK","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5147,"uf" => "SP","descricao" => "SAO LOURENCO DA SERRA","cep1" => "06890-000","cep2" => "06899-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5148,"uf" => "SP","descricao" => "SAO LUIZ DO PARAITINGA","cep1" => "12140-000","cep2" => "12169-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5149,"uf" => "SP","descricao" => "SAO MANUEL","cep1" => "18655-000","cep2" => "18655-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5150,"uf" => "SP","descricao" => "SAO MANUEL","cep1" => "18650-000","cep2" => "18650-999","roteirizacao" => "QCJ","unidade" => "QCJ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5151,"uf" => "SP","descricao" => "SAO MIGUEL ARCANJO","cep1" => "18230-000","cep2" => "18239-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5152,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05500-000","cep2" => "05599-999","roteirizacao" => "SAO","unidade" => "SAO28","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5153,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "03800-000","cep2" => "03899-999","roteirizacao" => "SAO","unidade" => "SAO30","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5154,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "04500-000","cep2" => "04699-999","roteirizacao" => "SAO","unidade" => "SAO13","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5155,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "04700-000","cep2" => "04799-999","roteirizacao" => "SAO","unidade" => "SAO24","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5156,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05400-000","cep2" => "05409-011","roteirizacao" => "SAO","unidade" => "SAO24","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5157,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05409-012","cep2" => "05499-999","roteirizacao" => "SAO","unidade" => "SAO24","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5158,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "03600-000","cep2" => "03799-000","roteirizacao" => "SAO","unidade" => "SAO30","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5159,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05665-141","cep2" => "05699-999","roteirizacao" => "SAO","unidade" => "SAO28","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5160,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05360-151","cep2" => "05398-010","roteirizacao" => "SAO","unidade" => "SAO02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5161,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05398-012","cep2" => "05398-159","roteirizacao" => "SAO","unidade" => "SAO02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5162,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05398-161","cep2" => "05399-119","roteirizacao" => "SAO","unidade" => "SAO02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5163,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05399-121","cep2" => "05399-999","roteirizacao" => "SAO","unidade" => "SAO02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5164,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "04098-902","cep2" => "04399-999","roteirizacao" => "SAO","unidade" => "SAO12","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5165,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "04007-000","cep2" => "04098-901","roteirizacao" => "SAO","unidade" => "SAO12","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5166,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05600-000","cep2" => "05658-999","roteirizacao" => "SAO","unidade" => "SAO28","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5167,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02169-051","cep2" => "02236-999","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5168,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02238-391","cep2" => "02279-150","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5169,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02900-000","cep2" => "02999-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5170,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "01520-000","cep2" => "01599-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5171,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02801-000","cep2" => "02899-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5172,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "04000-000","cep2" => "04006-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5173,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "01220-000","cep2" => "01299-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5174,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05703-010","cep2" => "05749-999","roteirizacao" => "SAO","unidade" => "SAO28","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5175,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05659-000","cep2" => "05665-140","roteirizacao" => "SAO","unidade" => "SAO28","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5176,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "01300-000","cep2" => "01432-050","roteirizacao" => "SAO","unidade" => "SAO24","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5177,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "01432-051","cep2" => "01499-999","roteirizacao" => "SAO","unidade" => "SAO24","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5178,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05750-000","cep2" => "05769-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5179,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05770-000","cep2" => "05779-999","roteirizacao" => "SAO","unidade" => "SAO28","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5180,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05780-000","cep2" => "05894-460","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5181,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "08071-041","cep2" => "08072-310","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5182,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02679-000","cep2" => "02681-000","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5183,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05000-000","cep2" => "05099-999","roteirizacao" => "SAO","unidade" => "SAO02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5184,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05300-000","cep2" => "05360-149","roteirizacao" => "SAO","unidade" => "SAO02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5185,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02290-000","cep2" => "02323-730","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5186,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02500-000","cep2" => "02599-999","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5187,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02600-000","cep2" => "02678-999","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5188,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02700-000","cep2" => "02799-999","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5189,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02364-000","cep2" => "02367-160","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5190,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02367-350","cep2" => "02499-000","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5191,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02328-001","cep2" => "02336-110","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5192,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02000-000","cep2" => "02159-999","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5193,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02325-510","cep2" => "02325-705","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5194,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02340-000","cep2" => "02362-220","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5195,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "03900-000","cep2" => "03999-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5196,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "04401-000","cep2" => "04477-520","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5197,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "04800-000","cep2" => "04899-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5198,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "04909-020","cep2" => "04967-010","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5199,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05100-000","cep2" => "05299-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5200,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "08081-491","cep2" => "08199-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5201,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "08300-000","cep2" => "08499-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5202,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "08000-000","cep2" => "08071-040","roteirizacao" => "SAO","unidade" => "SAO25","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5203,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "08072-311","cep2" => "08081-490","roteirizacao" => "SAO","unidade" => "SAO25","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5204,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "08200-000","cep2" => "08299-999","roteirizacao" => "SAO","unidade" => "SAO25","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5205,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02326-000","cep2" => "02327-200","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5206,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02337-000","cep2" => "02339-100","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5207,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02367-200","cep2" => "02367-265","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5208,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "03799-001","cep2" => "03799-999","roteirizacao" => "SAO","unidade" => "SAO09","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5209,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "03000-000","cep2" => "03000-999","roteirizacao" => "SAO","unidade" => "SAO09","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5210,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "03500-000","cep2" => "03599-999","roteirizacao" => "SAO","unidade" => "SAO09","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5211,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "03055-001","cep2" => "03499-999","roteirizacao" => "SAO","unidade" => "SAO09","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5212,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "05360-150","cep2" => "05360-150","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5213,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02160-000","cep2" => "02169-050","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5214,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02363-000","cep2" => "02363-340","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5215,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02279-151","cep2" => "02289-900","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5216,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02237-000","cep2" => "02238-390","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5217,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "02324-000","cep2" => "02325-130","roteirizacao" => "SAO","unidade" => "SAO31","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5218,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "01000-000","cep2" => "01219-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5219,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "01500-000","cep2" => "01519-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5220,"uf" => "SP","descricao" => "SAO PAULO","cep1" => "03001-000","cep2" => "03055-000","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5221,"uf" => "SP","descricao" => "SAO PEDRO","cep1" => "13520-000","cep2" => "13524-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5222,"uf" => "SP","descricao" => "SAO PEDRO DO TURVO","cep1" => "18940-000","cep2" => "18949-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5223,"uf" => "SP","descricao" => "SAO ROQUE","cep1" => "18130-000","cep2" => "18139-999","roteirizacao" => "SOD","unidade" => "SOD02","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5224,"uf" => "SP","descricao" => "SAO SEBASTIAO","cep1" => "11600-001","cep2" => "11629-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5225,"uf" => "SP","descricao" => "SAO SEBASTIAO DA GRAMA","cep1" => "13790-000","cep2" => "13799-999","roteirizacao" => "POO","unidade" => "POO01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5226,"uf" => "SP","descricao" => "SAO SIMAO","cep1" => "14200-000","cep2" => "14200-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5227,"uf" => "SP","descricao" => "SAO VICENTE","cep1" => "11300-000","cep2" => "11329-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5228,"uf" => "SP","descricao" => "SAO VICENTE","cep1" => "11366-001","cep2" => "11399-999","roteirizacao" => "SSZ","unidade" => "SSZ01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5229,"uf" => "SP","descricao" => "SARAPUI","cep1" => "18225-000","cep2" => "18229-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5230,"uf" => "SP","descricao" => "SARUTAIA","cep1" => "18840-000","cep2" => "18859-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5231,"uf" => "SP","descricao" => "SEBASTIANOPOLIS DO SUL","cep1" => "15180-000","cep2" => "15180-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5232,"uf" => "SP","descricao" => "SERRA AZUL","cep1" => "14230-000","cep2" => "14230-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5233,"uf" => "SP","descricao" => "SERRA NEGRA","cep1" => "13930-000","cep2" => "13939-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5234,"uf" => "SP","descricao" => "SERRANA","cep1" => "14150-000","cep2" => "14150-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5235,"uf" => "SP","descricao" => "SERTAOZINHO","cep1" => "14160-000","cep2" => "14178-999","roteirizacao" => "SRR","unidade" => "SRR01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "4"],
            ["id" =>5236,"uf" => "SP","descricao" => "SETE BARRAS","cep1" => "11910-000","cep2" => "11919-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5237,"uf" => "SP","descricao" => "SEVERINIA","cep1" => "14735-000","cep2" => "14735-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5238,"uf" => "SP","descricao" => "SILVEIRAS","cep1" => "12690-000","cep2" => "12699-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5239,"uf" => "SP","descricao" => "SOCORRO","cep1" => "13960-000","cep2" => "13969-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5240,"uf" => "SP","descricao" => "SOROCABA","cep1" => "18000-000","cep2" => "18109-999","roteirizacao" => "SOD","unidade" => "SOD02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5241,"uf" => "SP","descricao" => "SUD MENNUCCI","cep1" => "15360-000","cep2" => "15360-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5242,"uf" => "SP","descricao" => "SUMARE","cep1" => "13170-000","cep2" => "13181-999","roteirizacao" => "SUM","unidade" => "SUM02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5243,"uf" => "SP","descricao" => "SUZANAPOLIS","cep1" => "15380-000","cep2" => "15380-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5244,"uf" => "SP","descricao" => "SUZANO","cep1" => "08600-001","cep2" => "08699-999","roteirizacao" => "QJF","unidade" => "QJF01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5245,"uf" => "SP","descricao" => "TABAPUA","cep1" => "15880-000","cep2" => "15880-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5246,"uf" => "SP","descricao" => "TABATINGA","cep1" => "14910-000","cep2" => "14919-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5247,"uf" => "SP","descricao" => "TABOAO DA SERRA","cep1" => "06750-001","cep2" => "06799-999","roteirizacao" => "SAO","unidade" => "SAOT5","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5248,"uf" => "SP","descricao" => "TACIBA","cep1" => "19590-000","cep2" => "19590-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5249,"uf" => "SP","descricao" => "TAGUAI","cep1" => "18890-000","cep2" => "18890-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5250,"uf" => "SP","descricao" => "TAIACU","cep1" => "14725-000","cep2" => "14725-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5251,"uf" => "SP","descricao" => "TAIUVA","cep1" => "14720-000","cep2" => "14720-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5252,"uf" => "SP","descricao" => "TAMBAU","cep1" => "13710-000","cep2" => "13714-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5253,"uf" => "SP","descricao" => "TANABI","cep1" => "15170-000","cep2" => "15170-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5254,"uf" => "SP","descricao" => "TAPIRAI","cep1" => "18180-000","cep2" => "18184-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5255,"uf" => "SP","descricao" => "TAPIRATIBA","cep1" => "13760-000","cep2" => "13760-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5256,"uf" => "SP","descricao" => "TAQUARAL","cep1" => "14765-000","cep2" => "14765-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5257,"uf" => "SP","descricao" => "TAQUARITINGA","cep1" => "15900-000","cep2" => "15900-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5258,"uf" => "SP","descricao" => "TAQUARITUBA","cep1" => "18740-000","cep2" => "18740-000","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5259,"uf" => "SP","descricao" => "TAQUARIVAI","cep1" => "18425-000","cep2" => "18429-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5260,"uf" => "SP","descricao" => "TARABAI","cep1" => "19210-000","cep2" => "19210-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5261,"uf" => "SP","descricao" => "TARUMA","cep1" => "19820-000","cep2" => "19829-999","roteirizacao" => "AIF","unidade" => "AIF01","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5262,"uf" => "SP","descricao" => "TATUI","cep1" => "18270-000","cep2" => "18284-999","roteirizacao" => "QJD","unidade" => "QJD01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5263,"uf" => "SP","descricao" => "TAUBATE","cep1" => "12000-001","cep2" => "12119-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5264,"uf" => "SP","descricao" => "TEJUPA","cep1" => "18830-000","cep2" => "18830-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5265,"uf" => "SP","descricao" => "TEODORO SAMPAIO","cep1" => "19280-000","cep2" => "19280-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5266,"uf" => "SP","descricao" => "TERRA ROXA","cep1" => "14745-000","cep2" => "14745-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5267,"uf" => "SP","descricao" => "TIETE","cep1" => "18530-000","cep2" => "18530-999","roteirizacao" => "QJD","unidade" => "QJD01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5268,"uf" => "SP","descricao" => "TIMBURI","cep1" => "18860-000","cep2" => "18860-999","roteirizacao" => "QVP","unidade" => "QVP01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5269,"uf" => "SP","descricao" => "TORRE DE PEDRA","cep1" => "18265-000","cep2" => "18269-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5270,"uf" => "SP","descricao" => "TORRINHA","cep1" => "17360-000","cep2" => "17369-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "7"],
            ["id" =>5271,"uf" => "SP","descricao" => "TRABIJU","cep1" => "14935-000","cep2" => "14939-999","roteirizacao" => "JTC","unidade" => "JTC","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5272,"uf" => "SP","descricao" => "TREMEMBE","cep1" => "12120-000","cep2" => "12120-999","roteirizacao" => "QHP","unidade" => "QHP01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5273,"uf" => "SP","descricao" => "TRES FRONTEIRAS","cep1" => "15770-000","cep2" => "15770-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5274,"uf" => "SP","descricao" => "TUIUTI","cep1" => "12930-000","cep2" => "12934-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5275,"uf" => "SP","descricao" => "TUPA","cep1" => "17600-000","cep2" => "17626-999","roteirizacao" => "MII","unidade" => "MII","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5276,"uf" => "SP","descricao" => "TUPI PAULISTA","cep1" => "17930-000","cep2" => "17930-999","roteirizacao" => "PPB","unidade" => "PPB","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5277,"uf" => "SP","descricao" => "TURIUBA","cep1" => "15280-000","cep2" => "15280-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5278,"uf" => "SP","descricao" => "TURMALINA","cep1" => "15755-000","cep2" => "15755-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5279,"uf" => "SP","descricao" => "UBARANA","cep1" => "15225-000","cep2" => "15225-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5280,"uf" => "SP","descricao" => "UBATUBA","cep1" => "11680-000","cep2" => "11699-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5281,"uf" => "SP","descricao" => "UBIRAJARA","cep1" => "17440-001","cep2" => "17449-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5282,"uf" => "SP","descricao" => "UCHOA","cep1" => "15890-000","cep2" => "15890-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5283,"uf" => "SP","descricao" => "UNIAO PAULISTA","cep1" => "15250-000","cep2" => "15250-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5284,"uf" => "SP","descricao" => "URANIA","cep1" => "15760-000","cep2" => "15760-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5285,"uf" => "SP","descricao" => "URU","cep1" => "16650-001","cep2" => "16659-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5286,"uf" => "SP","descricao" => "URUPES","cep1" => "15850-000","cep2" => "15850-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5287,"uf" => "SP","descricao" => "VALENTIM GENTIL","cep1" => "15520-000","cep2" => "15520-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5288,"uf" => "SP","descricao" => "VALINHOS","cep1" => "13270-001","cep2" => "13279-999","roteirizacao" => "VAL","unidade" => "VAL02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5289,"uf" => "SP","descricao" => "VALPARAISO","cep1" => "16880-000","cep2" => "16880-999","roteirizacao" => "ARU","unidade" => "ARU","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5290,"uf" => "SP","descricao" => "VARGEM","cep1" => "12935-000","cep2" => "12935-000","roteirizacao" => "ZBW","unidade" => "ZBW01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5291,"uf" => "SP","descricao" => "VARGEM GRANDE DO SUL","cep1" => "13880-000","cep2" => "13889-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5292,"uf" => "SP","descricao" => "VARGEM GRANDE PAULISTA","cep1" => "06730-000","cep2" => "06730-999","roteirizacao" => "QOI","unidade" => "QOI03","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5293,"uf" => "SP","descricao" => "VARZEA PAULISTA","cep1" => "13220-000","cep2" => "13229-999","roteirizacao" => "QDV","unidade" => "QDV01","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "3"],
            ["id" =>5294,"uf" => "SP","descricao" => "VERA CRUZ","cep1" => "17560-000","cep2" => "17560-999","roteirizacao" => "GAR","unidade" => "GAR01","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5295,"uf" => "SP","descricao" => "VINHEDO","cep1" => "13280-000","cep2" => "13289-999","roteirizacao" => "VIN","unidade" => "VIN02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 1,"prazo" => "2"],
            ["id" =>5296,"uf" => "SP","descricao" => "VIRADOURO","cep1" => "14740-000","cep2" => "14740-999","roteirizacao" => "RAO","unidade" => "RAO","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5297,"uf" => "SP","descricao" => "VISTA ALEGRE DO ALTO","cep1" => "15920-000","cep2" => "15929-999","roteirizacao" => "SAO","unidade" => "SAOL9","tabela" => 1,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "9"],
            ["id" =>5298,"uf" => "SP","descricao" => "VITORIA BRASIL","cep1" => "15713-000","cep2" => "15714-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "5"],
            ["id" =>5299,"uf" => "SP","descricao" => "VOTORANTIM","cep1" => "18110-000","cep2" => "18119-999","roteirizacao" => "SOD","unidade" => "SOD02","tabela" => 1,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5300,"uf" => "SP","descricao" => "VOTUPORANGA","cep1" => "15500-000","cep2" => "15514-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "3"],
            ["id" =>5301,"uf" => "SP","descricao" => "ZACARIAS","cep1" => "15265-000","cep2" => "15265-999","roteirizacao" => "SJP","unidade" => "SJP","tabela" => 1,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5302,"uf" => "TO","descricao" => "ALIANCA DO TOCANTINS","cep1" => "77455-000","cep2" => "77457-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5303,"uf" => "TO","descricao" => "ALVORADA","cep1" => "77480-000","cep2" => "77482-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5304,"uf" => "TO","descricao" => "ARAGUAINA","cep1" => "77800-001","cep2" => "77839-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5305,"uf" => "TO","descricao" => "BARROLANDIA","cep1" => "77665-000","cep2" => "77669-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5306,"uf" => "TO","descricao" => "BOM JESUS DO TOCANTINS","cep1" => "77714-000","cep2" => "77715-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5307,"uf" => "TO","descricao" => "BRASILANDIA DO TOCANTINS","cep1" => "77735-000","cep2" => "77739-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5308,"uf" => "TO","descricao" => "BREJINHO DE NAZARE","cep1" => "77560-000","cep2" => "77564-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5309,"uf" => "TO","descricao" => "CARIRI DO TOCANTINS","cep1" => "77453-000","cep2" => "77454-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5310,"uf" => "TO","descricao" => "CHAPADA DA NATIVIDADE","cep1" => "77378-000","cep2" => "77379-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5311,"uf" => "TO","descricao" => "COLINAS DO TOCANTINS","cep1" => "77760-000","cep2" => "77764-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5312,"uf" => "TO","descricao" => "CRISTALANDIA","cep1" => "77490-000","cep2" => "77492-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5313,"uf" => "TO","descricao" => "DIANOPOLIS","cep1" => "77300-000","cep2" => "77302-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5314,"uf" => "TO","descricao" => "FATIMA","cep1" => "77555-000","cep2" => "77555-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5315,"uf" => "TO","descricao" => "FIGUEIROPOLIS","cep1" => "77465-000","cep2" => "77469-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5316,"uf" => "TO","descricao" => "GUARAI","cep1" => "77700-000","cep2" => "77703-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5317,"uf" => "TO","descricao" => "GURUPI","cep1" => "77400-001","cep2" => "77449-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5318,"uf" => "TO","descricao" => "LAGOA DA CONFUSAO","cep1" => "77493-000","cep2" => "77494-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5319,"uf" => "TO","descricao" => "LAJEADO","cep1" => "77645-000","cep2" => "77645-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5320,"uf" => "TO","descricao" => "MIRACEMA DO TOCANTINS","cep1" => "77650-000","cep2" => "77650-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "4"],
            ["id" =>5321,"uf" => "TO","descricao" => "MIRANORTE","cep1" => "77660-000","cep2" => "77664-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5322,"uf" => "TO","descricao" => "NATIVIDADE","cep1" => "77370-000","cep2" => "77374-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5323,"uf" => "TO","descricao" => "NOVA OLINDA","cep1" => "77790-000","cep2" => "77794-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5324,"uf" => "TO","descricao" => "NOVA ROSALANDIA","cep1" => "77495-000","cep2" => "77499-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5325,"uf" => "TO","descricao" => "OLIVEIRA DE FATIMA","cep1" => "77558-000","cep2" => "77558-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5326,"uf" => "TO","descricao" => "PALMAS","cep1" => "77000-000","cep2" => "77249-999","roteirizacao" => "PMW","unidade" => "PMW","tabela" => 11,"tarifa" => "Capital","grupo" => "Normal","frap" => 0,"prazo" => "2"],
            ["id" =>5327,"uf" => "TO","descricao" => "PARAISO DO TOCANTINS","cep1" => "77600-000","cep2" => "77600-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5328,"uf" => "TO","descricao" => "PEDRO AFONSO","cep1" => "77710-000","cep2" => "77713-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5329,"uf" => "TO","descricao" => "PEIXE","cep1" => "77460-001","cep2" => "77462-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5330,"uf" => "TO","descricao" => "PIUM","cep1" => "77570-000","cep2" => "77574-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5331,"uf" => "TO","descricao" => "PORTO ALEGRE DO TOCANTINS","cep1" => "77395-000","cep2" => "77395-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5332,"uf" => "TO","descricao" => "PORTO NACIONAL","cep1" => "77500-000","cep2" => "77500-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Normal","frap" => 0,"prazo" => "6"],
            ["id" =>5333,"uf" => "TO","descricao" => "PRESIDENTE KENNEDY","cep1" => "77745-000","cep2" => "77749-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5334,"uf" => "TO","descricao" => "PUGMIL","cep1" => "77603-000","cep2" => "77604-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "4"],
            ["id" =>5335,"uf" => "TO","descricao" => "RIO DOS BOIS","cep1" => "77655-000","cep2" => "77659-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5336,"uf" => "TO","descricao" => "SANTA RITA DO TOCANTINS","cep1" => "77565-000","cep2" => "77565-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5337,"uf" => "TO","descricao" => "SANTA ROSA DO TOCANTINS","cep1" => "77375-000","cep2" => "77377-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5338,"uf" => "TO","descricao" => "SAO VALERIO DA NATIVIDADE","cep1" => "77390-001","cep2" => "77394-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "6"],
            ["id" =>5339,"uf" => "TO","descricao" => "SILVANOPOLIS","cep1" => "77580-000","cep2" => "77584-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5340,"uf" => "TO","descricao" => "TABOCAO","cep1" => "77708-000","cep2" => "77709-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
            ["id" =>5341,"uf" => "TO","descricao" => "TUPIRAMA","cep1" => "77704-000","cep2" => "77707-999","roteirizacao" => "PMW","unidade" => "PMWT1","tabela" => 11,"tarifa" => "Interior","grupo" => "Redespacho","frap" => 0,"prazo" => "5"],
        ];

        foreach ($dados as $dado) {
            unset($dado["id"]);
            Localidade::create($dado);
        }
    }
}
